﻿namespace CVDEMCS.Common.Constant
{


    /// <summary>
    /// 点位所属动作
    /// </summary>
    public sealed class ActionType
    {
        /// <summary>
        /// 启动停止
        /// </summary>
        public const String StartStop = "StartStop";

        /// <summary>
        /// 维护
        /// </summary>
        public const String Maintain = "Maintain";

        /// <summary>
        /// 报警
        /// </summary>
        public const String Alarm = "Alarm";
    }

    /// <summary>
    /// 设备类型
    /// </summary>
    public sealed class EquipmentType
    {
        /// <summary>
        /// 国产炉
        /// </summary>
        public const String Homegrown = "Homegrown";

        /// <summary>
        /// 进口炉
        /// </summary>
        public const String Import = "Import";

        /// <summary>
        /// Cemecon
        /// </summary>
       // public const String CemeCon = "CemeCon";
    }

    /// <summary>
    /// 设备类型补偿
    /// </summary>
    public sealed class EquipmentTypeOffset
    {
        /// <summary>
        /// 国产炉补偿时间
        /// </summary>
        public const String HomegrownOffset = "HomegrownOffset";

        /// <summary>
        /// 进口炉补偿时间
        /// </summary>
        public const String ImportOffset = "ImportOffset";

        /// <summary>
        /// Cemecon补偿时间
        /// </summary>
       // public const String CemeConOffset = "CemeConOffset";
    }


    /// <summary>
    /// 设备状态
    /// </summary>
    public sealed class EquipmentState
    {
        /// <summary>
        /// 运行
        /// </summary>
        public const String Run = "Run";

        /// <summary>
        /// 待机
        /// </summary>
        public const String Stop = "Stop";

        /// <summary>
        /// 报警
        /// </summary>
        public const String Alarm = "Alarm";

        /// <summary>
        /// 维护
        /// </summary>
        public const String Maintain = "Maintain";

        public static readonly string[] States = new string[] { Run, Stop, Alarm, Maintain };

        public static bool HaveState(string state)
        {
            return States.Contains(state);
        }
    }

    /// <summary>
    /// 报警模式
    /// </summary>
    public sealed class EquipmentAlarmModel
    {
        /// <summary>
        /// 自动
        /// </summary>
        public const String Auto = "Auto";

        /// <summary>
        /// 手动
        /// </summary>
        public const String Manual = "Manual";
    }
}
