﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace CVDEMCS.Services.Models
{
    /// <summary>
    /// 设备状态记录OEE月统计
    /// </summary>
    public class EquipmentRecordStateOEEMonthTotal
    {

        /// <summary>
        /// 设备Id
        /// </summary>
        public string EquipmentId { get; set; }

        /// <summary>
        /// 设备类型：Ionbond，Balzers，Cemecon
        /// </summary>
        public string EquipmentType { get; set; }

        /// <summary>
        /// 总运行时长
        /// </summary>
        public decimal TotalRunningTime { get; set; }

        /// <summary>
        /// 总报警时长
        /// </summary>
        public decimal TotalAlarmTime { get; set; }

        /// <summary>
        /// 总维护时间
        /// </summary>
        public decimal TotalMaintainTime { get; set; }

        /// <summary>
        /// 总待机时长
        /// </summary>
        public decimal TotalStopTime { get; set; }

        /// <summary>
        /// 日期
        /// </summary>
        public string TotalMonth { get; set; }

        /// <summary>
        /// OEE值
        /// </summary>
        public decimal OEE { get; set; }
    }
}
