-- --------------------------------------------------------
-- 主机:                           localhost
-- 服务器版本:                        8.0.36 - MySQL Community Server - GPL
-- 服务器操作系统:                      Win64
-- HeidiSQL 版本:                  12.7.0.6850
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 导出 cvdemcs 的数据库结构
DROP DATABASE IF EXISTS `cvdemcs`;
CREATE DATABASE IF NOT EXISTS `cvdemcs` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `cvdemcs`;

-- 导出  表 cvdemcs.device_info 结构
DROP TABLE IF EXISTS `device_info`;
CREATE TABLE IF NOT EXISTS `device_info` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `device_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制器编号',
  `device_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制器名称',
  `activated` bit(1) NOT NULL DEFAULT b'1' COMMENT '控制器状态,1：启用，0：停用',
  `protocol` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制器协议:PLC',
  `host` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制器主机地址',
  `port` int NOT NULL COMMENT '控制器主机端口',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  `delete_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '删除者',
  `delete_at` datetime DEFAULT NULL COMMENT '删除时间',
  `is_delete` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='PLC控制器';

-- 正在导出表  cvdemcs.device_info 的数据：~1 rows (大约)
DELETE FROM `device_info`;
INSERT INTO `device_info` (`id`, `device_code`, `device_name`, `activated`, `protocol`, `host`, `port`, `remark`, `create_by`, `create_at`, `update_by`, `update_at`, `delete_by`, `delete_at`, `is_delete`) VALUES
	('1139430641660118767', 'PLC01', '化学涂层', b'1', 'S7_200Smart', '192.168.88.104', 102, '11', '1', '2023-10-31 15:56:48', '1', '2023-10-31 15:56:48', NULL, NULL, b'0');

-- 导出  表 cvdemcs.device_point 结构
DROP TABLE IF EXISTS `device_point`;
CREATE TABLE IF NOT EXISTS `device_point` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `device_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制器Id',
  `equipment_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '设备Id',
  `point_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '点位编号',
  `point_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '点位名称',
  `address` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'S7 数据存储地址，直连 存储区地址',
  `data_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '数据类型',
  `action_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '点位所属动作，启动停止：StartStop；故障：Fault',
  `activated` bit(1) NOT NULL DEFAULT b'1' COMMENT 'PLC 点位是否启用 (1 启用, 0 禁用)',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  `is_delete` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `delete_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '删除者',
  `delete_at` datetime DEFAULT NULL COMMENT '删除时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='PLC点位';

-- 正在导出表  cvdemcs.device_point 的数据：~72 rows (大约)
DELETE FROM `device_point`;
INSERT INTO `device_point` (`id`, `device_id`, `equipment_id`, `point_code`, `point_name`, `address`, `data_type`, `action_type`, `activated`, `remark`, `create_by`, `create_at`, `update_by`, `update_at`, `is_delete`, `delete_by`, `delete_at`) VALUES
	('1139430652538703872', '1139430641660118767', '1139430644415823872', '5#StartStop', '5#运行/停止', 'V100.0', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:47:45', '1', '2023-11-01 22:47:45', b'0', NULL, NULL),
	('1139430652834844573', '1139430641660118767', '1139430644415823872', '5#Alarm', '5#报警', 'V100.1', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:48:57', '1', '2023-11-01 22:48:57', b'0', NULL, NULL),
	('1139430652834844672', '1139430641660118767', '1139430644415823872', '5#Maintain', '5#维护', 'V100.2', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:48:57', '1', '2023-11-01 22:48:57', b'0', NULL, NULL),
	('1139430653154721792', '1139430641660118767', '1139430644789067776', '6#StartStop', '6#运行/停止', 'V100.3', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:50:15', '1', '2023-11-01 22:50:15', b'0', NULL, NULL),
	('1139430653293719552', '1139430641660118767', '1139430644789067776', '6#Maintain', '6#维护', 'V100.5', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:50:49', '1', '2023-11-01 22:50:49', b'0', NULL, NULL),
	('1139430653293719663', '1139430641660118767', '1139430644789067776', '6#Alarm', '6#报警', 'V100.4', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:50:49', '1', '2023-11-01 22:50:49', b'0', NULL, NULL),
	('1139430653565784064', '1139430641660118767', '1139430644475174912', '7#StartStop', '7#运行/停止', 'V100.6', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:51:55', '1', '2023-11-01 22:51:55', b'0', NULL, NULL),
	('1139430653695045632', '1139430641660118767', '1139430644475174912', '7#Alarm', '7#报警', 'V100.7', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:52:27', '1', '2023-11-01 22:52:27', b'0', NULL, NULL),
	('1139430653695045643', '1139430641660118767', '1139430644475174912', '7#Maintain', '7#维护', 'V101.0', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:52:27', '1', '2023-11-01 22:52:27', b'0', NULL, NULL),
	('1139430653912072192', '1139430641660118767', '1139430644855181312', '8#StartStop', '8#运行/停止', 'V101.1', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:53:20', '1', '2023-11-01 22:53:20', b'0', NULL, NULL),
	('1139430654035652608', '1139430641660118767', '1139430644855181312', '8#Maintain', '8#维护', 'V101.3', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:53:50', '1', '2023-11-01 22:53:50', b'0', NULL, NULL),
	('1139430654035652619', '1139430641660118767', '1139430644855181312', '8#Alarm', '8#报警', 'V101.2', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:53:50', '1', '2023-11-01 22:53:50', b'0', NULL, NULL),
	('1139430654315429888', '1139430641660118767', '1139430644904493056', '10#StartStop', '10#运行/停止', 'V101.7', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:54:58', '1', '2023-11-01 22:54:58', b'0', NULL, NULL),
	('1139430654377500672', '1139430641660118767', '1139430644904493056', '10#Alarm', '10#报警', 'V102.0', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:55:14', '1', '2023-11-01 22:55:14', b'0', NULL, NULL),
	('1139430654377500683', '1139430641660118767', '1139430644904493056', '10#Maintain', '10#维护', 'V102.1', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:55:14', '1', '2023-11-01 22:55:14', b'0', NULL, NULL),
	('1139430654608003072', '1139430641660118767', '1139430644494802944', '27#StartStop', '27#运行/停止', 'V108.2', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:56:10', '1', '2023-11-01 22:56:10', b'0', NULL, NULL),
	('1139430654678110208', '1139430641660118767', '1139430644494802944', '27#Alarm', '27#报警', 'V108.3', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:56:27', '1', '2023-11-01 22:56:27', b'0', NULL, NULL),
	('1139430654678110219', '1139430641660118767', '1139430644494802944', '27#Maintain', '27#维护', 'V108.4', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:56:27', '1', '2023-11-01 22:56:27', b'0', NULL, NULL),
	('1139430655076130816', '1139430641660118767', '1139430644963524608', '11#StartStop', '11#运行/停止', 'V102.2', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:58:04', '1', '2023-11-01 22:58:04', b'0', NULL, NULL),
	('1139430655186042880', '1139430641660118767', '1139430644963524608', '11#Alarm', '11#报警', 'V102.3', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:58:31', '1', '2023-11-01 22:58:31', b'0', NULL, NULL),
	('1139430655186042891', '1139430641660118767', '1139430644963524608', '11#Maintain', '11#维护', 'V102.4', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:58:31', '1', '2023-11-01 22:58:31', b'0', NULL, NULL),
	('1139430655586398208', '1139430641660118767', '1139430644997632000', '14#StartStop', '14#运行/停止', 'V103.3', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:00:09', '1', '2023-11-01 23:00:09', b'0', NULL, NULL),
	('1139430655924822016', '1139430641660118767', '1139430644997632000', '14#Alarm', '14#报警', 'V103.4', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:01:31', '1', '2023-11-01 23:01:31', b'0', NULL, NULL),
	('1139430655924822027', '1139430641660118767', '1139430644997632000', '14#Maintain', '14#维护', 'V103.5', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:01:31', '1', '2023-11-01 23:01:31', b'0', NULL, NULL),
	('1139430656266252288', '1139430641660118767', '1139430645041299456', '15#StartStop', '15#运行/停止', 'V103.6', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:02:55', '1', '2023-11-01 23:02:55', b'0', NULL, NULL),
	('1139430656341700608', '1139430641660118767', '1139430645041299456', '15#Alarm', '15#报警', 'V103.7', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:03:13', '1', '2023-11-01 23:03:13', b'0', NULL, NULL),
	('1139430656341700619', '1139430641660118767', '1139430645041299456', '15#Maintain', '15#维护', 'V104.0', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:03:13', '1', '2023-11-01 23:03:13', b'0', NULL, NULL),
	('1139430656716185600', '1139430641660118767', '1139430645079994368', '17#StartStop', '17#运行/停止', 'V104.4', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:04:44', '1', '2023-11-01 23:04:44', b'0', NULL, NULL),
	('1139430656809283584', '1139430641660118767', '1139430645079994368', '17#Alarm', '17#报警', 'V104.5', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:05:07', '1', '2023-11-01 23:05:07', b'0', NULL, NULL),
	('1139430656809283595', '1139430641660118767', '1139430645079994368', '17#Maintain', '17#维护', 'V104.6', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:05:07', '1', '2023-11-01 23:05:07', b'0', NULL, NULL),
	('1139430657076408320', '1139430641660118767', '1139430645119148032', '18#StartStop', '18#运行/停止', 'V104.7', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:06:12', '1', '2023-11-01 23:06:12', b'0', NULL, NULL),
	('1139430657259327488', '1139430641660118767', '1139430645119148032', '18#Alarm', '18#报警', 'V105.0', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:06:57', '1', '2023-11-01 23:06:57', b'0', NULL, NULL),
	('1139430657259327491', '1139430641660118767', '1139430645119148032', '18#Maintain', '18#维护', 'V105.1', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:06:57', '1', '2023-11-01 23:06:57', b'0', NULL, NULL),
	('1139430657605267456', '1139430641660118767', '1139430645193863168', '20#StartStop', '20#运行/停止', 'V105.5', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:08:22', '1', '2023-11-01 23:08:22', b'0', NULL, NULL),
	('1139430657710931968', '1139430641660118767', '1139430645193863168', '20#Alarm', '20#报警', 'V105.6', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:08:47', '1', '2023-11-01 23:08:47', b'0', NULL, NULL),
	('1139430657710931979', '1139430641660118767', '1139430645193863168', '20#Maintain', '20#维护', 'V105.7', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:08:47', '1', '2023-11-01 23:08:47', b'0', NULL, NULL),
	('1139430658076295168', '1139430641660118767', '1139430645247967232', '21#StartStop', '21#运行/停止', 'V106.0', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:10:17', '1', '2023-11-01 23:10:17', b'0', NULL, NULL),
	('1139430658207510528', '1139430641660118767', '1139430645247967232', '21#Alarm', '21#报警', 'V106.1', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:10:49', '1', '2023-11-01 23:10:49', b'0', NULL, NULL),
	('1139430658207510539', '1139430641660118767', '1139430645247967232', '21#Maintain', '21#维护', 'V106.2', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:10:49', '1', '2023-11-01 23:10:49', b'0', NULL, NULL),
	('1139430658817884160', '1139430641660118767', '1139430645508157440', '9#StartStop', '9#运行/停止', 'V101.4', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:13:18', '1', '2023-11-01 23:13:18', b'0', NULL, NULL),
	('1139430658905145344', '1139430641660118767', '1139430645508157440', '9#Alarm', '9#报警', 'V101.5', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:13:39', '1', '2023-11-01 23:13:39', b'0', NULL, NULL),
	('1139430658905145355', '1139430641660118767', '1139430645508157440', '9#Maintain', '9#维护', 'V101.6', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:13:39', '1', '2023-11-01 23:13:39', b'0', NULL, NULL),
	('1139430659161649152', '1139430641660118767', '1139430645547446272', '12#StartStop', '12#运行/停止', 'V102.5', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:14:42', '1', '2023-11-01 23:14:42', b'0', NULL, NULL),
	('1139430659252658176', '1139430641660118767', '1139430645547446272', '12#Alarm', '12#报警', 'V102.6', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:15:04', '1', '2023-11-01 23:15:04', b'0', NULL, NULL),
	('1139430659252658187', '1139430641660118767', '1139430645547446272', '12#Maintain', '12#维护', 'V102.7', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:15:04', '1', '2023-11-01 23:15:04', b'0', NULL, NULL),
	('1139430659591573504', '1139430641660118767', '1139430645575229440', '13#StartStop', '13#运行/停止', 'V103.0', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:16:26', '1', '2023-11-01 23:16:26', b'0', NULL, NULL),
	('1139430659657920512', '1139430641660118767', '1139430645575229440', '13#Alarm', '13#报警', 'V103.1', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:16:43', '1', '2023-11-01 23:16:43', b'0', NULL, NULL),
	('1139430659657920523', '1139430641660118767', '1139430645575229440', '13#Maintain', '13#维护', 'V103.2', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:16:43', '1', '2023-11-01 23:16:43', b'0', NULL, NULL),
	('1139430659835154432', '1139430641660118767', '1139430645601857536', '16#StartStop', '16#运行/停止', 'V104.1', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:17:26', '1', '2023-11-01 23:17:26', b'0', NULL, NULL),
	('1139430659901124608', '1139430641660118767', '1139430645601857536', '16#Alarm', '16#报警', 'V104.2', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:17:42', '1', '2023-11-01 23:17:42', b'0', NULL, NULL),
	('1139430659901124619', '1139430641660118767', '1139430645601857536', '16#Maintain', '16#维护', 'V104.3', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:17:42', '1', '2023-11-01 23:17:42', b'0', NULL, NULL),
	('1139430660127326208', '1139430641660118767', '1139430645630369792', '19#StartStop', '19#运行/停止', 'V105.2', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:18:37', '1', '2023-11-01 23:18:37', b'0', NULL, NULL),
	('1139430660250324903', '1139430641660118767', '1139430645630369792', '19#Maintain', '19#维护', 'V105.4', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:19:07', '1', '2023-11-01 23:19:07', b'0', NULL, NULL),
	('1139430660250324992', '1139430641660118767', '1139430645630369792', '19#Alarm', '19#报警', 'V105.3', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:19:07', '1', '2023-11-01 23:19:07', b'0', NULL, NULL),
	('1139430660545531904', '1139430641660118767', '1139430645318582272', '23#StartStop', '23#运行/停止', 'V106.6', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:20:19', '1', '2023-11-01 23:20:19', b'0', NULL, NULL),
	('1139430660641312768', '1139430641660118767', '1139430645318582272', '23#Alarm', '23#报警', 'V106.7', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:20:43', '1', '2023-11-01 23:20:43', b'0', NULL, NULL),
	('1139430660641312779', '1139430641660118767', '1139430645318582272', '23#Maintain', '23#维护', 'V107.0', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:20:43', '1', '2023-11-01 23:20:43', b'0', NULL, NULL),
	('1139430661001457664', '1139430641660118767', '1139430645348077568', '28#StartStop', '28#运行/停止', 'V108.5', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:22:11', '1', '2023-11-01 23:22:11', b'0', NULL, NULL),
	('1139430661088616448', '1139430641660118767', '1139430645348077568', '28#Alarm', '28#报警', 'V108.6', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:22:32', '1', '2023-11-01 23:22:32', b'0', NULL, NULL),
	('1139430661088616459', '1139430641660118767', '1139430645348077568', '28#Maintain', '28#维护', 'V108.7', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:22:32', '1', '2023-11-01 23:22:32', b'0', NULL, NULL),
	('1139430661257043968', '1139430641660118767', '1139430645381705728', '22#StartStop', '22#运行/停止', 'V106.3', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:23:13', '1', '2023-11-01 23:23:13', b'0', NULL, NULL),
	('1139430661344280576', '1139430641660118767', '1139430645381705728', '22#Alarm', '22#报警', 'V106.4', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:23:34', '1', '2023-11-01 23:23:34', b'0', NULL, NULL),
	('1139430661344280587', '1139430641660118767', '1139430645381705728', '22#Maintain', '22#维护', 'V106.5', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:23:34', '1', '2023-11-01 23:23:34', b'0', NULL, NULL),
	('1139430661591023616', '1139430641660118767', '1139430645415247872', '24#StartStop', '24#运行/停止', 'V107.1', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:24:35', '1', '2023-11-01 23:24:35', b'0', NULL, NULL),
	('1139430661655056306', '1139430641660118767', '1139514506182230016', '25#StartStop', '25#运行/停止', 'V107.4', 'System.Boolean', 'StartStop', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056317', '1139430641660118767', '1139514507023265792', '26#StartStop', '26#运行/停止', 'V107.7', 'System.Boolean', 'StartStop', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056327', '1139430641660118767', '1139514506182230016', '25#Alarm', '25#报警', 'V107.5', 'System.Boolean', 'Alarm', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056328', '1139430641660118767', '1139514507023265792', '26#Alarm', '26#报警', 'V108.0', 'System.Boolean', 'Alarm', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056339', '1139430641660118767', '1139514507023265792', '26#Maintain', '26#维护', 'V108.1', 'System.Boolean', 'Maintain', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056348', '1139430641660118767', '1139514506182230016', '25#Maintain', '25#维护', 'V107.6', 'System.Boolean', 'Maintain', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056384', '1139430641660118767', '1139430645415247872', '24#Alarm', '24#报警', 'V107.2', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056395', '1139430641660118767', '1139430645415247872', '24#Maintain', '24#维护', 'V107.3', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL);

-- 导出  表 cvdemcs.equipment_info 结构
DROP TABLE IF EXISTS `equipment_info`;
CREATE TABLE IF NOT EXISTS `equipment_info` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `equipment_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备编码',
  `equipment_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备名称',
  `equipment_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备类型：Ionbond，Balzers，Cemecon',
  `activated` bit(1) NOT NULL DEFAULT b'1' COMMENT '设备状态,1：启用，0：停用',
  `ordrNo` int DEFAULT '0' COMMENT '排序号',
  `model` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '模式：Auto 自动；Manual手动',
  `isAlarm` bit(1) DEFAULT NULL COMMENT '是否报警：true 报警；false 不报警（model为Auto)',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  `is_delete` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `delete_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '删除者',
  `delete_at` datetime DEFAULT NULL COMMENT '删除时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='设备信息';

-- 正在导出表  cvdemcs.equipment_info 的数据：~24 rows (大约)
DELETE FROM `equipment_info`;
INSERT INTO `equipment_info` (`id`, `equipment_code`, `equipment_name`, `equipment_type`, `activated`, `ordrNo`, `model`, `isAlarm`, `remark`, `create_by`, `create_at`, `update_by`, `update_at`, `is_delete`, `delete_by`, `delete_at`) VALUES
	('1139430644415823872', '5#', '5#', 'Import', b'1', 11, 'Auto', b'0', '第一', '1', '2023-11-01 22:14:41', '1', '2024-06-15 16:34:52', b'0', NULL, NULL),
	('1139430644475174912', '7#', '7#', 'Import', b'1', 12, 'Auto', b'0', '第一', '1', '2023-11-01 22:14:56', '1', '2024-06-15 16:35:00', b'0', NULL, NULL),
	('1139430644494802944', '27#', '27#', 'Import', b'1', 22, 'Auto', b'0', '第一', '1', '2023-11-01 22:15:01', '1', '2024-06-15 16:39:01', b'0', NULL, NULL),
	('1139430644789067776', '6#', '6#', 'Import', b'1', 7, 'Auto', b'0', '第一', '1', '2023-11-01 22:16:13', '1', '2024-06-15 16:34:57', b'0', NULL, NULL),
	('1139430644855181312', '8#', '8#', 'Import', b'1', 8, 'Auto', b'0', '第一', '1', '2023-11-01 22:16:29', '1', '2024-06-15 16:35:03', b'0', NULL, NULL),
	('1139430644904493056', '10#', '10#', 'Homegrown', b'1', 6, 'Auto', b'0', '第一', '1', '2023-11-01 22:16:41', '1', '2024-06-15 16:34:37', b'0', NULL, NULL),
	('1139430644963524608', '11#', '11#', 'Homegrown', b'1', 1, 'Auto', b'0', '第一', '1', '2023-11-01 22:16:55', '1', '2024-06-15 16:34:41', b'0', NULL, NULL),
	('1139430644997632000', '14#', '14#', 'Homegrown', b'1', 2, 'Auto', b'0', '第二', '1', '2023-11-01 22:17:04', '1', '2024-06-15 16:36:28', b'0', NULL, NULL),
	('1139430645041299456', '15#', '15#', 'Homegrown', b'1', 5, 'Auto', b'0', '第二', '1', '2023-11-01 22:17:14', '1', '2024-06-15 16:36:50', b'0', NULL, NULL),
	('1139430645079994368', '17#', '17#', 'Homegrown', b'1', 7, 'Auto', b'0', '第二', '1', '2023-11-01 22:17:24', '1', '2024-06-15 16:37:08', b'0', NULL, NULL),
	('1139430645119148032', '18#', '18#', 'Homegrown', b'1', 8, 'Auto', b'0', '第二', '1', '2023-11-01 22:17:33', '1', '2024-06-15 16:37:14', b'0', NULL, NULL),
	('1139430645193863168', '20#', '20#', 'Homegrown', b'1', 12, 'Auto', b'0', '第二', '1', '2023-11-01 22:17:51', '1', '2024-06-15 16:37:30', b'0', NULL, NULL),
	('1139430645247967232', '21#', '21#', 'Homegrown', b'1', 13, 'Auto', b'0', '第二', '1', '2023-11-01 22:18:05', '1', '2024-06-15 16:37:42', b'0', NULL, NULL),
	('1139430645318582272', '23#', '23#', 'Homegrown', b'1', 17, 'Auto', b'0', '第二', '1', '2023-11-01 22:18:22', '1', '2024-06-15 16:38:14', b'0', NULL, NULL),
	('1139430645348077568', '28#', '28#', 'Import', b'1', 18, 'Auto', b'0', '第一', '1', '2023-11-01 22:18:29', '1', '2024-06-15 16:34:49', b'0', NULL, NULL),
	('1139430645381705728', '22#', '22#', 'Homegrown', b'1', 14, 'Auto', b'0', '第二', '1', '2023-11-01 22:18:37', '1', '2024-06-15 16:37:48', b'0', NULL, NULL),
	('1139430645415247872', '24#', '24#', 'Homegrown', b'1', 18, 'Auto', b'0', '第二', '1', '2023-11-01 22:18:45', '1', '2024-06-15 16:38:19', b'0', NULL, NULL),
	('1139430645508157440', '9#', '9#', 'Homegrown', b'1', 5, 'Auto', b'0', '第一', '1', '2023-11-01 22:19:08', '1', '2024-06-15 16:35:06', b'0', NULL, NULL),
	('1139430645547446272', '12#', '12#', 'Homegrown', b'1', 2, 'Auto', b'0', '第一', '1', '2023-11-01 22:19:18', '1', '2024-06-15 16:34:45', b'0', NULL, NULL),
	('1139430645575229440', '13#', '13#', 'Homegrown', b'1', 1, 'Auto', b'0', '第二', '1', '2023-11-01 22:19:25', '1', '2024-06-15 16:36:24', b'0', NULL, NULL),
	('1139430645601857536', '16#', '16#', 'Homegrown', b'1', 6, 'Auto', b'0', '第二', '1', '2023-11-01 22:19:31', '1', '2024-06-15 16:36:57', b'0', NULL, NULL),
	('1139430645630369792', '19#', '19#', 'Homegrown', b'1', 11, 'Auto', b'0', '第二', '1', '2023-11-01 22:19:38', '1', '2024-06-15 16:37:25', b'0', NULL, NULL),
	('1139514506182230016', '25#', '25#', 'Homegrown', b'0', 23, 'Auto', b'0', '第二', '1', '2024-06-25 21:29:06', '1', '2024-07-01 11:28:20', b'0', NULL, NULL),
	('1139514507023265792', '26#', '26#', 'Homegrown', b'0', 24, 'Auto', b'0', '第一', '1', '2024-06-25 21:32:31', '1', '2024-07-01 11:28:33', b'0', NULL, NULL);

-- 导出  表 cvdemcs.equipment_record 结构
DROP TABLE IF EXISTS `equipment_record`;
CREATE TABLE IF NOT EXISTS `equipment_record` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `equipment_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备Id',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NOT NULL COMMENT '结束时间',
  `state` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0' COMMENT '设备状态,运行:Run，待机:Stop，报警:Alarm',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='设备状态记录明显';

-- 正在导出表  cvdemcs.equipment_record 的数据：~24 rows (大约)
DELETE FROM `equipment_record`;
INSERT INTO `equipment_record` (`id`, `equipment_id`, `start_time`, `end_time`, `state`, `create_by`, `create_at`, `update_by`, `update_at`) VALUES
	('4544237854673113088', '1139430644789067776', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674391040', '1139430644475174912', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674399232', '1139430644855181312', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674403328', '1139430644904493056', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674407424', '1139430644494802944', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674411520', '1139430644963524608', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674415616', '1139430644997632000', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674419712', '1139430645041299456', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674423808', '1139430645079994368', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674427904', '1139430645119148032', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674432000', '1139430645193863168', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674456576', '1139430645247967232', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674481152', '1139430645508157440', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674501632', '1139430645547446272', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Run', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674538496', '1139430645575229440', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674558976', '1139430645601857536', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674567168', '1139430645630369792', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674575360', '1139430645318582272', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674583552', '1139430645348077568', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674587648', '1139430645381705728', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237854674591744', '1139430645415247872', '2024-07-01 15:09:59', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-01 16:46:09'),
	('4544237871677231104', '1139430644415823872', '2024-07-01 16:19:11', '2024-07-01 16:46:09', 'Stop', '1', '2024-07-01 16:19:11', '1', '2024-07-01 16:46:09');

-- 导出  表 cvdemcs.equipment_record_day_total 结构
DROP TABLE IF EXISTS `equipment_record_day_total`;
CREATE TABLE IF NOT EXISTS `equipment_record_day_total` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `equipment_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备Id',
  `furnace_num` int NOT NULL COMMENT '开炉次数',
  `total_running_time` decimal(32,2) NOT NULL COMMENT '总运行时长',
  `total_alarm_time` decimal(32,2) NOT NULL COMMENT '总报警时长',
  `total_maintain_time` decimal(32,2) NOT NULL COMMENT '总维护时长',
  `total_stop_time` decimal(32,2) NOT NULL COMMENT '总待机时长',
  `total_day` datetime DEFAULT NULL COMMENT '日期',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='设备状态记录日统计\r\n';

-- 正在导出表  cvdemcs.equipment_record_day_total 的数据：~23 rows (大约)
DELETE FROM `equipment_record_day_total`;
INSERT INTO `equipment_record_day_total` (`id`, `equipment_id`, `furnace_num`, `total_running_time`, `total_alarm_time`, `total_maintain_time`, `total_stop_time`, `total_day`, `create_by`, `create_at`, `update_by`, `update_at`) VALUES
	('4544237854904315904', '1139430644789067776', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463360', '1139430644475174912', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463361', '1139430644855181312', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463362', '1139430644904493056', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463363', '1139430644494802944', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463364', '1139430644963524608', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463365', '1139430644997632000', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463366', '1139430645041299456', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463367', '1139430645079994368', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463368', '1139430645119148032', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463369', '1139430645193863168', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463370', '1139430645247967232', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463371', '1139430645508157440', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463372', '1139430645547446272', 0, 96.17, 0.00, 0.00, 0.00, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463373', '1139430645575229440', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463374', '1139430645601857536', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463375', '1139430645630369792', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463376', '1139430645318582272', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463377', '1139430645348077568', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463378', '1139430645381705728', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237854904463379', '1139430645415247872', 0, 0.00, 0.00, 0.00, 96.17, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-01 16:46:10'),
	('4544237871910985728', '1139430644415823872', 0, 0.00, 0.00, 0.00, 26.97, '2024-07-01 00:00:00', '1', '2024-07-01 16:20:08', '1', '2024-07-01 16:46:10');

-- 导出  表 cvdemcs.equipment_record_total 结构
DROP TABLE IF EXISTS `equipment_record_total`;
CREATE TABLE IF NOT EXISTS `equipment_record_total` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `equipment_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备Id',
  `furnace_num` int NOT NULL COMMENT '开炉次数',
  `total_running_time` decimal(32,2) NOT NULL COMMENT '总运行时长',
  `total_alarm_time` decimal(32,2) NOT NULL COMMENT '总报警时长',
  `total_maintain_time` decimal(32,2) NOT NULL COMMENT '总维护时长',
  `total_stop_time` decimal(32,2) NOT NULL COMMENT '总待机时长',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='设备状态记录统计\r\n';

-- 正在导出表  cvdemcs.equipment_record_total 的数据：~0 rows (大约)
DELETE FROM `equipment_record_total`;
INSERT INTO `equipment_record_total` (`id`, `equipment_id`, `furnace_num`, `total_running_time`, `total_alarm_time`, `total_maintain_time`, `total_stop_time`, `create_by`, `create_at`, `update_by`, `update_at`) VALUES
	('4544237862031273984', '1139430644789067776', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273985', '1139430644475174912', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273986', '1139430644855181312', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273987', '1139430644904493056', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273988', '1139430644494802944', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273989', '1139430644963524608', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273990', '1139430644997632000', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273991', '1139430645041299456', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273992', '1139430645079994368', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273993', '1139430645119148032', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273994', '1139430645193863168', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273995', '1139430645247967232', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273996', '1139430645508157440', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273997', '1139430645547446272', 0, 68.60, 0.00, 0.00, 0.00, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273998', '1139430645575229440', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031273999', '1139430645601857536', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031274000', '1139430645630369792', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031274001', '1139430645318582272', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031274002', '1139430645348077568', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031274003', '1139430645381705728', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08'),
	('4544237862031274004', '1139430645415247872', 0, 0.00, 0.00, 0.00, 68.60, '1', '2024-07-01 15:39:56', '1', '2024-07-01 16:19:08');

-- 导出  表 cvdemcs.sys_config 结构
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE IF NOT EXISTS `sys_config` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_at` datetime DEFAULT NULL COMMENT '更新时间',
  `is_delete` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `delete_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '删除者',
  `delete_at` datetime DEFAULT NULL COMMENT '删除时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='参数配置表';

-- 正在导出表  cvdemcs.sys_config 的数据：~4 rows (大约)
DELETE FROM `sys_config`;
INSERT INTO `sys_config` (`id`, `config_name`, `config_key`, `config_value`, `config_type`, `remark`, `create_by`, `create_at`, `update_by`, `update_at`, `is_delete`, `delete_by`, `delete_at`) VALUES
	('1139430640712261632', '进口炉开炉时间', 'Import', '1360', 'Y', '单位分钟', '1', '2023-11-01 21:59:37', '1', '2023-11-01 21:59:37', b'0', NULL, NULL),
	('1139430640965279744', '国产炉开炉时间', 'Homegrown', '1360', 'Y', '单位分钟', '1', '2023-11-01 22:00:39', '1', '2023-11-01 22:00:39', b'0', NULL, NULL),
	('1139439143692111872', '进口炉补偿时间', 'ImportOffset', '0', 'Y', '单位分钟', '1', '2023-11-25 22:38:20', '1', '2023-11-25 22:38:20', b'0', NULL, NULL),
	('1139439143779528704', '国产炉补偿时间', 'HomegrownOffset', '0', 'Y', '单位分钟', '1', '2023-11-25 22:38:41', '1', '2023-11-25 22:38:41', b'0', NULL, NULL);

-- 导出  表 cvdemcs.sys_user 结构
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE IF NOT EXISTS `sys_user` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户ID',
  `dept_id` bigint DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户昵称',
  `user_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '密码',
  `activated` bit(1) DEFAULT b'1' COMMENT '帐号状态（1：启用，0：停用）',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_at` datetime DEFAULT NULL COMMENT '更新时间',
  `is_delete` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `delete_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '删除者',
  `delete_at` datetime DEFAULT NULL COMMENT '删除时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户信息表';

-- 正在导出表  cvdemcs.sys_user 的数据：~1 rows (大约)
DELETE FROM `sys_user`;
INSERT INTO `sys_user` (`id`, `dept_id`, `user_name`, `nick_name`, `user_type`, `email`, `phonenumber`, `sex`, `avatar`, `password`, `activated`, `remark`, `login_ip`, `login_date`, `create_by`, `create_at`, `update_by`, `update_at`, `is_delete`, `delete_by`, `delete_at`) VALUES
	('1139431320438677504', NULL, 'admin', 'admin', 'admin', '', '', '1', '', '0HN/nOGAJC/ri0W4pEtXj7U/mtZtlLfVTLRjbzC8Usg=', b'1', '', '', '2023-11-03 12:01:10', '1', '2023-11-03 20:05:26', '1', '2023-11-03 20:08:09', b'0', NULL, NULL);

/*!40103 SET TIME_ZONE=IFNULL(@OLD_TIME_ZONE, 'system') */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;
