-- --------------------------------------------------------
-- 主机:                           127.0.0.1
-- 服务器版本:                        8.0.38 - MySQL Community Server - GPL
-- 服务器操作系统:                      Win64
-- HeidiSQL 版本:                  12.7.0.6850
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 导出 cvdemcs 的数据库结构
CREATE DATABASE IF NOT EXISTS `cvdemcs` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `cvdemcs`;

-- 导出  表 cvdemcs.device_info 结构
CREATE TABLE IF NOT EXISTS `device_info` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `device_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制器编号',
  `device_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制器名称',
  `activated` bit(1) NOT NULL DEFAULT b'1' COMMENT '控制器状态,1：启用，0：停用',
  `protocol` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制器协议:PLC',
  `host` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制器主机地址',
  `port` int NOT NULL COMMENT '控制器主机端口',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  `delete_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '删除者',
  `delete_at` datetime DEFAULT NULL COMMENT '删除时间',
  `is_delete` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='PLC控制器';

-- 正在导出表  cvdemcs.device_info 的数据：~0 rows (大约)
DELETE FROM `device_info`;
INSERT INTO `device_info` (`id`, `device_code`, `device_name`, `activated`, `protocol`, `host`, `port`, `remark`, `create_by`, `create_at`, `update_by`, `update_at`, `delete_by`, `delete_at`, `is_delete`) VALUES
	('1139430641660118767', 'PLC01', '化学涂层', b'1', 'S7_200Smart', '192.168.88.104', 102, '11', '1', '2023-10-31 15:56:48', '1', '2023-10-31 15:56:48', NULL, NULL, b'0');

-- 导出  表 cvdemcs.device_point 结构
CREATE TABLE IF NOT EXISTS `device_point` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `device_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制器Id',
  `equipment_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '设备Id',
  `point_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '点位编号',
  `point_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '点位名称',
  `address` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'S7 数据存储地址，直连 存储区地址',
  `data_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '数据类型',
  `action_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '点位所属动作，启动停止：StartStop；故障：Fault',
  `activated` bit(1) NOT NULL DEFAULT b'1' COMMENT 'PLC 点位是否启用 (1 启用, 0 禁用)',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  `is_delete` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `delete_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '删除者',
  `delete_at` datetime DEFAULT NULL COMMENT '删除时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='PLC点位';

-- 正在导出表  cvdemcs.device_point 的数据：~72 rows (大约)
DELETE FROM `device_point`;
INSERT INTO `device_point` (`id`, `device_id`, `equipment_id`, `point_code`, `point_name`, `address`, `data_type`, `action_type`, `activated`, `remark`, `create_by`, `create_at`, `update_by`, `update_at`, `is_delete`, `delete_by`, `delete_at`) VALUES
	('1139430652538703872', '1139430641660118767', '1139430644415823872', '5#StartStop', '5#运行/停止', 'V100.0', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:47:45', '1', '2023-11-01 22:47:45', b'0', NULL, NULL),
	('1139430652834844573', '1139430641660118767', '1139430644415823872', '5#Alarm', '5#报警', 'V100.1', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:48:57', '1', '2023-11-01 22:48:57', b'0', NULL, NULL),
	('1139430652834844672', '1139430641660118767', '1139430644415823872', '5#Maintain', '5#维护', 'V100.2', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:48:57', '1', '2023-11-01 22:48:57', b'0', NULL, NULL),
	('1139430653154721792', '1139430641660118767', '1139430644789067776', '6#StartStop', '6#运行/停止', 'V100.3', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:50:15', '1', '2023-11-01 22:50:15', b'0', NULL, NULL),
	('1139430653293719552', '1139430641660118767', '1139430644789067776', '6#Maintain', '6#维护', 'V100.5', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:50:49', '1', '2023-11-01 22:50:49', b'0', NULL, NULL),
	('1139430653293719663', '1139430641660118767', '1139430644789067776', '6#Alarm', '6#报警', 'V100.4', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:50:49', '1', '2023-11-01 22:50:49', b'0', NULL, NULL),
	('1139430653565784064', '1139430641660118767', '1139430644475174912', '7#StartStop', '7#运行/停止', 'V100.6', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:51:55', '1', '2023-11-01 22:51:55', b'0', NULL, NULL),
	('1139430653695045632', '1139430641660118767', '1139430644475174912', '7#Alarm', '7#报警', 'V100.7', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:52:27', '1', '2023-11-01 22:52:27', b'0', NULL, NULL),
	('1139430653695045643', '1139430641660118767', '1139430644475174912', '7#Maintain', '7#维护', 'V101.0', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:52:27', '1', '2023-11-01 22:52:27', b'0', NULL, NULL),
	('1139430653912072192', '1139430641660118767', '1139430644855181312', '8#StartStop', '8#运行/停止', 'V101.1', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:53:20', '1', '2023-11-01 22:53:20', b'0', NULL, NULL),
	('1139430654035652608', '1139430641660118767', '1139430644855181312', '8#Maintain', '8#维护', 'V101.3', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:53:50', '1', '2023-11-01 22:53:50', b'0', NULL, NULL),
	('1139430654035652619', '1139430641660118767', '1139430644855181312', '8#Alarm', '8#报警', 'V101.2', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:53:50', '1', '2023-11-01 22:53:50', b'0', NULL, NULL),
	('1139430654315429888', '1139430641660118767', '1139430644904493056', '10#StartStop', '10#运行/停止', 'V101.7', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:54:58', '1', '2023-11-01 22:54:58', b'0', NULL, NULL),
	('1139430654377500672', '1139430641660118767', '1139430644904493056', '10#Alarm', '10#报警', 'V102.0', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:55:14', '1', '2023-11-01 22:55:14', b'0', NULL, NULL),
	('1139430654377500683', '1139430641660118767', '1139430644904493056', '10#Maintain', '10#维护', 'V102.1', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:55:14', '1', '2023-11-01 22:55:14', b'0', NULL, NULL),
	('1139430654608003072', '1139430641660118767', '1139430644494802944', '27#StartStop', '27#运行/停止', 'V108.2', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:56:10', '1', '2023-11-01 22:56:10', b'0', NULL, NULL),
	('1139430654678110208', '1139430641660118767', '1139430644494802944', '27#Alarm', '27#报警', 'V108.3', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:56:27', '1', '2023-11-01 22:56:27', b'0', NULL, NULL),
	('1139430654678110219', '1139430641660118767', '1139430644494802944', '27#Maintain', '27#维护', 'V108.4', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:56:27', '1', '2023-11-01 22:56:27', b'0', NULL, NULL),
	('1139430655076130816', '1139430641660118767', '1139430644963524608', '11#StartStop', '11#运行/停止', 'V102.2', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 22:58:04', '1', '2023-11-01 22:58:04', b'0', NULL, NULL),
	('1139430655186042880', '1139430641660118767', '1139430644963524608', '11#Alarm', '11#报警', 'V102.3', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 22:58:31', '1', '2023-11-01 22:58:31', b'0', NULL, NULL),
	('1139430655186042891', '1139430641660118767', '1139430644963524608', '11#Maintain', '11#维护', 'V102.4', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 22:58:31', '1', '2023-11-01 22:58:31', b'0', NULL, NULL),
	('1139430655586398208', '1139430641660118767', '1139430644997632000', '14#StartStop', '14#运行/停止', 'V103.3', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:00:09', '1', '2023-11-01 23:00:09', b'0', NULL, NULL),
	('1139430655924822016', '1139430641660118767', '1139430644997632000', '14#Alarm', '14#报警', 'V103.4', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:01:31', '1', '2023-11-01 23:01:31', b'0', NULL, NULL),
	('1139430655924822027', '1139430641660118767', '1139430644997632000', '14#Maintain', '14#维护', 'V103.5', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:01:31', '1', '2023-11-01 23:01:31', b'0', NULL, NULL),
	('1139430656266252288', '1139430641660118767', '1139430645041299456', '15#StartStop', '15#运行/停止', 'V103.6', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:02:55', '1', '2023-11-01 23:02:55', b'0', NULL, NULL),
	('1139430656341700608', '1139430641660118767', '1139430645041299456', '15#Alarm', '15#报警', 'V103.7', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:03:13', '1', '2023-11-01 23:03:13', b'0', NULL, NULL),
	('1139430656341700619', '1139430641660118767', '1139430645041299456', '15#Maintain', '15#维护', 'V104.0', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:03:13', '1', '2023-11-01 23:03:13', b'0', NULL, NULL),
	('1139430656716185600', '1139430641660118767', '1139430645079994368', '17#StartStop', '17#运行/停止', 'V104.4', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:04:44', '1', '2023-11-01 23:04:44', b'0', NULL, NULL),
	('1139430656809283584', '1139430641660118767', '1139430645079994368', '17#Alarm', '17#报警', 'V104.5', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:05:07', '1', '2023-11-01 23:05:07', b'0', NULL, NULL),
	('1139430656809283595', '1139430641660118767', '1139430645079994368', '17#Maintain', '17#维护', 'V104.6', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:05:07', '1', '2023-11-01 23:05:07', b'0', NULL, NULL),
	('1139430657076408320', '1139430641660118767', '1139430645119148032', '18#StartStop', '18#运行/停止', 'V104.7', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:06:12', '1', '2023-11-01 23:06:12', b'0', NULL, NULL),
	('1139430657259327488', '1139430641660118767', '1139430645119148032', '18#Alarm', '18#报警', 'V105.0', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:06:57', '1', '2023-11-01 23:06:57', b'0', NULL, NULL),
	('1139430657259327491', '1139430641660118767', '1139430645119148032', '18#Maintain', '18#维护', 'V105.1', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:06:57', '1', '2023-11-01 23:06:57', b'0', NULL, NULL),
	('1139430657605267456', '1139430641660118767', '1139430645193863168', '20#StartStop', '20#运行/停止', 'V105.5', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:08:22', '1', '2023-11-01 23:08:22', b'0', NULL, NULL),
	('1139430657710931968', '1139430641660118767', '1139430645193863168', '20#Alarm', '20#报警', 'V105.6', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:08:47', '1', '2023-11-01 23:08:47', b'0', NULL, NULL),
	('1139430657710931979', '1139430641660118767', '1139430645193863168', '20#Maintain', '20#维护', 'V105.7', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:08:47', '1', '2023-11-01 23:08:47', b'0', NULL, NULL),
	('1139430658076295168', '1139430641660118767', '1139430645247967232', '21#StartStop', '21#运行/停止', 'V106.0', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:10:17', '1', '2023-11-01 23:10:17', b'0', NULL, NULL),
	('1139430658207510528', '1139430641660118767', '1139430645247967232', '21#Alarm', '21#报警', 'V106.1', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:10:49', '1', '2023-11-01 23:10:49', b'0', NULL, NULL),
	('1139430658207510539', '1139430641660118767', '1139430645247967232', '21#Maintain', '21#维护', 'V106.2', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:10:49', '1', '2023-11-01 23:10:49', b'0', NULL, NULL),
	('1139430658817884160', '1139430641660118767', '1139430645508157440', '9#StartStop', '9#运行/停止', 'V101.4', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:13:18', '1', '2023-11-01 23:13:18', b'0', NULL, NULL),
	('1139430658905145344', '1139430641660118767', '1139430645508157440', '9#Alarm', '9#报警', 'V101.5', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:13:39', '1', '2023-11-01 23:13:39', b'0', NULL, NULL),
	('1139430658905145355', '1139430641660118767', '1139430645508157440', '9#Maintain', '9#维护', 'V101.6', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:13:39', '1', '2023-11-01 23:13:39', b'0', NULL, NULL),
	('1139430659161649152', '1139430641660118767', '1139430645547446272', '12#StartStop', '12#运行/停止', 'V102.5', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:14:42', '1', '2023-11-01 23:14:42', b'0', NULL, NULL),
	('1139430659252658176', '1139430641660118767', '1139430645547446272', '12#Alarm', '12#报警', 'V102.6', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:15:04', '1', '2023-11-01 23:15:04', b'0', NULL, NULL),
	('1139430659252658187', '1139430641660118767', '1139430645547446272', '12#Maintain', '12#维护', 'V102.7', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:15:04', '1', '2023-11-01 23:15:04', b'0', NULL, NULL),
	('1139430659591573504', '1139430641660118767', '1139430645575229440', '13#StartStop', '13#运行/停止', 'V103.0', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:16:26', '1', '2023-11-01 23:16:26', b'0', NULL, NULL),
	('1139430659657920512', '1139430641660118767', '1139430645575229440', '13#Alarm', '13#报警', 'V103.1', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:16:43', '1', '2023-11-01 23:16:43', b'0', NULL, NULL),
	('1139430659657920523', '1139430641660118767', '1139430645575229440', '13#Maintain', '13#维护', 'V103.2', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:16:43', '1', '2023-11-01 23:16:43', b'0', NULL, NULL),
	('1139430659835154432', '1139430641660118767', '1139430645601857536', '16#StartStop', '16#运行/停止', 'V104.1', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:17:26', '1', '2023-11-01 23:17:26', b'0', NULL, NULL),
	('1139430659901124608', '1139430641660118767', '1139430645601857536', '16#Alarm', '16#报警', 'V104.2', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:17:42', '1', '2023-11-01 23:17:42', b'0', NULL, NULL),
	('1139430659901124619', '1139430641660118767', '1139430645601857536', '16#Maintain', '16#维护', 'V104.3', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:17:42', '1', '2023-11-01 23:17:42', b'0', NULL, NULL),
	('1139430660127326208', '1139430641660118767', '1139430645630369792', '19#StartStop', '19#运行/停止', 'V105.2', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:18:37', '1', '2023-11-01 23:18:37', b'0', NULL, NULL),
	('1139430660250324903', '1139430641660118767', '1139430645630369792', '19#Maintain', '19#维护', 'V105.4', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:19:07', '1', '2023-11-01 23:19:07', b'0', NULL, NULL),
	('1139430660250324992', '1139430641660118767', '1139430645630369792', '19#Alarm', '19#报警', 'V105.3', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:19:07', '1', '2023-11-01 23:19:07', b'0', NULL, NULL),
	('1139430660545531904', '1139430641660118767', '1139430645318582272', '23#StartStop', '23#运行/停止', 'V106.6', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:20:19', '1', '2023-11-01 23:20:19', b'0', NULL, NULL),
	('1139430660641312768', '1139430641660118767', '1139430645318582272', '23#Alarm', '23#报警', 'V106.7', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:20:43', '1', '2023-11-01 23:20:43', b'0', NULL, NULL),
	('1139430660641312779', '1139430641660118767', '1139430645318582272', '23#Maintain', '23#维护', 'V107.0', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:20:43', '1', '2023-11-01 23:20:43', b'0', NULL, NULL),
	('1139430661001457664', '1139430641660118767', '1139430645348077568', '28#StartStop', '28#运行/停止', 'V108.5', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:22:11', '1', '2023-11-01 23:22:11', b'0', NULL, NULL),
	('1139430661088616448', '1139430641660118767', '1139430645348077568', '28#Alarm', '28#报警', 'V108.6', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:22:32', '1', '2023-11-01 23:22:32', b'0', NULL, NULL),
	('1139430661088616459', '1139430641660118767', '1139430645348077568', '28#Maintain', '28#维护', 'V108.7', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:22:32', '1', '2023-11-01 23:22:32', b'0', NULL, NULL),
	('1139430661257043968', '1139430641660118767', '1139430645381705728', '22#StartStop', '22#运行/停止', 'V106.3', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:23:13', '1', '2023-11-01 23:23:13', b'0', NULL, NULL),
	('1139430661344280576', '1139430641660118767', '1139430645381705728', '22#Alarm', '22#报警', 'V106.4', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:23:34', '1', '2023-11-01 23:23:34', b'0', NULL, NULL),
	('1139430661344280587', '1139430641660118767', '1139430645381705728', '22#Maintain', '22#维护', 'V106.5', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:23:34', '1', '2023-11-01 23:23:34', b'0', NULL, NULL),
	('1139430661591023616', '1139430641660118767', '1139430645415247872', '24#StartStop', '24#运行/停止', 'V107.1', 'System.Boolean', 'StartStop', b'1', '', '1', '2023-11-01 23:24:35', '1', '2023-11-01 23:24:35', b'0', NULL, NULL),
	('1139430661655056306', '1139430641660118767', '1139514506182230016', '25#StartStop', '25#运行/停止', 'V107.4', 'System.Boolean', 'StartStop', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056317', '1139430641660118767', '1139514507023265792', '26#StartStop', '26#运行/停止', 'V107.7', 'System.Boolean', 'StartStop', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056327', '1139430641660118767', '1139514506182230016', '25#Alarm', '25#报警', 'V107.5', 'System.Boolean', 'Alarm', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056328', '1139430641660118767', '1139514507023265792', '26#Alarm', '26#报警', 'V108.0', 'System.Boolean', 'Alarm', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056339', '1139430641660118767', '1139514507023265792', '26#Maintain', '26#维护', 'V108.1', 'System.Boolean', 'Maintain', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056348', '1139430641660118767', '1139514506182230016', '25#Maintain', '25#维护', 'V107.6', 'System.Boolean', 'Maintain', b'0', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056384', '1139430641660118767', '1139430645415247872', '24#Alarm', '24#报警', 'V107.2', 'System.Boolean', 'Alarm', b'1', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL),
	('1139430661655056395', '1139430641660118767', '1139430645415247872', '24#Maintain', '24#维护', 'V107.3', 'System.Boolean', 'Maintain', b'1', '', '1', '2023-11-01 23:24:50', '1', '2023-11-01 23:24:50', b'0', NULL, NULL);

-- 导出  表 cvdemcs.equipment_info 结构
CREATE TABLE IF NOT EXISTS `equipment_info` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `equipment_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备编码',
  `equipment_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备名称',
  `equipment_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备类型：Ionbond，Balzers，Cemecon',
  `activated` bit(1) NOT NULL DEFAULT b'1' COMMENT '设备状态,1：启用，0：停用',
  `ordrNo` int DEFAULT '0' COMMENT '排序号',
  `model` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '模式：Auto 自动；Manual手动',
  `IsMaintain` bit(1) DEFAULT NULL COMMENT '是否维护：true 维护；false 不维护（model为Auto)',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  `is_delete` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `delete_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '删除者',
  `delete_at` datetime DEFAULT NULL COMMENT '删除时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='设备信息';

-- 正在导出表  cvdemcs.equipment_info 的数据：~24 rows (大约)
DELETE FROM `equipment_info`;
INSERT INTO `equipment_info` (`id`, `equipment_code`, `equipment_name`, `equipment_type`, `activated`, `ordrNo`, `model`, `IsMaintain`, `remark`, `create_by`, `create_at`, `update_by`, `update_at`, `is_delete`, `delete_by`, `delete_at`) VALUES
	('1139430644415823872', '5#', '5#', 'Import', b'1', 11, 'Auto', b'0', '第一', '1', '2023-11-01 22:14:41', '1', '2024-06-15 16:34:52', b'0', NULL, NULL),
	('1139430644475174912', '7#', '7#', 'Import', b'1', 12, 'Auto', b'0', '第一', '1', '2023-11-01 22:14:56', '1', '2024-06-15 16:35:00', b'0', NULL, NULL),
	('1139430644494802944', '27#', '27#', 'Import', b'1', 22, 'Auto', b'0', '第一', '1', '2023-11-01 22:15:01', '1', '2024-06-15 16:39:01', b'0', NULL, NULL),
	('1139430644789067776', '6#', '6#', 'Import', b'1', 7, 'Auto', b'0', '第一', '1', '2023-11-01 22:16:13', '1', '2024-06-15 16:34:57', b'0', NULL, NULL),
	('1139430644855181312', '8#', '8#', 'Import', b'1', 8, 'Auto', b'0', '第一', '1', '2023-11-01 22:16:29', '1', '2024-06-15 16:35:03', b'0', NULL, NULL),
	('1139430644904493056', '10#', '10#', 'Homegrown', b'1', 6, 'Manual', b'1', '第一', '1', '2023-11-01 22:16:41', '1', '2024-07-29 21:42:36', b'0', NULL, NULL),
	('1139430644963524608', '11#', '11#', 'Homegrown', b'1', 1, 'Auto', b'0', '第一', '1', '2023-11-01 22:16:55', '1', '2024-06-15 16:34:41', b'0', NULL, NULL),
	('1139430644997632000', '14#', '14#', 'Homegrown', b'1', 2, 'Auto', b'0', '第二', '1', '2023-11-01 22:17:04', '1', '2024-06-15 16:36:28', b'0', NULL, NULL),
	('1139430645041299456', '15#', '15#', 'Homegrown', b'1', 5, 'Auto', b'0', '第二', '1', '2023-11-01 22:17:14', '1', '2024-06-15 16:36:50', b'0', NULL, NULL),
	('1139430645079994368', '17#', '17#', 'Homegrown', b'1', 7, 'Auto', b'0', '第二', '1', '2023-11-01 22:17:24', '1', '2024-06-15 16:37:08', b'0', NULL, NULL),
	('1139430645119148032', '18#', '18#', 'Homegrown', b'1', 8, 'Auto', b'0', '第二', '1', '2023-11-01 22:17:33', '1', '2024-06-15 16:37:14', b'0', NULL, NULL),
	('1139430645193863168', '20#', '20#', 'Homegrown', b'1', 12, 'Auto', b'0', '第二', '1', '2023-11-01 22:17:51', '1', '2024-06-15 16:37:30', b'0', NULL, NULL),
	('1139430645247967232', '21#', '21#', 'Homegrown', b'1', 13, 'Auto', b'0', '第二', '1', '2023-11-01 22:18:05', '1', '2024-06-15 16:37:42', b'0', NULL, NULL),
	('1139430645318582272', '23#', '23#', 'Homegrown', b'1', 17, 'Auto', b'0', '第二', '1', '2023-11-01 22:18:22', '1', '2024-06-15 16:38:14', b'0', NULL, NULL),
	('1139430645348077568', '28#', '28#', 'Import', b'1', 18, 'Auto', b'0', '第一', '1', '2023-11-01 22:18:29', '1', '2024-06-15 16:34:49', b'0', NULL, NULL),
	('1139430645381705728', '22#', '22#', 'Homegrown', b'1', 14, 'Auto', b'0', '第二', '1', '2023-11-01 22:18:37', '1', '2024-06-15 16:37:48', b'0', NULL, NULL),
	('1139430645415247872', '24#', '24#', 'Homegrown', b'1', 18, 'Auto', b'0', '第二', '1', '2023-11-01 22:18:45', '1', '2024-06-15 16:38:19', b'0', NULL, NULL),
	('1139430645508157440', '9#', '9#', 'Homegrown', b'1', 5, 'Auto', b'0', '第一', '1', '2023-11-01 22:19:08', '1', '2024-06-15 16:35:06', b'0', NULL, NULL),
	('1139430645547446272', '12#', '12#', 'Homegrown', b'1', 2, 'Auto', b'0', '第一', '1', '2023-11-01 22:19:18', '1', '2024-06-15 16:34:45', b'0', NULL, NULL),
	('1139430645575229440', '13#', '13#', 'Homegrown', b'1', 1, 'Auto', b'0', '第二', '1', '2023-11-01 22:19:25', '1', '2024-06-15 16:36:24', b'0', NULL, NULL),
	('1139430645601857536', '16#', '16#', 'Homegrown', b'1', 6, 'Auto', b'0', '第二', '1', '2023-11-01 22:19:31', '1', '2024-06-15 16:36:57', b'0', NULL, NULL),
	('1139430645630369792', '19#', '19#', 'Homegrown', b'1', 11, 'Auto', b'0', '第二', '1', '2023-11-01 22:19:38', '1', '2024-06-15 16:37:25', b'0', NULL, NULL),
	('1139514506182230016', '25#', '25#', 'Homegrown', b'0', 23, 'Auto', b'0', '第二', '1', '2024-06-25 21:29:06', '1', '2024-07-03 09:36:05', b'0', NULL, NULL),
	('1139514507023265792', '26#', '26#', 'Homegrown', b'0', 24, 'Auto', b'0', '第一', '1', '2024-06-25 21:32:31', '1', '2024-07-03 09:36:11', b'0', NULL, NULL);

-- 导出  表 cvdemcs.equipment_record 结构
CREATE TABLE IF NOT EXISTS `equipment_record` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `equipment_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备Id',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NOT NULL COMMENT '结束时间',
  `state` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0' COMMENT '设备状态,运行:Run，待机:Stop，报警:Alarm',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='设备状态记录明显';

-- 正在导出表  cvdemcs.equipment_record 的数据：~1,510 rows (大约)
DELETE FROM `equipment_record`;
INSERT INTO `equipment_record` (`id`, `equipment_id`, `start_time`, `end_time`, `state`, `create_by`, `create_at`, `update_by`, `update_at`) VALUES
	('4544237854673113088', '1139430644789067776', '2024-07-01 15:09:59', '2024-07-02 19:28:03', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 19:28:03'),
	('4544237854674391040', '1139430644475174912', '2024-07-01 15:09:59', '2024-07-02 20:19:41', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 20:19:41'),
	('4544237854674399232', '1139430644855181312', '2024-07-01 15:09:59', '2024-07-02 23:50:43', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 23:50:43'),
	('4544237854674403328', '1139430644904493056', '2024-07-01 15:09:59', '2024-07-29 21:42:38', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-29 21:42:38'),
	('4544237854674407424', '1139430644494802944', '2024-07-01 15:09:59', '2024-07-02 23:58:31', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 23:58:31'),
	('4544237854674411520', '1139430644963524608', '2024-07-01 15:09:59', '2024-07-11 21:49:06', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-11 21:49:06'),
	('4544237854674415616', '1139430644997632000', '2024-07-01 15:09:59', '2024-07-02 23:58:31', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 23:58:31'),
	('4544237854674419712', '1139430645041299456', '2024-07-01 15:09:59', '2024-07-02 17:35:44', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 17:35:45'),
	('4544237854674423808', '1139430645079994368', '2024-07-01 15:09:59', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-04 18:00:20'),
	('4544237854674427904', '1139430645119148032', '2024-07-01 15:09:59', '2024-07-02 22:35:21', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 22:35:21'),
	('4544237854674432000', '1139430645193863168', '2024-07-01 15:09:59', '2024-07-02 17:35:44', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 17:35:45'),
	('4544237854674456576', '1139430645247967232', '2024-07-01 15:09:59', '2024-07-02 17:35:44', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 17:35:45'),
	('4544237854674481152', '1139430645508157440', '2024-07-01 15:09:59', '2024-07-10 13:41:50', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-10 13:41:50'),
	('4544237854674501632', '1139430645547446272', '2024-07-01 15:09:59', '2024-07-04 14:54:18', 'Run', '1', '2024-07-01 15:10:00', '1', '2024-07-04 14:54:18'),
	('4544237854674538496', '1139430645575229440', '2024-07-01 15:09:59', '2024-07-02 17:35:44', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 17:35:45'),
	('4544237854674558976', '1139430645601857536', '2024-07-01 15:09:59', '2024-07-02 17:35:44', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 17:35:45'),
	('4544237854674567168', '1139430645630369792', '2024-07-01 15:09:59', '2024-07-02 19:47:18', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 19:47:18'),
	('4544237854674575360', '1139430645318582272', '2024-07-01 15:09:59', '2024-07-02 17:35:44', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 17:35:45'),
	('4544237854674583552', '1139430645348077568', '2024-07-01 15:09:59', '2024-07-02 17:35:44', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 17:35:45'),
	('4544237854674587648', '1139430645381705728', '2024-07-01 15:09:59', '2024-07-02 17:35:44', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 17:35:45'),
	('4544237854674591744', '1139430645415247872', '2024-07-01 15:09:59', '2024-07-02 21:17:59', 'Stop', '1', '2024-07-01 15:10:00', '1', '2024-07-02 21:17:59'),
	('4544237871677231104', '1139430644415823872', '2024-07-01 16:19:11', '2024-07-02 18:01:57', 'Stop', '1', '2024-07-01 16:19:11', '1', '2024-07-02 18:01:57'),
	('4544238244387373056', '1139430645041299456', '2024-07-02 17:35:44', '2024-07-02 21:55:25', 'Alarm', '1', '2024-07-02 17:35:45', '1', '2024-07-02 21:55:25'),
	('4544238244387438592', '1139430645193863168', '2024-07-02 17:35:44', '2024-07-03 11:10:48', 'Maintain', '1', '2024-07-02 17:35:45', '1', '2024-07-03 11:10:48'),
	('4544238244387446784', '1139430645247967232', '2024-07-02 17:35:44', '2024-07-04 10:36:15', 'Maintain', '1', '2024-07-02 17:35:45', '1', '2024-07-04 10:36:15'),
	('4544238244387459072', '1139430645575229440', '2024-07-02 17:35:44', '2024-07-02 21:05:20', 'Alarm', '1', '2024-07-02 17:35:45', '1', '2024-07-02 21:05:20'),
	('4544238244387463168', '1139430645601857536', '2024-07-02 17:35:44', '2024-07-03 12:48:48', 'Alarm', '1', '2024-07-02 17:35:45', '1', '2024-07-03 12:48:48'),
	('4544238244387467264', '1139430645318582272', '2024-07-02 17:35:44', '2024-07-03 16:39:11', 'Maintain', '1', '2024-07-02 17:35:45', '1', '2024-07-03 16:39:11'),
	('4544238244387471360', '1139430645348077568', '2024-07-02 17:35:44', '2024-07-02 21:55:25', 'Maintain', '1', '2024-07-02 17:35:45', '1', '2024-07-02 21:55:25'),
	('4544238244387475456', '1139430645381705728', '2024-07-02 17:35:44', '2024-07-03 00:41:18', 'Maintain', '1', '2024-07-02 17:35:45', '1', '2024-07-03 00:41:18'),
	('4544238250827706368', '1139430644415823872', '2024-07-02 18:01:57', '2024-07-02 18:02:03', 'Alarm', '1', '2024-07-02 18:01:57', '1', '2024-07-02 18:02:03'),
	('4544238250852741120', '1139430644415823872', '2024-07-02 18:02:03', '2024-07-02 20:43:31', 'Stop', '1', '2024-07-02 18:02:03', '1', '2024-07-02 20:43:31'),
	('4544238271987937280', '1139430644789067776', '2024-07-02 19:28:03', '2024-07-02 19:29:10', 'Alarm', '1', '2024-07-02 19:28:03', '1', '2024-07-02 19:29:10'),
	('4544238272263344128', '1139430644789067776', '2024-07-02 19:29:10', '2024-07-02 20:13:37', 'Stop', '1', '2024-07-02 19:29:10', '1', '2024-07-02 20:13:37'),
	('4544238276718542848', '1139430645630369792', '2024-07-02 19:47:18', '2024-07-03 20:12:32', 'Maintain', '1', '2024-07-02 19:47:18', '1', '2024-07-03 20:12:32'),
	('4544238283186405376', '1139430644789067776', '2024-07-02 20:13:37', '2024-07-02 20:14:11', 'Alarm', '1', '2024-07-02 20:13:37', '1', '2024-07-02 20:14:11'),
	('4544238283324112896', '1139430644789067776', '2024-07-02 20:14:11', '2024-07-02 20:15:03', 'Stop', '1', '2024-07-02 20:14:11', '1', '2024-07-02 20:15:03'),
	('4544238283536961536', '1139430644789067776', '2024-07-02 20:15:03', '2024-07-02 20:15:06', 'Alarm', '1', '2024-07-02 20:15:03', '1', '2024-07-02 20:15:06'),
	('4544238283549499392', '1139430644789067776', '2024-07-02 20:15:06', '2024-07-03 14:28:17', 'Stop', '1', '2024-07-02 20:15:06', '1', '2024-07-03 14:28:17'),
	('4544238284675985408', '1139430644475174912', '2024-07-02 20:19:41', '2024-07-02 20:20:08', 'Alarm', '1', '2024-07-02 20:19:41', '1', '2024-07-02 20:20:08'),
	('4544238284788527104', '1139430644475174912', '2024-07-02 20:20:08', '2024-07-03 01:11:27', 'Stop', '1', '2024-07-02 20:20:08', '1', '2024-07-03 01:11:27'),
	('4544238290533277696', '1139430644415823872', '2024-07-02 20:43:31', '2024-07-02 20:45:36', 'Alarm', '1', '2024-07-02 20:43:31', '1', '2024-07-02 20:45:36'),
	('4544238291046330368', '1139430644415823872', '2024-07-02 20:45:36', '2024-07-02 20:55:53', 'Stop', '1', '2024-07-02 20:45:36', '1', '2024-07-02 20:55:53'),
	('4544238293574717440', '1139430644415823872', '2024-07-02 20:55:53', '2024-07-02 20:58:44', 'Alarm', '1', '2024-07-02 20:55:53', '1', '2024-07-02 20:58:44'),
	('4544238294275571712', '1139430644415823872', '2024-07-02 20:58:44', '2024-07-03 00:45:16', 'Stop', '1', '2024-07-02 20:58:44', '1', '2024-07-03 00:45:16'),
	('4544238295896317952', '1139430645575229440', '2024-07-02 21:05:20', '2024-07-03 04:48:03', 'Stop', '1', '2024-07-02 21:05:20', '1', '2024-07-03 04:48:03'),
	('4544238299006734336', '1139430645415247872', '2024-07-02 21:17:59', '2024-07-02 21:18:27', 'Run', '1', '2024-07-02 21:17:59', '1', '2024-07-02 21:18:27'),
	('4544238299119521792', '1139430645415247872', '2024-07-02 21:18:27', '2024-07-02 23:32:41', 'Stop', '1', '2024-07-02 21:18:27', '1', '2024-07-02 23:32:41'),
	('4544238308205703168', '1139430645041299456', '2024-07-02 21:55:25', '2024-07-03 19:34:49', 'Stop', '1', '2024-07-02 21:55:25', '1', '2024-07-03 19:34:49'),
	('4544238308205768704', '1139430645348077568', '2024-07-02 21:55:25', '2024-07-03 15:53:52', 'Stop', '1', '2024-07-02 21:55:25', '1', '2024-07-03 15:53:52'),
	('4544238318018416640', '1139430645119148032', '2024-07-02 22:35:21', '2024-07-04 10:34:34', 'Maintain', '1', '2024-07-02 22:35:21', '1', '2024-07-04 10:34:35'),
	('4544238332110831616', '1139430645415247872', '2024-07-02 23:32:41', '2024-07-02 23:33:36', 'Run', '1', '2024-07-02 23:32:41', '1', '2024-07-02 23:33:37'),
	('4544238332336222208', '1139430645415247872', '2024-07-02 23:33:36', '2024-07-04 17:28:13', 'Stop', '1', '2024-07-02 23:33:37', '1', '2024-07-04 17:28:13'),
	('4544238336541773824', '1139430644855181312', '2024-07-02 23:50:43', '2024-07-02 23:50:46', 'Alarm', '1', '2024-07-02 23:50:43', '1', '2024-07-02 23:50:46'),
	('4544238336554311680', '1139430644855181312', '2024-07-02 23:50:46', '2024-07-02 23:50:59', 'Stop', '1', '2024-07-02 23:50:46', '1', '2024-07-02 23:50:59'),
	('4544238336604323840', '1139430644855181312', '2024-07-02 23:50:59', '2024-07-02 23:51:17', 'Alarm', '1', '2024-07-02 23:50:59', '1', '2024-07-02 23:51:17'),
	('4544238336679493632', '1139430644855181312', '2024-07-02 23:51:17', '2024-07-02 23:54:14', 'Stop', '1', '2024-07-02 23:51:17', '1', '2024-07-02 23:54:14'),
	('4544238337405509632', '1139430644855181312', '2024-07-02 23:54:14', '2024-07-02 23:54:35', 'Alarm', '1', '2024-07-02 23:54:14', '1', '2024-07-02 23:54:35'),
	('4544238337493020672', '1139430644855181312', '2024-07-02 23:54:35', '2024-07-03 03:31:20', 'Stop', '1', '2024-07-02 23:54:35', '1', '2024-07-03 03:31:20'),
	('4544238338456645632', '1139430644494802944', '2024-07-02 23:58:31', '2024-07-04 04:47:35', 'Maintain', '1', '2024-07-02 23:58:31', '1', '2024-07-04 04:47:35'),
	('4544238338456657920', '1139430644997632000', '2024-07-02 23:58:31', '2024-07-03 15:53:55', 'Alarm', '1', '2024-07-02 23:58:31', '1', '2024-07-03 15:53:55'),
	('4544238348970348544', '1139430645381705728', '2024-07-03 00:41:18', '2024-07-03 11:35:40', 'Stop', '1', '2024-07-03 00:41:18', '1', '2024-07-03 11:35:40'),
	('4544238349946408960', '1139430644415823872', '2024-07-03 00:45:16', '2024-07-03 00:45:43', 'Alarm', '1', '2024-07-03 00:45:16', '1', '2024-07-03 00:45:43'),
	('4544238350059167744', '1139430644415823872', '2024-07-03 00:45:43', '2024-07-03 00:47:49', 'Stop', '1', '2024-07-03 00:45:43', '1', '2024-07-03 00:47:49'),
	('4544238350572085248', '1139430644415823872', '2024-07-03 00:47:49', '2024-07-03 00:48:01', 'Alarm', '1', '2024-07-03 00:47:49', '1', '2024-07-03 00:48:01'),
	('4544238350622195712', '1139430644415823872', '2024-07-03 00:48:01', '2024-07-03 00:48:50', 'Stop', '1', '2024-07-03 00:48:01', '1', '2024-07-03 00:48:50'),
	('4544238350822346752', '1139430644415823872', '2024-07-03 00:48:50', '2024-07-03 00:48:59', 'Alarm', '1', '2024-07-03 00:48:50', '1', '2024-07-03 00:48:59'),
	('4544238350859972608', '1139430644415823872', '2024-07-03 00:48:59', '2024-07-03 00:50:21', 'Stop', '1', '2024-07-03 00:48:59', '1', '2024-07-03 00:50:21'),
	('4544238351197659136', '1139430644415823872', '2024-07-03 00:50:21', '2024-07-03 00:50:37', 'Alarm', '1', '2024-07-03 00:50:21', '1', '2024-07-03 00:50:37'),
	('4544238351260336128', '1139430644415823872', '2024-07-03 00:50:37', '2024-07-03 01:08:20', 'Stop', '1', '2024-07-03 00:50:37', '1', '2024-07-03 01:08:20'),
	('4544238355617488896', '1139430644415823872', '2024-07-03 01:08:20', '2024-07-03 01:09:06', 'Alarm', '1', '2024-07-03 01:08:20', '1', '2024-07-03 01:09:06'),
	('4544238355805368320', '1139430644415823872', '2024-07-03 01:09:06', '2024-07-03 11:10:18', 'Stop', '1', '2024-07-03 01:09:06', '1', '2024-07-03 11:10:18'),
	('4544238356381765632', '1139430644475174912', '2024-07-03 01:11:27', '2024-07-03 01:14:49', 'Alarm', '1', '2024-07-03 01:11:27', '1', '2024-07-03 01:14:49'),
	('4544238357207961600', '1139430644475174912', '2024-07-03 01:14:49', '2024-07-03 04:13:27', 'Stop', '1', '2024-07-03 01:14:49', '1', '2024-07-03 04:13:27'),
	('4544238390759464960', '1139430644855181312', '2024-07-03 03:31:20', '2024-07-03 03:35:12', 'Alarm', '1', '2024-07-03 03:31:20', '1', '2024-07-03 03:35:12'),
	('4544238391710785536', '1139430644855181312', '2024-07-03 03:35:12', '2024-07-03 03:42:14', 'Stop', '1', '2024-07-03 03:35:12', '1', '2024-07-03 03:42:14'),
	('4544238393438158848', '1139430644855181312', '2024-07-03 03:42:14', '2024-07-03 03:46:55', 'Alarm', '1', '2024-07-03 03:42:14', '1', '2024-07-03 03:46:55'),
	('4544238394588233728', '1139430644855181312', '2024-07-03 03:46:55', '2024-07-03 03:58:10', 'Stop', '1', '2024-07-03 03:46:55', '1', '2024-07-03 03:58:10'),
	('4544238397354151936', '1139430644855181312', '2024-07-03 03:58:10', '2024-07-03 03:59:33', 'Alarm', '1', '2024-07-03 03:58:10', '1', '2024-07-03 03:59:33'),
	('4544238397692264448', '1139430644855181312', '2024-07-03 03:59:33', '2024-07-03 04:09:38', 'Stop', '1', '2024-07-03 03:59:33', '1', '2024-07-03 04:09:38'),
	('4544238400170127360', '1139430644855181312', '2024-07-03 04:09:38', '2024-07-03 04:09:44', 'Alarm', '1', '2024-07-03 04:09:38', '1', '2024-07-03 04:09:44'),
	('4544238400195215360', '1139430644855181312', '2024-07-03 04:09:44', '2024-07-03 08:11:44', 'Stop', '1', '2024-07-03 04:09:44', '1', '2024-07-03 08:11:44'),
	('4544238401108688896', '1139430644475174912', '2024-07-03 04:13:27', '2024-07-03 04:13:57', 'Alarm', '1', '2024-07-03 04:13:27', '1', '2024-07-03 04:13:57'),
	('4544238401233924096', '1139430644475174912', '2024-07-03 04:13:57', '2024-07-03 06:44:08', 'Stop', '1', '2024-07-03 04:13:57', '1', '2024-07-03 06:44:08'),
	('4544238409612664832', '1139430645575229440', '2024-07-03 04:48:03', '2024-07-03 04:48:33', 'Maintain', '1', '2024-07-03 04:48:03', '1', '2024-07-03 04:48:33'),
	('4544238409737973760', '1139430645575229440', '2024-07-03 04:48:33', '2024-07-03 04:56:51', 'Stop', '1', '2024-07-03 04:48:33', '1', '2024-07-03 04:56:51'),
	('4544238411777945600', '1139430645575229440', '2024-07-03 04:56:51', '2024-07-04 02:34:05', 'Alarm', '1', '2024-07-03 04:56:51', '1', '2024-07-04 02:34:05'),
	('4544238438141984768', '1139430644475174912', '2024-07-03 06:44:08', '2024-07-03 06:44:26', 'Alarm', '1', '2024-07-03 06:44:08', '1', '2024-07-03 06:44:26'),
	('4544238438217019392', '1139430644475174912', '2024-07-03 06:44:26', '2024-07-03 08:31:36', 'Stop', '1', '2024-07-03 06:44:26', '1', '2024-07-03 08:31:36'),
	('4544238459670786048', '1139430644855181312', '2024-07-03 08:11:44', '2024-07-03 08:12:42', 'Alarm', '1', '2024-07-03 08:11:44', '1', '2024-07-03 08:12:42'),
	('4544238459908640768', '1139430644855181312', '2024-07-03 08:12:42', '2024-07-03 08:21:43', 'Stop', '1', '2024-07-03 08:12:42', '1', '2024-07-03 08:21:43'),
	('4544238462124056576', '1139430644855181312', '2024-07-03 08:21:43', '2024-07-03 08:22:53', 'Alarm', '1', '2024-07-03 08:21:43', '1', '2024-07-03 08:22:53'),
	('4544238462412083200', '1139430644855181312', '2024-07-03 08:22:53', '2024-07-03 13:57:49', 'Stop', '1', '2024-07-03 08:22:53', '1', '2024-07-03 13:57:49'),
	('4544238464552988672', '1139430644475174912', '2024-07-03 08:31:36', '2024-07-03 08:31:51', 'Alarm', '1', '2024-07-03 08:31:36', '1', '2024-07-03 08:31:51'),
	('4544238464615391232', '1139430644475174912', '2024-07-03 08:31:51', '2024-07-03 23:59:12', 'Stop', '1', '2024-07-03 08:31:51', '1', '2024-07-03 23:59:12'),
	('4544238503554686976', '1139430644415823872', '2024-07-03 11:10:18', '2024-07-03 11:10:36', 'Alarm', '1', '2024-07-03 11:10:18', '1', '2024-07-03 11:10:36'),
	('4544238503629672448', '1139430644415823872', '2024-07-03 11:10:36', '2024-07-03 14:40:28', 'Stop', '1', '2024-07-03 11:10:36', '1', '2024-07-03 14:40:28'),
	('4544238503679844352', '1139430645193863168', '2024-07-03 11:10:48', '2024-07-03 11:11:16', 'Stop', '1', '2024-07-03 11:10:48', '1', '2024-07-03 11:11:16'),
	('4544238503792300032', '1139430645193863168', '2024-07-03 11:11:16', '2024-07-03 11:12:11', 'Maintain', '1', '2024-07-03 11:11:16', '1', '2024-07-03 11:12:11'),
	('4544238504017616896', '1139430645193863168', '2024-07-03 11:12:11', '2024-07-03 11:12:38', 'Stop', '1', '2024-07-03 11:12:11', '1', '2024-07-03 11:12:38'),
	('4544238504130289664', '1139430645193863168', '2024-07-03 11:12:38', '2024-07-03 11:12:51', 'Alarm', '1', '2024-07-03 11:12:38', '1', '2024-07-03 11:12:51'),
	('4544238504180334592', '1139430645193863168', '2024-07-03 11:12:51', '2024-07-03 11:14:07', 'Stop', '1', '2024-07-03 11:12:51', '1', '2024-07-03 11:14:07'),
	('4544238504493383680', '1139430645193863168', '2024-07-03 11:14:07', '2024-07-04 00:40:48', 'Maintain', '1', '2024-07-03 11:14:07', '1', '2024-07-04 00:40:48'),
	('4544238509790642176', '1139430645381705728', '2024-07-03 11:35:40', '2024-07-03 13:42:19', 'Alarm', '1', '2024-07-03 11:35:40', '1', '2024-07-03 13:42:19'),
	('4544238527762903040', '1139430645601857536', '2024-07-03 12:48:48', '2024-07-04 02:17:10', 'Stop', '1', '2024-07-03 12:48:48', '1', '2024-07-04 02:17:10'),
	('4544238540913881088', '1139430645381705728', '2024-07-03 13:42:19', '2024-07-03 13:42:46', 'Run', '1', '2024-07-03 13:42:19', '1', '2024-07-03 13:42:46'),
	('4544238541026480128', '1139430645381705728', '2024-07-03 13:42:46', '2024-07-03 16:10:04', 'Alarm', '1', '2024-07-03 13:42:46', '1', '2024-07-03 16:10:04'),
	('4544238544722075648', '1139430644855181312', '2024-07-03 13:57:49', '2024-07-03 13:57:55', 'Alarm', '1', '2024-07-03 13:57:49', '1', '2024-07-03 13:57:55'),
	('4544238544747155456', '1139430644855181312', '2024-07-03 13:57:55', '2024-07-03 14:06:56', 'Stop', '1', '2024-07-03 13:57:55', '1', '2024-07-03 14:06:56'),
	('4544238546964254720', '1139430644855181312', '2024-07-03 14:06:56', '2024-07-03 14:07:20', 'Alarm', '1', '2024-07-03 14:06:56', '1', '2024-07-03 14:07:20'),
	('4544238547064446976', '1139430644855181312', '2024-07-03 14:07:20', '2024-07-03 16:59:23', 'Stop', '1', '2024-07-03 14:07:20', '1', '2024-07-03 16:59:23'),
	('4544238552212983808', '1139430644789067776', '2024-07-03 14:28:17', '2024-07-03 14:28:23', 'Alarm', '1', '2024-07-03 14:28:17', '1', '2024-07-03 14:28:23'),
	('4544238552238067712', '1139430644789067776', '2024-07-03 14:28:23', '2024-07-03 16:39:38', 'Stop', '1', '2024-07-03 14:28:23', '1', '2024-07-03 16:39:38'),
	('4544238555206389760', '1139430644415823872', '2024-07-03 14:40:28', '2024-07-03 14:40:40', 'Alarm', '1', '2024-07-03 14:40:28', '1', '2024-07-03 14:40:40'),
	('4544238555256561664', '1139430644415823872', '2024-07-03 14:40:40', '2024-07-03 14:55:12', 'Stop', '1', '2024-07-03 14:40:40', '1', '2024-07-03 14:55:12'),
	('4544238558826377216', '1139430644415823872', '2024-07-03 14:55:12', '2024-07-03 14:55:30', 'Alarm', '1', '2024-07-03 14:55:12', '1', '2024-07-03 14:55:30'),
	('4544238558901583872', '1139430644415823872', '2024-07-03 14:55:30', '2024-07-03 16:41:00', 'Stop', '1', '2024-07-03 14:55:30', '1', '2024-07-03 16:41:00'),
	('4544238573243908096', '1139430645348077568', '2024-07-03 15:53:52', '2024-07-03 15:54:56', 'Run', '1', '2024-07-03 15:53:52', '1', '2024-07-03 15:54:56'),
	('4544238573256302592', '1139430644997632000', '2024-07-03 15:53:55', '2024-07-03 15:54:56', 'Maintain', '1', '2024-07-03 15:53:55', '1', '2024-07-03 15:54:56'),
	('4544238573506842624', '1139430644997632000', '2024-07-03 15:54:56', '2024-07-04 04:47:35', 'Alarm', '1', '2024-07-03 15:54:56', '1', '2024-07-04 04:47:35'),
	('4544238573506924544', '1139430645348077568', '2024-07-03 15:54:56', '2024-07-03 19:43:29', 'Stop', '1', '2024-07-03 15:54:56', '1', '2024-07-03 19:43:29'),
	('4544238577226031104', '1139430645381705728', '2024-07-03 16:10:04', '2024-07-03 16:10:13', 'Run', '1', '2024-07-03 16:10:04', '1', '2024-07-03 16:10:13'),
	('4544238577263738880', '1139430645381705728', '2024-07-03 16:10:13', '2024-07-03 17:01:58', 'Alarm', '1', '2024-07-03 16:10:13', '1', '2024-07-03 17:01:58'),
	('4544238584380088320', '1139430645318582272', '2024-07-03 16:39:11', '2024-07-04 09:17:06', 'Stop', '1', '2024-07-03 16:39:11', '1', '2024-07-04 09:17:06'),
	('4544238584492331008', '1139430644789067776', '2024-07-03 16:39:38', '2024-07-03 16:40:12', 'Alarm', '1', '2024-07-03 16:39:38', '1', '2024-07-03 16:40:12'),
	('4544238584630042624', '1139430644789067776', '2024-07-03 16:40:12', '2024-07-03 18:27:51', 'Stop', '1', '2024-07-03 16:40:12', '1', '2024-07-03 18:27:51'),
	('4544238584829857792', '1139430644415823872', '2024-07-03 16:41:00', '2024-07-03 16:41:03', 'Alarm', '1', '2024-07-03 16:41:00', '1', '2024-07-03 16:41:03'),
	('4544238584842301440', '1139430644415823872', '2024-07-03 16:41:03', '2024-07-03 16:54:35', 'Stop', '1', '2024-07-03 16:41:03', '1', '2024-07-03 16:54:35'),
	('4544238588168273920', '1139430644415823872', '2024-07-03 16:54:35', '2024-07-03 16:56:13', 'Run', '1', '2024-07-03 16:54:35', '1', '2024-07-03 16:56:13'),
	('4544238588568326144', '1139430644415823872', '2024-07-03 16:56:13', '2024-07-03 16:56:50', 'Stop', '1', '2024-07-03 16:56:13', '1', '2024-07-03 16:56:50'),
	('4544238588717895680', '1139430644415823872', '2024-07-03 16:56:50', '2024-07-03 17:10:56', 'Run', '1', '2024-07-03 16:56:50', '1', '2024-07-03 17:10:56'),
	('4544238589343956992', '1139430644855181312', '2024-07-03 16:59:23', '2024-07-03 16:59:29', 'Alarm', '1', '2024-07-03 16:59:23', '1', '2024-07-03 16:59:29'),
	('4544238589368909824', '1139430644855181312', '2024-07-03 16:59:29', '2024-07-03 21:09:27', 'Stop', '1', '2024-07-03 16:59:29', '1', '2024-07-03 21:09:27'),
	('4544238589982208000', '1139430645381705728', '2024-07-03 17:01:58', '2024-07-03 17:02:53', 'Run', '1', '2024-07-03 17:01:58', '1', '2024-07-03 17:02:53'),
	('4544238590207393792', '1139430645381705728', '2024-07-03 17:02:53', '2024-07-03 19:23:12', 'Alarm', '1', '2024-07-03 17:02:53', '1', '2024-07-03 19:23:12'),
	('4544238592185704448', '1139430644415823872', '2024-07-03 17:10:56', '2024-07-03 18:21:04', 'Stop', '1', '2024-07-03 17:10:56', '1', '2024-07-03 18:21:04'),
	('4544238609421443072', '1139430644415823872', '2024-07-03 18:21:04', '2024-07-03 18:22:27', 'Alarm', '1', '2024-07-03 18:21:04', '1', '2024-07-03 18:22:27'),
	('4544238609759813632', '1139430644415823872', '2024-07-03 18:22:27', '2024-07-03 19:40:35', 'Stop', '1', '2024-07-03 18:22:27', '1', '2024-07-03 19:40:35'),
	('4544238611087331328', '1139430644789067776', '2024-07-03 18:27:51', '2024-07-03 18:29:32', 'Alarm', '1', '2024-07-03 18:27:51', '1', '2024-07-03 18:29:32'),
	('4544238611500290048', '1139430644789067776', '2024-07-03 18:29:32', '2024-07-04 00:12:52', 'Stop', '1', '2024-07-03 18:29:32', '1', '2024-07-04 00:12:52'),
	('4544238624691277824', '1139430645381705728', '2024-07-03 19:23:12', '2024-07-04 17:28:10', 'Maintain', '1', '2024-07-03 19:23:12', '1', '2024-07-04 17:28:10'),
	('4544238627546943488', '1139430645041299456', '2024-07-03 19:34:49', '2024-07-03 19:35:23', 'Maintain', '1', '2024-07-03 19:34:49', '1', '2024-07-03 19:35:23'),
	('4544238627684679680', '1139430645041299456', '2024-07-03 19:35:23', '2024-07-03 19:43:29', 'Stop', '1', '2024-07-03 19:35:23', '1', '2024-07-03 19:43:29'),
	('4544238628961959936', '1139430644415823872', '2024-07-03 19:40:35', '2024-07-03 19:40:38', 'Alarm', '1', '2024-07-03 19:40:35', '1', '2024-07-03 19:40:38'),
	('4544238628974452736', '1139430644415823872', '2024-07-03 19:40:38', '2024-07-03 22:32:07', 'Stop', '1', '2024-07-03 19:40:38', '1', '2024-07-03 22:32:07'),
	('4544238629675655168', '1139430645041299456', '2024-07-03 19:43:29', '2024-07-04 05:30:43', 'Alarm', '1', '2024-07-03 19:43:29', '1', '2024-07-04 05:30:43'),
	('4544238629675741184', '1139430645348077568', '2024-07-03 19:43:29', '2024-07-04 17:28:10', 'Maintain', '1', '2024-07-03 19:43:29', '1', '2024-07-04 17:28:10'),
	('4544238636814499840', '1139430645630369792', '2024-07-03 20:12:32', '2024-07-03 20:51:31', 'Stop', '1', '2024-07-03 20:12:32', '1', '2024-07-03 20:51:31'),
	('4544238646395883520', '1139430645630369792', '2024-07-03 20:51:31', '2024-07-04 17:28:10', 'Maintain', '1', '2024-07-03 20:51:31', '1', '2024-07-04 17:28:10'),
	('4544238650802872320', '1139430644855181312', '2024-07-03 21:09:27', '2024-07-03 21:09:36', 'Alarm', '1', '2024-07-03 21:09:27', '1', '2024-07-03 21:09:36'),
	('4544238650840469504', '1139430644855181312', '2024-07-03 21:09:36', '2024-07-03 21:09:42', 'Stop', '1', '2024-07-03 21:09:36', '1', '2024-07-03 21:09:42'),
	('4544238650865541120', '1139430644855181312', '2024-07-03 21:09:42', '2024-07-03 21:09:49', 'Alarm', '1', '2024-07-03 21:09:42', '1', '2024-07-03 21:09:49'),
	('4544238650890608640', '1139430644855181312', '2024-07-03 21:09:49', '2024-07-03 21:12:55', 'Stop', '1', '2024-07-03 21:09:49', '1', '2024-07-03 21:12:55'),
	('4544238651654893568', '1139430644855181312', '2024-07-03 21:12:55', '2024-07-03 21:14:24', 'Alarm', '1', '2024-07-03 21:12:55', '1', '2024-07-03 21:14:24'),
	('4544238652017979392', '1139430644855181312', '2024-07-03 21:14:24', '2024-07-03 23:37:54', 'Stop', '1', '2024-07-03 21:14:24', '1', '2024-07-03 23:37:54'),
	('4544238671117672448', '1139430644415823872', '2024-07-03 22:32:07', '2024-07-03 22:32:28', 'Alarm', '1', '2024-07-03 22:32:07', '1', '2024-07-03 22:32:28'),
	('4544238671205490688', '1139430644415823872', '2024-07-03 22:32:28', '2024-07-04 02:28:50', 'Stop', '1', '2024-07-03 22:32:28', '1', '2024-07-04 02:28:50'),
	('4544238687286988800', '1139430644855181312', '2024-07-03 23:37:54', '2024-07-03 23:39:35', 'Alarm', '1', '2024-07-03 23:37:54', '1', '2024-07-03 23:39:35'),
	('4544238687700029440', '1139430644855181312', '2024-07-03 23:39:35', '2024-07-04 00:44:25', 'Stop', '1', '2024-07-03 23:39:35', '1', '2024-07-04 00:44:25'),
	('4544238692521975808', '1139430644475174912', '2024-07-03 23:59:12', '2024-07-04 00:09:21', 'Alarm', '1', '2024-07-03 23:59:12', '1', '2024-07-04 00:09:21'),
	('4544238695014133760', '1139430644475174912', '2024-07-04 00:09:21', '2024-07-04 01:11:50', 'Stop', '1', '2024-07-04 00:09:21', '1', '2024-07-04 01:11:50'),
	('4544238695878201344', '1139430644789067776', '2024-07-04 00:12:52', '2024-07-04 00:13:10', 'Alarm', '1', '2024-07-04 00:12:52', '1', '2024-07-04 00:13:10'),
	('4544238695953448960', '1139430644789067776', '2024-07-04 00:13:10', '2024-07-04 01:16:49', 'Stop', '1', '2024-07-04 00:13:10', '1', '2024-07-04 01:16:49'),
	('4544238702742069248', '1139430645193863168', '2024-07-04 00:40:48', '2024-07-04 10:29:10', 'Stop', '1', '2024-07-04 00:40:48', '1', '2024-07-04 10:29:10'),
	('4544238703631974400', '1139430644855181312', '2024-07-04 00:44:25', '2024-07-04 00:44:34', 'Alarm', '1', '2024-07-04 00:44:25', '1', '2024-07-04 00:44:34'),
	('4544238703669571584', '1139430644855181312', '2024-07-04 00:44:34', '2024-07-04 00:53:29', 'Stop', '1', '2024-07-04 00:44:34', '1', '2024-07-04 00:53:29'),
	('4544238705859870720', '1139430644855181312', '2024-07-04 00:53:29', '2024-07-04 00:54:39', 'Alarm', '1', '2024-07-04 00:53:29', '1', '2024-07-04 00:54:39'),
	('4544238706148188160', '1139430644855181312', '2024-07-04 00:54:39', '2024-07-04 01:04:26', 'Stop', '1', '2024-07-04 00:54:39', '1', '2024-07-04 01:04:26'),
	('4544238708553084928', '1139430644855181312', '2024-07-04 01:04:26', '2024-07-04 01:06:22', 'Alarm', '1', '2024-07-04 01:04:26', '1', '2024-07-04 01:06:22'),
	('4544238709028638720', '1139430644855181312', '2024-07-04 01:06:22', '2024-07-04 01:18:09', 'Stop', '1', '2024-07-04 01:06:22', '1', '2024-07-04 01:18:09'),
	('4544238710368403456', '1139430644475174912', '2024-07-04 01:11:50', '2024-07-04 01:11:59', 'Alarm', '1', '2024-07-04 01:11:50', '1', '2024-07-04 01:11:59'),
	('4544238710406082560', '1139430644475174912', '2024-07-04 01:11:59', '2024-07-04 05:33:50', 'Stop', '1', '2024-07-04 01:11:59', '1', '2024-07-04 05:33:50'),
	('4544238711595765760', '1139430644789067776', '2024-07-04 01:16:49', '2024-07-04 01:18:15', 'Alarm', '1', '2024-07-04 01:16:49', '1', '2024-07-04 01:18:15'),
	('4544238711920910336', '1139430644855181312', '2024-07-04 01:18:09', '2024-07-04 01:18:24', 'Alarm', '1', '2024-07-04 01:18:09', '1', '2024-07-04 01:18:24'),
	('4544238711946035200', '1139430644789067776', '2024-07-04 01:18:15', '2024-07-04 06:33:40', 'Stop', '1', '2024-07-04 01:18:15', '1', '2024-07-04 06:33:40'),
	('4544238711983616000', '1139430644855181312', '2024-07-04 01:18:24', '2024-07-04 04:25:40', 'Stop', '1', '2024-07-04 01:18:24', '1', '2024-07-04 04:25:40'),
	('4544238726427414528', '1139430645601857536', '2024-07-04 02:17:10', '2024-07-04 17:28:10', 'Alarm', '1', '2024-07-04 02:17:10', '1', '2024-07-04 17:28:10'),
	('4544238729294942208', '1139430644415823872', '2024-07-04 02:28:50', '2024-07-04 02:30:16', 'Alarm', '1', '2024-07-04 02:28:50', '1', '2024-07-04 02:30:16'),
	('4544238729645654016', '1139430644415823872', '2024-07-04 02:30:16', '2024-07-04 06:17:59', 'Stop', '1', '2024-07-04 02:30:16', '1', '2024-07-04 06:17:59'),
	('4544238730585411584', '1139430645575229440', '2024-07-04 02:34:05', '2024-07-04 02:34:21', 'Maintain', '1', '2024-07-04 02:34:05', '1', '2024-07-04 02:34:21'),
	('4544238730647814144', '1139430645575229440', '2024-07-04 02:34:21', '2024-07-04 17:28:10', 'Alarm', '1', '2024-07-04 02:34:21', '1', '2024-07-04 17:28:10'),
	('4544238758007529472', '1139430644855181312', '2024-07-04 04:25:40', '2024-07-04 04:27:58', 'Alarm', '1', '2024-07-04 04:25:40', '1', '2024-07-04 04:27:58'),
	('4544238758571180032', '1139430644855181312', '2024-07-04 04:27:58', '2024-07-04 04:35:40', 'Stop', '1', '2024-07-04 04:27:58', '1', '2024-07-04 04:35:40'),
	('4544238760463216640', '1139430644855181312', '2024-07-04 04:35:40', '2024-07-04 04:37:11', 'Alarm', '1', '2024-07-04 04:35:40', '1', '2024-07-04 04:37:11'),
	('4544238760838995968', '1139430644855181312', '2024-07-04 04:37:11', '2024-07-04 08:45:50', 'Stop', '1', '2024-07-04 04:37:11', '1', '2024-07-04 08:45:50'),
	('4544238763395051520', '1139430644494802944', '2024-07-04 04:47:35', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 04:47:35', '1', '2024-07-04 18:00:20'),
	('4544238763395072000', '1139430644997632000', '2024-07-04 04:47:35', '2024-07-04 19:32:14', 'Stop', '1', '2024-07-04 04:47:35', '1', '2024-07-04 19:32:14'),
	('4544238773993517056', '1139430645041299456', '2024-07-04 05:30:43', '2024-07-04 05:32:06', 'Maintain', '1', '2024-07-04 05:30:43', '1', '2024-07-04 05:32:06'),
	('4544238774331875328', '1139430645041299456', '2024-07-04 05:32:06', '2024-07-04 06:23:05', 'Alarm', '1', '2024-07-04 05:32:06', '1', '2024-07-04 06:23:05'),
	('4544238774757953536', '1139430644475174912', '2024-07-04 05:33:50', '2024-07-04 05:34:42', 'Alarm', '1', '2024-07-04 05:33:50', '1', '2024-07-04 05:34:42'),
	('4544238774970789888', '1139430644475174912', '2024-07-04 05:34:42', '2024-07-04 14:52:53', 'Stop', '1', '2024-07-04 05:34:42', '1', '2024-07-04 14:52:53'),
	('4544238785608679424', '1139430644415823872', '2024-07-04 06:17:59', '2024-07-04 06:19:03', 'Alarm', '1', '2024-07-04 06:17:59', '1', '2024-07-04 06:19:03'),
	('4544238785871716352', '1139430644415823872', '2024-07-04 06:19:03', '2024-07-04 06:20:23', 'Stop', '1', '2024-07-04 06:19:03', '1', '2024-07-04 06:20:23'),
	('4544238786197716992', '1139430644415823872', '2024-07-04 06:20:23', '2024-07-04 06:21:45', 'Alarm', '1', '2024-07-04 06:20:23', '1', '2024-07-04 06:21:45'),
	('4544238786536243200', '1139430644415823872', '2024-07-04 06:21:45', '2024-07-04 06:39:42', 'Stop', '1', '2024-07-04 06:21:45', '1', '2024-07-04 06:39:42'),
	('4544238786861809664', '1139430645041299456', '2024-07-04 06:23:05', '2024-07-04 06:24:49', 'Maintain', '1', '2024-07-04 06:23:05', '1', '2024-07-04 06:24:49'),
	('4544238787287781376', '1139430645041299456', '2024-07-04 06:24:49', '2024-07-04 06:36:17', 'Alarm', '1', '2024-07-04 06:24:49', '1', '2024-07-04 06:36:17'),
	('4544238789464276992', '1139430644789067776', '2024-07-04 06:33:40', '2024-07-04 06:34:01', 'Alarm', '1', '2024-07-04 06:33:40', '1', '2024-07-04 06:34:01'),
	('4544238789551865856', '1139430644789067776', '2024-07-04 06:34:01', '2024-07-04 08:59:39', 'Stop', '1', '2024-07-04 06:34:01', '1', '2024-07-04 08:59:39'),
	('4544238790105341952', '1139430645041299456', '2024-07-04 06:36:17', '2024-07-04 06:36:29', 'Maintain', '1', '2024-07-04 06:36:17', '1', '2024-07-04 06:36:29'),
	('4544238790155513856', '1139430645041299456', '2024-07-04 06:36:29', '2024-07-04 08:24:50', 'Alarm', '1', '2024-07-04 06:36:29', '1', '2024-07-04 08:24:50'),
	('4544238790945832960', '1139430644415823872', '2024-07-04 06:39:42', '2024-07-04 06:41:20', 'Alarm', '1', '2024-07-04 06:39:42', '1', '2024-07-04 06:41:20'),
	('4544238791346790400', '1139430644415823872', '2024-07-04 06:41:20', '2024-07-04 14:34:50', 'Stop', '1', '2024-07-04 06:41:20', '1', '2024-07-04 14:34:50'),
	('4544238816782999552', '1139430645041299456', '2024-07-04 08:24:50', '2024-07-04 08:25:42', 'Maintain', '1', '2024-07-04 08:24:50', '1', '2024-07-04 08:25:42'),
	('4544238816995979264', '1139430645041299456', '2024-07-04 08:25:42', '2024-07-04 08:38:36', 'Alarm', '1', '2024-07-04 08:25:42', '1', '2024-07-04 08:38:36'),
	('4544238820166230016', '1139430645041299456', '2024-07-04 08:38:36', '2024-07-04 08:39:24', 'Maintain', '1', '2024-07-04 08:38:36', '1', '2024-07-04 08:39:24'),
	('4544238820366417920', '1139430645041299456', '2024-07-04 08:39:24', '2024-07-04 17:28:10', 'Alarm', '1', '2024-07-04 08:39:24', '1', '2024-07-04 17:28:10'),
	('4544238821945417728', '1139430644855181312', '2024-07-04 08:45:50', '2024-07-04 08:46:18', 'Alarm', '1', '2024-07-04 08:45:50', '1', '2024-07-04 08:46:18'),
	('4544238822058283008', '1139430644855181312', '2024-07-04 08:46:18', '2024-07-04 08:55:50', 'Stop', '1', '2024-07-04 08:46:18', '1', '2024-07-04 08:55:50'),
	('4544238824401371136', '1139430644855181312', '2024-07-04 08:55:50', '2024-07-04 08:56:11', 'Alarm', '1', '2024-07-04 08:55:50', '1', '2024-07-04 08:56:11'),
	('4544238824489230336', '1139430644855181312', '2024-07-04 08:56:11', '2024-07-04 09:09:08', 'Stop', '1', '2024-07-04 08:56:11', '1', '2024-07-04 09:09:08'),
	('4544238825341562880', '1139430644789067776', '2024-07-04 08:59:39', '2024-07-04 09:00:37', 'Alarm', '1', '2024-07-04 08:59:39', '1', '2024-07-04 09:00:37'),
	('4544238825580285952', '1139430644789067776', '2024-07-04 09:00:37', '2024-07-04 09:18:40', 'Stop', '1', '2024-07-04 09:00:37', '1', '2024-07-04 09:18:40'),
	('4544238827673178112', '1139430644855181312', '2024-07-04 09:09:08', '2024-07-04 09:09:18', 'Alarm', '1', '2024-07-04 09:09:08', '1', '2024-07-04 09:09:18'),
	('4544238827710754816', '1139430644855181312', '2024-07-04 09:09:18', '2024-07-04 09:09:27', 'Stop', '1', '2024-07-04 09:09:18', '1', '2024-07-04 09:09:27'),
	('4544238827748454400', '1139430644855181312', '2024-07-04 09:09:27', '2024-07-04 09:09:33', 'Alarm', '1', '2024-07-04 09:09:27', '1', '2024-07-04 09:09:33'),
	('4544238827773587456', '1139430644855181312', '2024-07-04 09:09:33', '2024-07-04 09:19:11', 'Stop', '1', '2024-07-04 09:09:33', '1', '2024-07-04 09:19:11'),
	('4544238829628313600', '1139430645318582272', '2024-07-04 09:17:06', '2024-07-04 09:19:11', 'Run', '1', '2024-07-04 09:17:06', '1', '2024-07-04 09:19:11'),
	('4544238830016524288', '1139430644789067776', '2024-07-04 09:18:40', '2024-07-04 09:18:59', 'Alarm', '1', '2024-07-04 09:18:40', '1', '2024-07-04 09:18:59'),
	('4544238830091784192', '1139430644789067776', '2024-07-04 09:18:59', '2024-07-04 11:44:39', 'Stop', '1', '2024-07-04 09:18:59', '1', '2024-07-04 11:44:39'),
	('4544238830142050304', '1139430644855181312', '2024-07-04 09:19:11', '2024-07-04 09:19:33', 'Alarm', '1', '2024-07-04 09:19:11', '1', '2024-07-04 09:19:33'),
	('4544238830142189568', '1139430645318582272', '2024-07-04 09:19:11', '2024-07-04 11:46:01', 'Stop', '1', '2024-07-04 09:19:11', '1', '2024-07-04 11:46:01'),
	('4544238830229819392', '1139430644855181312', '2024-07-04 09:19:33', '2024-07-04 09:25:49', 'Stop', '1', '2024-07-04 09:19:33', '1', '2024-07-04 09:25:49'),
	('4544238831771422720', '1139430644855181312', '2024-07-04 09:25:49', '2024-07-04 09:25:52', 'Alarm', '1', '2024-07-04 09:25:49', '1', '2024-07-04 09:25:52'),
	('4544238831783981056', '1139430644855181312', '2024-07-04 09:25:52', '2024-07-04 09:26:04', 'Stop', '1', '2024-07-04 09:25:52', '1', '2024-07-04 09:26:04'),
	('4544238831834107904', '1139430644855181312', '2024-07-04 09:26:04', '2024-07-04 09:26:10', 'Alarm', '1', '2024-07-04 09:26:04', '1', '2024-07-04 09:26:10'),
	('4544238831859113984', '1139430644855181312', '2024-07-04 09:26:10', '2024-07-04 09:35:49', 'Stop', '1', '2024-07-04 09:26:10', '1', '2024-07-04 09:35:49'),
	('4544238834229047296', '1139430644855181312', '2024-07-04 09:35:49', '2024-07-04 09:36:07', 'Alarm', '1', '2024-07-04 09:35:49', '1', '2024-07-04 09:36:07'),
	('4544238834304278528', '1139430644855181312', '2024-07-04 09:36:07', '2024-07-04 09:55:00', 'Stop', '1', '2024-07-04 09:36:07', '1', '2024-07-04 09:55:00'),
	('4544238838942801920', '1139430644855181312', '2024-07-04 09:55:00', '2024-07-04 09:55:06', 'Alarm', '1', '2024-07-04 09:55:00', '1', '2024-07-04 09:55:06'),
	('4544238838967844864', '1139430644855181312', '2024-07-04 09:55:06', '2024-07-04 09:55:15', 'Stop', '1', '2024-07-04 09:55:06', '1', '2024-07-04 09:55:15'),
	('4544238839005462528', '1139430644855181312', '2024-07-04 09:55:15', '2024-07-04 09:55:18', 'Alarm', '1', '2024-07-04 09:55:15', '1', '2024-07-04 09:55:18'),
	('4544238839018012672', '1139430644855181312', '2024-07-04 09:55:18', '2024-07-04 10:05:00', 'Stop', '1', '2024-07-04 09:55:18', '1', '2024-07-04 10:05:00'),
	('4544238841399902208', '1139430644855181312', '2024-07-04 10:05:00', '2024-07-04 10:05:39', 'Alarm', '1', '2024-07-04 10:05:00', '1', '2024-07-04 10:05:39'),
	('4544238841563054080', '1139430644855181312', '2024-07-04 10:05:39', '2024-07-04 12:44:50', 'Stop', '1', '2024-07-04 10:05:39', '1', '2024-07-04 12:44:50'),
	('4544238847341453312', '1139430645193863168', '2024-07-04 10:29:10', '2024-07-04 10:29:16', 'Maintain', '1', '2024-07-04 10:29:10', '1', '2024-07-04 10:29:16'),
	('4544238847366598656', '1139430645193863168', '2024-07-04 10:29:16', '2024-07-05 18:20:36', 'Stop', '1', '2024-07-04 10:29:16', '1', '2024-07-05 18:20:36'),
	('4544238848669814784', '1139430645119148032', '2024-07-04 10:34:34', '2024-07-04 13:11:09', 'Stop', '1', '2024-07-04 10:34:35', '1', '2024-07-04 13:11:09'),
	('4544238849083379712', '1139430645247967232', '2024-07-04 10:36:15', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 10:36:15', '1', '2024-07-04 18:00:20'),
	('4544238865890091008', '1139430644789067776', '2024-07-04 11:44:39', '2024-07-04 11:45:15', 'Alarm', '1', '2024-07-04 11:44:39', '1', '2024-07-04 11:45:15'),
	('4544238866040516608', '1139430644789067776', '2024-07-04 11:45:15', '2024-07-04 12:54:22', 'Stop', '1', '2024-07-04 11:45:15', '1', '2024-07-04 12:54:22'),
	('4544238866228760576', '1139430645318582272', '2024-07-04 11:46:01', '2024-07-04 11:46:35', 'Run', '1', '2024-07-04 11:46:01', '1', '2024-07-04 11:46:35'),
	('4544238866366500864', '1139430645318582272', '2024-07-04 11:46:35', '2024-07-04 15:04:42', 'Stop', '1', '2024-07-04 11:46:35', '1', '2024-07-04 15:04:42'),
	('4544238880681676800', '1139430644855181312', '2024-07-04 12:44:50', '2024-07-04 12:45:05', 'Alarm', '1', '2024-07-04 12:44:50', '1', '2024-07-04 12:45:05'),
	('4544238880744239104', '1139430644855181312', '2024-07-04 12:45:05', '2024-07-04 12:49:44', 'Stop', '1', '2024-07-04 12:45:05', '1', '2024-07-04 12:49:44'),
	('4544238881884880896', '1139430644855181312', '2024-07-04 12:49:44', '2024-07-04 12:50:17', 'Alarm', '1', '2024-07-04 12:49:44', '1', '2024-07-04 12:50:17'),
	('4544238882022920192', '1139430644855181312', '2024-07-04 12:50:17', '2024-07-04 14:34:50', 'Stop', '1', '2024-07-04 12:50:17', '1', '2024-07-04 14:34:50'),
	('4544238883025354752', '1139430644789067776', '2024-07-04 12:54:22', '2024-07-04 12:55:02', 'Alarm', '1', '2024-07-04 12:54:22', '1', '2024-07-04 12:55:02'),
	('4544238883188273152', '1139430644789067776', '2024-07-04 12:55:02', '2024-07-04 13:23:19', 'Stop', '1', '2024-07-04 12:55:02', '1', '2024-07-04 13:23:19'),
	('4544238887150047232', '1139430645119148032', '2024-07-04 13:11:09', '2024-07-04 17:28:10', 'Maintain', '1', '2024-07-04 13:11:09', '1', '2024-07-04 17:28:10'),
	('4544238890139832320', '1139430644789067776', '2024-07-04 13:23:19', '2024-07-04 13:23:50', 'Alarm', '1', '2024-07-04 13:23:19', '1', '2024-07-04 13:23:50'),
	('4544238890265456640', '1139430644789067776', '2024-07-04 13:23:50', '2024-07-04 14:34:50', 'Stop', '1', '2024-07-04 13:23:50', '1', '2024-07-04 14:34:50'),
	('4544238907715473408', '1139430644415823872', '2024-07-04 14:34:50', '2024-07-04 17:28:10', 'Maintain', '1', '2024-07-04 14:34:50', '1', '2024-07-04 17:28:10'),
	('4544238907715477504', '1139430644789067776', '2024-07-04 14:34:50', '2024-07-04 17:28:10', 'Maintain', '1', '2024-07-04 14:34:50', '1', '2024-07-04 17:28:10'),
	('4544238907715481600', '1139430644855181312', '2024-07-04 14:34:50', '2024-07-04 17:28:10', 'Maintain', '1', '2024-07-04 14:34:50', '1', '2024-07-04 17:28:10'),
	('4544238912150573056', '1139430644475174912', '2024-07-04 14:52:53', '2024-07-04 14:53:08', 'Alarm', '1', '2024-07-04 14:52:53', '1', '2024-07-04 14:53:08'),
	('4544238912213348352', '1139430644475174912', '2024-07-04 14:53:08', '2024-07-04 15:12:49', 'Stop', '1', '2024-07-04 14:53:08', '1', '2024-07-04 15:12:49'),
	('4544238912501760000', '1139430645547446272', '2024-07-04 14:54:18', '2024-07-05 15:37:15', 'Stop', '1', '2024-07-04 14:54:18', '1', '2024-07-05 15:37:15'),
	('4544238915057430528', '1139430645318582272', '2024-07-04 15:04:42', '2024-07-04 15:09:02', 'Alarm', '1', '2024-07-04 15:04:42', '1', '2024-07-04 15:09:02'),
	('4544238916122255360', '1139430645318582272', '2024-07-04 15:09:02', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 15:09:02', '1', '2024-07-04 18:00:20'),
	('4544238917050773504', '1139430644475174912', '2024-07-04 15:12:49', '2024-07-04 17:28:10', 'Maintain', '1', '2024-07-04 15:12:49', '1', '2024-07-04 17:28:10'),
	('4544238950314061824', '1139430644415823872', '2024-07-04 17:28:10', '2024-07-04 18:00:17', 'Run', '1', '2024-07-04 17:28:10', '1', '2024-07-04 18:00:17'),
	('4544238950314110976', '1139430644789067776', '2024-07-04 17:28:10', '2024-07-04 18:00:17', 'Run', '1', '2024-07-04 17:28:10', '1', '2024-07-04 18:00:17'),
	('4544238950314119168', '1139430644475174912', '2024-07-04 17:28:10', '2024-07-04 18:00:17', 'Run', '1', '2024-07-04 17:28:10', '1', '2024-07-04 18:00:17'),
	('4544238950314123264', '1139430644855181312', '2024-07-04 17:28:10', '2024-07-04 18:00:17', 'Run', '1', '2024-07-04 17:28:10', '1', '2024-07-04 18:00:17'),
	('4544238950314139648', '1139430645041299456', '2024-07-04 17:28:10', '2024-07-04 18:00:17', 'Run', '1', '2024-07-04 17:28:10', '1', '2024-07-04 18:00:17'),
	('4544238950314147840', '1139430645119148032', '2024-07-04 17:28:10', '2024-07-04 18:00:17', 'Alarm', '1', '2024-07-04 17:28:10', '1', '2024-07-04 18:00:17'),
	('4544238950314164224', '1139430645575229440', '2024-07-04 17:28:10', '2024-07-04 18:00:17', 'Run', '1', '2024-07-04 17:28:10', '1', '2024-07-04 18:00:17'),
	('4544238950314164225', '1139430645601857536', '2024-07-04 17:28:10', '2024-07-04 18:00:17', 'Run', '1', '2024-07-04 17:28:10', '1', '2024-07-04 18:00:17'),
	('4544238950314168320', '1139430645630369792', '2024-07-04 17:28:10', '2024-07-04 18:00:17', 'Alarm', '1', '2024-07-04 17:28:10', '1', '2024-07-04 18:00:17'),
	('4544238950314172416', '1139430645348077568', '2024-07-04 17:28:10', '2024-07-04 17:41:50', 'Stop', '1', '2024-07-04 17:28:10', '1', '2024-07-04 17:41:50'),
	('4544238950314176512', '1139430645381705728', '2024-07-04 17:28:10', '2024-07-04 18:00:17', 'Alarm', '1', '2024-07-04 17:28:10', '1', '2024-07-04 18:00:17'),
	('4544238950326796288', '1139430645415247872', '2024-07-04 17:28:13', '2024-07-04 18:00:17', 'Alarm', '1', '2024-07-04 17:28:13', '1', '2024-07-04 18:00:17'),
	('4544238953674022912', '1139430645348077568', '2024-07-04 17:41:50', '2024-07-04 18:00:17', 'Alarm', '1', '2024-07-04 17:41:50', '1', '2024-07-04 18:00:17'),
	('4544238958206898176', '1139430644415823872', '2024-07-04 18:00:17', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 18:00:20'),
	('4544238958206910464', '1139430644789067776', '2024-07-04 18:00:17', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 18:00:20'),
	('4544238958206918656', '1139430644475174912', '2024-07-04 18:00:17', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 18:00:20'),
	('4544238958206930944', '1139430644855181312', '2024-07-04 18:00:17', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 18:00:20'),
	('4544238958207008768', '1139430645041299456', '2024-07-04 18:00:17', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 18:00:20'),
	('4544238958207041536', '1139430645119148032', '2024-07-04 18:00:17', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 18:00:20'),
	('4544238958207098880', '1139430645575229440', '2024-07-04 18:00:17', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 18:00:20'),
	('4544238958207107072', '1139430645601857536', '2024-07-04 18:00:17', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 18:00:20'),
	('4544238958207119360', '1139430645630369792', '2024-07-04 18:00:17', '2024-07-05 06:57:00', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-05 06:57:00'),
	('4544238958207135744', '1139430645348077568', '2024-07-04 18:00:17', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 18:00:20'),
	('4544238958207148032', '1139430645381705728', '2024-07-04 18:00:17', '2024-07-04 22:51:46', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 22:51:46'),
	('4544238958207156224', '1139430645415247872', '2024-07-04 18:00:17', '2024-07-04 18:00:20', 'Stop', '1', '2024-07-04 18:00:17', '1', '2024-07-04 18:00:20'),
	('4544238958219595776', '1139430644415823872', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219608064', '1139430644789067776', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219620352', '1139430644475174912', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219628544', '1139430644855181312', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219657216', '1139430644494802944', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Alarm', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219681792', '1139430645041299456', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219694080', '1139430645079994368', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219702272', '1139430645119148032', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219714560', '1139430645247967232', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219739136', '1139430645575229440', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219743232', '1139430645601857536', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219751424', '1139430645318582272', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219755520', '1139430645348077568', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Alarm', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238958219763712', '1139430645415247872', '2024-07-04 18:00:20', '2024-07-04 18:05:45', 'Run', '1', '2024-07-04 18:00:20', '1', '2024-07-04 18:05:45'),
	('4544238959549448192', '1139430644415823872', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549460480', '1139430644789067776', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549472768', '1139430644475174912', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549485056', '1139430644855181312', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549513728', '1139430644494802944', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549562880', '1139430645041299456', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549571072', '1139430645079994368', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549575168', '1139430645119148032', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549591552', '1139430645247967232', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549612032', '1139430645575229440', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549624320', '1139430645601857536', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549640704', '1139430645318582272', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549648896', '1139430645348077568', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959549657088', '1139430645415247872', '2024-07-04 18:05:45', '2024-07-04 18:05:48', 'Stop', '1', '2024-07-04 18:05:45', '1', '2024-07-04 18:05:48'),
	('4544238959562018816', '1139430644415823872', '2024-07-04 18:05:48', '2024-07-29 22:23:16', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-29 22:23:16'),
	('4544238959562022912', '1139430644789067776', '2024-07-04 18:05:48', '2024-07-04 19:27:32', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-04 19:27:32'),
	('4544238959562027008', '1139430644475174912', '2024-07-04 18:05:48', '2024-07-05 18:19:25', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-05 18:19:25'),
	('4544238959562031104', '1139430644855181312', '2024-07-04 18:05:48', '2024-07-05 10:40:56', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-05 10:40:56'),
	('4544238959562039296', '1139430644494802944', '2024-07-04 18:05:48', '2024-07-05 03:37:43', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-05 03:37:43'),
	('4544238959562051584', '1139430645041299456', '2024-07-04 18:05:48', '2024-07-05 02:04:52', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-05 02:04:52'),
	('4544238959562055680', '1139430645079994368', '2024-07-04 18:05:48', '2024-07-04 23:38:19', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-04 23:38:19'),
	('4544238959562059776', '1139430645119148032', '2024-07-04 18:05:48', '2024-07-04 18:48:42', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-04 18:48:42'),
	('4544238959562063872', '1139430645247967232', '2024-07-04 18:05:48', '2024-07-05 16:39:56', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-05 16:39:56'),
	('4544238959562076160', '1139430645575229440', '2024-07-04 18:05:48', '2024-07-06 05:43:21', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-06 05:43:21'),
	('4544238959562080256', '1139430645601857536', '2024-07-04 18:05:48', '2024-07-05 02:52:17', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-05 02:52:17'),
	('4544238959562084352', '1139430645318582272', '2024-07-04 18:05:48', '2024-07-05 00:46:53', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-05 00:46:53'),
	('4544238959562088448', '1139430645348077568', '2024-07-04 18:05:48', '2024-07-04 19:22:44', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-04 19:22:44'),
	('4544238959562096640', '1139430645415247872', '2024-07-04 18:05:48', '2024-07-05 06:30:26', 'Run', '1', '2024-07-04 18:05:48', '1', '2024-07-05 06:30:26'),
	('4544238970106544128', '1139430645119148032', '2024-07-04 18:48:42', '2024-07-04 19:59:55', 'Stop', '1', '2024-07-04 18:48:42', '1', '2024-07-04 19:59:55'),
	('4544238978468433920', '1139430645348077568', '2024-07-04 19:22:44', '2024-07-05 10:50:45', 'Stop', '1', '2024-07-04 19:22:44', '1', '2024-07-05 10:50:45'),
	('4544238979648618496', '1139430644789067776', '2024-07-04 19:27:32', '2024-07-04 21:11:06', 'Stop', '1', '2024-07-04 19:27:32', '1', '2024-07-04 21:11:06'),
	('4544238980803739648', '1139430644997632000', '2024-07-04 19:32:14', '2024-07-04 19:33:00', 'Alarm', '1', '2024-07-04 19:32:14', '1', '2024-07-04 19:33:00'),
	('4544238980991905792', '1139430644997632000', '2024-07-04 19:33:00', '2024-07-04 19:40:12', 'Stop', '1', '2024-07-04 19:33:00', '1', '2024-07-04 19:40:12'),
	('4544238982762405888', '1139430644997632000', '2024-07-04 19:40:12', '2024-07-06 01:39:43', 'Run', '1', '2024-07-04 19:40:12', '1', '2024-07-06 01:39:43'),
	('4544238987608682496', '1139430645119148032', '2024-07-04 19:59:55', '2024-07-07 01:09:44', 'Run', '1', '2024-07-04 19:59:55', '1', '2024-07-07 01:09:44'),
	('4544239005101043712', '1139430644789067776', '2024-07-04 21:11:06', '2024-07-04 21:11:24', 'Alarm', '1', '2024-07-04 21:11:06', '1', '2024-07-04 21:11:24'),
	('4544239005176348672', '1139430644789067776', '2024-07-04 21:11:24', '2024-07-04 21:23:43', 'Stop', '1', '2024-07-04 21:11:24', '1', '2024-07-04 21:23:43'),
	('4544239008202108928', '1139430644789067776', '2024-07-04 21:23:43', '2024-07-05 19:21:05', 'Run', '1', '2024-07-04 21:23:43', '1', '2024-07-05 19:21:05'),
	('4544239029841145856', '1139430645381705728', '2024-07-04 22:51:46', '2024-07-07 08:48:09', 'Run', '1', '2024-07-04 22:51:46', '1', '2024-07-07 08:48:09'),
	('4544239041282981888', '1139430645079994368', '2024-07-04 23:38:19', '2024-07-05 07:35:17', 'Stop', '1', '2024-07-04 23:38:19', '1', '2024-07-05 07:35:17'),
	('4544239058135101440', '1139430645318582272', '2024-07-05 00:46:53', '2024-07-05 06:42:39', 'Stop', '1', '2024-07-05 00:46:53', '1', '2024-07-05 06:42:39'),
	('4544239077299261440', '1139430645041299456', '2024-07-05 02:04:52', '2024-07-06 02:34:26', 'Stop', '1', '2024-07-05 02:04:52', '1', '2024-07-06 02:34:26'),
	('4544239088952254464', '1139430645601857536', '2024-07-05 02:52:17', '2024-07-05 09:33:30', 'Stop', '1', '2024-07-05 02:52:17', '1', '2024-07-05 09:33:30'),
	('4544239100116103168', '1139430644494802944', '2024-07-05 03:37:43', '2024-07-05 12:16:50', 'Stop', '1', '2024-07-05 03:37:43', '1', '2024-07-05 12:16:50'),
	('4544239142563921920', '1139430645415247872', '2024-07-05 06:30:26', '2024-07-05 07:14:26', 'Stop', '1', '2024-07-05 06:30:26', '1', '2024-07-05 07:14:26'),
	('4544239145565609984', '1139430645318582272', '2024-07-05 06:42:39', '2024-07-06 08:35:23', 'Run', '1', '2024-07-05 06:42:39', '1', '2024-07-06 08:35:23'),
	('4544239149094551552', '1139430645630369792', '2024-07-05 06:57:00', '2024-07-05 06:57:10', 'Alarm', '1', '2024-07-05 06:57:00', '1', '2024-07-05 06:57:10'),
	('4544239149132328960', '1139430645630369792', '2024-07-05 06:57:10', '2024-07-05 06:58:02', 'Stop', '1', '2024-07-05 06:57:10', '1', '2024-07-05 06:58:02'),
	('4544239149345730560', '1139430645630369792', '2024-07-05 06:58:02', '2024-07-05 06:59:15', 'Alarm', '1', '2024-07-05 06:58:02', '1', '2024-07-05 06:59:15'),
	('4544239149647413248', '1139430645630369792', '2024-07-05 06:59:15', '2024-07-05 06:59:46', 'Stop', '1', '2024-07-05 06:59:15', '1', '2024-07-05 06:59:46'),
	('4544239149773324288', '1139430645630369792', '2024-07-05 06:59:46', '2024-07-05 06:59:49', 'Alarm', '1', '2024-07-05 06:59:46', '1', '2024-07-05 06:59:49'),
	('4544239149785923584', '1139430645630369792', '2024-07-05 06:59:49', '2024-07-05 07:00:23', 'Stop', '1', '2024-07-05 06:59:49', '1', '2024-07-05 07:00:23'),
	('4544239149924118528', '1139430645630369792', '2024-07-05 07:00:23', '2024-07-05 07:00:54', 'Alarm', '1', '2024-07-05 07:00:23', '1', '2024-07-05 07:00:54'),
	('4544239150049730560', '1139430645630369792', '2024-07-05 07:00:54', '2024-07-05 07:01:24', 'Stop', '1', '2024-07-05 07:00:54', '1', '2024-07-05 07:01:24'),
	('4544239150175289344', '1139430645630369792', '2024-07-05 07:01:24', '2024-07-05 07:01:36', 'Alarm', '1', '2024-07-05 07:01:24', '1', '2024-07-05 07:01:37'),
	('4544239150225620992', '1139430645630369792', '2024-07-05 07:01:36', '2024-07-05 07:02:07', 'Stop', '1', '2024-07-05 07:01:37', '1', '2024-07-05 07:02:07'),
	('4544239150351175680', '1139430645630369792', '2024-07-05 07:02:07', '2024-07-05 07:08:39', 'Alarm', '1', '2024-07-05 07:02:07', '1', '2024-07-05 07:08:39'),
	('4544239151957921792', '1139430645630369792', '2024-07-05 07:08:39', '2024-07-05 07:09:13', 'Stop', '1', '2024-07-05 07:08:39', '1', '2024-07-05 07:09:13'),
	('4544239152096342016', '1139430645630369792', '2024-07-05 07:09:13', '2024-07-05 07:09:41', 'Alarm', '1', '2024-07-05 07:09:13', '1', '2024-07-05 07:09:41'),
	('4544239152209154048', '1139430645630369792', '2024-07-05 07:09:41', '2024-07-05 09:37:15', 'Stop', '1', '2024-07-05 07:09:41', '1', '2024-07-05 09:37:15'),
	('4544239153376972800', '1139430645415247872', '2024-07-05 07:14:26', '2024-07-05 07:15:15', 'Alarm', '1', '2024-07-05 07:14:26', '1', '2024-07-05 07:15:15'),
	('4544239153577791488', '1139430645415247872', '2024-07-05 07:15:15', '2024-07-05 07:20:55', 'Stop', '1', '2024-07-05 07:15:15', '1', '2024-07-05 07:20:55'),
	('4544239154972676096', '1139430645415247872', '2024-07-05 07:20:55', '2024-07-05 07:20:58', 'Alarm', '1', '2024-07-05 07:20:55', '1', '2024-07-05 07:20:59'),
	('4544239154985242624', '1139430645415247872', '2024-07-05 07:20:58', '2024-07-05 07:21:32', 'Stop', '1', '2024-07-05 07:20:59', '1', '2024-07-05 07:21:32'),
	('4544239155123433472', '1139430645415247872', '2024-07-05 07:21:32', '2024-07-05 07:21:44', 'Alarm', '1', '2024-07-05 07:21:32', '1', '2024-07-05 07:21:45'),
	('4544239155173474304', '1139430645415247872', '2024-07-05 07:21:44', '2024-07-05 07:22:15', 'Stop', '1', '2024-07-05 07:21:45', '1', '2024-07-05 07:22:15'),
	('4544239155298955264', '1139430645415247872', '2024-07-05 07:22:15', '2024-07-05 07:24:08', 'Alarm', '1', '2024-07-05 07:22:15', '1', '2024-07-05 07:24:09'),
	('4544239155763306496', '1139430645415247872', '2024-07-05 07:24:08', '2024-07-05 07:27:00', 'Stop', '1', '2024-07-05 07:24:09', '1', '2024-07-05 07:27:00'),
	('4544239156466565120', '1139430645415247872', '2024-07-05 07:27:00', '2024-07-05 07:27:25', 'Alarm', '1', '2024-07-05 07:27:00', '1', '2024-07-05 07:27:25'),
	('4544239156567044096', '1139430645415247872', '2024-07-05 07:27:25', '2024-07-05 07:32:44', 'Stop', '1', '2024-07-05 07:27:25', '1', '2024-07-05 07:32:44'),
	('4544239157873643520', '1139430645415247872', '2024-07-05 07:32:44', '2024-07-06 05:08:18', 'Run', '1', '2024-07-05 07:32:44', '1', '2024-07-06 05:08:18'),
	('4544239158501744640', '1139430645079994368', '2024-07-05 07:35:17', '2024-07-06 14:41:35', 'Run', '1', '2024-07-05 07:35:17', '1', '2024-07-06 14:41:35'),
	('4544239187556151296', '1139430645601857536', '2024-07-05 09:33:30', '2024-07-06 16:00:07', 'Run', '1', '2024-07-05 09:33:30', '1', '2024-07-06 16:00:07'),
	('4544239188474920960', '1139430645630369792', '2024-07-05 09:37:15', '2024-07-07 17:19:01', 'Run', '1', '2024-07-05 09:37:15', '1', '2024-07-07 17:19:01'),
	('4544239204127989760', '1139430644855181312', '2024-07-05 10:40:56', '2024-07-05 14:09:33', 'Stop', '1', '2024-07-05 10:40:56', '1', '2024-07-05 14:09:33'),
	('4544239206539284480', '1139430645348077568', '2024-07-05 10:50:45', '2024-07-05 10:51:13', 'Alarm', '1', '2024-07-05 10:50:45', '1', '2024-07-05 10:51:13'),
	('4544239206652448768', '1139430645348077568', '2024-07-05 10:51:13', '2024-07-05 10:51:49', 'Stop', '1', '2024-07-05 10:51:13', '1', '2024-07-05 10:51:49'),
	('4544239206803464192', '1139430645348077568', '2024-07-05 10:51:49', '2024-07-05 10:53:55', 'Alarm', '1', '2024-07-05 10:51:49', '1', '2024-07-05 10:53:55'),
	('4544239207318593536', '1139430645348077568', '2024-07-05 10:53:55', '2024-07-05 11:10:17', 'Stop', '1', '2024-07-05 10:53:55', '1', '2024-07-05 11:10:17'),
	('4544239211338227712', '1139430645348077568', '2024-07-05 11:10:17', '2024-07-05 17:52:40', 'Run', '1', '2024-07-05 11:10:17', '1', '2024-07-05 17:52:40'),
	('4544239227696447488', '1139430644494802944', '2024-07-05 12:16:50', '2024-07-05 12:16:56', 'Alarm', '1', '2024-07-05 12:16:50', '1', '2024-07-05 12:16:56'),
	('4544239227721613312', '1139430644494802944', '2024-07-05 12:16:56', '2024-07-05 12:24:52', 'Stop', '1', '2024-07-05 12:16:56', '1', '2024-07-05 12:24:52'),
	('4544239229668679680', '1139430644494802944', '2024-07-05 12:24:52', '2024-07-05 12:24:55', 'Alarm', '1', '2024-07-05 12:24:52', '1', '2024-07-05 12:24:55'),
	('4544239229681246208', '1139430644494802944', '2024-07-05 12:24:55', '2024-07-05 12:28:30', 'Stop', '1', '2024-07-05 12:24:55', '1', '2024-07-05 12:28:30'),
	('4544239230560530432', '1139430644494802944', '2024-07-05 12:28:30', '2024-07-05 12:28:48', 'Alarm', '1', '2024-07-05 12:28:30', '1', '2024-07-05 12:28:48'),
	('4544239230635921408', '1139430644494802944', '2024-07-05 12:28:48', '2024-07-05 13:40:52', 'Stop', '1', '2024-07-05 12:28:48', '1', '2024-07-05 13:40:52'),
	('4544239248348762112', '1139430644494802944', '2024-07-05 13:40:52', '2024-07-05 13:40:59', 'Alarm', '1', '2024-07-05 13:40:52', '1', '2024-07-05 13:40:59'),
	('4544239248373977088', '1139430644494802944', '2024-07-05 13:40:59', '2024-07-05 13:58:33', 'Stop', '1', '2024-07-05 13:40:59', '1', '2024-07-05 13:58:33'),
	('4544239252694155264', '1139430644494802944', '2024-07-05 13:58:33', '2024-07-05 13:58:39', 'Alarm', '1', '2024-07-05 13:58:33', '1', '2024-07-05 13:58:39'),
	('4544239252719247360', '1139430644494802944', '2024-07-05 13:58:39', '2024-07-05 18:56:31', 'Stop', '1', '2024-07-05 13:58:39', '1', '2024-07-05 18:56:31'),
	('4544239255394725888', '1139430644855181312', '2024-07-05 14:09:33', '2024-07-05 14:09:36', 'Alarm', '1', '2024-07-05 14:09:33', '1', '2024-07-05 14:09:36'),
	('4544239255407304704', '1139430644855181312', '2024-07-05 14:09:36', '2024-07-05 14:09:45', 'Stop', '1', '2024-07-05 14:09:36', '1', '2024-07-05 14:09:45'),
	('4544239255444979712', '1139430644855181312', '2024-07-05 14:09:45', '2024-07-05 14:09:48', 'Alarm', '1', '2024-07-05 14:09:45', '1', '2024-07-05 14:09:48'),
	('4544239255457505280', '1139430644855181312', '2024-07-05 14:09:48', '2024-07-05 16:25:05', 'Stop', '1', '2024-07-05 14:09:48', '1', '2024-07-05 16:25:05'),
	('4544239276949688320', '1139430645547446272', '2024-07-05 15:37:15', '2024-07-05 15:38:25', 'Maintain', '1', '2024-07-05 15:37:15', '1', '2024-07-05 15:38:25'),
	('4544239277238128640', '1139430645547446272', '2024-07-05 15:38:25', '2024-07-12 06:37:48', 'Stop', '1', '2024-07-05 15:38:25', '1', '2024-07-12 06:37:48'),
	('4544239288703467520', '1139430644855181312', '2024-07-05 16:25:05', '2024-07-05 16:25:20', 'Alarm', '1', '2024-07-05 16:25:05', '1', '2024-07-05 16:25:20'),
	('4544239288766124032', '1139430644855181312', '2024-07-05 16:25:20', '2024-07-05 16:28:33', 'Stop', '1', '2024-07-05 16:25:20', '1', '2024-07-05 16:28:33'),
	('4544239289556602880', '1139430644855181312', '2024-07-05 16:28:33', '2024-07-05 16:29:34', 'Alarm', '1', '2024-07-05 16:28:33', '1', '2024-07-05 16:29:34'),
	('4544239289807781888', '1139430644855181312', '2024-07-05 16:29:34', '2024-07-05 16:51:56', 'Stop', '1', '2024-07-05 16:29:34', '1', '2024-07-05 16:51:56'),
	('4544239292355715072', '1139430645247967232', '2024-07-05 16:39:56', '2024-07-06 09:58:26', 'Stop', '1', '2024-07-05 16:39:56', '1', '2024-07-06 09:58:26'),
	('4544239295305752576', '1139430644855181312', '2024-07-05 16:51:56', '2024-07-06 17:47:30', 'Run', '1', '2024-07-05 16:51:56', '1', '2024-07-06 17:47:30'),
	('4544239310228705280', '1139430645348077568', '2024-07-05 17:52:40', '2024-07-15 10:21:32', 'Stop', '1', '2024-07-05 17:52:40', '1', '2024-07-15 10:21:32'),
	('4544239316804902912', '1139430644475174912', '2024-07-05 18:19:25', '2024-07-06 02:29:35', 'Stop', '1', '2024-07-05 18:19:25', '1', '2024-07-06 02:29:35'),
	('4544239317093416960', '1139430645193863168', '2024-07-05 18:20:36', '2024-07-07 00:40:39', 'Run', '1', '2024-07-05 18:20:36', '1', '2024-07-07 00:40:39'),
	('4544239325919858688', '1139430644494802944', '2024-07-05 18:56:31', '2024-07-05 18:56:43', 'Alarm', '1', '2024-07-05 18:56:31', '1', '2024-07-05 18:56:43'),
	('4544239325970145280', '1139430644494802944', '2024-07-05 18:56:43', '2024-07-05 19:13:53', 'Stop', '1', '2024-07-05 18:56:43', '1', '2024-07-05 19:13:53'),
	('4544239330188165120', '1139430644494802944', '2024-07-05 19:13:53', '2024-07-06 08:28:37', 'Run', '1', '2024-07-05 19:13:53', '1', '2024-07-06 08:28:37'),
	('4544239331957661696', '1139430644789067776', '2024-07-05 19:21:05', '2024-07-05 19:33:54', 'Stop', '1', '2024-07-05 19:21:05', '1', '2024-07-05 19:33:54'),
	('4544239335110021120', '1139430644789067776', '2024-07-05 19:33:54', '2024-07-05 19:33:57', 'Alarm', '1', '2024-07-05 19:33:54', '1', '2024-07-05 19:33:57'),
	('4544239335122612224', '1139430644789067776', '2024-07-05 19:33:57', '2024-07-05 19:35:32', 'Stop', '1', '2024-07-05 19:33:57', '1', '2024-07-05 19:35:32'),
	('4544239335511969792', '1139430644789067776', '2024-07-05 19:35:32', '2024-07-05 19:35:35', 'Alarm', '1', '2024-07-05 19:35:32', '1', '2024-07-05 19:35:35'),
	('4544239335524392960', '1139430644789067776', '2024-07-05 19:35:35', '2024-07-05 20:04:04', 'Stop', '1', '2024-07-05 19:35:35', '1', '2024-07-05 20:04:04'),
	('4544239342523154432', '1139430644789067776', '2024-07-05 20:04:04', '2024-07-05 20:04:07', 'Alarm', '1', '2024-07-05 20:04:04', '1', '2024-07-05 20:04:07'),
	('4544239342535581696', '1139430644789067776', '2024-07-05 20:04:07', '2024-07-05 20:04:41', 'Stop', '1', '2024-07-05 20:04:07', '1', '2024-07-05 20:04:41'),
	('4544239342673838080', '1139430644789067776', '2024-07-05 20:04:41', '2024-07-05 20:04:56', 'Alarm', '1', '2024-07-05 20:04:41', '1', '2024-07-05 20:04:56'),
	('4544239342736519168', '1139430644789067776', '2024-07-05 20:04:56', '2024-07-06 05:46:28', 'Stop', '1', '2024-07-05 20:04:56', '1', '2024-07-06 05:46:28'),
	('4544239425012920320', '1139430644997632000', '2024-07-06 01:39:43', '2024-07-06 06:11:17', 'Stop', '1', '2024-07-06 01:39:43', '1', '2024-07-06 06:11:17'),
	('4544239437266530304', '1139430644475174912', '2024-07-06 02:29:35', '2024-07-06 02:29:53', 'Alarm', '1', '2024-07-06 02:29:35', '1', '2024-07-06 02:29:53'),
	('4544239437341761536', '1139430644475174912', '2024-07-06 02:29:53', '2024-07-06 02:48:33', 'Stop', '1', '2024-07-06 02:29:53', '1', '2024-07-06 02:48:33'),
	('4544239438460968960', '1139430645041299456', '2024-07-06 02:34:26', '2024-07-07 02:23:06', 'Run', '1', '2024-07-06 02:34:26', '1', '2024-07-07 02:23:06'),
	('4544239441929211904', '1139430644475174912', '2024-07-06 02:48:33', '2024-07-08 10:50:17', 'Run', '1', '2024-07-06 02:48:33', '1', '2024-07-08 10:50:17'),
	('4544239476272107520', '1139430645415247872', '2024-07-06 05:08:18', '2024-07-06 11:25:23', 'Stop', '1', '2024-07-06 05:08:18', '1', '2024-07-06 11:25:23'),
	('4544239484887560192', '1139430645575229440', '2024-07-06 05:43:21', '2024-07-06 11:39:08', 'Stop', '1', '2024-07-06 05:43:21', '1', '2024-07-06 11:39:08'),
	('4544239485653889024', '1139430644789067776', '2024-07-06 05:46:28', '2024-07-06 05:46:53', 'Alarm', '1', '2024-07-06 05:46:28', '1', '2024-07-06 05:46:53'),
	('4544239485754204160', '1139430644789067776', '2024-07-06 05:46:53', '2024-07-06 06:02:38', 'Stop', '1', '2024-07-06 05:46:53', '1', '2024-07-06 06:02:38'),
	('4544239489625894912', '1139430644789067776', '2024-07-06 06:02:38', '2024-07-07 11:26:56', 'Run', '1', '2024-07-06 06:02:38', '1', '2024-07-07 11:26:56'),
	('4544239491751751680', '1139430644997632000', '2024-07-06 06:11:17', '2024-07-07 02:25:34', 'Run', '1', '2024-07-06 06:11:17', '1', '2024-07-07 02:25:34'),
	('4544239525504692224', '1139430644494802944', '2024-07-06 08:28:37', '2024-07-06 21:12:38', 'Stop', '1', '2024-07-06 08:28:37', '1', '2024-07-06 21:12:38'),
	('4544239527165521920', '1139430645318582272', '2024-07-06 08:35:23', '2024-07-06 21:02:19', 'Stop', '1', '2024-07-06 08:35:23', '1', '2024-07-06 21:02:19'),
	('4544239547577737216', '1139430645247967232', '2024-07-06 09:58:26', '2024-07-06 10:01:15', 'Run', '1', '2024-07-06 09:58:26', '1', '2024-07-06 10:01:15'),
	('4544239548269129728', '1139430645247967232', '2024-07-06 10:01:15', '2024-07-06 14:25:29', 'Stop', '1', '2024-07-06 10:01:15', '1', '2024-07-06 14:25:29'),
	('4544239568947081216', '1139430645415247872', '2024-07-06 11:25:23', '2024-07-07 09:56:17', 'Run', '1', '2024-07-06 11:25:23', '1', '2024-07-07 09:56:18'),
	('4544239572325789696', '1139430645575229440', '2024-07-06 11:39:08', '2024-07-06 11:40:53', 'Alarm', '1', '2024-07-06 11:39:08', '1', '2024-07-06 11:40:53'),
	('4544239572753301504', '1139430645575229440', '2024-07-06 11:40:53', '2024-07-06 11:46:45', 'Stop', '1', '2024-07-06 11:40:53', '1', '2024-07-06 11:46:45'),
	('4544239574197972992', '1139430645575229440', '2024-07-06 11:46:45', '2024-07-07 09:26:14', 'Run', '1', '2024-07-06 11:46:45', '1', '2024-07-07 09:26:14'),
	('4544239613208649728', '1139430645247967232', '2024-07-06 14:25:29', '2024-07-06 14:29:59', 'Run', '1', '2024-07-06 14:25:29', '1', '2024-07-06 14:29:59'),
	('4544239614313873408', '1139430645247967232', '2024-07-06 14:29:59', '2024-07-06 14:30:15', 'Stop', '1', '2024-07-06 14:29:59', '1', '2024-07-06 14:30:15'),
	('4544239614376652800', '1139430645247967232', '2024-07-06 14:30:15', '2024-07-06 14:30:21', 'Run', '1', '2024-07-06 14:30:15', '1', '2024-07-06 14:30:21'),
	('4544239614401806336', '1139430645247967232', '2024-07-06 14:30:21', '2024-07-06 14:33:00', 'Stop', '1', '2024-07-06 14:30:21', '1', '2024-07-06 14:33:00'),
	('4544239615054585856', '1139430645247967232', '2024-07-06 14:33:00', '2024-07-06 14:33:55', 'Run', '1', '2024-07-06 14:33:00', '1', '2024-07-06 14:33:55'),
	('4544239615280623616', '1139430645247967232', '2024-07-06 14:33:55', '2024-07-06 14:34:08', 'Stop', '1', '2024-07-06 14:33:55', '1', '2024-07-06 14:34:08'),
	('4544239615330713600', '1139430645247967232', '2024-07-06 14:34:08', '2024-07-06 14:34:11', 'Run', '1', '2024-07-06 14:34:08', '1', '2024-07-06 14:34:11'),
	('4544239615343321088', '1139430645247967232', '2024-07-06 14:34:11', '2024-07-06 14:36:01', 'Stop', '1', '2024-07-06 14:34:11', '1', '2024-07-06 14:36:01'),
	('4544239615795826688', '1139430645247967232', '2024-07-06 14:36:01', '2024-07-06 14:37:30', 'Run', '1', '2024-07-06 14:36:01', '1', '2024-07-06 14:37:30'),
	('4544239616160002048', '1139430645247967232', '2024-07-06 14:37:30', '2024-07-06 14:37:42', 'Stop', '1', '2024-07-06 14:37:30', '1', '2024-07-06 14:37:42'),
	('4544239616210227200', '1139430645247967232', '2024-07-06 14:37:42', '2024-07-06 14:38:47', 'Run', '1', '2024-07-06 14:37:42', '1', '2024-07-06 14:38:47'),
	('4544239616473866240', '1139430645247967232', '2024-07-06 14:38:47', '2024-07-10 13:32:15', 'Stop', '1', '2024-07-06 14:38:47', '1', '2024-07-10 13:32:15'),
	('4544239617164472320', '1139430645079994368', '2024-07-06 14:41:35', '2024-07-07 05:13:51', 'Stop', '1', '2024-07-06 14:41:35', '1', '2024-07-07 05:13:51'),
	('4544239636465315840', '1139430645601857536', '2024-07-06 16:00:07', '2024-07-07 09:57:25', 'Stop', '1', '2024-07-06 16:00:07', '1', '2024-07-07 09:57:25'),
	('4544239662854656000', '1139430644855181312', '2024-07-06 17:47:30', '2024-07-08 01:26:32', 'Stop', '1', '2024-07-06 17:47:30', '1', '2024-07-08 01:26:32'),
	('4544239710730842112', '1139430645318582272', '2024-07-06 21:02:19', '2024-07-07 21:00:11', 'Run', '1', '2024-07-06 21:02:19', '1', '2024-07-07 21:00:11'),
	('4544239713267331072', '1139430644494802944', '2024-07-06 21:12:38', '2024-07-06 21:12:47', 'Alarm', '1', '2024-07-06 21:12:38', '1', '2024-07-06 21:12:47'),
	('4544239713305022464', '1139430644494802944', '2024-07-06 21:12:47', '2024-07-07 06:41:42', 'Stop', '1', '2024-07-06 21:12:47', '1', '2024-07-07 06:41:42'),
	('4544239764389015552', '1139430645193863168', '2024-07-07 00:40:39', '2024-07-10 04:04:58', 'Stop', '1', '2024-07-07 00:40:39', '1', '2024-07-10 04:04:58'),
	('4544239771538190336', '1139430645119148032', '2024-07-07 01:09:44', '2024-07-07 06:22:38', 'Stop', '1', '2024-07-07 01:09:44', '1', '2024-07-07 06:22:38'),
	('4544239789569404928', '1139430645041299456', '2024-07-07 02:23:06', '2024-07-07 07:38:10', 'Stop', '1', '2024-07-07 02:23:06', '1', '2024-07-07 07:38:10'),
	('4544239790172708864', '1139430644997632000', '2024-07-07 02:25:34', '2024-07-07 20:32:19', 'Stop', '1', '2024-07-07 02:25:34', '1', '2024-07-07 20:32:19'),
	('4544239831530913792', '1139430645079994368', '2024-07-07 05:13:51', '2024-07-09 17:31:25', 'Run', '1', '2024-07-07 05:13:51', '1', '2024-07-09 17:31:25'),
	('4544239848435675136', '1139430645119148032', '2024-07-07 06:22:38', '2024-07-08 08:47:50', 'Run', '1', '2024-07-07 06:22:38', '1', '2024-07-08 08:47:50'),
	('4544239853121273856', '1139430644494802944', '2024-07-07 06:41:42', '2024-07-07 06:43:17', 'Alarm', '1', '2024-07-07 06:41:42', '1', '2024-07-07 06:43:17'),
	('4544239853510733824', '1139430644494802944', '2024-07-07 06:43:17', '2024-07-07 06:56:07', 'Stop', '1', '2024-07-07 06:43:17', '1', '2024-07-07 06:56:07'),
	('4544239856664399872', '1139430644494802944', '2024-07-07 06:56:07', '2024-07-07 18:38:18', 'Run', '1', '2024-07-07 06:56:07', '1', '2024-07-07 18:38:18'),
	('4544239866999865344', '1139430645041299456', '2024-07-07 07:38:10', '2024-07-09 13:11:33', 'Run', '1', '2024-07-07 07:38:10', '1', '2024-07-09 13:11:33'),
	('4544239884198187008', '1139430645381705728', '2024-07-07 08:48:09', '2024-07-11 23:58:17', 'Stop', '1', '2024-07-07 08:48:09', '1', '2024-07-11 23:58:17'),
	('4544239893557293056', '1139430645575229440', '2024-07-07 09:26:14', '2024-07-07 22:45:04', 'Stop', '1', '2024-07-07 09:26:14', '1', '2024-07-07 22:45:04'),
	('4544239900944629760', '1139430645415247872', '2024-07-07 09:56:17', '2024-07-07 10:31:09', 'Stop', '1', '2024-07-07 09:56:18', '1', '2024-07-07 10:31:09'),
	('4544239901221203968', '1139430645601857536', '2024-07-07 09:57:25', '2024-07-08 03:01:30', 'Run', '1', '2024-07-07 09:57:25', '1', '2024-07-08 03:01:30'),
	('4544239909511307264', '1139430645415247872', '2024-07-07 10:31:09', '2024-07-08 13:44:36', 'Run', '1', '2024-07-07 10:31:09', '1', '2024-07-08 13:44:36'),
	('4544239923221667840', '1139430644789067776', '2024-07-07 11:26:56', '2024-07-09 09:39:44', 'Stop', '1', '2024-07-07 11:26:56', '1', '2024-07-09 09:39:44'),
	('4544240009750306816', '1139430645630369792', '2024-07-07 17:19:01', '2024-07-08 19:49:04', 'Stop', '1', '2024-07-07 17:19:01', '1', '2024-07-08 19:49:04'),
	('4544240029232500736', '1139430644494802944', '2024-07-07 18:38:18', '2024-07-07 22:39:42', 'Stop', '1', '2024-07-07 18:38:18', '1', '2024-07-07 22:39:42'),
	('4544240057255190528', '1139430644997632000', '2024-07-07 20:32:19', '2024-07-08 20:35:06', 'Run', '1', '2024-07-07 20:32:19', '1', '2024-07-08 20:35:06'),
	('4544240064104177664', '1139430645318582272', '2024-07-07 21:00:11', '2024-07-09 03:41:00', 'Stop', '1', '2024-07-07 21:00:11', '1', '2024-07-09 03:41:00'),
	('4544240088559673344', '1139430644494802944', '2024-07-07 22:39:42', '2024-07-07 22:40:07', 'Alarm', '1', '2024-07-07 22:39:42', '1', '2024-07-07 22:40:07'),
	('4544240088660406272', '1139430644494802944', '2024-07-07 22:40:07', '2024-07-07 22:57:18', 'Stop', '1', '2024-07-07 22:40:07', '1', '2024-07-07 22:57:18'),
	('4544240089879384064', '1139430645575229440', '2024-07-07 22:45:04', '2024-07-07 22:45:38', 'Alarm', '1', '2024-07-07 22:45:04', '1', '2024-07-07 22:45:38'),
	('4544240090017402880', '1139430645575229440', '2024-07-07 22:45:38', '2024-07-07 22:54:44', 'Stop', '1', '2024-07-07 22:45:38', '1', '2024-07-07 22:54:44'),
	('4544240092254617600', '1139430645575229440', '2024-07-07 22:54:44', '2024-07-08 17:27:16', 'Run', '1', '2024-07-07 22:54:44', '1', '2024-07-08 17:27:16'),
	('4544240092883173376', '1139430644494802944', '2024-07-07 22:57:18', '2024-07-08 11:52:01', 'Run', '1', '2024-07-07 22:57:18', '1', '2024-07-08 11:52:01'),
	('4544240129561022464', '1139430644855181312', '2024-07-08 01:26:32', '2024-07-08 01:26:47', 'Alarm', '1', '2024-07-08 01:26:32', '1', '2024-07-08 01:26:47'),
	('4544240129623728128', '1139430644855181312', '2024-07-08 01:26:47', '2024-07-08 10:38:19', 'Stop', '1', '2024-07-08 01:26:47', '1', '2024-07-08 10:38:19'),
	('4544240152899477504', '1139430645601857536', '2024-07-08 03:01:30', '2024-07-09 04:36:19', 'Stop', '1', '2024-07-08 03:01:30', '1', '2024-07-09 04:36:19'),
	('4544240238014558208', '1139430645119148032', '2024-07-08 08:47:50', '2024-07-08 13:16:35', 'Stop', '1', '2024-07-08 08:47:50', '1', '2024-07-08 13:16:35'),
	('4544240265167298560', '1139430644855181312', '2024-07-08 10:38:19', '2024-07-08 10:38:50', 'Alarm', '1', '2024-07-08 10:38:19', '1', '2024-07-08 10:38:50'),
	('4544240265292984320', '1139430644855181312', '2024-07-08 10:38:50', '2024-07-08 10:50:54', 'Stop', '1', '2024-07-08 10:38:50', '1', '2024-07-08 10:50:54'),
	('4544240268109615104', '1139430644475174912', '2024-07-08 10:50:17', '2024-07-08 18:41:08', 'Stop', '1', '2024-07-08 10:50:17', '1', '2024-07-08 18:41:08'),
	('4544240268260052992', '1139430644855181312', '2024-07-08 10:50:54', '2024-07-08 10:51:43', 'Alarm', '1', '2024-07-08 10:50:54', '1', '2024-07-08 10:51:43'),
	('4544240268460412928', '1139430644855181312', '2024-07-08 10:51:43', '2024-07-08 10:51:46', 'Stop', '1', '2024-07-08 10:51:43', '1', '2024-07-08 10:51:46'),
	('4544240268472991744', '1139430644855181312', '2024-07-08 10:51:46', '2024-07-08 10:51:49', 'Alarm', '1', '2024-07-08 10:51:46', '1', '2024-07-08 10:51:49'),
	('4544240268485574656', '1139430644855181312', '2024-07-08 10:51:49', '2024-07-08 10:52:05', 'Stop', '1', '2024-07-08 10:51:49', '1', '2024-07-08 10:52:05'),
	('4544240268548534272', '1139430644855181312', '2024-07-08 10:52:05', '2024-07-08 10:52:08', 'Alarm', '1', '2024-07-08 10:52:05', '1', '2024-07-08 10:52:08'),
	('4544240268561125376', '1139430644855181312', '2024-07-08 10:52:08', '2024-07-08 10:52:44', 'Stop', '1', '2024-07-08 10:52:08', '1', '2024-07-08 10:52:44'),
	('4544240268711866368', '1139430644855181312', '2024-07-08 10:52:44', '2024-07-08 10:52:51', 'Alarm', '1', '2024-07-08 10:52:44', '1', '2024-07-08 10:52:51'),
	('4544240268736835584', '1139430644855181312', '2024-07-08 10:52:51', '2024-07-08 10:53:03', 'Stop', '1', '2024-07-08 10:52:51', '1', '2024-07-08 10:53:03'),
	('4544240268787052544', '1139430644855181312', '2024-07-08 10:53:03', '2024-07-08 10:53:18', 'Alarm', '1', '2024-07-08 10:53:03', '1', '2024-07-08 10:53:18'),
	('4544240268849909760', '1139430644855181312', '2024-07-08 10:53:18', '2024-07-08 10:53:27', 'Stop', '1', '2024-07-08 10:53:18', '1', '2024-07-08 10:53:27'),
	('4544240268887752704', '1139430644855181312', '2024-07-08 10:53:27', '2024-07-08 10:54:01', 'Alarm', '1', '2024-07-08 10:53:27', '1', '2024-07-08 10:54:01'),
	('4544240269025873920', '1139430644855181312', '2024-07-08 10:54:01', '2024-07-08 10:54:29', 'Stop', '1', '2024-07-08 10:54:01', '1', '2024-07-08 10:54:29'),
	('4544240269139189760', '1139430644855181312', '2024-07-08 10:54:29', '2024-07-08 10:54:41', 'Alarm', '1', '2024-07-08 10:54:29', '1', '2024-07-08 10:54:41'),
	('4544240269189480448', '1139430644855181312', '2024-07-08 10:54:41', '2024-07-08 11:59:26', 'Stop', '1', '2024-07-08 10:54:41', '1', '2024-07-08 11:59:26'),
	('4544240283280879616', '1139430644494802944', '2024-07-08 11:52:01', '2024-07-08 14:57:12', 'Stop', '1', '2024-07-08 11:52:01', '1', '2024-07-08 14:57:12'),
	('4544240285103689728', '1139430644855181312', '2024-07-08 11:59:26', '2024-07-08 11:59:32', 'Alarm', '1', '2024-07-08 11:59:26', '1', '2024-07-08 11:59:33'),
	('4544240285128839168', '1139430644855181312', '2024-07-08 11:59:32', '2024-07-08 12:00:25', 'Stop', '1', '2024-07-08 11:59:33', '1', '2024-07-08 12:00:25'),
	('4544240285342593024', '1139430644855181312', '2024-07-08 12:00:25', '2024-07-08 12:00:40', 'Alarm', '1', '2024-07-08 12:00:25', '1', '2024-07-08 12:00:40'),
	('4544240285405405184', '1139430644855181312', '2024-07-08 12:00:40', '2024-07-08 12:02:34', 'Stop', '1', '2024-07-08 12:00:40', '1', '2024-07-08 12:02:34'),
	('4544240285870911488', '1139430644855181312', '2024-07-08 12:02:34', '2024-07-08 12:02:37', 'Alarm', '1', '2024-07-08 12:02:34', '1', '2024-07-08 12:02:37'),
	('4544240285883412480', '1139430644855181312', '2024-07-08 12:02:37', '2024-07-08 12:05:10', 'Stop', '1', '2024-07-08 12:02:37', '1', '2024-07-08 12:05:10'),
	('4544240286512078848', '1139430644855181312', '2024-07-08 12:05:10', '2024-07-08 12:05:26', 'Alarm', '1', '2024-07-08 12:05:10', '1', '2024-07-08 12:05:26'),
	('4544240286575046656', '1139430644855181312', '2024-07-08 12:05:26', '2024-07-08 12:05:59', 'Stop', '1', '2024-07-08 12:05:26', '1', '2024-07-08 12:05:59'),
	('4544240286713425920', '1139430644855181312', '2024-07-08 12:05:59', '2024-07-08 12:06:30', 'Alarm', '1', '2024-07-08 12:05:59', '1', '2024-07-08 12:06:30'),
	('4544240286838820864', '1139430644855181312', '2024-07-08 12:06:30', '2024-07-08 12:09:31', 'Stop', '1', '2024-07-08 12:06:30', '1', '2024-07-08 12:09:31'),
	('4544240287580229632', '1139430644855181312', '2024-07-08 12:09:31', '2024-07-08 12:09:53', 'Alarm', '1', '2024-07-08 12:09:31', '1', '2024-07-08 12:09:53'),
	('4544240287668400128', '1139430644855181312', '2024-07-08 12:09:53', '2024-07-08 12:21:23', 'Stop', '1', '2024-07-08 12:09:53', '1', '2024-07-08 12:21:23'),
	('4544240290496520192', '1139430644855181312', '2024-07-08 12:21:23', '2024-07-08 12:21:29', 'Alarm', '1', '2024-07-08 12:21:23', '1', '2024-07-08 12:21:29'),
	('4544240290521653248', '1139430644855181312', '2024-07-08 12:21:29', '2024-07-08 12:22:18', 'Stop', '1', '2024-07-08 12:21:29', '1', '2024-07-08 12:22:18'),
	('4544240290722701312', '1139430644855181312', '2024-07-08 12:22:18', '2024-07-08 12:22:37', 'Alarm', '1', '2024-07-08 12:22:18', '1', '2024-07-08 12:22:37'),
	('4544240290798030848', '1139430644855181312', '2024-07-08 12:22:37', '2024-07-08 12:26:58', 'Stop', '1', '2024-07-08 12:22:37', '1', '2024-07-08 12:26:58'),
	('4544240291867201536', '1139430644855181312', '2024-07-08 12:26:58', '2024-07-08 12:28:51', 'Alarm', '1', '2024-07-08 12:26:58', '1', '2024-07-08 12:28:51'),
	('4544240292332060672', '1139430644855181312', '2024-07-08 12:28:51', '2024-07-08 12:30:39', 'Stop', '1', '2024-07-08 12:28:51', '1', '2024-07-08 12:30:39'),
	('4544240292772261888', '1139430644855181312', '2024-07-08 12:30:39', '2024-07-08 12:31:18', 'Alarm', '1', '2024-07-08 12:30:39', '1', '2024-07-08 12:31:18'),
	('4544240292935749632', '1139430644855181312', '2024-07-08 12:31:18', '2024-07-08 13:04:09', 'Stop', '1', '2024-07-08 12:31:18', '1', '2024-07-08 13:04:09'),
	('4544240301006868480', '1139430644855181312', '2024-07-08 13:04:09', '2024-07-08 13:04:43', 'Alarm', '1', '2024-07-08 13:04:09', '1', '2024-07-08 13:04:43'),
	('4544240301145378816', '1139430644855181312', '2024-07-08 13:04:43', '2024-07-08 13:24:15', 'Stop', '1', '2024-07-08 13:04:43', '1', '2024-07-08 13:24:15'),
	('4544240304062230528', '1139430645119148032', '2024-07-08 13:16:35', '2024-07-08 13:16:44', 'Alarm', '1', '2024-07-08 13:16:35', '1', '2024-07-08 13:16:44'),
	('4544240304100028416', '1139430645119148032', '2024-07-08 13:16:44', '2024-07-08 13:32:14', 'Stop', '1', '2024-07-08 13:16:44', '1', '2024-07-08 13:32:14'),
	('4544240305947082752', '1139430644855181312', '2024-07-08 13:24:15', '2024-07-08 13:24:21', 'Alarm', '1', '2024-07-08 13:24:15', '1', '2024-07-08 13:24:21'),
	('4544240305972121600', '1139430644855181312', '2024-07-08 13:24:21', '2024-07-08 13:24:49', 'Stop', '1', '2024-07-08 13:24:21', '1', '2024-07-08 13:24:49'),
	('4544240306085322752', '1139430644855181312', '2024-07-08 13:24:49', '2024-07-08 13:25:01', 'Alarm', '1', '2024-07-08 13:24:49', '1', '2024-07-08 13:25:01'),
	('4544240306135388160', '1139430644855181312', '2024-07-08 13:25:01', '2024-07-08 13:26:03', 'Stop', '1', '2024-07-08 13:25:01', '1', '2024-07-08 13:26:03'),
	('4544240306387320832', '1139430644855181312', '2024-07-08 13:26:03', '2024-07-08 13:26:12', 'Alarm', '1', '2024-07-08 13:26:03', '1', '2024-07-08 13:26:12'),
	('4544240306425085952', '1139430644855181312', '2024-07-08 13:26:12', '2024-07-08 13:26:27', 'Stop', '1', '2024-07-08 13:26:12', '1', '2024-07-08 13:26:27'),
	('4544240306487955456', '1139430644855181312', '2024-07-08 13:26:27', '2024-07-08 13:26:33', 'Alarm', '1', '2024-07-08 13:26:27', '1', '2024-07-08 13:26:33'),
	('4544240306513129472', '1139430644855181312', '2024-07-08 13:26:33', '2024-07-08 13:27:28', 'Stop', '1', '2024-07-08 13:26:33', '1', '2024-07-08 13:27:28'),
	('4544240306739060736', '1139430644855181312', '2024-07-08 13:27:28', '2024-07-08 13:27:56', 'Alarm', '1', '2024-07-08 13:27:28', '1', '2024-07-08 13:27:56'),
	('4544240306852171776', '1139430644855181312', '2024-07-08 13:27:56', '2024-07-08 14:56:19', 'Stop', '1', '2024-07-08 13:27:56', '1', '2024-07-08 14:56:19'),
	('4544240307908210688', '1139430645119148032', '2024-07-08 13:32:14', '2024-07-09 08:41:41', 'Run', '1', '2024-07-08 13:32:14', '1', '2024-07-09 08:41:41'),
	('4544240310949883904', '1139430645415247872', '2024-07-08 13:44:36', '2024-07-09 00:51:09', 'Stop', '1', '2024-07-08 13:44:36', '1', '2024-07-09 00:51:09'),
	('4544240328574615552', '1139430644855181312', '2024-07-08 14:56:19', '2024-07-08 14:56:25', 'Alarm', '1', '2024-07-08 14:56:19', '1', '2024-07-08 14:56:26'),
	('4544240328599703552', '1139430644855181312', '2024-07-08 14:56:25', '2024-07-08 14:59:05', 'Stop', '1', '2024-07-08 14:56:26', '1', '2024-07-08 14:59:05'),
	('4544240328788254720', '1139430644494802944', '2024-07-08 14:57:12', '2024-07-08 14:57:15', 'Alarm', '1', '2024-07-08 14:57:12', '1', '2024-07-08 14:57:15'),
	('4544240328800825344', '1139430644494802944', '2024-07-08 14:57:15', '2024-07-08 15:14:54', 'Stop', '1', '2024-07-08 14:57:15', '1', '2024-07-08 15:14:54'),
	('4544240329253355520', '1139430644855181312', '2024-07-08 14:59:05', '2024-07-08 14:59:11', 'Alarm', '1', '2024-07-08 14:59:05', '1', '2024-07-08 14:59:11'),
	('4544240329278631936', '1139430644855181312', '2024-07-08 14:59:11', '2024-07-08 14:59:17', 'Stop', '1', '2024-07-08 14:59:11', '1', '2024-07-08 14:59:17'),
	('4544240329303752704', '1139430644855181312', '2024-07-08 14:59:17', '2024-07-08 14:59:30', 'Alarm', '1', '2024-07-08 14:59:17', '1', '2024-07-08 14:59:30'),
	('4544240329353973760', '1139430644855181312', '2024-07-08 14:59:30', '2024-07-08 15:00:25', 'Stop', '1', '2024-07-08 14:59:30', '1', '2024-07-08 15:00:25'),
	('4544240329580011520', '1139430644855181312', '2024-07-08 15:00:25', '2024-07-08 15:00:40', 'Alarm', '1', '2024-07-08 15:00:25', '1', '2024-07-08 15:00:40'),
	('4544240329642762240', '1139430644855181312', '2024-07-08 15:00:40', '2024-07-08 15:05:13', 'Stop', '1', '2024-07-08 15:00:40', '1', '2024-07-08 15:05:13'),
	('4544240330761973760', '1139430644855181312', '2024-07-08 15:05:13', '2024-07-08 15:05:20', 'Alarm', '1', '2024-07-08 15:05:13', '1', '2024-07-08 15:05:20'),
	('4544240330787176448', '1139430644855181312', '2024-07-08 15:05:20', '2024-07-08 15:06:27', 'Stop', '1', '2024-07-08 15:05:20', '1', '2024-07-08 15:06:27'),
	('4544240331063152640', '1139430644855181312', '2024-07-08 15:06:27', '2024-07-08 15:06:55', 'Alarm', '1', '2024-07-08 15:06:27', '1', '2024-07-08 15:06:55'),
	('4544240331176288256', '1139430644855181312', '2024-07-08 15:06:55', '2024-07-08 15:08:45', 'Stop', '1', '2024-07-08 15:06:55', '1', '2024-07-08 15:08:45'),
	('4544240331629228032', '1139430644855181312', '2024-07-08 15:08:45', '2024-07-08 15:08:48', 'Alarm', '1', '2024-07-08 15:08:45', '1', '2024-07-08 15:08:48'),
	('4544240331641892864', '1139430644855181312', '2024-07-08 15:08:48', '2024-07-08 15:11:37', 'Stop', '1', '2024-07-08 15:08:48', '1', '2024-07-08 15:11:37'),
	('4544240332333568000', '1139430644855181312', '2024-07-08 15:11:37', '2024-07-08 15:11:52', 'Alarm', '1', '2024-07-08 15:11:37', '1', '2024-07-08 15:11:52'),
	('4544240332396363776', '1139430644855181312', '2024-07-08 15:11:52', '2024-07-08 15:12:54', 'Stop', '1', '2024-07-08 15:11:52', '1', '2024-07-08 15:12:54'),
	('4544240332647989248', '1139430644855181312', '2024-07-08 15:12:54', '2024-07-08 15:13:00', 'Alarm', '1', '2024-07-08 15:12:54', '1', '2024-07-08 15:13:00'),
	('4544240332673138688', '1139430644855181312', '2024-07-08 15:13:00', '2024-07-08 15:13:09', 'Stop', '1', '2024-07-08 15:13:00', '1', '2024-07-08 15:13:09'),
	('4544240332711026688', '1139430644855181312', '2024-07-08 15:13:09', '2024-07-08 15:13:49', 'Alarm', '1', '2024-07-08 15:13:09', '1', '2024-07-08 15:13:49'),
	('4544240332874588160', '1139430644855181312', '2024-07-08 15:13:49', '2024-07-08 15:15:12', 'Stop', '1', '2024-07-08 15:13:49', '1', '2024-07-08 15:15:12'),
	('4544240333138731008', '1139430644494802944', '2024-07-08 15:14:54', '2024-07-09 04:05:12', 'Run', '1', '2024-07-08 15:14:54', '1', '2024-07-09 04:05:12'),
	('4544240333214216192', '1139430644855181312', '2024-07-08 15:15:12', '2024-07-08 15:15:18', 'Alarm', '1', '2024-07-08 15:15:12', '1', '2024-07-08 15:15:18'),
	('4544240333239197696', '1139430644855181312', '2024-07-08 15:15:18', '2024-07-08 15:17:24', 'Stop', '1', '2024-07-08 15:15:18', '1', '2024-07-08 15:17:24'),
	('4544240333754880000', '1139430644855181312', '2024-07-08 15:17:24', '2024-07-08 15:17:33', 'Alarm', '1', '2024-07-08 15:17:24', '1', '2024-07-08 15:17:33'),
	('4544240333792575488', '1139430644855181312', '2024-07-08 15:17:33', '2024-07-08 15:30:52', 'Stop', '1', '2024-07-08 15:17:33', '1', '2024-07-08 15:30:52'),
	('4544240337062088704', '1139430644855181312', '2024-07-08 15:30:52', '2024-07-08 15:30:55', 'Alarm', '1', '2024-07-08 15:30:52', '1', '2024-07-08 15:30:55'),
	('4544240337074655232', '1139430644855181312', '2024-07-08 15:30:55', '2024-07-08 15:38:23', 'Stop', '1', '2024-07-08 15:30:55', '1', '2024-07-08 15:38:23'),
	('4544240338909974528', '1139430644855181312', '2024-07-08 15:38:23', '2024-07-08 15:38:26', 'Alarm', '1', '2024-07-08 15:38:23', '1', '2024-07-08 15:38:26'),
	('4544240338922532864', '1139430644855181312', '2024-07-08 15:38:26', '2024-07-08 15:47:38', 'Stop', '1', '2024-07-08 15:38:26', '1', '2024-07-08 15:47:38'),
	('4544240341186527232', '1139430644855181312', '2024-07-08 15:47:38', '2024-07-08 15:47:42', 'Alarm', '1', '2024-07-08 15:47:38', '1', '2024-07-08 15:47:42'),
	('4544240341199122432', '1139430644855181312', '2024-07-08 15:47:42', '2024-07-08 15:47:51', 'Stop', '1', '2024-07-08 15:47:42', '1', '2024-07-08 15:47:51'),
	('4544240341236858880', '1139430644855181312', '2024-07-08 15:47:51', '2024-07-08 15:47:57', 'Alarm', '1', '2024-07-08 15:47:51', '1', '2024-07-08 15:47:57'),
	('4544240341262073856', '1139430644855181312', '2024-07-08 15:47:57', '2024-07-08 15:54:55', 'Stop', '1', '2024-07-08 15:47:57', '1', '2024-07-08 15:54:55'),
	('4544240342972792832', '1139430644855181312', '2024-07-08 15:54:55', '2024-07-08 15:55:13', 'Alarm', '1', '2024-07-08 15:54:55', '1', '2024-07-08 15:55:13'),
	('4544240343048167424', '1139430644855181312', '2024-07-08 15:55:13', '2024-07-08 15:57:01', 'Stop', '1', '2024-07-08 15:55:13', '1', '2024-07-08 15:57:01'),
	('4544240343488724992', '1139430644855181312', '2024-07-08 15:57:01', '2024-07-08 15:57:04', 'Alarm', '1', '2024-07-08 15:57:01', '1', '2024-07-08 15:57:04'),
	('4544240343501283328', '1139430644855181312', '2024-07-08 15:57:04', '2024-07-08 15:57:16', 'Stop', '1', '2024-07-08 15:57:04', '1', '2024-07-08 15:57:16'),
	('4544240343551676416', '1139430644855181312', '2024-07-08 15:57:16', '2024-07-08 15:57:28', 'Alarm', '1', '2024-07-08 15:57:16', '1', '2024-07-08 15:57:28'),
	('4544240343601922048', '1139430644855181312', '2024-07-08 15:57:28', '2024-07-08 15:57:53', 'Stop', '1', '2024-07-08 15:57:28', '1', '2024-07-08 15:57:53'),
	('4544240343702396928', '1139430644855181312', '2024-07-08 15:57:53', '2024-07-08 15:57:56', 'Alarm', '1', '2024-07-08 15:57:53', '1', '2024-07-08 15:57:56'),
	('4544240343714881536', '1139430644855181312', '2024-07-08 15:57:56', '2024-07-08 16:03:46', 'Stop', '1', '2024-07-08 15:57:56', '1', '2024-07-08 16:03:46'),
	('4544240345149386752', '1139430644855181312', '2024-07-08 16:03:46', '2024-07-08 16:04:23', 'Alarm', '1', '2024-07-08 16:03:46', '1', '2024-07-08 16:04:23'),
	('4544240345300389888', '1139430644855181312', '2024-07-08 16:04:23', '2024-07-08 16:04:53', 'Stop', '1', '2024-07-08 16:04:23', '1', '2024-07-08 16:04:54'),
	('4544240345426067456', '1139430644855181312', '2024-07-08 16:04:53', '2024-07-08 16:05:06', 'Alarm', '1', '2024-07-08 16:04:54', '1', '2024-07-08 16:05:06'),
	('4544240345476440064', '1139430644855181312', '2024-07-08 16:05:06', '2024-07-08 16:05:24', 'Stop', '1', '2024-07-08 16:05:06', '1', '2024-07-08 16:05:24'),
	('4544240345551826944', '1139430644855181312', '2024-07-08 16:05:24', '2024-07-08 16:05:30', 'Alarm', '1', '2024-07-08 16:05:24', '1', '2024-07-08 16:05:30'),
	('4544240345577041920', '1139430644855181312', '2024-07-08 16:05:30', '2024-07-08 16:05:52', 'Stop', '1', '2024-07-08 16:05:30', '1', '2024-07-08 16:05:52'),
	('4544240345665069056', '1139430644855181312', '2024-07-08 16:05:52', '2024-07-08 16:06:38', 'Alarm', '1', '2024-07-08 16:05:52', '1', '2024-07-08 16:06:38'),
	('4544240345853616128', '1139430644855181312', '2024-07-08 16:06:38', '2024-07-09 05:59:17', 'Stop', '1', '2024-07-08 16:06:38', '1', '2024-07-09 05:59:17'),
	('4544240365671444480', '1139430645575229440', '2024-07-08 17:27:16', '2024-07-10 15:07:10', 'Stop', '1', '2024-07-08 17:27:16', '1', '2024-07-10 15:07:10'),
	('4544240383822393344', '1139430644475174912', '2024-07-08 18:41:08', '2024-07-08 18:41:14', 'Alarm', '1', '2024-07-08 18:41:08', '1', '2024-07-08 18:41:14'),
	('4544240383847444480', '1139430644475174912', '2024-07-08 18:41:14', '2024-07-08 19:03:12', 'Stop', '1', '2024-07-08 18:41:14', '1', '2024-07-08 19:03:12'),
	('4544240389248778240', '1139430644475174912', '2024-07-08 19:03:12', '2024-07-09 20:52:58', 'Run', '1', '2024-07-08 19:03:12', '1', '2024-07-09 20:52:58'),
	('4544240400518905856', '1139430645630369792', '2024-07-08 19:49:04', '2024-07-09 20:23:53', 'Run', '1', '2024-07-08 19:49:04', '1', '2024-07-09 20:23:54'),
	('4544240411833860096', '1139430644997632000', '2024-07-08 20:35:06', '2024-07-08 23:32:45', 'Stop', '1', '2024-07-08 20:35:06', '1', '2024-07-08 23:32:45'),
	('4544240455493275648', '1139430644997632000', '2024-07-08 23:32:45', '2024-07-08 23:33:04', 'Alarm', '1', '2024-07-08 23:32:45', '1', '2024-07-08 23:33:04'),
	('4544240455568846848', '1139430644997632000', '2024-07-08 23:33:04', '2024-07-08 23:39:04', 'Stop', '1', '2024-07-08 23:33:04', '1', '2024-07-08 23:39:04'),
	('4544240457042214912', '1139430644997632000', '2024-07-08 23:39:04', '2024-07-10 00:36:52', 'Run', '1', '2024-07-08 23:39:04', '1', '2024-07-10 00:36:52'),
	('4544240474758623232', '1139430645415247872', '2024-07-09 00:51:09', '2024-07-10 06:38:48', 'Run', '1', '2024-07-09 00:51:09', '1', '2024-07-10 06:38:48'),
	('4544240516503511040', '1139430645318582272', '2024-07-09 03:41:00', '2024-07-10 08:37:40', 'Run', '1', '2024-07-09 03:41:00', '1', '2024-07-10 08:37:40'),
	('4544240522450305024', '1139430644494802944', '2024-07-09 04:05:12', '2024-07-09 06:17:07', 'Stop', '1', '2024-07-09 04:05:12', '1', '2024-07-09 06:17:07'),
	('4544240530095316992', '1139430645601857536', '2024-07-09 04:36:19', '2024-07-10 08:48:08', 'Run', '1', '2024-07-09 04:36:19', '1', '2024-07-10 08:48:08'),
	('4544240550485549056', '1139430644855181312', '2024-07-09 05:59:17', '2024-07-09 06:06:12', 'Alarm', '1', '2024-07-09 05:59:17', '1', '2024-07-09 06:06:12'),
	('4544240552186667008', '1139430644855181312', '2024-07-09 06:06:12', '2024-07-09 06:21:22', 'Stop', '1', '2024-07-09 06:06:12', '1', '2024-07-09 06:21:22'),
	('4544240554868842496', '1139430644494802944', '2024-07-09 06:17:07', '2024-07-09 06:18:26', 'Alarm', '1', '2024-07-09 06:17:07', '1', '2024-07-09 06:18:26'),
	('4544240555191275520', '1139430644494802944', '2024-07-09 06:18:26', '2024-07-09 06:37:03', 'Stop', '1', '2024-07-09 06:18:26', '1', '2024-07-09 06:37:03'),
	('4544240555912462336', '1139430644855181312', '2024-07-09 06:21:22', '2024-07-10 00:13:04', 'Run', '1', '2024-07-09 06:21:22', '1', '2024-07-10 00:13:04'),
	('4544240559768793088', '1139430644494802944', '2024-07-09 06:37:03', '2024-07-09 19:24:44', 'Run', '1', '2024-07-09 06:37:03', '1', '2024-07-09 19:24:44'),
	('4544240590396071936', '1139430645119148032', '2024-07-09 08:41:41', '2024-07-10 13:04:26', 'Stop', '1', '2024-07-09 08:41:41', '1', '2024-07-10 13:04:26'),
	('4544240604665679872', '1139430644789067776', '2024-07-09 09:39:44', '2024-07-09 09:39:51', 'Alarm', '1', '2024-07-09 09:39:44', '1', '2024-07-09 09:39:51'),
	('4544240604690898944', '1139430644789067776', '2024-07-09 09:39:51', '2024-07-09 10:12:19', 'Stop', '1', '2024-07-09 09:39:51', '1', '2024-07-09 10:12:19'),
	('4544240612672000000', '1139430644789067776', '2024-07-09 10:12:19', '2024-07-09 10:12:22', 'Alarm', '1', '2024-07-09 10:12:19', '1', '2024-07-09 10:12:22'),
	('4544240612684693504', '1139430644789067776', '2024-07-09 10:12:22', '2024-07-09 11:15:54', 'Stop', '1', '2024-07-09 10:12:22', '1', '2024-07-09 11:15:54'),
	('4544240628297166848', '1139430644789067776', '2024-07-09 11:15:54', '2024-07-09 11:15:57', 'Alarm', '1', '2024-07-09 11:15:54', '1', '2024-07-09 11:15:57'),
	('4544240628309786624', '1139430644789067776', '2024-07-09 11:15:57', '2024-07-09 11:16:21', 'Stop', '1', '2024-07-09 11:15:57', '1', '2024-07-09 11:16:21'),
	('4544240628410220544', '1139430644789067776', '2024-07-09 11:16:21', '2024-07-09 11:16:24', 'Alarm', '1', '2024-07-09 11:16:21', '1', '2024-07-09 11:16:24'),
	('4544240628422746112', '1139430644789067776', '2024-07-09 11:16:24', '2024-07-09 11:16:28', 'Stop', '1', '2024-07-09 11:16:24', '1', '2024-07-09 11:16:28'),
	('4544240628435337216', '1139430644789067776', '2024-07-09 11:16:28', '2024-07-09 11:16:31', 'Alarm', '1', '2024-07-09 11:16:28', '1', '2024-07-09 11:16:31'),
	('4544240628447903744', '1139430644789067776', '2024-07-09 11:16:31', '2024-07-09 11:16:40', 'Stop', '1', '2024-07-09 11:16:31', '1', '2024-07-09 11:16:40'),
	('4544240628485763072', '1139430644789067776', '2024-07-09 11:16:40', '2024-07-09 11:16:43', 'Alarm', '1', '2024-07-09 11:16:40', '1', '2024-07-09 11:16:43'),
	('4544240628498391040', '1139430644789067776', '2024-07-09 11:16:43', '2024-07-09 11:17:35', 'Stop', '1', '2024-07-09 11:16:43', '1', '2024-07-09 11:17:35'),
	('4544240628712534016', '1139430644789067776', '2024-07-09 11:17:35', '2024-07-09 11:17:54', 'Alarm', '1', '2024-07-09 11:17:35', '1', '2024-07-09 11:17:54'),
	('4544240628788170752', '1139430644789067776', '2024-07-09 11:17:54', '2024-07-09 11:18:00', 'Stop', '1', '2024-07-09 11:17:54', '1', '2024-07-09 11:18:00'),
	('4544240628813418496', '1139430644789067776', '2024-07-09 11:18:00', '2024-07-09 11:18:55', 'Alarm', '1', '2024-07-09 11:18:00', '1', '2024-07-09 11:18:55'),
	('4544240629040164864', '1139430644789067776', '2024-07-09 11:18:55', '2024-07-09 12:58:45', 'Stop', '1', '2024-07-09 11:18:55', '1', '2024-07-09 12:58:45'),
	('4544240653572792320', '1139430644789067776', '2024-07-09 12:58:45', '2024-07-09 12:58:54', 'Alarm', '1', '2024-07-09 12:58:45', '1', '2024-07-09 12:58:54'),
	('4544240653610573824', '1139430644789067776', '2024-07-09 12:58:54', '2024-07-09 13:01:43', 'Stop', '1', '2024-07-09 12:58:54', '1', '2024-07-09 13:01:43'),
	('4544240654303494144', '1139430644789067776', '2024-07-09 13:01:43', '2024-07-09 13:01:49', 'Alarm', '1', '2024-07-09 13:01:43', '1', '2024-07-09 13:01:49'),
	('4544240654328619008', '1139430644789067776', '2024-07-09 13:01:49', '2024-07-09 13:02:20', 'Stop', '1', '2024-07-09 13:01:49', '1', '2024-07-09 13:02:20'),
	('4544240654454276096', '1139430644789067776', '2024-07-09 13:02:20', '2024-07-09 13:02:29', 'Alarm', '1', '2024-07-09 13:02:20', '1', '2024-07-09 13:02:29'),
	('4544240654492254208', '1139430644789067776', '2024-07-09 13:02:29', '2024-07-09 13:13:30', 'Stop', '1', '2024-07-09 13:02:29', '1', '2024-07-09 13:13:30'),
	('4544240656720363520', '1139430645041299456', '2024-07-09 13:11:33', '2024-07-09 19:59:04', 'Stop', '1', '2024-07-09 13:11:33', '1', '2024-07-09 19:59:04'),
	('4544240657198993408', '1139430644789067776', '2024-07-09 13:13:30', '2024-07-09 13:13:39', 'Alarm', '1', '2024-07-09 13:13:30', '1', '2024-07-09 13:13:39'),
	('4544240657236611072', '1139430644789067776', '2024-07-09 13:13:39', '2024-07-09 13:14:41', 'Stop', '1', '2024-07-09 13:13:39', '1', '2024-07-09 13:14:41'),
	('4544240657488646144', '1139430644789067776', '2024-07-09 13:14:41', '2024-07-09 13:14:59', 'Alarm', '1', '2024-07-09 13:14:41', '1', '2024-07-09 13:14:59'),
	('4544240657564139520', '1139430644789067776', '2024-07-09 13:14:59', '2024-07-09 13:21:24', 'Stop', '1', '2024-07-09 13:14:59', '1', '2024-07-09 13:21:24'),
	('4544240659139801088', '1139430644789067776', '2024-07-09 13:21:24', '2024-07-09 13:21:42', 'Alarm', '1', '2024-07-09 13:21:24', '1', '2024-07-09 13:21:42'),
	('4544240659215384576', '1139430644789067776', '2024-07-09 13:21:42', '2024-07-09 13:59:01', 'Stop', '1', '2024-07-09 13:21:42', '1', '2024-07-09 13:59:01'),
	('4544240668384821248', '1139430644789067776', '2024-07-09 13:59:01', '2024-07-09 13:59:32', 'Alarm', '1', '2024-07-09 13:59:01', '1', '2024-07-09 13:59:32'),
	('4544240668510547968', '1139430644789067776', '2024-07-09 13:59:32', '2024-07-09 14:00:48', 'Stop', '1', '2024-07-09 13:59:32', '1', '2024-07-09 14:00:48'),
	('4544240668825595904', '1139430644789067776', '2024-07-09 14:00:48', '2024-07-09 14:00:52', 'Alarm', '1', '2024-07-09 14:00:48', '1', '2024-07-09 14:00:52'),
	('4544240668838227968', '1139430644789067776', '2024-07-09 14:00:52', '2024-07-09 14:02:24', 'Stop', '1', '2024-07-09 14:00:52', '1', '2024-07-09 14:02:24'),
	('4544240669216313344', '1139430644789067776', '2024-07-09 14:02:24', '2024-07-09 14:02:48', 'Alarm', '1', '2024-07-09 14:02:24', '1', '2024-07-09 14:02:48'),
	('4544240669317083136', '1139430644789067776', '2024-07-09 14:02:48', '2024-07-09 14:53:06', 'Stop', '1', '2024-07-09 14:02:48', '1', '2024-07-09 14:53:06'),
	('4544240681678118912', '1139430644789067776', '2024-07-09 14:53:06', '2024-07-09 14:53:12', 'Alarm', '1', '2024-07-09 14:53:06', '1', '2024-07-09 14:53:12'),
	('4544240681703354368', '1139430644789067776', '2024-07-09 14:53:12', '2024-07-09 14:53:40', 'Stop', '1', '2024-07-09 14:53:12', '1', '2024-07-09 14:53:40'),
	('4544240681816809472', '1139430644789067776', '2024-07-09 14:53:40', '2024-07-09 14:53:59', 'Alarm', '1', '2024-07-09 14:53:40', '1', '2024-07-09 14:53:59'),
	('4544240681892306944', '1139430644789067776', '2024-07-09 14:53:59', '2024-07-09 14:57:46', 'Stop', '1', '2024-07-09 14:53:59', '1', '2024-07-09 14:57:46'),
	('4544240682824900608', '1139430644789067776', '2024-07-09 14:57:46', '2024-07-09 14:57:49', 'Alarm', '1', '2024-07-09 14:57:46', '1', '2024-07-09 14:57:49'),
	('4544240682837544960', '1139430644789067776', '2024-07-09 14:57:49', '2024-07-09 15:00:29', 'Stop', '1', '2024-07-09 14:57:49', '1', '2024-07-09 15:00:29'),
	('4544240683492978688', '1139430644789067776', '2024-07-09 15:00:29', '2024-07-09 15:00:48', 'Alarm', '1', '2024-07-09 15:00:29', '1', '2024-07-09 15:00:48'),
	('4544240683568357376', '1139430644789067776', '2024-07-09 15:00:48', '2024-07-09 15:04:08', 'Stop', '1', '2024-07-09 15:00:48', '1', '2024-07-09 15:04:08'),
	('4544240684386873344', '1139430644789067776', '2024-07-09 15:04:08', '2024-07-09 15:04:48', 'Alarm', '1', '2024-07-09 15:04:08', '1', '2024-07-09 15:04:48'),
	('4544240684550639616', '1139430644789067776', '2024-07-09 15:04:48', '2024-07-09 15:05:06', 'Stop', '1', '2024-07-09 15:04:48', '1', '2024-07-09 15:05:06'),
	('4544240684626010112', '1139430644789067776', '2024-07-09 15:05:06', '2024-07-09 15:05:43', 'Alarm', '1', '2024-07-09 15:05:06', '1', '2024-07-09 15:05:43'),
	('4544240684777385984', '1139430644789067776', '2024-07-09 15:05:43', '2024-07-09 15:07:00', 'Stop', '1', '2024-07-09 15:05:43', '1', '2024-07-09 15:07:00'),
	('4544240685092081664', '1139430644789067776', '2024-07-09 15:07:00', '2024-07-09 15:07:27', 'Alarm', '1', '2024-07-09 15:07:00', '1', '2024-07-09 15:07:27'),
	('4544240685205213184', '1139430644789067776', '2024-07-09 15:07:27', '2024-07-09 15:38:25', 'Stop', '1', '2024-07-09 15:07:27', '1', '2024-07-09 15:38:25'),
	('4544240692815962112', '1139430644789067776', '2024-07-09 15:38:25', '2024-07-09 15:38:29', 'Alarm', '1', '2024-07-09 15:38:25', '1', '2024-07-09 15:38:29'),
	('4544240692828614656', '1139430644789067776', '2024-07-09 15:38:29', '2024-07-09 15:38:55', 'Stop', '1', '2024-07-09 15:38:29', '1', '2024-07-09 15:38:55'),
	('4544240692936904704', '1139430644789067776', '2024-07-09 15:38:55', '2024-07-09 15:39:11', 'Alarm', '1', '2024-07-09 15:38:55', '1', '2024-07-09 15:39:11'),
	('4544240693002461184', '1139430644789067776', '2024-07-09 15:39:11', '2024-07-09 15:44:35', 'Stop', '1', '2024-07-09 15:39:11', '1', '2024-07-09 15:44:35'),
	('4544240694329053184', '1139430644789067776', '2024-07-09 15:44:35', '2024-07-09 15:44:41', 'Alarm', '1', '2024-07-09 15:44:35', '1', '2024-07-09 15:44:41'),
	('4544240694354124800', '1139430644789067776', '2024-07-09 15:44:41', '2024-07-09 16:09:06', 'Stop', '1', '2024-07-09 15:44:41', '1', '2024-07-09 16:09:06'),
	('4544240700355391488', '1139430644789067776', '2024-07-09 16:09:06', '2024-07-09 16:09:12', 'Alarm', '1', '2024-07-09 16:09:06', '1', '2024-07-09 16:09:12'),
	('4544240700380573696', '1139430644789067776', '2024-07-09 16:09:12', '2024-07-09 16:13:43', 'Stop', '1', '2024-07-09 16:09:12', '1', '2024-07-09 16:13:43'),
	('4544240701490139136', '1139430644789067776', '2024-07-09 16:13:43', '2024-07-09 16:13:49', 'Alarm', '1', '2024-07-09 16:13:43', '1', '2024-07-09 16:13:49'),
	('4544240701515481088', '1139430644789067776', '2024-07-09 16:13:49', '2024-07-09 16:14:36', 'Stop', '1', '2024-07-09 16:13:49', '1', '2024-07-09 16:14:36'),
	('4544240701704601600', '1139430644789067776', '2024-07-09 16:14:36', '2024-07-09 16:14:39', 'Alarm', '1', '2024-07-09 16:14:36', '1', '2024-07-09 16:14:39'),
	('4544240701717168128', '1139430644789067776', '2024-07-09 16:14:39', '2024-07-09 16:45:46', 'Stop', '1', '2024-07-09 16:14:39', '1', '2024-07-09 16:45:46'),
	('4544240709367193600', '1139430644789067776', '2024-07-09 16:45:46', '2024-07-09 16:46:14', 'Alarm', '1', '2024-07-09 16:45:46', '1', '2024-07-09 16:46:14'),
	('4544240709480611840', '1139430644789067776', '2024-07-09 16:46:14', '2024-07-09 16:46:23', 'Stop', '1', '2024-07-09 16:46:14', '1', '2024-07-09 16:46:23'),
	('4544240709518344192', '1139430644789067776', '2024-07-09 16:46:23', '2024-07-09 16:46:39', 'Alarm', '1', '2024-07-09 16:46:23', '1', '2024-07-09 16:46:39'),
	('4544240709581176832', '1139430644789067776', '2024-07-09 16:46:39', '2024-07-09 16:55:18', 'Stop', '1', '2024-07-09 16:46:39', '1', '2024-07-09 16:55:18'),
	('4544240711710658560', '1139430644789067776', '2024-07-09 16:55:18', '2024-07-09 16:55:28', 'Alarm', '1', '2024-07-09 16:55:18', '1', '2024-07-09 16:55:28'),
	('4544240711748403200', '1139430644789067776', '2024-07-09 16:55:28', '2024-07-09 17:01:15', 'Stop', '1', '2024-07-09 16:55:28', '1', '2024-07-09 17:01:15'),
	('4544240713172803584', '1139430644789067776', '2024-07-09 17:01:15', '2024-07-09 17:01:19', 'Alarm', '1', '2024-07-09 17:01:15', '1', '2024-07-09 17:01:19'),
	('4544240713185419264', '1139430644789067776', '2024-07-09 17:01:19', '2024-07-09 17:03:58', 'Stop', '1', '2024-07-09 17:01:19', '1', '2024-07-09 17:03:58'),
	('4544240713840586752', '1139430644789067776', '2024-07-09 17:03:58', '2024-07-09 17:04:14', 'Alarm', '1', '2024-07-09 17:03:58', '1', '2024-07-09 17:04:14'),
	('4544240713903714304', '1139430644789067776', '2024-07-09 17:04:14', '2024-07-09 17:11:40', 'Stop', '1', '2024-07-09 17:04:14', '1', '2024-07-09 17:11:40'),
	('4544240715731566592', '1139430644789067776', '2024-07-09 17:11:40', '2024-07-09 17:11:55', 'Alarm', '1', '2024-07-09 17:11:40', '1', '2024-07-09 17:11:55'),
	('4544240715794513920', '1139430644789067776', '2024-07-09 17:11:55', '2024-07-10 15:53:34', 'Stop', '1', '2024-07-09 17:11:55', '1', '2024-07-10 15:53:34'),
	('4544240720584093696', '1139430645079994368', '2024-07-09 17:31:25', '2024-07-09 17:31:28', 'Stop', '1', '2024-07-09 17:31:25', '1', '2024-07-09 17:31:28'),
	('4544240720596754432', '1139430645079994368', '2024-07-09 17:31:28', '2024-07-09 17:31:31', 'Run', '1', '2024-07-09 17:31:28', '1', '2024-07-09 17:31:31'),
	('4544240720609435648', '1139430645079994368', '2024-07-09 17:31:31', '2024-07-10 06:34:35', 'Stop', '1', '2024-07-09 17:31:31', '1', '2024-07-10 06:34:35'),
	('4544240748434964480', '1139430644494802944', '2024-07-09 19:24:44', '2024-07-09 21:22:43', 'Stop', '1', '2024-07-09 19:24:44', '1', '2024-07-09 21:22:43'),
	('4544240756872404992', '1139430645041299456', '2024-07-09 19:59:04', '2024-07-11 16:21:02', 'Run', '1', '2024-07-09 19:59:04', '1', '2024-07-11 16:21:02'),
	('4544240762972422144', '1139430645630369792', '2024-07-09 20:23:53', '2024-07-09 22:46:24', 'Stop', '1', '2024-07-09 20:23:54', '1', '2024-07-09 22:46:24'),
	('4544240770115915776', '1139430644475174912', '2024-07-09 20:52:58', '2024-07-10 03:37:59', 'Stop', '1', '2024-07-09 20:52:58', '1', '2024-07-10 03:37:59'),
	('4544240777427140608', '1139430644494802944', '2024-07-09 21:22:43', '2024-07-09 21:22:46', 'Alarm', '1', '2024-07-09 21:22:43', '1', '2024-07-09 21:22:46'),
	('4544240777439698944', '1139430644494802944', '2024-07-09 21:22:46', '2024-07-09 21:40:30', 'Stop', '1', '2024-07-09 21:22:46', '1', '2024-07-09 21:40:30'),
	('4544240781800062976', '1139430644494802944', '2024-07-09 21:40:30', '2024-07-10 09:43:02', 'Run', '1', '2024-07-09 21:40:30', '1', '2024-07-10 09:43:02'),
	('4544240797996232704', '1139430645630369792', '2024-07-09 22:46:24', '2024-07-11 11:22:02', 'Run', '1', '2024-07-09 22:46:24', '1', '2024-07-11 11:22:02'),
	('4544240819295838208', '1139430644855181312', '2024-07-10 00:13:04', '2024-07-11 11:22:02', 'Stop', '1', '2024-07-10 00:13:04', '1', '2024-07-11 11:22:02'),
	('4544240825144545280', '1139430644997632000', '2024-07-10 00:36:52', '2024-07-15 09:08:10', 'Stop', '1', '2024-07-10 00:36:52', '1', '2024-07-15 09:08:10'),
	('4544240869652647936', '1139430644475174912', '2024-07-10 03:37:59', '2024-07-10 03:38:39', 'Alarm', '1', '2024-07-10 03:37:59', '1', '2024-07-10 03:38:39'),
	('4544240869816479744', '1139430644475174912', '2024-07-10 03:38:39', '2024-07-10 03:57:34', 'Stop', '1', '2024-07-10 03:38:39', '1', '2024-07-10 03:57:34'),
	('4544240874469011456', '1139430644475174912', '2024-07-10 03:57:34', '2024-07-11 11:22:02', 'Run', '1', '2024-07-10 03:57:34', '1', '2024-07-11 11:22:02'),
	('4544240876284878848', '1139430645193863168', '2024-07-10 04:04:58', '2024-07-11 11:22:02', 'Run', '1', '2024-07-10 04:04:58', '1', '2024-07-11 11:22:02'),
	('4544240913056681984', '1139430645079994368', '2024-07-10 06:34:35', '2024-07-15 16:58:54', 'Run', '1', '2024-07-10 06:34:35', '1', '2024-07-15 16:58:54'),
	('4544240914090745856', '1139430645415247872', '2024-07-10 06:38:48', '2024-07-10 12:58:41', 'Stop', '1', '2024-07-10 06:38:48', '1', '2024-07-10 12:58:41'),
	('4544240943306403840', '1139430645318582272', '2024-07-10 08:37:40', '2024-07-11 20:52:22', 'Stop', '1', '2024-07-10 08:37:40', '1', '2024-07-11 20:52:22'),
	('4544240945878491136', '1139430645601857536', '2024-07-10 08:48:08', '2024-07-11 11:22:02', 'Stop', '1', '2024-07-10 08:48:08', '1', '2024-07-11 11:22:02'),
	('4544240959370416128', '1139430644494802944', '2024-07-10 09:43:02', '2024-07-10 14:20:05', 'Stop', '1', '2024-07-10 09:43:02', '1', '2024-07-10 14:20:05'),
	('4544241007451910144', '1139430645415247872', '2024-07-10 12:58:41', '2024-07-11 13:56:06', 'Run', '1', '2024-07-10 12:58:41', '1', '2024-07-11 13:56:06'),
	('4544241008864399360', '1139430645119148032', '2024-07-10 13:04:26', '2024-07-10 13:04:29', 'Alarm', '1', '2024-07-10 13:04:26', '1', '2024-07-10 13:04:29'),
	('4544241008877043712', '1139430645119148032', '2024-07-10 13:04:29', '2024-07-10 13:05:00', 'Stop', '1', '2024-07-10 13:04:29', '1', '2024-07-10 13:05:00'),
	('4544241009002975232', '1139430645119148032', '2024-07-10 13:05:00', '2024-07-10 13:05:21', 'Alarm', '1', '2024-07-10 13:05:00', '1', '2024-07-10 13:05:21'),
	('4544241009091354624', '1139430645119148032', '2024-07-10 13:05:21', '2024-07-10 13:05:52', 'Stop', '1', '2024-07-10 13:05:21', '1', '2024-07-10 13:05:52'),
	('4544241009217519616', '1139430645119148032', '2024-07-10 13:05:52', '2024-07-10 13:05:55', 'Alarm', '1', '2024-07-10 13:05:52', '1', '2024-07-10 13:05:55'),
	('4544241009230180352', '1139430645119148032', '2024-07-10 13:05:55', '2024-07-10 13:06:23', 'Stop', '1', '2024-07-10 13:05:55', '1', '2024-07-10 13:06:23'),
	('4544241009343725568', '1139430645119148032', '2024-07-10 13:06:23', '2024-07-10 13:06:26', 'Alarm', '1', '2024-07-10 13:06:23', '1', '2024-07-10 13:06:26'),
	('4544241009356382208', '1139430645119148032', '2024-07-10 13:06:26', '2024-07-10 13:19:34', 'Stop', '1', '2024-07-10 13:06:26', '1', '2024-07-10 13:19:34'),
	('4544241012584648704', '1139430645119148032', '2024-07-10 13:19:34', '2024-07-10 13:19:49', 'Alarm', '1', '2024-07-10 13:19:34', '1', '2024-07-10 13:19:49'),
	('4544241012647538688', '1139430645119148032', '2024-07-10 13:19:49', '2024-07-10 13:20:20', 'Stop', '1', '2024-07-10 13:19:49', '1', '2024-07-10 13:20:20'),
	('4544241012773384192', '1139430645119148032', '2024-07-10 13:20:20', '2024-07-10 13:20:29', 'Alarm', '1', '2024-07-10 13:20:20', '1', '2024-07-10 13:20:29'),
	('4544241012811304960', '1139430645119148032', '2024-07-10 13:20:29', '2024-07-10 13:21:00', 'Stop', '1', '2024-07-10 13:20:29', '1', '2024-07-10 13:21:00'),
	('4544241012937478144', '1139430645119148032', '2024-07-10 13:21:00', '2024-07-10 13:21:06', 'Alarm', '1', '2024-07-10 13:21:00', '1', '2024-07-10 13:21:06'),
	('4544241012962742272', '1139430645119148032', '2024-07-10 13:21:06', '2024-07-10 13:21:19', 'Stop', '1', '2024-07-10 13:21:06', '1', '2024-07-10 13:21:19'),
	('4544241013013131264', '1139430645119148032', '2024-07-10 13:21:19', '2024-07-10 13:21:25', 'Alarm', '1', '2024-07-10 13:21:19', '1', '2024-07-10 13:21:25'),
	('4544241013038383104', '1139430645119148032', '2024-07-10 13:21:25', '2024-07-10 13:21:59', 'Stop', '1', '2024-07-10 13:21:25', '1', '2024-07-10 13:21:59'),
	('4544241013177065472', '1139430645119148032', '2024-07-10 13:21:59', '2024-07-10 13:22:05', 'Alarm', '1', '2024-07-10 13:21:59', '1', '2024-07-10 13:22:05'),
	('4544241013202309120', '1139430645119148032', '2024-07-10 13:22:05', '2024-07-11 11:22:02', 'Stop', '1', '2024-07-10 13:22:05', '1', '2024-07-11 11:22:02'),
	('4544241015700025344', '1139430645247967232', '2024-07-10 13:32:15', '2024-07-12 13:39:27', 'Maintain', '1', '2024-07-10 13:32:15', '1', '2024-07-12 13:39:27'),
	('4544241018056843264', '1139430645508157440', '2024-07-10 13:41:50', '2024-07-10 13:42:05', 'Maintain', '1', '2024-07-10 13:41:50', '1', '2024-07-10 13:42:05'),
	('4544241018120097792', '1139430645508157440', '2024-07-10 13:42:05', '2024-07-10 13:45:10', 'Stop', '1', '2024-07-10 13:42:05', '1', '2024-07-10 13:45:10'),
	('4544241018876039168', '1139430645508157440', '2024-07-10 13:45:10', '2024-07-26 12:03:04', 'Maintain', '1', '2024-07-10 13:45:10', '1', '2024-07-26 12:03:04'),
	('4544241027457884160', '1139430644494802944', '2024-07-10 14:20:05', '2024-07-10 14:20:08', 'Alarm', '1', '2024-07-10 14:20:05', '1', '2024-07-10 14:20:08'),
	('4544241027470479360', '1139430644494802944', '2024-07-10 14:20:08', '2024-07-10 14:35:56', 'Stop', '1', '2024-07-10 14:20:08', '1', '2024-07-10 14:35:56'),
	('4544241031352352768', '1139430644494802944', '2024-07-10 14:35:56', '2024-07-11 11:22:02', 'Run', '1', '2024-07-10 14:35:56', '1', '2024-07-11 11:22:02'),
	('4544241039027453952', '1139430645575229440', '2024-07-10 15:07:10', '2024-07-10 15:08:39', 'Alarm', '1', '2024-07-10 15:07:10', '1', '2024-07-10 15:08:39'),
	('4544241039393153024', '1139430645575229440', '2024-07-10 15:08:39', '2024-07-10 15:14:05', 'Stop', '1', '2024-07-10 15:08:39', '1', '2024-07-10 15:14:05'),
	('4544241040729063424', '1139430645575229440', '2024-07-10 15:14:05', '2024-07-11 13:35:25', 'Run', '1', '2024-07-10 15:14:05', '1', '2024-07-11 13:35:25'),
	('4544241050433474560', '1139430644789067776', '2024-07-10 15:53:34', '2024-07-10 15:53:44', 'Alarm', '1', '2024-07-10 15:53:34', '1', '2024-07-10 15:53:44'),
	('4544241050471223296', '1139430644789067776', '2024-07-10 15:53:44', '2024-07-11 11:22:02', 'Stop', '1', '2024-07-10 15:53:44', '1', '2024-07-11 11:22:02'),
	('4544241337593266176', '1139430644789067776', '2024-07-11 11:22:02', '2024-07-12 06:35:24', 'Run', '1', '2024-07-11 11:22:02', '1', '2024-07-12 06:35:24'),
	('4544241337593315328', '1139430644475174912', '2024-07-11 11:22:02', '2024-07-11 22:56:51', 'Stop', '1', '2024-07-11 11:22:02', '1', '2024-07-11 22:56:51'),
	('4544241337593323520', '1139430644855181312', '2024-07-11 11:22:02', '2024-07-11 15:12:49', 'Run', '1', '2024-07-11 11:22:02', '1', '2024-07-11 15:12:49'),
	('4544241337593335808', '1139430644494802944', '2024-07-11 11:22:02', '2024-07-11 19:20:08', 'Stop', '1', '2024-07-11 11:22:02', '1', '2024-07-11 19:20:08'),
	('4544241337593376768', '1139430645119148032', '2024-07-11 11:22:02', '2024-07-12 00:10:29', 'Run', '1', '2024-07-11 11:22:02', '1', '2024-07-12 00:10:29'),
	('4544241337593380864', '1139430645193863168', '2024-07-11 11:22:02', '2024-07-15 09:08:10', 'Stop', '1', '2024-07-11 11:22:02', '1', '2024-07-15 09:08:10'),
	('4544241337593413632', '1139430645601857536', '2024-07-11 11:22:02', '2024-07-12 08:52:45', 'Run', '1', '2024-07-11 11:22:02', '1', '2024-07-12 08:52:45'),
	('4544241337593421824', '1139430645630369792', '2024-07-11 11:22:02', '2024-07-12 03:24:26', 'Stop', '1', '2024-07-11 11:22:02', '1', '2024-07-12 03:24:26'),
	('4544241370376433664', '1139430645575229440', '2024-07-11 13:35:25', '2024-07-12 11:42:50', 'Stop', '1', '2024-07-11 13:35:26', '1', '2024-07-12 11:42:50'),
	('4544241375456374784', '1139430645415247872', '2024-07-11 13:56:06', '2024-07-15 09:08:10', 'Stop', '1', '2024-07-11 13:56:06', '1', '2024-07-15 09:08:10'),
	('4544241394312503296', '1139430644855181312', '2024-07-11 15:12:49', '2024-07-11 18:18:33', 'Stop', '1', '2024-07-11 15:12:49', '1', '2024-07-11 18:18:33'),
	('4544241411077611520', '1139430645041299456', '2024-07-11 16:21:02', '2024-07-17 09:03:43', 'Stop', '1', '2024-07-11 16:21:02', '1', '2024-07-17 09:03:43'),
	('4544241439955816448', '1139430644855181312', '2024-07-11 18:18:33', '2024-07-11 18:19:07', 'Alarm', '1', '2024-07-11 18:18:33', '1', '2024-07-11 18:19:07'),
	('4544241440094654464', '1139430644855181312', '2024-07-11 18:19:07', '2024-07-11 18:25:16', 'Stop', '1', '2024-07-11 18:19:07', '1', '2024-07-11 18:25:16'),
	('4544241441607163904', '1139430644855181312', '2024-07-11 18:25:16', '2024-07-11 18:25:25', 'Alarm', '1', '2024-07-11 18:25:16', '1', '2024-07-11 18:25:25'),
	('4544241441644916736', '1139430644855181312', '2024-07-11 18:25:25', '2024-07-11 18:25:31', 'Stop', '1', '2024-07-11 18:25:25', '1', '2024-07-11 18:25:31'),
	('4544241441670148096', '1139430644855181312', '2024-07-11 18:25:31', '2024-07-11 18:26:45', 'Alarm', '1', '2024-07-11 18:25:31', '1', '2024-07-11 18:26:45'),
	('4544241441972187136', '1139430644855181312', '2024-07-11 18:26:45', '2024-07-11 18:34:57', 'Stop', '1', '2024-07-11 18:26:45', '1', '2024-07-11 18:34:57'),
	('4544241443988869120', '1139430644855181312', '2024-07-11 18:34:57', '2024-07-11 18:35:50', 'Alarm', '1', '2024-07-11 18:34:57', '1', '2024-07-11 18:35:50'),
	('4544241444203126784', '1139430644855181312', '2024-07-11 18:35:50', '2024-07-15 09:08:10', 'Stop', '1', '2024-07-11 18:35:50', '1', '2024-07-15 09:08:10'),
	('4544241455091187712', '1139430644494802944', '2024-07-11 19:20:08', '2024-07-11 19:20:11', 'Alarm', '1', '2024-07-11 19:20:08', '1', '2024-07-11 19:20:11'),
	('4544241455103758336', '1139430644494802944', '2024-07-11 19:20:11', '2024-07-11 20:27:20', 'Stop', '1', '2024-07-11 19:20:11', '1', '2024-07-11 20:27:20'),
	('4544241471607431168', '1139430644494802944', '2024-07-11 20:27:20', '2024-07-11 20:27:35', 'Alarm', '1', '2024-07-11 20:27:20', '1', '2024-07-11 20:27:36'),
	('4544241471670448128', '1139430644494802944', '2024-07-11 20:27:35', '2024-07-11 20:42:03', 'Stop', '1', '2024-07-11 20:27:36', '1', '2024-07-11 20:42:03'),
	('4544241475225665536', '1139430644494802944', '2024-07-11 20:42:03', '2024-07-12 09:12:14', 'Run', '1', '2024-07-11 20:42:03', '1', '2024-07-12 09:12:14'),
	('4544241477758754816', '1139430645318582272', '2024-07-11 20:52:22', '2024-07-15 09:25:56', 'Run', '1', '2024-07-11 20:52:22', '1', '2024-07-15 09:25:56'),
	('4544241491703144448', '1139430644963524608', '2024-07-11 21:49:06', '2024-07-15 16:58:54', 'Run', '1', '2024-07-11 21:49:06', '1', '2024-07-15 16:58:54'),
	('4544241508353400832', '1139430644475174912', '2024-07-11 22:56:51', '2024-07-11 22:57:13', 'Alarm', '1', '2024-07-11 22:56:51', '1', '2024-07-11 22:57:13'),
	('4544241508441395200', '1139430644475174912', '2024-07-11 22:57:13', '2024-07-11 23:18:30', 'Stop', '1', '2024-07-11 22:57:13', '1', '2024-07-11 23:18:30'),
	('4544241513671368704', '1139430644475174912', '2024-07-11 23:18:30', '2024-07-16 11:02:20', 'Run', '1', '2024-07-11 23:18:30', '1', '2024-07-16 11:02:20'),
	('4544241523450372096', '1139430645381705728', '2024-07-11 23:58:17', '2024-07-18 06:17:30', 'Run', '1', '2024-07-11 23:58:17', '1', '2024-07-18 06:17:30'),
	('4544241526449811456', '1139430645119148032', '2024-07-12 00:10:29', '2024-07-12 14:51:32', 'Stop', '1', '2024-07-12 00:10:29', '1', '2024-07-12 14:51:32'),
	('4544241574114398208', '1139430645630369792', '2024-07-12 03:24:26', '2024-07-16 11:02:20', 'Run', '1', '2024-07-12 03:24:26', '1', '2024-07-16 11:02:20'),
	('4544241621043531776', '1139430644789067776', '2024-07-12 06:35:24', '2024-07-12 08:21:23', 'Stop', '1', '2024-07-12 06:35:24', '1', '2024-07-12 08:21:23'),
	('4544241621635772416', '1139430645547446272', '2024-07-12 06:37:48', '2024-07-15 09:08:10', 'Run', '1', '2024-07-12 06:37:48', '1', '2024-07-15 09:08:10'),
	('4544241647089811456', '1139430644789067776', '2024-07-12 08:21:23', '2024-07-12 08:21:32', 'Alarm', '1', '2024-07-12 08:21:23', '1', '2024-07-12 08:21:32'),
	('4544241647127474176', '1139430644789067776', '2024-07-12 08:21:32', '2024-07-12 08:21:47', 'Stop', '1', '2024-07-12 08:21:32', '1', '2024-07-12 08:21:47'),
	('4544241647190421504', '1139430644789067776', '2024-07-12 08:21:47', '2024-07-12 08:21:50', 'Alarm', '1', '2024-07-12 08:21:47', '1', '2024-07-12 08:21:50'),
	('4544241647203033088', '1139430644789067776', '2024-07-12 08:21:50', '2024-07-12 08:22:21', 'Stop', '1', '2024-07-12 08:21:50', '1', '2024-07-12 08:22:21'),
	('4544241647329165312', '1139430644789067776', '2024-07-12 08:22:21', '2024-07-12 08:22:33', 'Alarm', '1', '2024-07-12 08:22:21', '1', '2024-07-12 08:22:33'),
	('4544241647379521536', '1139430644789067776', '2024-07-12 08:22:33', '2024-07-12 08:32:15', 'Stop', '1', '2024-07-12 08:22:33', '1', '2024-07-12 08:32:15'),
	('4544241649760980992', '1139430644789067776', '2024-07-12 08:32:15', '2024-07-12 08:32:18', 'Alarm', '1', '2024-07-12 08:32:15', '1', '2024-07-12 08:32:18'),
	('4544241649773621248', '1139430644789067776', '2024-07-12 08:32:18', '2024-07-15 09:08:10', 'Stop', '1', '2024-07-12 08:32:18', '1', '2024-07-15 09:08:10'),
	('4544241654799507456', '1139430645601857536', '2024-07-12 08:52:45', '2024-07-15 09:08:10', 'Stop', '1', '2024-07-12 08:52:45', '1', '2024-07-15 09:08:10'),
	('4544241659587047424', '1139430644494802944', '2024-07-12 09:12:14', '2024-07-15 09:08:10', 'Stop', '1', '2024-07-12 09:12:14', '1', '2024-07-15 09:08:10'),
	('4544241696600592384', '1139430645575229440', '2024-07-12 11:42:50', '2024-07-16 17:16:29', 'Run', '1', '2024-07-12 11:42:50', '1', '2024-07-16 17:16:29'),
	('4544241725260005376', '1139430645247967232', '2024-07-12 13:39:27', '2024-07-12 15:05:32', 'Stop', '1', '2024-07-12 13:39:27', '1', '2024-07-12 15:05:33'),
	('4544241742975160320', '1139430645119148032', '2024-07-12 14:51:32', '2024-07-17 09:03:43', 'Run', '1', '2024-07-12 14:51:32', '1', '2024-07-17 09:03:43'),
	('4544241746417807360', '1139430645247967232', '2024-07-12 15:05:32', '2024-07-15 09:08:10', 'Run', '1', '2024-07-12 15:05:33', '1', '2024-07-15 09:08:10'),
	('4544242720272834560', '1139430644789067776', '2024-07-15 09:08:10', '2024-07-16 11:02:20', 'Run', '1', '2024-07-15 09:08:10', '1', '2024-07-16 11:02:20'),
	('4544242720272900096', '1139430644855181312', '2024-07-15 09:08:10', '2024-07-18 00:59:04', 'Run', '1', '2024-07-15 09:08:10', '1', '2024-07-18 00:59:04'),
	('4544242720272920576', '1139430644494802944', '2024-07-15 09:08:10', '2024-07-17 14:00:17', 'Run', '1', '2024-07-15 09:08:10', '1', '2024-07-17 14:00:17'),
	('4544242720272941056', '1139430644997632000', '2024-07-15 09:08:10', '2024-07-16 11:02:20', 'Run', '1', '2024-07-15 09:08:10', '1', '2024-07-16 11:02:20'),
	('4544242720272982016', '1139430645193863168', '2024-07-15 09:08:10', '2024-07-18 05:18:58', 'Run', '1', '2024-07-15 09:08:10', '1', '2024-07-18 05:18:58'),
	('4544242720272986112', '1139430645247967232', '2024-07-15 09:08:10', '2024-07-16 11:02:20', 'Stop', '1', '2024-07-15 09:08:10', '1', '2024-07-16 11:02:20'),
	('4544242720273010688', '1139430645547446272', '2024-07-15 09:08:10', '2024-07-16 11:02:20', 'Stop', '1', '2024-07-15 09:08:10', '1', '2024-07-16 11:02:20'),
	('4544242720273027072', '1139430645601857536', '2024-07-15 09:08:10', '2024-07-15 10:51:52', 'Run', '1', '2024-07-15 09:08:10', '1', '2024-07-15 10:51:52'),
	('4544242720273084416', '1139430645415247872', '2024-07-15 09:08:10', '2024-07-17 18:53:19', 'Run', '1', '2024-07-15 09:08:10', '1', '2024-07-17 18:53:19'),
	('4544242724638445568', '1139430645318582272', '2024-07-15 09:25:56', '2024-07-16 11:06:39', 'Stop', '1', '2024-07-15 09:25:56', '1', '2024-07-16 11:06:39'),
	('4544242738301534208', '1139430645348077568', '2024-07-15 10:21:32', '2024-07-15 10:21:41', 'Alarm', '1', '2024-07-15 10:21:32', '1', '2024-07-15 10:21:41'),
	('4544242738339463168', '1139430645348077568', '2024-07-15 10:21:41', '2024-07-15 10:48:44', 'Stop', '1', '2024-07-15 10:21:41', '1', '2024-07-15 10:48:44'),
	('4544242744988590080', '1139430645348077568', '2024-07-15 10:48:44', '2024-07-17 09:03:43', 'Run', '1', '2024-07-15 10:48:44', '1', '2024-07-17 09:03:43'),
	('4544242745758404608', '1139430645601857536', '2024-07-15 10:51:52', '2024-07-15 16:58:54', 'Stop', '1', '2024-07-15 10:51:52', '1', '2024-07-15 16:58:54'),
	('4544242835961475072', '1139430644963524608', '2024-07-15 16:58:54', '2024-07-16 11:02:20', 'Stop', '1', '2024-07-15 16:58:54', '1', '2024-07-16 11:02:20'),
	('4544242835961540608', '1139430645079994368', '2024-07-15 16:58:54', '2024-07-16 11:02:20', 'Stop', '1', '2024-07-15 16:58:54', '1', '2024-07-16 11:02:20'),
	('4544242835961593856', '1139430645601857536', '2024-07-15 16:58:54', '2024-07-16 16:55:55', 'Run', '1', '2024-07-15 16:58:54', '1', '2024-07-16 16:55:55'),
	('4544243102224224256', '1139430644789067776', '2024-07-16 11:02:20', '2024-07-17 09:03:43', 'Stop', '1', '2024-07-16 11:02:20', '1', '2024-07-17 09:03:43'),
	('4544243102224273408', '1139430644475174912', '2024-07-16 11:02:20', '2024-07-16 16:55:55', 'Stop', '1', '2024-07-16 11:02:20', '1', '2024-07-16 16:55:55'),
	('4544243102224302080', '1139430644963524608', '2024-07-16 11:02:20', '2024-07-18 10:13:03', 'Run', '1', '2024-07-16 11:02:20', '1', '2024-07-18 10:13:03'),
	('4544243102224306176', '1139430644997632000', '2024-07-16 11:02:20', '2024-07-17 09:03:43', 'Stop', '1', '2024-07-16 11:02:20', '1', '2024-07-17 09:03:43'),
	('4544243102224318464', '1139430645079994368', '2024-07-16 11:02:20', '2024-07-17 11:05:59', 'Run', '1', '2024-07-16 11:02:20', '1', '2024-07-17 11:05:59'),
	('4544243102224334848', '1139430645247967232', '2024-07-16 11:02:20', '2024-07-17 16:43:14', 'Run', '1', '2024-07-16 11:02:20', '1', '2024-07-17 16:43:14'),
	('4544243102224351232', '1139430645547446272', '2024-07-16 11:02:20', '2024-07-18 01:27:44', 'Run', '1', '2024-07-16 11:02:20', '1', '2024-07-18 01:27:44'),
	('4544243102224375808', '1139430645630369792', '2024-07-16 11:02:20', '2024-07-16 11:19:44', 'Stop', '1', '2024-07-16 11:02:20', '1', '2024-07-16 11:19:44'),
	('4544243103283544064', '1139430645318582272', '2024-07-16 11:06:39', '2024-07-17 16:42:49', 'Run', '1', '2024-07-16 11:06:39', '1', '2024-07-17 16:42:49'),
	('4544243106500427776', '1139430645630369792', '2024-07-16 11:19:44', '2024-07-17 09:03:43', 'Run', '1', '2024-07-16 11:19:44', '1', '2024-07-17 09:03:43'),
	('4544243189120684032', '1139430644475174912', '2024-07-16 16:55:55', '2024-07-17 18:32:45', 'Run', '1', '2024-07-16 16:55:55', '1', '2024-07-17 18:32:45'),
	('4544243189120831488', '1139430645601857536', '2024-07-16 16:55:55', '2024-07-17 09:03:43', 'Stop', '1', '2024-07-16 16:55:55', '1', '2024-07-17 09:03:43'),
	('4544243194177519616', '1139430645575229440', '2024-07-16 17:16:29', '2024-07-17 09:03:43', 'Stop', '1', '2024-07-16 17:16:29', '1', '2024-07-17 09:03:43'),
	('4544243426967515136', '1139430644789067776', '2024-07-17 09:03:43', '2024-07-17 23:27:59', 'Run', '1', '2024-07-17 09:03:43', '1', '2024-07-17 23:27:59'),
	('4544243426967584768', '1139430644997632000', '2024-07-17 09:03:43', '2024-07-18 05:12:03', 'Run', '1', '2024-07-17 09:03:43', '1', '2024-07-18 05:12:03'),
	('4544243426967592960', '1139430645041299456', '2024-07-17 09:03:43', '2024-07-20 00:54:45', 'Run', '1', '2024-07-17 09:03:43', '1', '2024-07-20 00:54:45'),
	('4544243426967609344', '1139430645119148032', '2024-07-17 09:03:43', '2024-07-17 14:57:40', 'Stop', '1', '2024-07-17 09:03:43', '1', '2024-07-17 14:57:40'),
	('4544243426967633920', '1139430645575229440', '2024-07-17 09:03:43', '2024-07-18 08:42:48', 'Run', '1', '2024-07-17 09:03:43', '1', '2024-07-18 08:42:48'),
	('4544243426967642112', '1139430645601857536', '2024-07-17 09:03:43', '2024-07-18 02:32:31', 'Run', '1', '2024-07-17 09:03:43', '1', '2024-07-18 02:32:31'),
	('4544243426967646208', '1139430645630369792', '2024-07-17 09:03:43', '2024-07-17 23:56:27', 'Stop', '1', '2024-07-17 09:03:43', '1', '2024-07-17 23:56:27'),
	('4544243426967654400', '1139430645348077568', '2024-07-17 09:03:43', '2024-07-17 12:27:43', 'Stop', '1', '2024-07-17 09:03:43', '1', '2024-07-17 12:27:43'),
	('4544243457014288384', '1139430645079994368', '2024-07-17 11:05:59', '2024-07-17 11:59:09', 'Stop', '1', '2024-07-17 11:05:59', '1', '2024-07-17 11:59:09'),
	('4544243470081269760', '1139430645079994368', '2024-07-17 11:59:09', '2024-07-17 12:31:56', 'Run', '1', '2024-07-17 11:59:09', '1', '2024-07-17 12:31:56'),
	('4544243477101514752', '1139430645348077568', '2024-07-17 12:27:43', '2024-07-18 02:25:01', 'Run', '1', '2024-07-17 12:27:43', '1', '2024-07-18 02:25:02'),
	('4544243478137401344', '1139430645079994368', '2024-07-17 12:31:56', '2024-07-17 22:09:43', 'Stop', '1', '2024-07-17 12:31:56', '1', '2024-07-17 22:09:43'),
	('4544243499853340672', '1139430644494802944', '2024-07-17 14:00:17', '2024-07-17 17:59:43', 'Stop', '1', '2024-07-17 14:00:17', '1', '2024-07-17 17:59:43'),
	('4544243513955577856', '1139430645119148032', '2024-07-17 14:57:40', '2024-07-18 12:49:21', 'Run', '1', '2024-07-17 14:57:40', '1', '2024-07-18 12:49:21'),
	('4544243539796963328', '1139430645318582272', '2024-07-17 16:42:49', '2024-07-18 19:49:07', 'Stop', '1', '2024-07-17 16:42:49', '1', '2024-07-18 19:49:07'),
	('4544243539897790464', '1139430645247967232', '2024-07-17 16:43:14', '2024-07-19 09:17:31', 'Stop', '1', '2024-07-17 16:43:14', '1', '2024-07-19 09:17:31'),
	('4544243558696640512', '1139430644494802944', '2024-07-17 17:59:43', '2024-07-17 17:59:50', 'Alarm', '1', '2024-07-17 17:59:43', '1', '2024-07-17 17:59:50'),
	('4544243558721863680', '1139430644494802944', '2024-07-17 17:59:50', '2024-07-18 02:50:25', 'Stop', '1', '2024-07-17 17:59:50', '1', '2024-07-18 02:50:25'),
	('4544243566813036544', '1139430644475174912', '2024-07-17 18:32:45', '2024-07-18 09:19:53', 'Stop', '1', '2024-07-17 18:32:45', '1', '2024-07-18 09:19:53'),
	('4544243571865907200', '1139430645415247872', '2024-07-17 18:53:19', '2024-07-17 21:34:29', 'Stop', '1', '2024-07-17 18:53:19', '1', '2024-07-17 21:34:29'),
	('4544243611477221376', '1139430645415247872', '2024-07-17 21:34:29', '2024-07-18 19:59:19', 'Run', '1', '2024-07-17 21:34:29', '1', '2024-07-18 19:59:19'),
	('4544243620135731200', '1139430645079994368', '2024-07-17 22:09:43', '2024-07-20 07:32:36', 'Run', '1', '2024-07-17 22:09:43', '1', '2024-07-20 07:32:36'),
	('4544243639368814592', '1139430644789067776', '2024-07-17 23:27:59', '2024-07-18 06:56:40', 'Stop', '1', '2024-07-17 23:27:59', '1', '2024-07-18 06:56:40'),
	('4544243646364340224', '1139430645630369792', '2024-07-17 23:56:27', '2024-07-18 12:28:47', 'Run', '1', '2024-07-17 23:56:27', '1', '2024-07-18 12:28:47'),
	('4544243661754306560', '1139430644855181312', '2024-07-18 00:59:04', '2024-07-18 04:01:11', 'Stop', '1', '2024-07-18 00:59:04', '1', '2024-07-18 04:01:11'),
	('4544243668801372160', '1139430645547446272', '2024-07-18 01:27:44', '2024-07-18 04:44:49', 'Stop', '1', '2024-07-18 01:27:44', '1', '2024-07-18 04:44:49'),
	('4544243682879840256', '1139430645348077568', '2024-07-18 02:25:01', '2024-07-19 02:31:40', 'Stop', '1', '2024-07-18 02:25:02', '1', '2024-07-19 02:31:40'),
	('4544243684719726592', '1139430645601857536', '2024-07-18 02:32:31', '2024-07-18 13:43:02', 'Stop', '1', '2024-07-18 02:32:31', '1', '2024-07-18 13:43:03'),
	('4544243689119137792', '1139430644494802944', '2024-07-18 02:50:25', '2024-07-18 02:50:34', 'Alarm', '1', '2024-07-18 02:50:25', '1', '2024-07-18 02:50:34'),
	('4544243689156997120', '1139430644494802944', '2024-07-18 02:50:34', '2024-07-18 03:09:39', 'Stop', '1', '2024-07-18 02:50:34', '1', '2024-07-18 03:09:39'),
	('4544243693846114304', '1139430644494802944', '2024-07-18 03:09:39', '2024-07-18 15:47:19', 'Run', '1', '2024-07-18 03:09:39', '1', '2024-07-18 15:47:19'),
	('4544243706511822848', '1139430644855181312', '2024-07-18 04:01:11', '2024-07-18 04:01:36', 'Alarm', '1', '2024-07-18 04:01:11', '1', '2024-07-18 04:01:36'),
	('4544243706612715520', '1139430644855181312', '2024-07-18 04:01:36', '2024-07-18 04:04:40', 'Stop', '1', '2024-07-18 04:01:36', '1', '2024-07-18 04:04:40'),
	('4544243707369185280', '1139430644855181312', '2024-07-18 04:04:40', '2024-07-18 04:05:08', 'Alarm', '1', '2024-07-18 04:04:40', '1', '2024-07-18 04:05:08'),
	('4544243707482390528', '1139430644855181312', '2024-07-18 04:05:08', '2024-07-18 04:31:34', 'Stop', '1', '2024-07-18 04:05:08', '1', '2024-07-18 04:31:34'),
	('4544243713979318272', '1139430644855181312', '2024-07-18 04:31:34', '2024-07-19 05:38:00', 'Run', '1', '2024-07-18 04:31:34', '1', '2024-07-19 05:38:00'),
	('4544243717234286592', '1139430645547446272', '2024-07-18 04:44:49', '2024-07-19 08:49:09', 'Run', '1', '2024-07-18 04:44:49', '1', '2024-07-19 08:49:09'),
	('4544243723926347776', '1139430644997632000', '2024-07-18 05:12:03', '2024-07-18 06:51:57', 'Stop', '1', '2024-07-18 05:12:03', '1', '2024-07-18 06:51:57'),
	('4544243725627133952', '1139430645193863168', '2024-07-18 05:18:58', '2024-07-19 02:22:35', 'Stop', '1', '2024-07-18 05:18:58', '1', '2024-07-19 02:22:36'),
	('4544243740011102208', '1139430645381705728', '2024-07-18 06:17:30', '2024-07-18 11:44:32', 'Stop', '1', '2024-07-18 06:17:30', '1', '2024-07-18 11:44:32'),
	('4544243748478300160', '1139430644997632000', '2024-07-18 06:51:57', '2024-07-18 06:53:23', 'Alarm', '1', '2024-07-18 06:51:57', '1', '2024-07-18 06:53:23'),
	('4544243748831584256', '1139430644997632000', '2024-07-18 06:53:23', '2024-07-18 06:59:32', 'Stop', '1', '2024-07-18 06:53:23', '1', '2024-07-18 06:59:32'),
	('4544243749638291456', '1139430644789067776', '2024-07-18 06:56:40', '2024-07-18 07:01:54', 'Alarm', '1', '2024-07-18 06:56:40', '1', '2024-07-18 07:01:54'),
	('4544243750344294400', '1139430644997632000', '2024-07-18 06:59:32', '2024-07-19 10:03:51', 'Run', '1', '2024-07-18 06:59:32', '1', '2024-07-19 10:03:51'),
	('4544243750923509760', '1139430644789067776', '2024-07-18 07:01:54', '2024-07-18 07:17:26', 'Stop', '1', '2024-07-18 07:01:54', '1', '2024-07-18 07:17:26'),
	('4544243754740957184', '1139430644789067776', '2024-07-18 07:17:26', '2024-07-19 07:37:17', 'Run', '1', '2024-07-18 07:17:26', '1', '2024-07-19 07:37:17'),
	('4544243775722000384', '1139430645575229440', '2024-07-18 08:42:48', '2024-07-18 09:50:20', 'Stop', '1', '2024-07-18 08:42:48', '1', '2024-07-18 09:50:20'),
	('4544243784833622016', '1139430644475174912', '2024-07-18 09:19:53', '2024-07-18 09:19:59', 'Alarm', '1', '2024-07-18 09:19:53', '1', '2024-07-18 09:19:59'),
	('4544243784858841088', '1139430644475174912', '2024-07-18 09:19:59', '2024-07-18 09:21:46', 'Stop', '1', '2024-07-18 09:19:59', '1', '2024-07-18 09:21:46'),
	('4544243785299898368', '1139430644475174912', '2024-07-18 09:21:46', '2024-07-18 09:22:42', 'Alarm', '1', '2024-07-18 09:21:46', '1', '2024-07-18 09:22:42'),
	('4544243785527128064', '1139430644475174912', '2024-07-18 09:22:42', '2024-07-18 09:30:27', 'Stop', '1', '2024-07-18 09:22:42', '1', '2024-07-18 09:30:27'),
	('4544243787430060032', '1139430644475174912', '2024-07-18 09:30:27', '2024-07-18 09:30:33', 'Alarm', '1', '2024-07-18 09:30:27', '1', '2024-07-18 09:30:33'),
	('4544243787455234048', '1139430644475174912', '2024-07-18 09:30:33', '2024-07-18 10:40:33', 'Stop', '1', '2024-07-18 09:30:33', '1', '2024-07-18 10:40:33'),
	('4544243792320446464', '1139430645575229440', '2024-07-18 09:50:20', '2024-07-18 09:51:53', 'Alarm', '1', '2024-07-18 09:50:20', '1', '2024-07-18 09:51:53'),
	('4544243792698253312', '1139430645575229440', '2024-07-18 09:51:53', '2024-07-18 09:54:57', 'Stop', '1', '2024-07-18 09:51:53', '1', '2024-07-18 09:54:57'),
	('4544243793454399488', '1139430645575229440', '2024-07-18 09:54:57', '2024-07-19 11:12:26', 'Run', '1', '2024-07-18 09:54:57', '1', '2024-07-19 11:12:27'),
	('4544243797902761984', '1139430644963524608', '2024-07-18 10:13:03', '2024-07-18 11:14:29', 'Stop', '1', '2024-07-18 10:13:03', '1', '2024-07-18 11:14:29'),
	('4544243804658364416', '1139430644475174912', '2024-07-18 10:40:33', '2024-07-18 10:40:42', 'Alarm', '1', '2024-07-18 10:40:33', '1', '2024-07-18 10:40:42'),
	('4544243804696129536', '1139430644475174912', '2024-07-18 10:40:42', '2024-07-18 10:41:22', 'Stop', '1', '2024-07-18 10:40:42', '1', '2024-07-18 10:41:22'),
	('4544243804859838464', '1139430644475174912', '2024-07-18 10:41:22', '2024-07-18 10:41:25', 'Alarm', '1', '2024-07-18 10:41:22', '1', '2024-07-18 10:41:25'),
	('4544243804872409088', '1139430644475174912', '2024-07-18 10:41:25', '2024-07-18 10:43:49', 'Stop', '1', '2024-07-18 10:41:25', '1', '2024-07-18 10:43:49'),
	('4544243805464375296', '1139430644475174912', '2024-07-18 10:43:49', '2024-07-18 10:43:52', 'Alarm', '1', '2024-07-18 10:43:49', '1', '2024-07-18 10:43:53'),
	('4544243805477007360', '1139430644475174912', '2024-07-18 10:43:52', '2024-07-18 10:44:20', 'Stop', '1', '2024-07-18 10:43:53', '1', '2024-07-18 10:44:20'),
	('4544243805590630400', '1139430644475174912', '2024-07-18 10:44:20', '2024-07-18 10:44:48', 'Alarm', '1', '2024-07-18 10:44:20', '1', '2024-07-18 10:44:48'),
	('4544243805704077312', '1139430644475174912', '2024-07-18 10:44:48', '2024-07-18 10:45:40', 'Stop', '1', '2024-07-18 10:44:48', '1', '2024-07-18 10:45:40'),
	('4544243805918396416', '1139430644475174912', '2024-07-18 10:45:40', '2024-07-18 10:46:36', 'Alarm', '1', '2024-07-18 10:45:40', '1', '2024-07-18 10:46:36'),
	('4544243806145085440', '1139430644475174912', '2024-07-18 10:46:36', '2024-07-18 10:47:12', 'Stop', '1', '2024-07-18 10:46:36', '1', '2024-07-18 10:47:13'),
	('4544243806296170496', '1139430644475174912', '2024-07-18 10:47:12', '2024-07-18 10:47:37', 'Alarm', '1', '2024-07-18 10:47:13', '1', '2024-07-18 10:47:37'),
	('4544243806397186048', '1139430644475174912', '2024-07-18 10:47:37', '2024-07-18 10:54:45', 'Stop', '1', '2024-07-18 10:47:37', '1', '2024-07-18 10:54:45'),
	('4544243808148697088', '1139430644475174912', '2024-07-18 10:54:45', '2024-07-18 10:54:51', 'Alarm', '1', '2024-07-18 10:54:45', '1', '2024-07-18 10:54:51'),
	('4544243808173719552', '1139430644475174912', '2024-07-18 10:54:51', '2024-07-18 10:57:18', 'Stop', '1', '2024-07-18 10:54:51', '1', '2024-07-18 10:57:18'),
	('4544243808778084352', '1139430644475174912', '2024-07-18 10:57:18', '2024-07-18 10:57:25', 'Alarm', '1', '2024-07-18 10:57:18', '1', '2024-07-18 10:57:25'),
	('4544243808803291136', '1139430644475174912', '2024-07-18 10:57:25', '2024-07-18 10:58:41', 'Stop', '1', '2024-07-18 10:57:25', '1', '2024-07-18 10:58:41'),
	('4544243809118257152', '1139430644475174912', '2024-07-18 10:58:41', '2024-07-18 10:58:54', 'Alarm', '1', '2024-07-18 10:58:41', '1', '2024-07-18 10:58:54'),
	('4544243809168822272', '1139430644475174912', '2024-07-18 10:58:54', '2024-07-18 12:25:06', 'Stop', '1', '2024-07-18 10:58:54', '1', '2024-07-18 12:25:06'),
	('4544243813000224768', '1139430644963524608', '2024-07-18 11:14:29', '2024-07-20 20:17:07', 'Run', '1', '2024-07-18 11:14:29', '1', '2024-07-20 20:17:07'),
	('4544243820383997952', '1139430645381705728', '2024-07-18 11:44:32', '2024-07-18 16:36:37', 'Run', '1', '2024-07-18 11:44:32', '1', '2024-07-18 16:36:37'),
	('4544243830352990208', '1139430644475174912', '2024-07-18 12:25:06', '2024-07-18 12:25:43', 'Alarm', '1', '2024-07-18 12:25:06', '1', '2024-07-18 12:25:43'),
	('4544243830504636416', '1139430644475174912', '2024-07-18 12:25:43', '2024-07-18 12:25:58', 'Stop', '1', '2024-07-18 12:25:43', '1', '2024-07-18 12:25:58'),
	('4544243830567419904', '1139430644475174912', '2024-07-18 12:25:58', '2024-07-18 12:26:32', 'Alarm', '1', '2024-07-18 12:25:58', '1', '2024-07-18 12:26:32'),
	('4544243830706130944', '1139430644475174912', '2024-07-18 12:26:32', '2024-07-18 12:29:18', 'Stop', '1', '2024-07-18 12:26:32', '1', '2024-07-18 12:29:18'),
	('4544243831260999680', '1139430645630369792', '2024-07-18 12:28:47', '2024-07-18 21:06:09', 'Stop', '1', '2024-07-18 12:28:47', '1', '2024-07-18 21:06:09'),
	('4544243831386750976', '1139430644475174912', '2024-07-18 12:29:18', '2024-07-18 12:29:27', 'Alarm', '1', '2024-07-18 12:29:18', '1', '2024-07-18 12:29:27'),
	('4544243831424364544', '1139430644475174912', '2024-07-18 12:29:27', '2024-07-18 13:10:56', 'Stop', '1', '2024-07-18 12:29:27', '1', '2024-07-18 13:10:56'),
	('4544243836314169344', '1139430645119148032', '2024-07-18 12:49:21', '2024-07-18 19:37:03', 'Stop', '1', '2024-07-18 12:49:21', '1', '2024-07-18 19:37:03'),
	('4544243841619234816', '1139430644475174912', '2024-07-18 13:10:56', '2024-07-18 13:11:12', 'Alarm', '1', '2024-07-18 13:10:56', '1', '2024-07-18 13:11:12'),
	('4544243841682194432', '1139430644475174912', '2024-07-18 13:11:12', '2024-07-18 13:40:20', 'Stop', '1', '2024-07-18 13:11:12', '1', '2024-07-18 13:40:20'),
	('4544243848841531392', '1139430644475174912', '2024-07-18 13:40:20', '2024-07-18 13:40:38', 'Alarm', '1', '2024-07-18 13:40:20', '1', '2024-07-18 13:40:38'),
	('4544243848916889600', '1139430644475174912', '2024-07-18 13:40:38', '2024-07-18 13:43:24', 'Stop', '1', '2024-07-18 13:40:38', '1', '2024-07-18 13:43:24'),
	('4544243849509179392', '1139430645601857536', '2024-07-18 13:43:02', '2024-07-19 21:46:21', 'Run', '1', '2024-07-18 13:43:03', '1', '2024-07-19 21:46:22'),
	('4544243849597022208', '1139430644475174912', '2024-07-18 13:43:24', '2024-07-18 13:44:16', 'Alarm', '1', '2024-07-18 13:43:24', '1', '2024-07-18 13:44:16'),
	('4544243849811505152', '1139430644475174912', '2024-07-18 13:44:16', '2024-07-18 13:46:41', 'Stop', '1', '2024-07-18 13:44:16', '1', '2024-07-18 13:46:41'),
	('4544243850403692544', '1139430644475174912', '2024-07-18 13:46:41', '2024-07-18 13:46:59', 'Alarm', '1', '2024-07-18 13:46:41', '1', '2024-07-18 13:46:59'),
	('4544243850479538176', '1139430644475174912', '2024-07-18 13:46:59', '2024-07-18 13:47:36', 'Stop', '1', '2024-07-18 13:46:59', '1', '2024-07-18 13:47:36'),
	('4544243850630623232', '1139430644475174912', '2024-07-18 13:47:36', '2024-07-18 13:47:42', 'Alarm', '1', '2024-07-18 13:47:36', '1', '2024-07-18 13:47:42'),
	('4544243850655715328', '1139430644475174912', '2024-07-18 13:47:42', '2024-07-18 14:02:04', 'Stop', '1', '2024-07-18 13:47:42', '1', '2024-07-18 14:02:04'),
	('4544243854186344448', '1139430644475174912', '2024-07-18 14:02:04', '2024-07-18 14:02:08', 'Alarm', '1', '2024-07-18 14:02:04', '1', '2024-07-18 14:02:08'),
	('4544243854198976512', '1139430644475174912', '2024-07-18 14:02:08', '2024-07-18 14:19:01', 'Stop', '1', '2024-07-18 14:02:08', '1', '2024-07-18 14:19:01'),
	('4544243858350727168', '1139430644475174912', '2024-07-18 14:19:01', '2024-07-18 14:19:04', 'Alarm', '1', '2024-07-18 14:19:01', '1', '2024-07-18 14:19:04'),
	('4544243858363449344', '1139430644475174912', '2024-07-18 14:19:04', '2024-07-18 14:19:29', 'Stop', '1', '2024-07-18 14:19:04', '1', '2024-07-18 14:19:29'),
	('4544243858464346112', '1139430644475174912', '2024-07-18 14:19:29', '2024-07-18 14:19:35', 'Alarm', '1', '2024-07-18 14:19:29', '1', '2024-07-18 14:19:35'),
	('4544243858489335808', '1139430644475174912', '2024-07-18 14:19:35', '2024-07-18 14:23:35', 'Stop', '1', '2024-07-18 14:19:35', '1', '2024-07-18 14:23:35'),
	('4544243859472617472', '1139430644475174912', '2024-07-18 14:23:35', '2024-07-18 14:24:00', 'Alarm', '1', '2024-07-18 14:23:35', '1', '2024-07-18 14:24:00'),
	('4544243859573448704', '1139430644475174912', '2024-07-18 14:24:00', '2024-07-18 14:24:12', 'Stop', '1', '2024-07-18 14:24:00', '1', '2024-07-18 14:24:12'),
	('4544243859623759872', '1139430644475174912', '2024-07-18 14:24:12', '2024-07-18 14:24:24', 'Alarm', '1', '2024-07-18 14:24:12', '1', '2024-07-18 14:24:24'),
	('4544243859674107904', '1139430644475174912', '2024-07-18 14:24:24', '2024-07-18 14:24:27', 'Stop', '1', '2024-07-18 14:24:24', '1', '2024-07-18 14:24:27'),
	('4544243859686739968', '1139430644475174912', '2024-07-18 14:24:27', '2024-07-18 14:24:30', 'Alarm', '1', '2024-07-18 14:24:27', '1', '2024-07-18 14:24:30'),
	('4544243859699359744', '1139430644475174912', '2024-07-18 14:24:30', '2024-07-18 14:24:49', 'Stop', '1', '2024-07-18 14:24:30', '1', '2024-07-18 14:24:49'),
	('4544243859775078400', '1139430644475174912', '2024-07-18 14:24:49', '2024-07-18 14:24:52', 'Alarm', '1', '2024-07-18 14:24:49', '1', '2024-07-18 14:24:52'),
	('4544243859787640832', '1139430644475174912', '2024-07-18 14:24:52', '2024-07-18 14:32:09', 'Stop', '1', '2024-07-18 14:24:52', '1', '2024-07-18 14:32:09'),
	('4544243861577535488', '1139430644475174912', '2024-07-18 14:32:09', '2024-07-18 14:32:27', 'Alarm', '1', '2024-07-18 14:32:09', '1', '2024-07-18 14:32:27'),
	('4544243861652918272', '1139430644475174912', '2024-07-18 14:32:27', '2024-07-18 14:48:49', 'Stop', '1', '2024-07-18 14:32:27', '1', '2024-07-18 14:48:49'),
	('4544243865673695232', '1139430644475174912', '2024-07-18 14:48:49', '2024-07-18 14:48:52', 'Alarm', '1', '2024-07-18 14:48:49', '1', '2024-07-18 14:48:52'),
	('4544243865686282240', '1139430644475174912', '2024-07-18 14:48:52', '2024-07-18 15:07:04', 'Stop', '1', '2024-07-18 14:48:52', '1', '2024-07-18 15:07:04'),
	('4544243870160678912', '1139430644475174912', '2024-07-18 15:07:04', '2024-07-18 15:07:07', 'Alarm', '1', '2024-07-18 15:07:04', '1', '2024-07-18 15:07:07'),
	('4544243870173270016', '1139430644475174912', '2024-07-18 15:07:07', '2024-07-18 15:07:35', 'Stop', '1', '2024-07-18 15:07:07', '1', '2024-07-18 15:07:35'),
	('4544243870286757888', '1139430644475174912', '2024-07-18 15:07:35', '2024-07-18 15:07:41', 'Alarm', '1', '2024-07-18 15:07:35', '1', '2024-07-18 15:07:41'),
	('4544243870311948288', '1139430644475174912', '2024-07-18 15:07:41', '2024-07-18 15:09:23', 'Stop', '1', '2024-07-18 15:07:41', '1', '2024-07-18 15:09:23'),
	('4544243870727811072', '1139430644475174912', '2024-07-18 15:09:23', '2024-07-18 15:09:32', 'Alarm', '1', '2024-07-18 15:09:23', '1', '2024-07-18 15:09:32'),
	('4544243870765608960', '1139430644475174912', '2024-07-18 15:09:32', '2024-07-18 15:11:41', 'Stop', '1', '2024-07-18 15:09:32', '1', '2024-07-18 15:11:41'),
	('4544243871295033344', '1139430644475174912', '2024-07-18 15:11:41', '2024-07-18 15:11:48', 'Alarm', '1', '2024-07-18 15:11:41', '1', '2024-07-18 15:11:48'),
	('4544243871320367104', '1139430644475174912', '2024-07-18 15:11:48', '2024-07-18 15:12:07', 'Stop', '1', '2024-07-18 15:11:48', '1', '2024-07-18 15:12:07'),
	('4544243871399354368', '1139430644475174912', '2024-07-18 15:12:07', '2024-07-18 15:12:10', 'Alarm', '1', '2024-07-18 15:12:07', '1', '2024-07-18 15:12:10'),
	('4544243871412396032', '1139430644475174912', '2024-07-18 15:12:10', '2024-07-18 15:17:41', 'Stop', '1', '2024-07-18 15:12:10', '1', '2024-07-18 15:17:41'),
	('4544243872767885312', '1139430644475174912', '2024-07-18 15:17:41', '2024-07-18 15:18:06', 'Alarm', '1', '2024-07-18 15:17:41', '1', '2024-07-18 15:18:06'),
	('4544243872868773888', '1139430644475174912', '2024-07-18 15:18:06', '2024-07-18 15:18:52', 'Stop', '1', '2024-07-18 15:18:06', '1', '2024-07-18 15:18:52'),
	('4544243873057959936', '1139430644475174912', '2024-07-18 15:18:52', '2024-07-18 15:18:58', 'Alarm', '1', '2024-07-18 15:18:52', '1', '2024-07-18 15:18:58'),
	('4544243873083133952', '1139430644475174912', '2024-07-18 15:18:58', '2024-07-18 15:19:41', 'Stop', '1', '2024-07-18 15:18:58', '1', '2024-07-18 15:19:41'),
	('4544243873259085824', '1139430644475174912', '2024-07-18 15:19:41', '2024-07-18 15:19:44', 'Alarm', '1', '2024-07-18 15:19:41', '1', '2024-07-18 15:19:44'),
	('4544243873271615488', '1139430644475174912', '2024-07-18 15:19:44', '2024-07-18 15:44:43', 'Stop', '1', '2024-07-18 15:19:44', '1', '2024-07-18 15:44:43'),
	('4544243879409917952', '1139430644475174912', '2024-07-18 15:44:43', '2024-07-18 15:44:46', 'Alarm', '1', '2024-07-18 15:44:43', '1', '2024-07-18 15:44:46'),
	('4544243879422554112', '1139430644475174912', '2024-07-18 15:44:46', '2024-07-18 15:50:58', 'Stop', '1', '2024-07-18 15:44:46', '1', '2024-07-18 15:50:58'),
	('4544243880052277248', '1139430644494802944', '2024-07-18 15:47:19', '2024-07-19 18:32:59', 'Stop', '1', '2024-07-18 15:47:19', '1', '2024-07-19 18:32:59'),
	('4544243880947339264', '1139430644475174912', '2024-07-18 15:50:58', '2024-07-18 15:51:01', 'Alarm', '1', '2024-07-18 15:50:58', '1', '2024-07-18 15:51:01'),
	('4544243880959885312', '1139430644475174912', '2024-07-18 15:51:01', '2024-07-18 15:51:07', 'Stop', '1', '2024-07-18 15:51:01', '1', '2024-07-18 15:51:07'),
	('4544243880984993792', '1139430644475174912', '2024-07-18 15:51:07', '2024-07-18 15:51:10', 'Alarm', '1', '2024-07-18 15:51:07', '1', '2024-07-18 15:51:10'),
	('4544243880997654528', '1139430644475174912', '2024-07-18 15:51:10', '2024-07-18 15:51:26', 'Stop', '1', '2024-07-18 15:51:10', '1', '2024-07-18 15:51:26'),
	('4544243881060798464', '1139430644475174912', '2024-07-18 15:51:26', '2024-07-18 15:51:32', 'Alarm', '1', '2024-07-18 15:51:26', '1', '2024-07-18 15:51:32'),
	('4544243881085960192', '1139430644475174912', '2024-07-18 15:51:32', '2024-07-18 15:53:59', 'Stop', '1', '2024-07-18 15:51:32', '1', '2024-07-18 15:53:59'),
	('4544243881691160576', '1139430644475174912', '2024-07-18 15:53:59', '2024-07-18 15:54:12', 'Alarm', '1', '2024-07-18 15:53:59', '1', '2024-07-18 15:54:12'),
	('4544243881741729792', '1139430644475174912', '2024-07-18 15:54:12', '2024-07-18 15:54:15', 'Stop', '1', '2024-07-18 15:54:12', '1', '2024-07-18 15:54:15'),
	('4544243881754312704', '1139430644475174912', '2024-07-18 15:54:15', '2024-07-18 15:54:18', 'Alarm', '1', '2024-07-18 15:54:15', '1', '2024-07-18 15:54:18'),
	('4544243881766977536', '1139430644475174912', '2024-07-18 15:54:18', '2024-07-18 15:56:36', 'Stop', '1', '2024-07-18 15:54:18', '1', '2024-07-18 15:56:36'),
	('4544243882333687808', '1139430644475174912', '2024-07-18 15:56:36', '2024-07-18 15:56:49', 'Alarm', '1', '2024-07-18 15:56:36', '1', '2024-07-18 15:56:49'),
	('4544243882384171008', '1139430644475174912', '2024-07-18 15:56:49', '2024-07-18 15:57:07', 'Stop', '1', '2024-07-18 15:56:49', '1', '2024-07-18 15:57:07'),
	('4544243882459795456', '1139430644475174912', '2024-07-18 15:57:07', '2024-07-18 15:57:13', 'Alarm', '1', '2024-07-18 15:57:07', '1', '2024-07-18 15:57:13'),
	('4544243882485059584', '1139430644475174912', '2024-07-18 15:57:13', '2024-07-18 16:02:58', 'Stop', '1', '2024-07-18 15:57:13', '1', '2024-07-18 16:02:58'),
	('4544243883896573952', '1139430644475174912', '2024-07-18 16:02:58', '2024-07-18 16:05:50', 'Alarm', '1', '2024-07-18 16:02:58', '1', '2024-07-18 16:05:50'),
	('4544243884603375616', '1139430644475174912', '2024-07-18 16:05:50', '2024-07-18 16:06:18', 'Stop', '1', '2024-07-18 16:05:50', '1', '2024-07-18 16:06:18'),
	('4544243884717076480', '1139430644475174912', '2024-07-18 16:06:18', '2024-07-18 16:06:27', 'Alarm', '1', '2024-07-18 16:06:18', '1', '2024-07-18 16:06:27'),
	('4544243884754882560', '1139430644475174912', '2024-07-18 16:06:27', '2024-07-18 17:00:50', 'Stop', '1', '2024-07-18 16:06:27', '1', '2024-07-18 17:00:50'),
	('4544243892167270400', '1139430645381705728', '2024-07-18 16:36:37', '2024-07-19 01:50:11', 'Stop', '1', '2024-07-18 16:36:37', '1', '2024-07-19 01:50:11'),
	('4544243898117308416', '1139430644475174912', '2024-07-18 17:00:50', '2024-07-18 17:01:30', 'Alarm', '1', '2024-07-18 17:00:50', '1', '2024-07-18 17:01:30'),
	('4544243898281353216', '1139430644475174912', '2024-07-18 17:01:30', '2024-07-18 17:05:27', 'Stop', '1', '2024-07-18 17:01:30', '1', '2024-07-18 17:05:27'),
	('4544243899252064256', '1139430644475174912', '2024-07-18 17:05:27', '2024-07-18 17:05:39', 'Alarm', '1', '2024-07-18 17:05:27', '1', '2024-07-18 17:05:39'),
	('4544243899302281216', '1139430644475174912', '2024-07-18 17:05:39', '2024-07-19 02:16:45', 'Stop', '1', '2024-07-18 17:05:39', '1', '2024-07-19 02:16:45'),
	('4544243936511266816', '1139430645119148032', '2024-07-18 19:37:03', '2024-07-19 22:45:22', 'Run', '1', '2024-07-18 19:37:03', '1', '2024-07-19 22:45:22'),
	('4544243939474554880', '1139430645318582272', '2024-07-18 19:49:07', '2024-07-19 21:37:01', 'Run', '1', '2024-07-18 19:49:07', '1', '2024-07-19 21:37:01'),
	('4544243941983617024', '1139430645415247872', '2024-07-18 19:59:19', '2024-07-18 22:31:12', 'Stop', '1', '2024-07-18 19:59:19', '1', '2024-07-18 22:31:12'),
	('4544243958408847360', '1139430645630369792', '2024-07-18 21:06:09', '2024-07-21 17:07:18', 'Run', '1', '2024-07-18 21:06:09', '1', '2024-07-21 17:07:18'),
	('4544243979308109824', '1139430645415247872', '2024-07-18 22:31:12', '2024-07-20 01:01:01', 'Run', '1', '2024-07-18 22:31:12', '1', '2024-07-20 01:01:01'),
	('4544244028209606656', '1139430645381705728', '2024-07-19 01:50:11', '2024-07-20 08:49:55', 'Run', '1', '2024-07-19 01:50:11', '1', '2024-07-20 08:49:55'),
	('4544244034738925568', '1139430644475174912', '2024-07-19 02:16:45', '2024-07-19 02:16:54', 'Alarm', '1', '2024-07-19 02:16:45', '1', '2024-07-19 02:16:54'),
	('4544244034776764416', '1139430644475174912', '2024-07-19 02:16:54', '2024-07-19 03:13:22', 'Stop', '1', '2024-07-19 02:16:54', '1', '2024-07-19 03:13:22'),
	('4544244036176007168', '1139430645193863168', '2024-07-19 02:22:35', '2024-07-21 08:20:23', 'Run', '1', '2024-07-19 02:22:36', '1', '2024-07-21 08:20:23'),
	('4544244038407647232', '1139430645348077568', '2024-07-19 02:31:40', '2024-07-19 02:31:43', 'Alarm', '1', '2024-07-19 02:31:40', '1', '2024-07-19 02:31:43'),
	('4544244038420291584', '1139430645348077568', '2024-07-19 02:31:43', '2024-07-19 10:19:42', 'Stop', '1', '2024-07-19 02:31:43', '1', '2024-07-19 10:19:42'),
	('4544244048654532608', '1139430644475174912', '2024-07-19 03:13:22', '2024-07-19 03:14:05', 'Alarm', '1', '2024-07-19 03:13:22', '1', '2024-07-19 03:14:05'),
	('4544244048830926848', '1139430644475174912', '2024-07-19 03:14:05', '2024-07-19 06:36:41', 'Stop', '1', '2024-07-19 03:14:05', '1', '2024-07-19 06:36:41'),
	('4544244084201291776', '1139430644855181312', '2024-07-19 05:38:00', '2024-07-19 07:42:16', 'Stop', '1', '2024-07-19 05:38:00', '1', '2024-07-19 07:42:16'),
	('4544244098623324160', '1139430644475174912', '2024-07-19 06:36:41', '2024-07-19 06:36:54', 'Alarm', '1', '2024-07-19 06:36:41', '1', '2024-07-19 06:36:54'),
	('4544244098673606656', '1139430644475174912', '2024-07-19 06:36:54', '2024-07-19 06:37:43', 'Stop', '1', '2024-07-19 06:36:54', '1', '2024-07-19 06:37:43'),
	('4544244098875150336', '1139430644475174912', '2024-07-19 06:37:43', '2024-07-19 06:37:52', 'Alarm', '1', '2024-07-19 06:37:43', '1', '2024-07-19 06:37:52'),
	('4544244098912923648', '1139430644475174912', '2024-07-19 06:37:52', '2024-07-19 07:00:30', 'Stop', '1', '2024-07-19 06:37:52', '1', '2024-07-19 07:00:30'),
	('4544244104473464832', '1139430644475174912', '2024-07-19 07:00:30', '2024-07-19 23:41:55', 'Run', '1', '2024-07-19 07:00:30', '1', '2024-07-19 23:41:55'),
	('4544244113515446272', '1139430644789067776', '2024-07-19 07:37:17', '2024-07-20 02:18:42', 'Stop', '1', '2024-07-19 07:37:17', '1', '2024-07-20 02:18:42'),
	('4544244114738171904', '1139430644855181312', '2024-07-19 07:42:16', '2024-07-19 07:43:48', 'Alarm', '1', '2024-07-19 07:42:16', '1', '2024-07-19 07:43:48'),
	('4544244115116015616', '1139430644855181312', '2024-07-19 07:43:48', '2024-07-19 07:45:45', 'Stop', '1', '2024-07-19 07:43:48', '1', '2024-07-19 07:45:45'),
	('4544244115595325440', '1139430644855181312', '2024-07-19 07:45:45', '2024-07-19 07:45:51', 'Alarm', '1', '2024-07-19 07:45:45', '1', '2024-07-19 07:45:51'),
	('4544244115620487168', '1139430644855181312', '2024-07-19 07:45:51', '2024-07-19 08:02:47', 'Stop', '1', '2024-07-19 07:45:51', '1', '2024-07-19 08:02:47'),
	('4544244119780659200', '1139430644855181312', '2024-07-19 08:02:47', '2024-07-19 08:02:59', 'Alarm', '1', '2024-07-19 08:02:47', '1', '2024-07-19 08:02:59'),
	('4544244119831195648', '1139430644855181312', '2024-07-19 08:02:59', '2024-07-20 09:03:56', 'Run', '1', '2024-07-19 08:02:59', '1', '2024-07-20 09:03:56'),
	('4544244131176042496', '1139430645547446272', '2024-07-19 08:49:09', '2024-07-19 13:01:35', 'Stop', '1', '2024-07-19 08:49:09', '1', '2024-07-19 13:01:35'),
	('4544244138147852288', '1139430645247967232', '2024-07-19 09:17:31', '2024-07-22 17:03:50', 'Maintain', '1', '2024-07-19 09:17:31', '1', '2024-07-22 17:03:50'),
	('4544244149533769728', '1139430644997632000', '2024-07-19 10:03:51', '2024-07-19 14:54:42', 'Stop', '1', '2024-07-19 10:03:51', '1', '2024-07-19 14:54:42'),
	('4544244153430061056', '1139430645348077568', '2024-07-19 10:19:42', '2024-07-19 10:19:48', 'Alarm', '1', '2024-07-19 10:19:42', '1', '2024-07-19 10:19:48'),
	('4544244153455296512', '1139430645348077568', '2024-07-19 10:19:48', '2024-07-19 10:20:07', 'Stop', '1', '2024-07-19 10:19:48', '1', '2024-07-19 10:20:07'),
	('4544244153530798080', '1139430645348077568', '2024-07-19 10:20:07', '2024-07-19 10:20:22', 'Alarm', '1', '2024-07-19 10:20:07', '1', '2024-07-19 10:20:22'),
	('4544244153593860096', '1139430645348077568', '2024-07-19 10:20:22', '2024-07-19 10:32:10', 'Stop', '1', '2024-07-19 10:20:22', '1', '2024-07-19 10:32:10'),
	('4544244156493766656', '1139430645348077568', '2024-07-19 10:32:10', '2024-07-19 10:32:19', 'Alarm', '1', '2024-07-19 10:32:10', '1', '2024-07-19 10:32:19'),
	('4544244156531712000', '1139430645348077568', '2024-07-19 10:32:19', '2024-07-19 15:36:28', 'Stop', '1', '2024-07-19 10:32:19', '1', '2024-07-19 15:36:28'),
	('4544244166391930880', '1139430645575229440', '2024-07-19 11:12:26', '2024-07-19 13:47:28', 'Stop', '1', '2024-07-19 11:12:27', '1', '2024-07-19 13:47:28'),
	('4544244193215406080', '1139430645547446272', '2024-07-19 13:01:35', '2024-07-20 11:23:41', 'Run', '1', '2024-07-19 13:01:35', '1', '2024-07-20 11:23:41'),
	('4544244204491485184', '1139430645575229440', '2024-07-19 13:47:28', '2024-07-19 13:51:25', 'Alarm', '1', '2024-07-19 13:47:28', '1', '2024-07-19 13:51:25'),
	('4544244205462904832', '1139430645575229440', '2024-07-19 13:51:25', '2024-07-20 11:20:45', 'Run', '1', '2024-07-19 13:51:25', '1', '2024-07-20 11:20:45'),
	('4544244221013975040', '1139430644997632000', '2024-07-19 14:54:42', '2024-07-22 21:13:06', 'Run', '1', '2024-07-19 14:54:42', '1', '2024-07-22 21:13:06'),
	('4544244231279841280', '1139430645348077568', '2024-07-19 15:36:28', '2024-07-19 15:36:44', 'Alarm', '1', '2024-07-19 15:36:28', '1', '2024-07-19 15:36:44'),
	('4544244231342833664', '1139430645348077568', '2024-07-19 15:36:44', '2024-07-19 16:06:17', 'Stop', '1', '2024-07-19 15:36:44', '1', '2024-07-19 16:06:17'),
	('4544244238607806464', '1139430645348077568', '2024-07-19 16:06:17', '2024-07-20 07:06:53', 'Run', '1', '2024-07-19 16:06:17', '1', '2024-07-20 07:06:53'),
	('4544244274659868672', '1139430644494802944', '2024-07-19 18:32:59', '2024-07-19 18:33:02', 'Alarm', '1', '2024-07-19 18:32:59', '1', '2024-07-19 18:33:02'),
	('4544244274672541696', '1139430644494802944', '2024-07-19 18:33:02', '2024-07-20 03:20:12', 'Stop', '1', '2024-07-19 18:33:02', '1', '2024-07-20 03:20:12'),
	('4544244319887683584', '1139430645318582272', '2024-07-19 21:37:01', '2024-07-19 22:58:30', 'Stop', '1', '2024-07-19 21:37:01', '1', '2024-07-19 22:58:30'),
	('4544244322183438336', '1139430645601857536', '2024-07-19 21:46:21', '2024-07-20 00:05:50', 'Stop', '1', '2024-07-19 21:46:22', '1', '2024-07-20 00:05:50'),
	('4544244336685080576', '1139430645119148032', '2024-07-19 22:45:22', '2024-07-20 07:06:13', 'Stop', '1', '2024-07-19 22:45:22', '1', '2024-07-20 07:06:13'),
	('4544244339913613312', '1139430645318582272', '2024-07-19 22:58:30', '2024-07-21 02:19:47', 'Run', '1', '2024-07-19 22:58:30', '1', '2024-07-21 02:19:47'),
	('4544244350583861248', '1139430644475174912', '2024-07-19 23:41:55', '2024-07-20 11:34:37', 'Stop', '1', '2024-07-19 23:41:55', '1', '2024-07-20 11:34:37'),
	('4544244356462379008', '1139430645601857536', '2024-07-20 00:05:50', '2024-07-21 04:44:21', 'Run', '1', '2024-07-20 00:05:50', '1', '2024-07-21 04:44:21'),
	('4544244368482680832', '1139430645041299456', '2024-07-20 00:54:45', '2024-07-20 21:39:35', 'Stop', '1', '2024-07-20 00:54:45', '1', '2024-07-20 21:39:35'),
	('4544244370021318656', '1139430645415247872', '2024-07-20 01:01:01', '2024-07-20 23:20:23', 'Stop', '1', '2024-07-20 01:01:01', '1', '2024-07-20 23:20:23'),
	('4544244389113303040', '1139430644789067776', '2024-07-20 02:18:42', '2024-07-20 02:18:45', 'Alarm', '1', '2024-07-20 02:18:42', '1', '2024-07-20 02:18:45'),
	('4544244389125971968', '1139430644789067776', '2024-07-20 02:18:45', '2024-07-20 02:36:56', 'Stop', '1', '2024-07-20 02:18:45', '1', '2024-07-20 02:36:56'),
	('4544244393593573376', '1139430644789067776', '2024-07-20 02:36:56', '2024-07-21 01:50:50', 'Run', '1', '2024-07-20 02:36:56', '1', '2024-07-21 01:50:50'),
	('4544244404226940928', '1139430644494802944', '2024-07-20 03:20:12', '2024-07-20 03:20:18', 'Alarm', '1', '2024-07-20 03:20:12', '1', '2024-07-20 03:20:18'),
	('4544244404252241920', '1139430644494802944', '2024-07-20 03:20:18', '2024-07-20 03:38:56', 'Stop', '1', '2024-07-20 03:20:18', '1', '2024-07-20 03:38:56'),
	('4544244408831586304', '1139430644494802944', '2024-07-20 03:38:56', '2024-07-20 12:34:20', 'Run', '1', '2024-07-20 03:38:56', '1', '2024-07-20 12:34:20'),
	('4544244459773202432', '1139430645119148032', '2024-07-20 07:06:13', '2024-07-21 08:36:27', 'Run', '1', '2024-07-20 07:06:13', '1', '2024-07-21 08:36:28'),
	('4544244459937284096', '1139430645348077568', '2024-07-20 07:06:53', '2024-07-21 01:33:38', 'Stop', '1', '2024-07-20 07:06:53', '1', '2024-07-21 01:33:38'),
	('4544244466259283968', '1139430645079994368', '2024-07-20 07:32:36', '2024-07-21 21:16:01', 'Stop', '1', '2024-07-20 07:32:36', '1', '2024-07-21 21:16:01'),
	('4544244485259735040', '1139430645381705728', '2024-07-20 08:49:55', '2024-07-20 09:50:10', 'Stop', '1', '2024-07-20 08:49:55', '1', '2024-07-20 09:50:10'),
	('4544244488703279104', '1139430644855181312', '2024-07-20 09:03:56', '2024-07-20 09:59:39', 'Stop', '1', '2024-07-20 09:03:56', '1', '2024-07-20 09:59:39'),
	('4544244500064817152', '1139430645381705728', '2024-07-20 09:50:10', '2024-07-24 04:39:37', 'Run', '1', '2024-07-20 09:50:10', '1', '2024-07-24 04:39:37'),
	('4544244502398439424', '1139430644855181312', '2024-07-20 09:59:39', '2024-07-20 10:01:12', 'Alarm', '1', '2024-07-20 09:59:39', '1', '2024-07-20 10:01:12'),
	('4544244502776836096', '1139430644855181312', '2024-07-20 10:01:12', '2024-07-20 10:11:06', 'Stop', '1', '2024-07-20 10:01:12', '1', '2024-07-20 10:11:06'),
	('4544244505211408384', '1139430644855181312', '2024-07-20 10:11:06', '2024-07-20 10:11:18', 'Alarm', '1', '2024-07-20 10:11:06', '1', '2024-07-20 10:11:18'),
	('4544244505261940736', '1139430644855181312', '2024-07-20 10:11:18', '2024-07-20 10:11:21', 'Stop', '1', '2024-07-20 10:11:18', '1', '2024-07-20 10:11:22'),
	('4544244505274499072', '1139430644855181312', '2024-07-20 10:11:21', '2024-07-20 10:11:25', 'Alarm', '1', '2024-07-20 10:11:22', '1', '2024-07-20 10:11:25'),
	('4544244505287176192', '1139430644855181312', '2024-07-20 10:11:25', '2024-07-20 10:54:07', 'Stop', '1', '2024-07-20 10:11:25', '1', '2024-07-20 10:54:07'),
	('4544244515782815744', '1139430644855181312', '2024-07-20 10:54:07', '2024-07-20 10:54:13', 'Alarm', '1', '2024-07-20 10:54:07', '1', '2024-07-20 10:54:13'),
	('4544244515808112640', '1139430644855181312', '2024-07-20 10:54:13', '2024-07-20 11:00:10', 'Stop', '1', '2024-07-20 10:54:13', '1', '2024-07-20 11:00:10'),
	('4544244517271154688', '1139430644855181312', '2024-07-20 11:00:10', '2024-07-20 11:01:30', 'Alarm', '1', '2024-07-20 11:00:10', '1', '2024-07-20 11:01:31'),
	('4544244517599404032', '1139430644855181312', '2024-07-20 11:01:30', '2024-07-20 11:43:24', 'Stop', '1', '2024-07-20 11:01:31', '1', '2024-07-20 11:43:24'),
	('4544244522330202112', '1139430645575229440', '2024-07-20 11:20:45', '2024-07-20 13:25:06', 'Stop', '1', '2024-07-20 11:20:45', '1', '2024-07-20 13:25:06'),
	('4544244523049336832', '1139430645547446272', '2024-07-20 11:23:41', '2024-07-20 13:09:08', 'Stop', '1', '2024-07-20 11:23:41', '1', '2024-07-20 13:09:08'),
	('4544244525735813120', '1139430644475174912', '2024-07-20 11:34:37', '2024-07-20 11:34:43', 'Alarm', '1', '2024-07-20 11:34:37', '1', '2024-07-20 11:34:43'),
	('4544244525761011712', '1139430644475174912', '2024-07-20 11:34:43', '2024-07-20 12:21:39', 'Stop', '1', '2024-07-20 11:34:43', '1', '2024-07-20 12:21:39'),
	('4544244527893561344', '1139430644855181312', '2024-07-20 11:43:24', '2024-07-20 11:44:41', 'Alarm', '1', '2024-07-20 11:43:24', '1', '2024-07-20 11:44:41'),
	('4544244528208855040', '1139430644855181312', '2024-07-20 11:44:41', '2024-07-20 19:53:11', 'Stop', '1', '2024-07-20 11:44:41', '1', '2024-07-20 19:53:11'),
	('4544244537293807616', '1139430644475174912', '2024-07-20 12:21:39', '2024-07-20 12:21:42', 'Alarm', '1', '2024-07-20 12:21:39', '1', '2024-07-20 12:21:42'),
	('4544244537306378240', '1139430644475174912', '2024-07-20 12:21:42', '2024-07-20 12:21:54', 'Stop', '1', '2024-07-20 12:21:42', '1', '2024-07-20 12:21:54'),
	('4544244537356718080', '1139430644475174912', '2024-07-20 12:21:54', '2024-07-20 12:22:46', 'Alarm', '1', '2024-07-20 12:21:54', '1', '2024-07-20 12:22:46'),
	('4544244537571295232', '1139430644475174912', '2024-07-20 12:22:46', '2024-07-20 12:28:59', 'Stop', '1', '2024-07-20 12:22:46', '1', '2024-07-20 12:28:59'),
	('4544244539097964544', '1139430644475174912', '2024-07-20 12:28:59', '2024-07-20 12:29:42', 'Alarm', '1', '2024-07-20 12:28:59', '1', '2024-07-20 12:29:42'),
	('4544244539274444800', '1139430644475174912', '2024-07-20 12:29:42', '2024-07-20 12:31:09', 'Stop', '1', '2024-07-20 12:29:42', '1', '2024-07-20 12:31:09'),
	('4544244539627954176', '1139430644475174912', '2024-07-20 12:31:09', '2024-07-20 12:31:24', 'Alarm', '1', '2024-07-20 12:31:09', '1', '2024-07-20 12:31:24'),
	('4544244539691028480', '1139430644475174912', '2024-07-20 12:31:24', '2024-07-20 13:03:44', 'Stop', '1', '2024-07-20 12:31:24', '1', '2024-07-20 13:03:44'),
	('4544244540410286080', '1139430644494802944', '2024-07-20 12:34:20', '2024-07-21 06:35:44', 'Stop', '1', '2024-07-20 12:34:20', '1', '2024-07-21 06:35:44'),
	('4544244547638525952', '1139430644475174912', '2024-07-20 13:03:44', '2024-07-20 13:03:54', 'Alarm', '1', '2024-07-20 13:03:44', '1', '2024-07-20 13:03:54'),
	('4544244547676413952', '1139430644475174912', '2024-07-20 13:03:54', '2024-07-20 13:04:30', 'Stop', '1', '2024-07-20 13:03:54', '1', '2024-07-20 13:04:30'),
	('4544244547827712000', '1139430644475174912', '2024-07-20 13:04:30', '2024-07-20 13:05:35', 'Alarm', '1', '2024-07-20 13:04:30', '1', '2024-07-20 13:05:35'),
	('4544244548092506112', '1139430644475174912', '2024-07-20 13:05:35', '2024-07-20 13:06:00', 'Stop', '1', '2024-07-20 13:05:35', '1', '2024-07-20 13:06:00'),
	('4544244548193374208', '1139430644475174912', '2024-07-20 13:06:00', '2024-07-20 13:07:01', 'Alarm', '1', '2024-07-20 13:06:00', '1', '2024-07-20 13:07:01'),
	('4544244548445650944', '1139430644475174912', '2024-07-20 13:07:01', '2024-07-20 13:08:58', 'Stop', '1', '2024-07-20 13:07:01', '1', '2024-07-20 13:08:58'),
	('4544244548925325312', '1139430644475174912', '2024-07-20 13:08:58', '2024-07-20 13:09:20', 'Alarm', '1', '2024-07-20 13:08:58', '1', '2024-07-20 13:09:20'),
	('4544244548963397632', '1139430645547446272', '2024-07-20 13:09:08', '2024-07-21 20:05:48', 'Run', '1', '2024-07-20 13:09:08', '1', '2024-07-21 20:05:48'),
	('4544244549013811200', '1139430644475174912', '2024-07-20 13:09:20', '2024-07-20 15:52:52', 'Stop', '1', '2024-07-20 13:09:20', '1', '2024-07-20 15:52:52'),
	('4544244552887017472', '1139430645575229440', '2024-07-20 13:25:06', '2024-07-20 13:27:03', 'Alarm', '1', '2024-07-20 13:25:06', '1', '2024-07-20 13:27:03'),
	('4544244553366663168', '1139430645575229440', '2024-07-20 13:27:03', '2024-07-20 13:35:40', 'Stop', '1', '2024-07-20 13:27:03', '1', '2024-07-20 13:35:40'),
	('4544244555486863360', '1139430645575229440', '2024-07-20 13:35:40', '2024-07-21 10:48:37', 'Run', '1', '2024-07-20 13:35:40', '1', '2024-07-21 10:48:37'),
	('4544244589204738048', '1139430644475174912', '2024-07-20 15:52:52', '2024-07-20 15:53:54', 'Alarm', '1', '2024-07-20 15:52:52', '1', '2024-07-20 15:53:54'),
	('4544244589457096704', '1139430644475174912', '2024-07-20 15:53:54', '2024-07-20 16:14:17', 'Stop', '1', '2024-07-20 15:53:54', '1', '2024-07-20 16:14:17'),
	('4544244594465058816', '1139430644475174912', '2024-07-20 16:14:17', '2024-07-21 17:17:47', 'Run', '1', '2024-07-20 16:14:17', '1', '2024-07-21 17:17:47'),
	('4544244648262676480', '1139430644855181312', '2024-07-20 19:53:11', '2024-07-20 19:54:18', 'Alarm', '1', '2024-07-20 19:53:11', '1', '2024-07-20 19:54:18'),
	('4544244648539832320', '1139430644855181312', '2024-07-20 19:54:18', '2024-07-21 03:21:34', 'Stop', '1', '2024-07-20 19:54:18', '1', '2024-07-21 03:21:34'),
	('4544244654146547712', '1139430644963524608', '2024-07-20 20:17:07', '2024-07-20 20:51:56', 'Stop', '1', '2024-07-20 20:17:07', '1', '2024-07-20 20:51:56'),
	('4544244662700462080', '1139430644963524608', '2024-07-20 20:51:56', '2024-07-23 03:46:51', 'Run', '1', '2024-07-20 20:51:56', '1', '2024-07-23 03:46:51'),
	('4544244674411552768', '1139430645041299456', '2024-07-20 21:39:35', '2024-07-20 21:39:56', 'Alarm', '1', '2024-07-20 21:39:35', '1', '2024-07-20 21:39:56'),
	('4544244674500042752', '1139430645041299456', '2024-07-20 21:39:56', '2024-07-20 21:40:24', 'Stop', '1', '2024-07-20 21:39:56', '1', '2024-07-20 21:40:24'),
	('4544244674613608448', '1139430645041299456', '2024-07-20 21:40:24', '2024-07-20 21:41:29', 'Alarm', '1', '2024-07-20 21:40:24', '1', '2024-07-20 21:41:29'),
	('4544244674878590976', '1139430645041299456', '2024-07-20 21:41:29', '2024-07-20 21:41:57', 'Stop', '1', '2024-07-20 21:41:29', '1', '2024-07-20 21:41:57'),
	('4544244674992582656', '1139430645041299456', '2024-07-20 21:41:57', '2024-07-20 21:42:03', 'Alarm', '1', '2024-07-20 21:41:57', '1', '2024-07-20 21:42:03'),
	('4544244675017961472', '1139430645041299456', '2024-07-20 21:42:03', '2024-07-20 21:42:34', 'Stop', '1', '2024-07-20 21:42:03', '1', '2024-07-20 21:42:34'),
	('4544244675143913472', '1139430645041299456', '2024-07-20 21:42:34', '2024-07-20 21:42:40', 'Alarm', '1', '2024-07-20 21:42:34', '1', '2024-07-20 21:42:40'),
	('4544244675169112064', '1139430645041299456', '2024-07-20 21:42:40', '2024-07-20 21:43:11', 'Stop', '1', '2024-07-20 21:42:40', '1', '2024-07-20 21:43:11'),
	('4544244675295555584', '1139430645041299456', '2024-07-20 21:43:11', '2024-07-20 21:43:20', 'Alarm', '1', '2024-07-20 21:43:11', '1', '2024-07-20 21:43:20'),
	('4544244675333521408', '1139430645041299456', '2024-07-20 21:43:20', '2024-07-20 21:43:51', 'Stop', '1', '2024-07-20 21:43:20', '1', '2024-07-20 21:43:51'),
	('4544244675459706880', '1139430645041299456', '2024-07-20 21:43:51', '2024-07-20 21:44:09', 'Alarm', '1', '2024-07-20 21:43:51', '1', '2024-07-20 21:44:09'),
	('4544244675535429632', '1139430645041299456', '2024-07-20 21:44:09', '2024-07-20 21:44:40', 'Stop', '1', '2024-07-20 21:44:09', '1', '2024-07-20 21:44:40'),
	('4544244675661737984', '1139430645041299456', '2024-07-20 21:44:40', '2024-07-20 21:44:43', 'Alarm', '1', '2024-07-20 21:44:40', '1', '2024-07-20 21:44:43'),
	('4544244675674337280', '1139430645041299456', '2024-07-20 21:44:43', '2024-07-20 21:45:14', 'Stop', '1', '2024-07-20 21:44:43', '1', '2024-07-20 21:45:14'),
	('4544244675800457216', '1139430645041299456', '2024-07-20 21:45:14', '2024-07-20 21:46:37', 'Alarm', '1', '2024-07-20 21:45:14', '1', '2024-07-20 21:46:37'),
	('4544244676140859392', '1139430645041299456', '2024-07-20 21:46:37', '2024-07-20 22:03:25', 'Stop', '1', '2024-07-20 21:46:37', '1', '2024-07-20 22:03:25'),
	('4544244680268218368', '1139430645041299456', '2024-07-20 22:03:25', '2024-07-23 00:57:00', 'Run', '1', '2024-07-20 22:03:25', '1', '2024-07-23 00:57:00'),
	('4544244699185864704', '1139430645415247872', '2024-07-20 23:20:23', '2024-07-21 23:53:50', 'Run', '1', '2024-07-20 23:20:23', '1', '2024-07-21 23:53:50'),
	('4544244731933245440', '1139430645348077568', '2024-07-21 01:33:38', '2024-07-21 01:33:41', 'Alarm', '1', '2024-07-21 01:33:38', '1', '2024-07-21 01:33:41'),
	('4544244731945930752', '1139430645348077568', '2024-07-21 01:33:41', '2024-07-21 10:25:55', 'Stop', '1', '2024-07-21 01:33:41', '1', '2024-07-21 10:25:55'),
	('4544244736160399360', '1139430644789067776', '2024-07-21 01:50:50', '2024-07-21 12:28:34', 'Stop', '1', '2024-07-21 01:50:50', '1', '2024-07-21 12:28:34'),
	('4544244743275945984', '1139430645318582272', '2024-07-21 02:19:47', '2024-07-21 05:59:31', 'Stop', '1', '2024-07-21 02:19:47', '1', '2024-07-21 05:59:31'),
	('4544244758458814464', '1139430644855181312', '2024-07-21 03:21:34', '2024-07-21 03:24:21', 'Alarm', '1', '2024-07-21 03:21:34', '1', '2024-07-21 03:24:21'),
	('4544244759140573184', '1139430644855181312', '2024-07-21 03:24:21', '2024-07-21 03:24:45', 'Stop', '1', '2024-07-21 03:24:21', '1', '2024-07-21 03:24:45'),
	('4544244759241613312', '1139430644855181312', '2024-07-21 03:24:45', '2024-07-21 03:25:25', 'Alarm', '1', '2024-07-21 03:24:45', '1', '2024-07-21 03:25:25'),
	('4544244759405293568', '1139430644855181312', '2024-07-21 03:25:25', '2024-07-21 03:40:06', 'Stop', '1', '2024-07-21 03:25:25', '1', '2024-07-21 03:40:06'),
	('4544244763014221824', '1139430644855181312', '2024-07-21 03:40:06', '2024-07-21 22:29:51', 'Run', '1', '2024-07-21 03:40:06', '1', '2024-07-21 22:29:51'),
	('4544244778802360320', '1139430645601857536', '2024-07-21 04:44:21', '2024-07-21 11:26:34', 'Stop', '1', '2024-07-21 04:44:21', '1', '2024-07-21 11:26:35'),
	('4544244797276516352', '1139430645318582272', '2024-07-21 05:59:31', '2024-07-22 12:59:43', 'Run', '1', '2024-07-21 05:59:31', '1', '2024-07-22 12:59:44'),
	('4544244806175506432', '1139430644494802944', '2024-07-21 06:35:44', '2024-07-21 06:36:27', 'Alarm', '1', '2024-07-21 06:35:44', '1', '2024-07-21 06:36:27'),
	('4544244806352334848', '1139430644494802944', '2024-07-21 06:36:27', '2024-07-21 06:54:44', 'Stop', '1', '2024-07-21 06:36:27', '1', '2024-07-21 06:54:44'),
	('4544244810845429760', '1139430644494802944', '2024-07-21 06:54:44', '2024-07-21 18:54:37', 'Run', '1', '2024-07-21 06:54:44', '1', '2024-07-21 18:54:37'),
	('4544244831896035328', '1139430645193863168', '2024-07-21 08:20:23', '2024-07-21 15:35:08', 'Stop', '1', '2024-07-21 08:20:23', '1', '2024-07-21 15:35:08'),
	('4544244835846402048', '1139430645119148032', '2024-07-21 08:36:27', '2024-07-21 15:42:25', 'Stop', '1', '2024-07-21 08:36:28', '1', '2024-07-21 15:42:25'),
	('4544244862745079808', '1139430645348077568', '2024-07-21 10:25:55', '2024-07-21 10:26:01', 'Alarm', '1', '2024-07-21 10:25:55', '1', '2024-07-21 10:26:01'),
	('4544244862770339840', '1139430645348077568', '2024-07-21 10:26:01', '2024-07-21 10:55:26', 'Stop', '1', '2024-07-21 10:26:01', '1', '2024-07-21 10:55:26'),
	('4544244868324478976', '1139430645575229440', '2024-07-21 10:48:37', '2024-07-21 14:48:21', 'Stop', '1', '2024-07-21 10:48:37', '1', '2024-07-21 14:48:21'),
	('4544244870002778112', '1139430645348077568', '2024-07-21 10:55:26', '2024-07-22 00:49:27', 'Run', '1', '2024-07-21 10:55:26', '1', '2024-07-22 00:49:28'),
	('4544244877654220800', '1139430645601857536', '2024-07-21 11:26:34', '2024-07-22 18:46:20', 'Run', '1', '2024-07-21 11:26:35', '1', '2024-07-22 18:46:20'),
	('4544244892889534464', '1139430644789067776', '2024-07-21 12:28:34', '2024-07-21 12:29:48', 'Alarm', '1', '2024-07-21 12:28:34', '1', '2024-07-21 12:29:48'),
	('4544244893192097792', '1139430644789067776', '2024-07-21 12:29:48', '2024-07-21 12:45:12', 'Stop', '1', '2024-07-21 12:29:48', '1', '2024-07-21 12:45:12'),
	('4544244896977506304', '1139430644789067776', '2024-07-21 12:45:12', '2024-07-22 12:57:46', 'Run', '1', '2024-07-21 12:45:12', '1', '2024-07-22 12:57:46'),
	('4544244927243689984', '1139430645575229440', '2024-07-21 14:48:21', '2024-07-21 14:49:54', 'Alarm', '1', '2024-07-21 14:48:21', '1', '2024-07-21 14:49:54'),
	('4544244927622221824', '1139430645575229440', '2024-07-21 14:49:54', '2024-07-21 14:50:25', 'Stop', '1', '2024-07-21 14:49:54', '1', '2024-07-21 14:50:25'),
	('4544244927748579328', '1139430645575229440', '2024-07-21 14:50:25', '2024-07-21 14:50:28', 'Alarm', '1', '2024-07-21 14:50:25', '1', '2024-07-21 14:50:28'),
	('4544244927761199104', '1139430645575229440', '2024-07-21 14:50:28', '2024-07-21 15:00:07', 'Stop', '1', '2024-07-21 14:50:28', '1', '2024-07-21 15:00:07'),
	('4544244930133540864', '1139430645575229440', '2024-07-21 15:00:07', '2024-07-21 15:03:58', 'Alarm', '1', '2024-07-21 15:00:07', '1', '2024-07-21 15:03:58'),
	('4544244931079327744', '1139430645575229440', '2024-07-21 15:03:58', '2024-07-21 15:05:49', 'Stop', '1', '2024-07-21 15:03:58', '1', '2024-07-21 15:05:49'),
	('4544244931533529088', '1139430645575229440', '2024-07-21 15:05:49', '2024-07-23 17:06:30', 'Run', '1', '2024-07-21 15:05:49', '1', '2024-07-23 17:06:30'),
	('4544244938739081216', '1139430645193863168', '2024-07-21 15:35:08', '2024-07-22 17:00:54', 'Run', '1', '2024-07-21 15:35:08', '1', '2024-07-22 17:00:54'),
	('4544244940531298304', '1139430645119148032', '2024-07-21 15:42:25', '2024-07-21 15:42:31', 'Alarm', '1', '2024-07-21 15:42:25', '1', '2024-07-21 15:42:32'),
	('4544244940556500992', '1139430645119148032', '2024-07-21 15:42:31', '2024-07-21 15:42:59', 'Stop', '1', '2024-07-21 15:42:32', '1', '2024-07-21 15:42:59'),
	('4544244940670541824', '1139430645119148032', '2024-07-21 15:42:59', '2024-07-21 15:44:32', 'Alarm', '1', '2024-07-21 15:42:59', '1', '2024-07-21 15:44:32'),
	('4544244941049372672', '1139430645119148032', '2024-07-21 15:44:32', '2024-07-21 15:46:10', 'Stop', '1', '2024-07-21 15:44:32', '1', '2024-07-21 15:46:10'),
	('4544244941452922880', '1139430645119148032', '2024-07-21 15:46:10', '2024-07-21 15:46:26', 'Alarm', '1', '2024-07-21 15:46:10', '1', '2024-07-21 15:46:26'),
	('4544244941516050432', '1139430645119148032', '2024-07-21 15:46:26', '2024-07-21 15:47:00', 'Stop', '1', '2024-07-21 15:46:26', '1', '2024-07-21 15:47:00'),
	('4544244941655171072', '1139430645119148032', '2024-07-21 15:47:00', '2024-07-21 15:47:06', 'Alarm', '1', '2024-07-21 15:47:00', '1', '2024-07-21 15:47:06'),
	('4544244941680160768', '1139430645119148032', '2024-07-21 15:47:06', '2024-07-21 15:47:37', 'Stop', '1', '2024-07-21 15:47:06', '1', '2024-07-21 15:47:37'),
	('4544244941806563328', '1139430645119148032', '2024-07-21 15:47:37', '2024-07-21 15:47:55', 'Alarm', '1', '2024-07-21 15:47:37', '1', '2024-07-21 15:47:55'),
	('4544244941882044416', '1139430645119148032', '2024-07-21 15:47:55', '2024-07-21 15:48:07', 'Stop', '1', '2024-07-21 15:47:55', '1', '2024-07-21 15:48:07'),
	('4544244941932507136', '1139430645119148032', '2024-07-21 15:48:07', '2024-07-23 19:53:01', 'Run', '1', '2024-07-21 15:48:07', '1', '2024-07-23 19:53:01'),
	('4544244961392713728', '1139430645630369792', '2024-07-21 17:07:18', '2024-07-21 19:03:20', 'Stop', '1', '2024-07-21 17:07:18', '1', '2024-07-21 19:03:20'),
	('4544244963968446464', '1139430644475174912', '2024-07-21 17:17:47', '2024-07-22 06:59:26', 'Stop', '1', '2024-07-21 17:17:47', '1', '2024-07-22 06:59:26'),
	('4544244987763503104', '1139430644494802944', '2024-07-21 18:54:37', '2024-07-21 23:09:55', 'Stop', '1', '2024-07-21 18:54:37', '1', '2024-07-21 23:09:55'),
	('4544244989908553728', '1139430645630369792', '2024-07-21 19:03:20', '2024-07-24 19:20:22', 'Run', '1', '2024-07-21 19:03:20', '1', '2024-07-24 19:20:22'),
	('4544245005257691136', '1139430645547446272', '2024-07-21 20:05:48', '2024-07-21 22:48:11', 'Stop', '1', '2024-07-21 20:05:48', '1', '2024-07-21 22:48:11'),
	('4544245022515126272', '1139430645079994368', '2024-07-21 21:16:01', '2024-07-22 16:54:12', 'Run', '1', '2024-07-21 21:16:01', '1', '2024-07-22 16:54:12'),
	('4544245040661237760', '1139430644855181312', '2024-07-21 22:29:51', '2024-07-22 00:21:53', 'Stop', '1', '2024-07-21 22:29:51', '1', '2024-07-22 00:21:53'),
	('4544245045167964160', '1139430645547446272', '2024-07-21 22:48:11', '2024-07-23 01:26:05', 'Run', '1', '2024-07-21 22:48:11', '1', '2024-07-23 01:26:05'),
	('4544245050508046336', '1139430644494802944', '2024-07-21 23:09:55', '2024-07-21 23:10:14', 'Alarm', '1', '2024-07-21 23:09:55', '1', '2024-07-21 23:10:14'),
	('4544245050583736320', '1139430644494802944', '2024-07-21 23:10:14', '2024-07-21 23:28:37', 'Stop', '1', '2024-07-21 23:10:14', '1', '2024-07-21 23:28:37'),
	('4544245055102021632', '1139430644494802944', '2024-07-21 23:28:37', '2024-07-22 11:26:08', 'Run', '1', '2024-07-21 23:28:37', '1', '2024-07-22 11:26:08'),
	('4544245061299511296', '1139430645415247872', '2024-07-21 23:53:50', '2024-07-22 03:26:15', 'Stop', '1', '2024-07-21 23:53:50', '1', '2024-07-22 03:26:15'),
	('4544245068192468992', '1139430644855181312', '2024-07-22 00:21:53', '2024-07-22 00:22:02', 'Alarm', '1', '2024-07-22 00:21:53', '1', '2024-07-22 00:22:02'),
	('4544245068230352896', '1139430644855181312', '2024-07-22 00:22:02', '2024-07-22 00:26:52', 'Stop', '1', '2024-07-22 00:22:02', '1', '2024-07-22 00:26:52'),
	('4544245069417480192', '1139430644855181312', '2024-07-22 00:26:52', '2024-07-22 00:29:11', 'Alarm', '1', '2024-07-22 00:26:52', '1', '2024-07-22 00:29:11'),
	('4544245069986230272', '1139430644855181312', '2024-07-22 00:29:11', '2024-07-22 06:29:24', 'Stop', '1', '2024-07-22 00:29:11', '1', '2024-07-22 06:29:24'),
	('4544245074970763264', '1139430645348077568', '2024-07-22 00:49:27', '2024-07-22 11:08:04', 'Stop', '1', '2024-07-22 00:49:28', '1', '2024-07-22 11:08:04'),
	('4544245113503420416', '1139430645415247872', '2024-07-22 03:26:15', '2024-07-24 13:58:46', 'Run', '1', '2024-07-22 03:26:15', '1', '2024-07-24 13:58:46'),
	('4544245158514593792', '1139430644855181312', '2024-07-22 06:29:24', '2024-07-22 06:31:12', 'Alarm', '1', '2024-07-22 06:29:24', '1', '2024-07-22 06:31:12'),
	('4544245158956277760', '1139430644855181312', '2024-07-22 06:31:12', '2024-07-22 06:32:50', 'Stop', '1', '2024-07-22 06:31:12', '1', '2024-07-22 06:32:50'),
	('4544245159360049152', '1139430644855181312', '2024-07-22 06:32:50', '2024-07-22 06:34:47', 'Alarm', '1', '2024-07-22 06:32:50', '1', '2024-07-22 06:34:47'),
	('4544245159839551488', '1139430644855181312', '2024-07-22 06:34:47', '2024-07-22 06:46:24', 'Stop', '1', '2024-07-22 06:34:47', '1', '2024-07-22 06:46:24'),
	('4544245162692820992', '1139430644855181312', '2024-07-22 06:46:24', '2024-07-23 07:44:50', 'Run', '1', '2024-07-22 06:46:24', '1', '2024-07-23 07:44:50'),
	('4544245165896728576', '1139430644475174912', '2024-07-22 06:59:26', '2024-07-22 07:00:22', 'Alarm', '1', '2024-07-22 06:59:26', '1', '2024-07-22 07:00:22'),
	('4544245166123962368', '1139430644475174912', '2024-07-22 07:00:22', '2024-07-22 07:19:07', 'Stop', '1', '2024-07-22 07:00:22', '1', '2024-07-22 07:19:07'),
	('4544245170734051328', '1139430644475174912', '2024-07-22 07:19:07', '2024-07-22 22:49:43', 'Run', '1', '2024-07-22 07:19:07', '1', '2024-07-22 22:49:43'),
	('4544245227000958976', '1139430645348077568', '2024-07-22 11:08:04', '2024-07-22 11:08:07', 'Alarm', '1', '2024-07-22 11:08:04', '1', '2024-07-22 11:08:07'),
	('4544245227013595136', '1139430645348077568', '2024-07-22 11:08:07', '2024-07-22 21:19:19', 'Stop', '1', '2024-07-22 11:08:07', '1', '2024-07-22 21:19:19'),
	('4544245231439011840', '1139430644494802944', '2024-07-22 11:26:08', '2024-07-22 21:42:14', 'Stop', '1', '2024-07-22 11:26:08', '1', '2024-07-22 21:42:14'),
	('4544245253961687040', '1139430644789067776', '2024-07-22 12:57:46', '2024-07-22 13:08:55', 'Stop', '1', '2024-07-22 12:57:46', '1', '2024-07-22 13:08:55'),
	('4544245254441267200', '1139430645318582272', '2024-07-22 12:59:43', '2024-07-22 13:53:40', 'Stop', '1', '2024-07-22 12:59:44', '1', '2024-07-22 13:53:40'),
	('4544245256700801024', '1139430644789067776', '2024-07-22 13:08:55', '2024-07-22 13:08:58', 'Alarm', '1', '2024-07-22 13:08:55', '1', '2024-07-22 13:08:58'),
	('4544245256713383936', '1139430644789067776', '2024-07-22 13:08:58', '2024-07-22 13:37:35', 'Stop', '1', '2024-07-22 13:08:58', '1', '2024-07-22 13:37:35'),
	('4544245263745105920', '1139430644789067776', '2024-07-22 13:37:35', '2024-07-22 13:37:44', 'Alarm', '1', '2024-07-22 13:37:35', '1', '2024-07-22 13:37:44'),
	('4544245263782846464', '1139430644789067776', '2024-07-22 13:37:44', '2024-07-24 13:31:13', 'Stop', '1', '2024-07-22 13:37:44', '1', '2024-07-24 13:31:13'),
	('4544245267696439296', '1139430645318582272', '2024-07-22 13:53:40', '2024-07-24 18:14:14', 'Run', '1', '2024-07-22 13:53:40', '1', '2024-07-24 18:14:14'),
	('4544245312066764800', '1139430645079994368', '2024-07-22 16:54:12', '2024-07-23 13:55:26', 'Stop', '1', '2024-07-22 16:54:12', '1', '2024-07-23 13:55:26'),
	('4544245313711575040', '1139430645193863168', '2024-07-22 17:00:54', '2024-07-23 03:54:03', 'Stop', '1', '2024-07-22 17:00:54', '1', '2024-07-23 03:54:03'),
	('4544245314432221184', '1139430645247967232', '2024-07-22 17:03:50', '2024-07-23 09:12:35', 'Stop', '1', '2024-07-22 17:03:50', '1', '2024-07-23 09:12:35'),
	('4544245339621928960', '1139430645601857536', '2024-07-22 18:46:20', '2024-07-22 23:37:22', 'Stop', '1', '2024-07-22 18:46:20', '1', '2024-07-22 23:37:22'),
	('4544245375693496320', '1139430644997632000', '2024-07-22 21:13:06', '2024-07-22 21:13:09', 'Stop', '1', '2024-07-22 21:13:06', '1', '2024-07-22 21:13:09'),
	('4544245375706161152', '1139430644997632000', '2024-07-22 21:13:09', '2024-07-22 21:13:12', 'Run', '1', '2024-07-22 21:13:09', '1', '2024-07-22 21:13:12'),
	('4544245375718821888', '1139430644997632000', '2024-07-22 21:13:12', '2024-07-23 04:36:11', 'Stop', '1', '2024-07-22 21:13:12', '1', '2024-07-23 04:36:11'),
	('4544245377222098944', '1139430645348077568', '2024-07-22 21:19:19', '2024-07-23 11:39:47', 'Run', '1', '2024-07-22 21:19:19', '1', '2024-07-23 11:39:47'),
	('4544245382854070272', '1139430644494802944', '2024-07-22 21:42:14', '2024-07-22 21:42:33', 'Alarm', '1', '2024-07-22 21:42:14', '1', '2024-07-22 21:42:33'),
	('4544245382929768448', '1139430644494802944', '2024-07-22 21:42:33', '2024-07-22 22:01:55', 'Stop', '1', '2024-07-22 21:42:33', '1', '2024-07-22 22:01:55'),
	('4544245387691233280', '1139430644494802944', '2024-07-22 22:01:55', '2024-07-23 09:45:44', 'Run', '1', '2024-07-22 22:01:55', '1', '2024-07-23 09:45:44'),
	('4544245399437365248', '1139430644475174912', '2024-07-22 22:49:43', '2024-07-23 23:04:26', 'Stop', '1', '2024-07-22 22:49:43', '1', '2024-07-23 23:04:26'),
	('4544245411147464704', '1139430645601857536', '2024-07-22 23:37:22', '2024-07-24 04:46:08', 'Run', '1', '2024-07-22 23:37:22', '1', '2024-07-24 04:46:09'),
	('4544245430717816832', '1139430645041299456', '2024-07-23 00:57:00', '2024-07-23 06:18:55', 'Stop', '1', '2024-07-23 00:57:00', '1', '2024-07-23 06:18:55'),
	('4544245437864308736', '1139430645547446272', '2024-07-23 01:26:05', '2024-07-23 11:46:13', 'Stop', '1', '2024-07-23 01:26:05', '1', '2024-07-23 11:46:13'),
	('4544245472460496896', '1139430644963524608', '2024-07-23 03:46:51', '2024-07-23 07:33:03', 'Stop', '1', '2024-07-23 03:46:51', '1', '2024-07-23 07:33:03'),
	('4544245474229018624', '1139430645193863168', '2024-07-23 03:54:03', '2024-07-24 02:26:01', 'Run', '1', '2024-07-23 03:54:03', '1', '2024-07-24 02:26:01'),
	('4544245484584030208', '1139430644997632000', '2024-07-23 04:36:11', '2024-07-23 04:36:57', 'Alarm', '1', '2024-07-23 04:36:11', '1', '2024-07-23 04:36:57'),
	('4544245484773363712', '1139430644997632000', '2024-07-23 04:36:57', '2024-07-23 04:40:11', 'Stop', '1', '2024-07-23 04:36:57', '1', '2024-07-23 04:40:11'),
	('4544245485570129920', '1139430644997632000', '2024-07-23 04:40:11', '2024-07-25 00:35:01', 'Run', '1', '2024-07-23 04:40:11', '1', '2024-07-25 00:35:01'),
	('4544245509832470528', '1139430645041299456', '2024-07-23 06:18:55', '2024-07-23 06:21:14', 'Alarm', '1', '2024-07-23 06:18:55', '1', '2024-07-23 06:21:14'),
	('4544245510401687552', '1139430645041299456', '2024-07-23 06:21:14', '2024-07-23 06:25:39', 'Stop', '1', '2024-07-23 06:21:14', '1', '2024-07-23 06:25:39'),
	('4544245511487574016', '1139430645041299456', '2024-07-23 06:25:39', '2024-07-24 09:21:57', 'Run', '1', '2024-07-23 06:25:39', '1', '2024-07-24 09:21:57'),
	('4544245528052543488', '1139430644963524608', '2024-07-23 07:33:03', '2024-07-23 07:33:28', 'Alarm', '1', '2024-07-23 07:33:03', '1', '2024-07-23 07:33:28'),
	('4544245528153612288', '1139430644963524608', '2024-07-23 07:33:28', '2024-07-23 07:48:47', 'Stop', '1', '2024-07-23 07:33:28', '1', '2024-07-23 07:48:47'),
	('4544245530946027520', '1139430644855181312', '2024-07-23 07:44:50', '2024-07-23 08:26:19', 'Stop', '1', '2024-07-23 07:44:50', '1', '2024-07-23 08:26:19'),
	('4544245531919093760', '1139430644963524608', '2024-07-23 07:48:47', '2024-07-24 13:56:42', 'Run', '1', '2024-07-23 07:48:47', '1', '2024-07-24 13:56:42'),
	('4544245541141315584', '1139430644855181312', '2024-07-23 08:26:19', '2024-07-23 08:26:25', 'Alarm', '1', '2024-07-23 08:26:19', '1', '2024-07-23 08:26:25'),
	('4544245541166551040', '1139430644855181312', '2024-07-23 08:26:25', '2024-07-23 08:31:39', 'Stop', '1', '2024-07-23 08:26:25', '1', '2024-07-23 08:31:39'),
	('4544245542454706176', '1139430644855181312', '2024-07-23 08:31:39', '2024-07-23 08:31:49', 'Alarm', '1', '2024-07-23 08:31:39', '1', '2024-07-23 08:31:49'),
	('4544245542492602368', '1139430644855181312', '2024-07-23 08:31:49', '2024-07-23 08:31:55', 'Stop', '1', '2024-07-23 08:31:49', '1', '2024-07-23 08:31:55'),
	('4544245542517899264', '1139430644855181312', '2024-07-23 08:31:55', '2024-07-23 08:31:58', 'Alarm', '1', '2024-07-23 08:31:55', '1', '2024-07-23 08:31:58'),
	('4544245542530580480', '1139430644855181312', '2024-07-23 08:31:58', '2024-07-23 20:07:07', 'Stop', '1', '2024-07-23 08:31:58', '1', '2024-07-23 20:07:07'),
	('4544245552513110016', '1139430645247967232', '2024-07-23 09:12:35', '2024-07-24 11:33:30', 'Maintain', '1', '2024-07-23 09:12:35', '1', '2024-07-24 11:33:30'),
	('4544245560658468864', '1139430644494802944', '2024-07-23 09:45:44', '2024-07-23 11:12:56', 'Stop', '1', '2024-07-23 09:45:44', '1', '2024-07-23 11:12:56'),
	('4544245582091739136', '1139430644494802944', '2024-07-23 11:12:56', '2024-07-23 11:13:06', 'Alarm', '1', '2024-07-23 11:12:56', '1', '2024-07-23 11:13:06'),
	('4544245582129786880', '1139430644494802944', '2024-07-23 11:13:06', '2024-07-23 11:15:06', 'Stop', '1', '2024-07-23 11:13:06', '1', '2024-07-23 11:15:06'),
	('4544245582622892032', '1139430644494802944', '2024-07-23 11:15:06', '2024-07-23 11:15:12', 'Alarm', '1', '2024-07-23 11:15:06', '1', '2024-07-23 11:15:12'),
	('4544245582648217600', '1139430644494802944', '2024-07-23 11:15:12', '2024-07-23 11:15:46', 'Stop', '1', '2024-07-23 11:15:12', '1', '2024-07-23 11:15:46'),
	('4544245582786973696', '1139430644494802944', '2024-07-23 11:15:46', '2024-07-23 11:15:52', 'Alarm', '1', '2024-07-23 11:15:46', '1', '2024-07-23 11:15:52'),
	('4544245582812205056', '1139430644494802944', '2024-07-23 11:15:52', '2024-07-23 11:16:29', 'Stop', '1', '2024-07-23 11:15:52', '1', '2024-07-23 11:16:29'),
	('4544245582963916800', '1139430644494802944', '2024-07-23 11:16:29', '2024-07-23 11:16:35', 'Alarm', '1', '2024-07-23 11:16:29', '1', '2024-07-23 11:16:35'),
	('4544245582989312000', '1139430644494802944', '2024-07-23 11:16:35', '2024-07-23 12:23:48', 'Stop', '1', '2024-07-23 11:16:35', '1', '2024-07-23 12:23:48'),
	('4544245588690182144', '1139430645348077568', '2024-07-23 11:39:47', '2024-07-23 19:26:04', 'Stop', '1', '2024-07-23 11:39:47', '1', '2024-07-23 19:26:04'),
	('4544245590270087168', '1139430645547446272', '2024-07-23 11:46:13', '2024-07-28 03:24:12', 'Run', '1', '2024-07-23 11:46:13', '1', '2024-07-28 03:24:12'),
	('4544245599507361792', '1139430644494802944', '2024-07-23 12:23:48', '2024-07-23 12:23:54', 'Alarm', '1', '2024-07-23 12:23:48', '1', '2024-07-23 12:23:54'),
	('4544245599532711936', '1139430644494802944', '2024-07-23 12:23:54', '2024-07-23 16:09:06', 'Stop', '1', '2024-07-23 12:23:54', '1', '2024-07-23 16:09:06'),
	('4544245622025076736', '1139430645079994368', '2024-07-23 13:55:26', '2024-07-24 19:54:46', 'Run', '1', '2024-07-23 13:55:26', '1', '2024-07-24 19:54:47'),
	('4544245654877933568', '1139430644494802944', '2024-07-23 16:09:06', '2024-07-23 16:09:53', 'Alarm', '1', '2024-07-23 16:09:06', '1', '2024-07-23 16:09:53'),
	('4544245655067578368', '1139430644494802944', '2024-07-23 16:09:53', '2024-07-23 16:10:17', 'Stop', '1', '2024-07-23 16:09:53', '1', '2024-07-23 16:10:17'),
	('4544245655168802816', '1139430644494802944', '2024-07-23 16:10:17', '2024-07-23 16:10:20', 'Alarm', '1', '2024-07-23 16:10:17', '1', '2024-07-23 16:10:21'),
	('4544245655181430784', '1139430644494802944', '2024-07-23 16:10:20', '2024-07-23 23:00:41', 'Stop', '1', '2024-07-23 16:10:21', '1', '2024-07-23 23:00:41'),
	('4544245668982710272', '1139430645575229440', '2024-07-23 17:06:30', '2024-07-23 17:06:33', 'Stop', '1', '2024-07-23 17:06:30', '1', '2024-07-23 17:06:33'),
	('4544245668995379200', '1139430645575229440', '2024-07-23 17:06:33', '2024-07-23 17:06:45', 'Run', '1', '2024-07-23 17:06:33', '1', '2024-07-23 17:06:45'),
	('4544245669046013952', '1139430645575229440', '2024-07-23 17:06:45', '2024-07-25 04:16:35', 'Stop', '1', '2024-07-23 17:06:45', '1', '2024-07-25 04:16:35'),
	('4544245703283830784', '1139430645348077568', '2024-07-23 19:26:04', '2024-07-23 19:26:10', 'Alarm', '1', '2024-07-23 19:26:04', '1', '2024-07-23 19:26:10'),
	('4544245703309053952', '1139430645348077568', '2024-07-23 19:26:10', '2024-07-23 21:25:25', 'Stop', '1', '2024-07-23 19:26:10', '1', '2024-07-23 21:25:25'),
	('4544245709906976768', '1139430645119148032', '2024-07-23 19:53:01', '2024-07-23 23:08:36', 'Stop', '1', '2024-07-23 19:53:01', '1', '2024-07-23 23:08:36'),
	('4544245713369374720', '1139430644855181312', '2024-07-23 20:07:07', '2024-07-23 20:09:16', 'Alarm', '1', '2024-07-23 20:07:07', '1', '2024-07-23 20:09:16'),
	('4544245713900171264', '1139430644855181312', '2024-07-23 20:09:16', '2024-07-23 20:10:33', 'Stop', '1', '2024-07-23 20:09:16', '1', '2024-07-23 20:10:33'),
	('4544245714216189952', '1139430644855181312', '2024-07-23 20:10:33', '2024-07-23 20:10:39', 'Alarm', '1', '2024-07-23 20:10:33', '1', '2024-07-23 20:10:39'),
	('4544245714241486848', '1139430644855181312', '2024-07-23 20:10:39', '2024-07-23 20:24:05', 'Stop', '1', '2024-07-23 20:10:39', '1', '2024-07-23 20:24:05'),
	('4544245717540188160', '1139430644855181312', '2024-07-23 20:24:05', '2024-07-24 21:28:55', 'Run', '1', '2024-07-23 20:24:05', '1', '2024-07-24 21:28:55'),
	('4544245732614705152', '1139430645348077568', '2024-07-23 21:25:25', '2024-07-24 10:51:05', 'Run', '1', '2024-07-23 21:25:25', '1', '2024-07-24 10:51:05'),
	('4544245756027109376', '1139430644494802944', '2024-07-23 23:00:41', '2024-07-23 23:00:50', 'Alarm', '1', '2024-07-23 23:00:41', '1', '2024-07-23 23:00:50'),
	('4544245756064948224', '1139430644494802944', '2024-07-23 23:00:50', '2024-07-23 23:20:11', 'Stop', '1', '2024-07-23 23:00:50', '1', '2024-07-23 23:20:11'),
	('4544245756948996096', '1139430644475174912', '2024-07-23 23:04:26', '2024-07-24 20:34:13', 'Run', '1', '2024-07-23 23:04:26', '1', '2024-07-24 20:34:13'),
	('4544245757972717568', '1139430645119148032', '2024-07-23 23:08:36', '2024-07-25 04:30:46', 'Run', '1', '2024-07-23 23:08:36', '1', '2024-07-25 04:30:46'),
	('4544245760817926144', '1139430644494802944', '2024-07-23 23:20:11', '2024-07-24 11:26:05', 'Run', '1', '2024-07-23 23:20:11', '1', '2024-07-24 11:26:05'),
	('4544245806489137152', '1139430645193863168', '2024-07-24 02:26:01', '2024-07-24 06:36:43', 'Stop', '1', '2024-07-24 02:26:01', '1', '2024-07-24 06:36:43'),
	('4544245839322583040', '1139430645381705728', '2024-07-24 04:39:37', '2024-07-25 09:53:39', 'Stop', '1', '2024-07-24 04:39:37', '1', '2024-07-25 09:53:39'),
	('4544245840926900224', '1139430645601857536', '2024-07-24 04:46:08', '2024-07-24 20:24:48', 'Stop', '1', '2024-07-24 04:46:09', '1', '2024-07-24 20:24:48'),
	('4544245868100239360', '1139430645193863168', '2024-07-24 06:36:43', '2024-07-25 10:44:39', 'Run', '1', '2024-07-24 06:36:43', '1', '2024-07-25 10:44:39'),
	('4544245908710760448', '1139430645041299456', '2024-07-24 09:21:57', '2024-07-24 13:11:16', 'Stop', '1', '2024-07-24 09:21:57', '1', '2024-07-24 13:11:16'),
	('4544245930615996416', '1139430645348077568', '2024-07-24 10:51:05', '2024-07-24 15:21:25', 'Stop', '1', '2024-07-24 10:51:05', '1', '2024-07-24 15:21:25'),
	('4544245939217649664', '1139430644494802944', '2024-07-24 11:26:05', '2024-07-24 17:51:13', 'Stop', '1', '2024-07-24 11:26:05', '1', '2024-07-24 17:51:14'),
	('4544245941037469696', '1139430645247967232', '2024-07-24 11:33:30', '2024-07-25 12:37:49', 'Run', '1', '2024-07-24 11:33:30', '1', '2024-07-25 12:37:49'),
	('4544245965068251136', '1139430645041299456', '2024-07-24 13:11:16', '2024-07-28 16:24:08', 'Run', '1', '2024-07-24 13:11:16', '1', '2024-07-28 16:24:08'),
	('4544245969968128000', '1139430644789067776', '2024-07-24 13:31:13', '2024-07-24 13:31:19', 'Alarm', '1', '2024-07-24 13:31:13', '1', '2024-07-24 13:31:19'),
	('4544245969993396224', '1139430644789067776', '2024-07-24 13:31:19', '2024-07-24 13:34:12', 'Stop', '1', '2024-07-24 13:31:19', '1', '2024-07-24 13:34:12'),
	('4544245970701406208', '1139430644789067776', '2024-07-24 13:34:12', '2024-07-24 13:34:18', 'Alarm', '1', '2024-07-24 13:34:12', '1', '2024-07-24 13:34:18'),
	('4544245970726518784', '1139430644789067776', '2024-07-24 13:34:18', '2024-07-24 13:36:03', 'Stop', '1', '2024-07-24 13:34:18', '1', '2024-07-24 13:36:03'),
	('4544245971156054016', '1139430644789067776', '2024-07-24 13:36:03', '2024-07-24 13:36:09', 'Alarm', '1', '2024-07-24 13:36:03', '1', '2024-07-24 13:36:09'),
	('4544245971181281280', '1139430644789067776', '2024-07-24 13:36:09', '2024-07-24 13:36:58', 'Stop', '1', '2024-07-24 13:36:09', '1', '2024-07-24 13:36:58'),
	('4544245971383431168', '1139430644789067776', '2024-07-24 13:36:58', '2024-07-24 13:37:04', 'Alarm', '1', '2024-07-24 13:36:58', '1', '2024-07-24 13:37:04'),
	('4544245971408736256', '1139430644789067776', '2024-07-24 13:37:04', '2024-07-25 05:41:01', 'Stop', '1', '2024-07-24 13:37:04', '1', '2024-07-25 05:41:01'),
	('4544245976233267200', '1139430644963524608', '2024-07-24 13:56:42', '2024-07-24 14:07:24', 'Stop', '1', '2024-07-24 13:56:42', '1', '2024-07-24 14:07:24'),
	('4544245976738512896', '1139430645415247872', '2024-07-24 13:58:46', '2024-07-24 14:38:30', 'Stop', '1', '2024-07-24 13:58:46', '1', '2024-07-24 14:38:30'),
	('4544245978861232128', '1139430644963524608', '2024-07-24 14:07:24', '2024-07-24 14:08:35', 'Alarm', '1', '2024-07-24 14:07:24', '1', '2024-07-24 14:08:35'),
	('4544245979151982592', '1139430644963524608', '2024-07-24 14:08:35', '2024-07-24 14:09:06', 'Stop', '1', '2024-07-24 14:08:35', '1', '2024-07-24 14:09:06'),
	('4544245979278188544', '1139430644963524608', '2024-07-24 14:09:06', '2024-07-24 14:09:15', 'Alarm', '1', '2024-07-24 14:09:06', '1', '2024-07-24 14:09:15'),
	('4544245979315933184', '1139430644963524608', '2024-07-24 14:09:15', '2024-07-24 14:23:01', 'Stop', '1', '2024-07-24 14:09:15', '1', '2024-07-24 14:23:02'),
	('4544245982701776896', '1139430644963524608', '2024-07-24 14:23:01', '2024-07-25 19:22:12', 'Run', '1', '2024-07-24 14:23:02', '1', '2024-07-25 19:22:12'),
	('4544245986505318400', '1139430645415247872', '2024-07-24 14:38:30', '2024-07-25 17:11:00', 'Run', '1', '2024-07-24 14:38:30', '1', '2024-07-25 17:11:00'),
	('4544245997053329408', '1139430645348077568', '2024-07-24 15:21:25', '2024-07-25 08:08:28', 'Run', '1', '2024-07-24 15:21:25', '1', '2024-07-25 08:08:28'),
	('4544246033868951552', '1139430644494802944', '2024-07-24 17:51:13', '2024-07-24 17:51:20', 'Alarm', '1', '2024-07-24 17:51:14', '1', '2024-07-24 17:51:20'),
	('4544246033895047168', '1139430644494802944', '2024-07-24 17:51:20', '2024-07-24 18:01:01', 'Stop', '1', '2024-07-24 17:51:20', '1', '2024-07-24 18:01:01'),
	('4544246036274622464', '1139430644494802944', '2024-07-24 18:01:01', '2024-07-24 18:01:16', 'Alarm', '1', '2024-07-24 18:01:01', '1', '2024-07-24 18:01:16'),
	('4544246036337872896', '1139430644494802944', '2024-07-24 18:01:16', '2024-07-24 21:31:04', 'Stop', '1', '2024-07-24 18:01:16', '1', '2024-07-24 21:31:04'),
	('4544246039523729408', '1139430645318582272', '2024-07-24 18:14:14', '2024-07-24 21:09:17', 'Stop', '1', '2024-07-24 18:14:14', '1', '2024-07-24 21:09:17'),
	('4544246055776763904', '1139430645630369792', '2024-07-24 19:20:22', '2024-07-25 06:13:49', 'Stop', '1', '2024-07-24 19:20:22', '1', '2024-07-25 06:13:49'),
	('4544246064232562688', '1139430645079994368', '2024-07-24 19:54:46', '2024-07-25 05:35:52', 'Stop', '1', '2024-07-24 19:54:47', '1', '2024-07-25 05:35:52'),
	('4544246071609815040', '1139430645601857536', '2024-07-24 20:24:48', '2024-07-26 00:26:30', 'Run', '1', '2024-07-24 20:24:48', '1', '2024-07-26 00:26:30'),
	('4544246073923760128', '1139430644475174912', '2024-07-24 20:34:13', '2024-07-25 03:12:06', 'Stop', '1', '2024-07-24 20:34:13', '1', '2024-07-25 03:12:06'),
	('4544246082542489600', '1139430645318582272', '2024-07-24 21:09:17', '2024-07-27 01:41:27', 'Run', '1', '2024-07-24 21:09:17', '1', '2024-07-27 01:41:27'),
	('4544246087368175616', '1139430644855181312', '2024-07-24 21:28:55', '2024-07-24 22:09:47', 'Stop', '1', '2024-07-24 21:28:55', '1', '2024-07-24 22:09:47'),
	('4544246087898857472', '1139430644494802944', '2024-07-24 21:31:04', '2024-07-24 21:33:14', 'Alarm', '1', '2024-07-24 21:31:04', '1', '2024-07-24 21:33:14'),
	('4544246088429789184', '1139430644494802944', '2024-07-24 21:33:14', '2024-07-24 21:51:38', 'Stop', '1', '2024-07-24 21:33:14', '1', '2024-07-24 21:51:38'),
	('4544246092952887296', '1139430644494802944', '2024-07-24 21:51:38', '2024-07-25 08:08:59', 'Run', '1', '2024-07-24 21:51:38', '1', '2024-07-25 08:08:59'),
	('4544246097412775936', '1139430644855181312', '2024-07-24 22:09:47', '2024-07-24 22:09:50', 'Alarm', '1', '2024-07-24 22:09:47', '1', '2024-07-24 22:09:50'),
	('4544246097425440768', '1139430644855181312', '2024-07-24 22:09:50', '2024-07-24 22:14:50', 'Stop', '1', '2024-07-24 22:09:50', '1', '2024-07-24 22:14:50'),
	('4544246098651566080', '1139430644855181312', '2024-07-24 22:14:50', '2024-07-24 22:15:20', 'Alarm', '1', '2024-07-24 22:14:50', '1', '2024-07-24 22:15:20'),
	('4544246098777948160', '1139430644855181312', '2024-07-24 22:15:20', '2024-07-25 05:48:25', 'Stop', '1', '2024-07-24 22:15:20', '1', '2024-07-25 05:48:25'),
	('4544246133106692096', '1139430644997632000', '2024-07-25 00:35:01', '2024-07-25 09:23:37', 'Stop', '1', '2024-07-25 00:35:01', '1', '2024-07-25 09:23:37'),
	('4544246171709554688', '1139430644475174912', '2024-07-25 03:12:06', '2024-07-25 03:12:31', 'Alarm', '1', '2024-07-25 03:12:06', '1', '2024-07-25 03:12:31'),
	('4544246171810705408', '1139430644475174912', '2024-07-25 03:12:31', '2024-07-25 03:26:11', 'Stop', '1', '2024-07-25 03:12:31', '1', '2024-07-25 03:26:11'),
	('4544246175172558848', '1139430644475174912', '2024-07-25 03:26:11', '2024-07-26 05:57:30', 'Run', '1', '2024-07-25 03:26:11', '1', '2024-07-26 05:57:30'),
	('4544246187556851712', '1139430645575229440', '2024-07-25 04:16:35', '2024-07-25 04:18:01', 'Alarm', '1', '2024-07-25 04:16:35', '1', '2024-07-25 04:18:01'),
	('4544246187910864896', '1139430645575229440', '2024-07-25 04:18:01', '2024-07-25 04:22:45', 'Stop', '1', '2024-07-25 04:18:01', '1', '2024-07-25 04:22:45'),
	('4544246189073408000', '1139430645575229440', '2024-07-25 04:22:45', '2024-07-26 09:01:19', 'Run', '1', '2024-07-25 04:22:45', '1', '2024-07-26 09:01:19'),
	('4544246191044247552', '1139430645119148032', '2024-07-25 04:30:46', '2024-07-26 20:58:34', 'Stop', '1', '2024-07-25 04:30:46', '1', '2024-07-26 20:58:34'),
	('4544246207043629056', '1139430645079994368', '2024-07-25 05:35:52', '2024-07-26 12:09:02', 'Run', '1', '2024-07-25 05:35:52', '1', '2024-07-26 12:09:02'),
	('4544246208306593792', '1139430644789067776', '2024-07-25 05:41:01', '2024-07-25 05:41:56', 'Alarm', '1', '2024-07-25 05:41:01', '1', '2024-07-25 05:41:56'),
	('4544246208533946368', '1139430644789067776', '2024-07-25 05:41:56', '2024-07-25 05:56:11', 'Stop', '1', '2024-07-25 05:41:56', '1', '2024-07-25 05:56:11'),
	('4544246210125398016', '1139430644855181312', '2024-07-25 05:48:25', '2024-07-25 05:51:52', 'Alarm', '1', '2024-07-25 05:48:25', '1', '2024-07-25 05:51:52'),
	('4544246210972061696', '1139430644855181312', '2024-07-25 05:51:52', '2024-07-25 06:06:40', 'Stop', '1', '2024-07-25 05:51:52', '1', '2024-07-25 06:06:40'),
	('4544246212033196032', '1139430644789067776', '2024-07-25 05:56:11', '2024-07-26 06:31:13', 'Run', '1', '2024-07-25 05:56:11', '1', '2024-07-26 06:31:13'),
	('4544246214611021824', '1139430644855181312', '2024-07-25 06:06:40', '2024-07-26 00:33:05', 'Run', '1', '2024-07-25 06:06:40', '1', '2024-07-26 00:33:05'),
	('4544246216367693824', '1139430645630369792', '2024-07-25 06:13:49', '2024-07-26 04:03:08', 'Run', '1', '2024-07-25 06:13:49', '1', '2024-07-26 04:03:08'),
	('4544246244544679936', '1139430645348077568', '2024-07-25 08:08:28', '2024-07-25 11:00:54', 'Stop', '1', '2024-07-25 08:08:28', '1', '2024-07-25 11:00:54'),
	('4544246244670922752', '1139430644494802944', '2024-07-25 08:08:59', '2024-07-25 13:45:27', 'Stop', '1', '2024-07-25 08:08:59', '1', '2024-07-25 13:45:27'),
	('4544246263014092800', '1139430644997632000', '2024-07-25 09:23:37', '2024-07-25 16:43:44', 'Maintain', '1', '2024-07-25 09:23:37', '1', '2024-07-25 16:43:44'),
	('4544246270393896960', '1139430645381705728', '2024-07-25 09:53:39', '2024-07-25 17:52:14', 'Maintain', '1', '2024-07-25 09:53:39', '1', '2024-07-25 17:52:14'),
	('4544246282928685056', '1139430645193863168', '2024-07-25 10:44:39', '2024-07-25 11:37:14', 'Stop', '1', '2024-07-25 10:44:39', '1', '2024-07-25 11:37:14'),
	('4544246286921367552', '1139430645348077568', '2024-07-25 11:00:54', '2024-07-25 11:00:57', 'Alarm', '1', '2024-07-25 11:00:54', '1', '2024-07-25 11:00:57'),
	('4544246286934126592', '1139430645348077568', '2024-07-25 11:00:57', '2024-07-25 20:47:01', 'Stop', '1', '2024-07-25 11:00:57', '1', '2024-07-25 20:47:01'),
	('4544246295853072384', '1139430645193863168', '2024-07-25 11:37:14', '2024-07-28 16:38:48', 'Run', '1', '2024-07-25 11:37:14', '1', '2024-07-28 16:38:48'),
	('4544246310741929984', '1139430645247967232', '2024-07-25 12:37:49', '2024-07-25 15:05:15', 'Stop', '1', '2024-07-25 12:37:49', '1', '2024-07-25 15:05:15'),
	('4544246327359897600', '1139430644494802944', '2024-07-25 13:45:27', '2024-07-25 13:45:30', 'Alarm', '1', '2024-07-25 13:45:27', '1', '2024-07-25 13:45:30'),
	('4544246327372541952', '1139430644494802944', '2024-07-25 13:45:30', '2024-07-26 01:41:53', 'Stop', '1', '2024-07-25 13:45:30', '1', '2024-07-26 01:41:53'),
	('4544246346974826496', '1139430645247967232', '2024-07-25 15:05:15', '2024-07-28 00:54:04', 'Run', '1', '2024-07-25 15:05:15', '1', '2024-07-28 00:54:04'),
	('4544246371178536960', '1139430644997632000', '2024-07-25 16:43:44', '2024-07-26 02:46:21', 'Stop', '1', '2024-07-25 16:43:44', '1', '2024-07-26 02:46:21'),
	('4544246377876357120', '1139430645415247872', '2024-07-25 17:11:00', '2024-07-25 22:14:18', 'Stop', '1', '2024-07-25 17:11:00', '1', '2024-07-25 22:14:19'),
	('4544246388011773952', '1139430645381705728', '2024-07-25 17:52:14', '2024-07-26 14:15:45', 'Stop', '1', '2024-07-25 17:52:14', '1', '2024-07-26 14:15:45'),
	('4544246410119720960', '1139430644963524608', '2024-07-25 19:22:12', '2024-07-25 22:06:51', 'Stop', '1', '2024-07-25 19:22:12', '1', '2024-07-25 22:06:51'),
	('4544246430966460416', '1139430645348077568', '2024-07-25 20:47:01', '2024-07-26 11:05:51', 'Run', '1', '2024-07-25 20:47:01', '1', '2024-07-26 11:05:51'),
	('4544246450585370624', '1139430644963524608', '2024-07-25 22:06:51', '2024-07-27 04:11:44', 'Run', '1', '2024-07-25 22:06:51', '1', '2024-07-27 04:11:44'),
	('4544246452418924544', '1139430645415247872', '2024-07-25 22:14:18', '2024-07-27 00:35:14', 'Run', '1', '2024-07-25 22:14:19', '1', '2024-07-27 00:35:14'),
	('4544246484904923136', '1139430645601857536', '2024-07-26 00:26:30', '2024-07-26 04:14:11', 'Stop', '1', '2024-07-26 00:26:30', '1', '2024-07-26 04:14:12'),
	('4544246486522380288', '1139430644855181312', '2024-07-26 00:33:05', '2024-07-26 00:34:43', 'Stop', '1', '2024-07-26 00:33:05', '1', '2024-07-26 00:34:43'),
	('4544246486926548992', '1139430644855181312', '2024-07-26 00:34:43', '2024-07-26 00:34:46', 'Alarm', '1', '2024-07-26 00:34:43', '1', '2024-07-26 00:34:46'),
	('4544246486939222016', '1139430644855181312', '2024-07-26 00:34:46', '2024-07-26 00:34:59', 'Stop', '1', '2024-07-26 00:34:46', '1', '2024-07-26 00:34:59'),
	('4544246486989758464', '1139430644855181312', '2024-07-26 00:34:59', '2024-07-26 00:35:02', 'Alarm', '1', '2024-07-26 00:34:59', '1', '2024-07-26 00:35:02'),
	('4544246487002406912', '1139430644855181312', '2024-07-26 00:35:02', '2024-07-26 09:57:41', 'Stop', '1', '2024-07-26 00:35:02', '1', '2024-07-26 09:57:41'),
	('4544246503431000064', '1139430644494802944', '2024-07-26 01:41:53', '2024-07-26 01:42:05', 'Alarm', '1', '2024-07-26 01:41:53', '1', '2024-07-26 01:42:05'),
	('4544246503481491456', '1139430644494802944', '2024-07-26 01:42:05', '2024-07-26 01:46:49', 'Stop', '1', '2024-07-26 01:42:05', '1', '2024-07-26 01:46:49'),
	('4544246504643858432', '1139430644494802944', '2024-07-26 01:46:49', '2024-07-26 01:46:58', 'Alarm', '1', '2024-07-26 01:46:49', '1', '2024-07-26 01:46:58'),
	('4544246504681783296', '1139430644494802944', '2024-07-26 01:46:58', '2024-07-26 01:49:35', 'Stop', '1', '2024-07-26 01:46:58', '1', '2024-07-26 01:49:35'),
	('4544246505326268416', '1139430644494802944', '2024-07-26 01:49:35', '2024-07-26 01:50:09', 'Alarm', '1', '2024-07-26 01:49:35', '1', '2024-07-26 01:50:09'),
	('4544246505465266176', '1139430644494802944', '2024-07-26 01:50:09', '2024-07-26 02:30:56', 'Stop', '1', '2024-07-26 01:50:09', '1', '2024-07-26 02:30:56'),
	('4544246515486441472', '1139430644494802944', '2024-07-26 02:30:56', '2024-07-26 02:31:02', 'Alarm', '1', '2024-07-26 02:30:56', '1', '2024-07-26 02:31:02'),
	('4544246515511693312', '1139430644494802944', '2024-07-26 02:31:02', '2024-07-26 09:17:12', 'Stop', '1', '2024-07-26 02:31:02', '1', '2024-07-26 09:17:12'),
	('4544246519277424640', '1139430644997632000', '2024-07-26 02:46:21', '2024-07-28 21:15:46', 'Run', '1', '2024-07-26 02:46:21', '1', '2024-07-28 21:15:46'),
	('4544246538146099200', '1139430645630369792', '2024-07-26 04:03:08', '2024-07-26 07:02:10', 'Stop', '1', '2024-07-26 04:03:08', '1', '2024-07-26 07:02:10'),
	('4544246540863676416', '1139430645601857536', '2024-07-26 04:14:11', '2024-07-27 08:53:18', 'Run', '1', '2024-07-26 04:14:12', '1', '2024-07-27 08:53:18'),
	('4544246566252830720', '1139430644475174912', '2024-07-26 05:57:30', '2024-07-26 12:07:17', 'Stop', '1', '2024-07-26 05:57:30', '1', '2024-07-26 12:07:17'),
	('4544246574538358784', '1139430644789067776', '2024-07-26 06:31:13', '2024-07-26 12:18:46', 'Stop', '1', '2024-07-26 06:31:13', '1', '2024-07-26 12:18:46'),
	('4544246582146068480', '1139430645630369792', '2024-07-26 07:02:10', '2024-07-26 19:44:29', 'Run', '1', '2024-07-26 07:02:10', '1', '2024-07-26 19:44:29'),
	('4544246611427479552', '1139430645575229440', '2024-07-26 09:01:19', '2024-07-26 22:49:37', 'Stop', '1', '2024-07-26 09:01:19', '1', '2024-07-26 22:49:37'),
	('4544246615331631104', '1139430644494802944', '2024-07-26 09:17:12', '2024-07-26 09:17:21', 'Alarm', '1', '2024-07-26 09:17:12', '1', '2024-07-26 09:17:21'),
	('4544246615369613312', '1139430644494802944', '2024-07-26 09:17:21', '2024-07-26 14:17:48', 'Stop', '1', '2024-07-26 09:17:21', '1', '2024-07-26 14:17:48'),
	('4544246625279356928', '1139430644855181312', '2024-07-26 09:57:41', '2024-07-26 09:57:53', 'Alarm', '1', '2024-07-26 09:57:41', '1', '2024-07-26 09:57:53'),
	('4544246625330114560', '1139430644855181312', '2024-07-26 09:57:53', '2024-07-26 10:13:59', 'Stop', '1', '2024-07-26 09:57:53', '1', '2024-07-26 10:13:59'),
	('4544246629284515840', '1139430644855181312', '2024-07-26 10:13:59', '2024-07-26 10:14:29', 'Alarm', '1', '2024-07-26 10:13:59', '1', '2024-07-26 10:14:29'),
	('4544246629410684928', '1139430644855181312', '2024-07-26 10:14:29', '2024-07-26 10:15:22', 'Stop', '1', '2024-07-26 10:14:29', '1', '2024-07-26 10:15:22'),
	('4544246629625237504', '1139430644855181312', '2024-07-26 10:15:22', '2024-07-26 10:15:34', 'Alarm', '1', '2024-07-26 10:15:22', '1', '2024-07-26 10:15:34'),
	('4544246629675704320', '1139430644855181312', '2024-07-26 10:15:34', '2024-07-26 10:15:37', 'Stop', '1', '2024-07-26 10:15:34', '1', '2024-07-26 10:15:37'),
	('4544246629688369152', '1139430644855181312', '2024-07-26 10:15:37', '2024-07-26 10:15:40', 'Alarm', '1', '2024-07-26 10:15:37', '1', '2024-07-26 10:15:40'),
	('4544246629701021696', '1139430644855181312', '2024-07-26 10:15:40', '2024-07-26 10:18:33', 'Stop', '1', '2024-07-26 10:15:40', '1', '2024-07-26 10:18:33'),
	('4544246630409363456', '1139430644855181312', '2024-07-26 10:18:33', '2024-07-26 10:19:32', 'Alarm', '1', '2024-07-26 10:18:33', '1', '2024-07-26 10:19:32'),
	('4544246630649028608', '1139430644855181312', '2024-07-26 10:19:32', '2024-07-26 11:46:25', 'Stop', '1', '2024-07-26 10:19:32', '1', '2024-07-26 11:46:25'),
	('4544246642031333376', '1139430645348077568', '2024-07-26 11:05:51', '2024-07-26 14:50:56', 'Stop', '1', '2024-07-26 11:05:51', '1', '2024-07-26 14:50:56'),
	('4544246652001169408', '1139430644855181312', '2024-07-26 11:46:25', '2024-07-26 11:47:05', 'Alarm', '1', '2024-07-26 11:46:25', '1', '2024-07-26 11:47:05'),
	('4544246652165718016', '1139430644855181312', '2024-07-26 11:47:05', '2024-07-26 11:49:30', 'Stop', '1', '2024-07-26 11:47:05', '1', '2024-07-26 11:49:30'),
	('4544246652759375872', '1139430644855181312', '2024-07-26 11:49:30', '2024-07-26 11:50:16', 'Alarm', '1', '2024-07-26 11:49:30', '1', '2024-07-26 11:50:16'),
	('4544246652948865024', '1139430644855181312', '2024-07-26 11:50:16', '2024-07-26 11:51:15', 'Stop', '1', '2024-07-26 11:50:16', '1', '2024-07-26 11:51:15'),
	('4544246653188964352', '1139430644855181312', '2024-07-26 11:51:15', '2024-07-26 11:52:13', 'Alarm', '1', '2024-07-26 11:51:15', '1', '2024-07-26 11:52:13'),
	('4544246653428998144', '1139430644855181312', '2024-07-26 11:52:13', '2024-07-26 12:00:15', 'Stop', '1', '2024-07-26 11:52:13', '1', '2024-07-26 12:00:15'),
	('4544246655400169472', '1139430644855181312', '2024-07-26 12:00:15', '2024-07-27 13:15:27', 'Run', '1', '2024-07-26 12:00:15', '1', '2024-07-27 13:15:27'),
	('4544246656095825920', '1139430645508157440', '2024-07-26 12:03:04', '2024-07-29 10:11:25', 'Stop', '1', '2024-07-26 12:03:04', '1', '2024-07-29 10:11:25'),
	('4544246657131888640', '1139430644475174912', '2024-07-26 12:07:17', '2024-07-26 12:07:33', 'Alarm', '1', '2024-07-26 12:07:17', '1', '2024-07-26 12:07:33'),
	('4544246657195204608', '1139430644475174912', '2024-07-26 12:07:33', '2024-07-26 12:25:05', 'Stop', '1', '2024-07-26 12:07:33', '1', '2024-07-26 12:25:05'),
	('4544246657562124288', '1139430645079994368', '2024-07-26 12:09:02', '2024-07-26 12:10:56', 'Stop', '1', '2024-07-26 12:09:02', '1', '2024-07-26 12:10:56'),
	('4544246658029658112', '1139430645079994368', '2024-07-26 12:10:56', '2024-07-27 19:20:52', 'Run', '1', '2024-07-26 12:10:56', '1', '2024-07-27 19:20:52'),
	('4544246659951230976', '1139430644789067776', '2024-07-26 12:18:46', '2024-07-26 12:18:49', 'Alarm', '1', '2024-07-26 12:18:46', '1', '2024-07-26 12:18:49'),
	('4544246659963809792', '1139430644789067776', '2024-07-26 12:18:49', '2024-07-26 12:31:43', 'Stop', '1', '2024-07-26 12:18:49', '1', '2024-07-26 12:31:43'),
	('4544246661505093632', '1139430644475174912', '2024-07-26 12:25:05', '2024-07-27 13:55:18', 'Run', '1', '2024-07-26 12:25:05', '1', '2024-07-27 13:55:18'),
	('4544246663135625216', '1139430644789067776', '2024-07-26 12:31:43', '2024-07-27 10:31:20', 'Run', '1', '2024-07-26 12:31:43', '1', '2024-07-27 10:31:20'),
	('4544246688702889984', '1139430645381705728', '2024-07-26 14:15:45', '2024-07-27 20:38:45', 'Run', '1', '2024-07-26 14:15:45', '1', '2024-07-27 20:38:45'),
	('4544246689208135680', '1139430644494802944', '2024-07-26 14:17:48', '2024-07-26 14:17:51', 'Alarm', '1', '2024-07-26 14:17:48', '1', '2024-07-26 14:17:52'),
	('4544246689220775936', '1139430644494802944', '2024-07-26 14:17:51', '2024-07-26 14:18:04', 'Stop', '1', '2024-07-26 14:17:52', '1', '2024-07-26 14:18:04'),
	('4544246689271300096', '1139430644494802944', '2024-07-26 14:18:04', '2024-07-26 14:18:10', 'Alarm', '1', '2024-07-26 14:18:04', '1', '2024-07-26 14:18:10'),
	('4544246689296539648', '1139430644494802944', '2024-07-26 14:18:10', '2024-07-26 14:24:42', 'Stop', '1', '2024-07-26 14:18:10', '1', '2024-07-26 14:24:42'),
	('4544246690901114880', '1139430644494802944', '2024-07-26 14:24:42', '2024-07-26 14:24:54', 'Alarm', '1', '2024-07-26 14:24:42', '1', '2024-07-26 14:24:54'),
	('4544246690951725056', '1139430644494802944', '2024-07-26 14:24:54', '2024-07-26 14:47:47', 'Stop', '1', '2024-07-26 14:24:54', '1', '2024-07-26 14:47:47'),
	('4544246696576331776', '1139430644494802944', '2024-07-26 14:47:47', '2024-07-26 14:47:57', 'Alarm', '1', '2024-07-26 14:47:47', '1', '2024-07-26 14:47:57'),
	('4544246696614309888', '1139430644494802944', '2024-07-26 14:47:57', '2024-07-26 14:48:03', 'Stop', '1', '2024-07-26 14:47:57', '1', '2024-07-26 14:48:03'),
	('4544246696639512576', '1139430644494802944', '2024-07-26 14:48:03', '2024-07-26 14:48:09', 'Alarm', '1', '2024-07-26 14:48:03', '1', '2024-07-26 14:48:09'),
	('4544246696664793088', '1139430644494802944', '2024-07-26 14:48:09', '2024-07-26 15:06:00', 'Stop', '1', '2024-07-26 14:48:09', '1', '2024-07-26 15:06:00'),
	('4544246697347792896', '1139430645348077568', '2024-07-26 14:50:56', '2024-07-27 03:58:44', 'Run', '1', '2024-07-26 14:50:56', '1', '2024-07-27 03:58:44'),
	('4544246701050634240', '1139430644494802944', '2024-07-26 15:06:00', '2024-07-27 03:06:56', 'Run', '1', '2024-07-26 15:06:00', '1', '2024-07-27 03:06:56'),
	('4544246769491447808', '1139430645630369792', '2024-07-26 19:44:29', '2024-07-27 05:49:17', 'Stop', '1', '2024-07-26 19:44:29', '1', '2024-07-27 05:49:17'),
	('4544246787700363264', '1139430645119148032', '2024-07-26 20:58:34', '2024-07-28 00:49:17', 'Run', '1', '2024-07-26 20:58:34', '1', '2024-07-28 00:49:17'),
	('4544246814991601664', '1139430645575229440', '2024-07-26 22:49:37', '2024-07-26 22:50:36', 'Alarm', '1', '2024-07-26 22:49:37', '1', '2024-07-26 22:50:36'),
	('4544246815231991808', '1139430645575229440', '2024-07-26 22:50:36', '2024-07-26 22:55:35', 'Stop', '1', '2024-07-26 22:50:36', '1', '2024-07-26 22:55:35'),
	('4544246816458027008', '1139430645575229440', '2024-07-26 22:55:35', '2024-07-29 03:40:21', 'Run', '1', '2024-07-26 22:55:35', '1', '2024-07-29 03:40:21'),
	('4544246840946126848', '1139430645415247872', '2024-07-27 00:35:14', '2024-07-27 04:17:02', 'Stop', '1', '2024-07-27 00:35:14', '1', '2024-07-27 04:17:02'),
	('4544246857220575232', '1139430645318582272', '2024-07-27 01:41:27', '2024-07-27 23:14:12', 'Stop', '1', '2024-07-27 01:41:27', '1', '2024-07-27 23:14:12'),
	('4544246878230306816', '1139430644494802944', '2024-07-27 03:06:56', '2024-07-27 06:29:42', 'Stop', '1', '2024-07-27 03:06:56', '1', '2024-07-27 06:29:42'),
	('4544246890958241792', '1139430645348077568', '2024-07-27 03:58:44', '2024-07-27 09:04:00', 'Stop', '1', '2024-07-27 03:58:44', '1', '2024-07-27 09:04:00'),
	('4544246894155821056', '1139430644963524608', '2024-07-27 04:11:44', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-27 04:11:44', '1', '2024-07-29 22:23:16'),
	('4544246895457509376', '1139430645415247872', '2024-07-27 04:17:02', '2024-07-28 12:20:54', 'Run', '1', '2024-07-27 04:17:02', '1', '2024-07-28 12:20:54'),
	('4544246918127886336', '1139430645630369792', '2024-07-27 05:49:17', '2024-07-29 00:44:07', 'Run', '1', '2024-07-27 05:49:17', '1', '2024-07-29 00:44:07'),
	('4544246928060276736', '1139430644494802944', '2024-07-27 06:29:42', '2024-07-27 06:30:44', 'Alarm', '1', '2024-07-27 06:29:42', '1', '2024-07-27 06:30:44'),
	('4544246928312901632', '1139430644494802944', '2024-07-27 06:30:44', '2024-07-27 06:48:22', 'Stop', '1', '2024-07-27 06:30:44', '1', '2024-07-27 06:48:22'),
	('4544246932647350272', '1139430644494802944', '2024-07-27 06:48:22', '2024-07-27 18:41:47', 'Run', '1', '2024-07-27 06:48:22', '1', '2024-07-27 18:41:47'),
	('4544246963350810624', '1139430645601857536', '2024-07-27 08:53:18', '2024-07-28 03:51:58', 'Stop', '1', '2024-07-27 08:53:18', '1', '2024-07-28 03:51:59'),
	('4544246965979725824', '1139430645348077568', '2024-07-27 09:04:00', '2024-07-27 09:04:12', 'Alarm', '1', '2024-07-27 09:04:00', '1', '2024-07-27 09:04:12'),
	('4544246966030376960', '1139430645348077568', '2024-07-27 09:04:12', '2024-07-27 09:29:00', 'Stop', '1', '2024-07-27 09:04:12', '1', '2024-07-27 09:29:00'),
	('4544246972124676096', '1139430645348077568', '2024-07-27 09:29:00', '2024-07-28 01:08:11', 'Run', '1', '2024-07-27 09:29:00', '1', '2024-07-28 01:08:11'),
	('4544246987443736576', '1139430644789067776', '2024-07-27 10:31:20', '2024-07-27 17:50:03', 'Stop', '1', '2024-07-27 10:31:20', '1', '2024-07-27 17:50:03'),
	('4544247027777847296', '1139430644855181312', '2024-07-27 13:15:27', '2024-07-27 14:40:33', 'Stop', '1', '2024-07-27 13:15:27', '1', '2024-07-27 14:40:33'),
	('4544247037572820992', '1139430644475174912', '2024-07-27 13:55:18', '2024-07-27 22:49:24', 'Stop', '1', '2024-07-27 13:55:18', '1', '2024-07-27 22:49:24'),
	('4544247048693772288', '1139430644855181312', '2024-07-27 14:40:33', '2024-07-27 14:40:40', 'Alarm', '1', '2024-07-27 14:40:33', '1', '2024-07-27 14:40:40'),
	('4544247048719138816', '1139430644855181312', '2024-07-27 14:40:40', '2024-07-27 14:40:49', 'Stop', '1', '2024-07-27 14:40:40', '1', '2024-07-27 14:40:49'),
	('4544247048756994048', '1139430644855181312', '2024-07-27 14:40:49', '2024-07-27 14:40:55', 'Alarm', '1', '2024-07-27 14:40:49', '1', '2024-07-27 14:40:55'),
	('4544247048782282752', '1139430644855181312', '2024-07-27 14:40:55', '2024-07-27 14:44:03', 'Stop', '1', '2024-07-27 14:40:55', '1', '2024-07-27 14:44:03'),
	('4544247049553604608', '1139430644855181312', '2024-07-27 14:44:03', '2024-07-27 14:44:16', 'Alarm', '1', '2024-07-27 14:44:03', '1', '2024-07-27 14:44:16'),
	('4544247049603977216', '1139430644855181312', '2024-07-27 14:44:16', '2024-07-27 15:00:52', 'Stop', '1', '2024-07-27 14:44:16', '1', '2024-07-27 15:00:52'),
	('4544247053686755328', '1139430644855181312', '2024-07-27 15:00:52', '2024-07-28 09:17:31', 'Run', '1', '2024-07-27 15:00:52', '1', '2024-07-28 09:17:31'),
	('4544247095262760960', '1139430644789067776', '2024-07-27 17:50:03', '2024-07-27 17:52:22', 'Alarm', '1', '2024-07-27 17:50:03', '1', '2024-07-27 17:52:22'),
	('4544247095831826432', '1139430644789067776', '2024-07-27 17:52:22', '2024-07-27 18:55:49', 'Stop', '1', '2024-07-27 17:52:22', '1', '2024-07-27 18:55:49'),
	('4544247107976478720', '1139430644494802944', '2024-07-27 18:41:47', '2024-07-28 05:15:25', 'Stop', '1', '2024-07-27 18:41:47', '1', '2024-07-28 05:15:25'),
	('4544247111428177920', '1139430644789067776', '2024-07-27 18:55:49', '2024-07-27 18:55:53', 'Alarm', '1', '2024-07-27 18:55:49', '1', '2024-07-27 18:55:53'),
	('4544247111440744448', '1139430644789067776', '2024-07-27 18:55:53', '2024-07-27 19:28:41', 'Stop', '1', '2024-07-27 18:55:53', '1', '2024-07-27 19:28:41'),
	('4544247117584420864', '1139430645079994368', '2024-07-27 19:20:52', '2024-07-28 03:35:15', 'Stop', '1', '2024-07-27 19:20:52', '1', '2024-07-28 03:35:15'),
	('4544247119505199104', '1139430644789067776', '2024-07-27 19:28:41', '2024-07-27 19:28:54', 'Alarm', '1', '2024-07-27 19:28:41', '1', '2024-07-27 19:28:54'),
	('4544247119555731456', '1139430644789067776', '2024-07-27 19:28:54', '2024-07-28 04:22:45', 'Stop', '1', '2024-07-27 19:28:54', '1', '2024-07-28 04:22:45'),
	('4544247136721571840', '1139430645381705728', '2024-07-27 20:38:45', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-27 20:38:45', '1', '2024-07-29 22:23:16'),
	('4544247168830521344', '1139430644475174912', '2024-07-27 22:49:24', '2024-07-27 22:49:30', 'Alarm', '1', '2024-07-27 22:49:24', '1', '2024-07-27 22:49:30'),
	('4544247168855879680', '1139430644475174912', '2024-07-27 22:49:30', '2024-07-27 23:09:58', 'Stop', '1', '2024-07-27 22:49:30', '1', '2024-07-27 23:09:58'),
	('4544247173888077824', '1139430644475174912', '2024-07-27 23:09:58', '2024-07-28 23:43:36', 'Run', '1', '2024-07-27 23:09:58', '1', '2024-07-28 23:43:36'),
	('4544247174924840960', '1139430645318582272', '2024-07-27 23:14:12', '2024-07-29 00:41:27', 'Run', '1', '2024-07-27 23:14:12', '1', '2024-07-29 00:41:27'),
	('4544247198294130688', '1139430645119148032', '2024-07-28 00:49:17', '2024-07-28 02:49:53', 'Stop', '1', '2024-07-28 00:49:17', '1', '2024-07-28 02:49:53'),
	('4544247199470755840', '1139430645247967232', '2024-07-28 00:54:04', '2024-07-28 02:31:53', 'Stop', '1', '2024-07-28 00:54:04', '1', '2024-07-28 02:31:53'),
	('4544247202938892288', '1139430645348077568', '2024-07-28 01:08:11', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-28 01:08:11', '1', '2024-07-29 22:23:16'),
	('4544247223507951616', '1139430645247967232', '2024-07-28 02:31:53', '2024-07-28 20:26:30', 'Run', '1', '2024-07-28 02:31:53', '1', '2024-07-28 20:26:30'),
	('4544247227933331456', '1139430645119148032', '2024-07-28 02:49:53', '2024-07-29 08:16:36', 'Run', '1', '2024-07-28 02:49:53', '1', '2024-07-29 08:16:36'),
	('4544247236365201408', '1139430645547446272', '2024-07-28 03:24:12', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-28 03:24:12', '1', '2024-07-29 22:23:16'),
	('4544247239082557440', '1139430645079994368', '2024-07-28 03:35:15', '2024-07-29 09:26:57', 'Run', '1', '2024-07-28 03:35:15', '1', '2024-07-29 09:26:57'),
	('4544247243192651776', '1139430645601857536', '2024-07-28 03:51:58', '2024-07-29 08:29:02', 'Run', '1', '2024-07-28 03:51:59', '1', '2024-07-29 08:29:02'),
	('4544247250754932736', '1139430644789067776', '2024-07-28 04:22:45', '2024-07-28 04:22:54', 'Alarm', '1', '2024-07-28 04:22:45', '1', '2024-07-28 04:22:54'),
	('4544247250792910848', '1139430644789067776', '2024-07-28 04:22:54', '2024-07-28 04:25:35', 'Stop', '1', '2024-07-28 04:22:54', '1', '2024-07-28 04:25:35'),
	('4544247251450441728', '1139430644789067776', '2024-07-28 04:25:35', '2024-07-28 04:25:38', 'Alarm', '1', '2024-07-28 04:25:35', '1', '2024-07-28 04:25:38'),
	('4544247251463094272', '1139430644789067776', '2024-07-28 04:25:38', '2024-07-28 11:25:21', 'Stop', '1', '2024-07-28 04:25:38', '1', '2024-07-28 11:25:21'),
	('4544247263699755008', '1139430644494802944', '2024-07-28 05:15:25', '2024-07-28 05:17:10', 'Alarm', '1', '2024-07-28 05:15:25', '1', '2024-07-28 05:17:10'),
	('4544247264129249280', '1139430644494802944', '2024-07-28 05:17:10', '2024-07-28 05:33:50', 'Stop', '1', '2024-07-28 05:17:10', '1', '2024-07-28 05:33:50'),
	('4544247268224888832', '1139430644494802944', '2024-07-28 05:33:50', '2024-07-28 18:20:43', 'Run', '1', '2024-07-28 05:33:50', '1', '2024-07-28 18:20:43'),
	('4544247323195981824', '1139430644855181312', '2024-07-28 09:17:31', '2024-07-28 09:43:01', 'Stop', '1', '2024-07-28 09:17:31', '1', '2024-07-28 09:43:01'),
	('4544247329464647680', '1139430644855181312', '2024-07-28 09:43:01', '2024-07-28 09:43:38', 'Alarm', '1', '2024-07-28 09:43:01', '1', '2024-07-28 09:43:38'),
	('4544247329616285696', '1139430644855181312', '2024-07-28 09:43:38', '2024-07-28 10:11:15', 'Stop', '1', '2024-07-28 09:43:38', '1', '2024-07-28 10:11:15'),
	('4544247336404619264', '1139430644855181312', '2024-07-28 10:11:15', '2024-07-28 10:11:40', 'Alarm', '1', '2024-07-28 10:11:15', '1', '2024-07-28 10:11:40'),
	('4544247336505704448', '1139430644855181312', '2024-07-28 10:11:40', '2024-07-29 10:31:03', 'Stop', '1', '2024-07-28 10:11:40', '1', '2024-07-29 10:31:03'),
	('4544247354615324672', '1139430644789067776', '2024-07-28 11:25:21', '2024-07-28 11:25:28', 'Alarm', '1', '2024-07-28 11:25:21', '1', '2024-07-28 11:25:28'),
	('4544247354640601088', '1139430644789067776', '2024-07-28 11:25:28', '2024-07-28 14:16:04', 'Stop', '1', '2024-07-28 11:25:28', '1', '2024-07-28 14:16:04'),
	('4544247368266575872', '1139430645415247872', '2024-07-28 12:20:54', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-28 12:20:54', '1', '2024-07-29 22:23:16'),
	('4544247396569284608', '1139430644789067776', '2024-07-28 14:16:04', '2024-07-28 14:16:26', 'Alarm', '1', '2024-07-28 14:16:04', '1', '2024-07-28 14:16:26'),
	('4544247396657905664', '1139430644789067776', '2024-07-28 14:16:26', '2024-07-29 09:55:14', 'Stop', '1', '2024-07-28 14:16:26', '1', '2024-07-29 09:55:14'),
	('4544247428042776576', '1139430645041299456', '2024-07-28 16:24:08', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-28 16:24:08', '1', '2024-07-29 22:23:16'),
	('4544247431646879744', '1139430645193863168', '2024-07-28 16:38:48', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-28 16:38:48', '1', '2024-07-29 22:23:16'),
	('4544247456695033856', '1139430644494802944', '2024-07-28 18:20:43', '2024-07-29 15:13:11', 'Stop', '1', '2024-07-28 18:20:43', '1', '2024-07-29 15:13:11'),
	('4544247487608782848', '1139430645247967232', '2024-07-28 20:26:30', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-28 20:26:30', '1', '2024-07-29 22:23:16'),
	('4544247499715219456', '1139430644997632000', '2024-07-28 21:15:46', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-28 21:15:46', '1', '2024-07-29 22:23:16'),
	('4544247536044482560', '1139430644475174912', '2024-07-28 23:43:36', '2024-07-29 10:20:04', 'Stop', '1', '2024-07-28 23:43:36', '1', '2024-07-29 10:20:04'),
	('4544247550262714368', '1139430645318582272', '2024-07-29 00:41:27', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 00:41:27', '1', '2024-07-29 22:23:16'),
	('4544247550920093696', '1139430645630369792', '2024-07-29 00:44:07', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 00:44:07', '1', '2024-07-29 22:23:16'),
	('4544247594229649408', '1139430645575229440', '2024-07-29 03:40:21', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 03:40:21', '1', '2024-07-29 22:23:16'),
	('4544247662120558592', '1139430645119148032', '2024-07-29 08:16:36', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 08:16:36', '1', '2024-07-29 22:23:16'),
	('4544247665177690112', '1139430645601857536', '2024-07-29 08:29:02', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 08:29:02', '1', '2024-07-29 22:23:16'),
	('4544247679409909760', '1139430645079994368', '2024-07-29 09:26:57', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 09:26:57', '1', '2024-07-29 22:23:16'),
	('4544247686359388160', '1139430644789067776', '2024-07-29 09:55:14', '2024-07-29 09:55:17', 'Alarm', '1', '2024-07-29 09:55:14', '1', '2024-07-29 09:55:17'),
	('4544247686371999744', '1139430644789067776', '2024-07-29 09:55:17', '2024-07-29 10:39:20', 'Stop', '1', '2024-07-29 09:55:17', '1', '2024-07-29 10:39:20'),
	('4544247690339131392', '1139430645508157440', '2024-07-29 10:11:25', '2024-07-29 10:11:37', 'Maintain', '1', '2024-07-29 10:11:25', '1', '2024-07-29 10:11:38'),
	('4544247690389766144', '1139430645508157440', '2024-07-29 10:11:37', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 10:11:38', '1', '2024-07-29 22:23:16'),
	('4544247692463161344', '1139430644475174912', '2024-07-29 10:20:04', '2024-07-29 10:20:22', 'Alarm', '1', '2024-07-29 10:20:04', '1', '2024-07-29 10:20:22'),
	('4544247692539064320', '1139430644475174912', '2024-07-29 10:20:22', '2024-07-29 10:21:05', 'Stop', '1', '2024-07-29 10:20:22', '1', '2024-07-29 10:21:05'),
	('4544247692715868160', '1139430644475174912', '2024-07-29 10:21:05', '2024-07-29 10:21:18', 'Alarm', '1', '2024-07-29 10:21:05', '1', '2024-07-29 10:21:18'),
	('4544247692766531584', '1139430644475174912', '2024-07-29 10:21:18', '2024-07-29 13:14:17', 'Stop', '1', '2024-07-29 10:21:18', '1', '2024-07-29 13:14:17'),
	('4544247695163793408', '1139430644855181312', '2024-07-29 10:31:03', '2024-07-29 10:31:12', 'Alarm', '1', '2024-07-29 10:31:03', '1', '2024-07-29 10:31:12'),
	('4544247695201787904', '1139430644855181312', '2024-07-29 10:31:12', '2024-07-29 10:31:22', 'Stop', '1', '2024-07-29 10:31:12', '1', '2024-07-29 10:31:22'),
	('4544247695239737344', '1139430644855181312', '2024-07-29 10:31:22', '2024-07-29 10:31:28', 'Alarm', '1', '2024-07-29 10:31:22', '1', '2024-07-29 10:31:28'),
	('4544247695265013760', '1139430644855181312', '2024-07-29 10:31:28', '2024-07-29 10:34:14', 'Stop', '1', '2024-07-29 10:31:28', '1', '2024-07-29 10:34:14'),
	('4544247695947186176', '1139430644855181312', '2024-07-29 10:34:14', '2024-07-29 10:34:21', 'Alarm', '1', '2024-07-29 10:34:14', '1', '2024-07-29 10:34:21'),
	('4544247695972581376', '1139430644855181312', '2024-07-29 10:34:21', '2024-07-29 10:34:45', 'Stop', '1', '2024-07-29 10:34:21', '1', '2024-07-29 10:34:45'),
	('4544247696073830400', '1139430644855181312', '2024-07-29 10:34:45', '2024-07-29 10:34:48', 'Alarm', '1', '2024-07-29 10:34:45', '1', '2024-07-29 10:34:48'),
	('4544247696086470656', '1139430644855181312', '2024-07-29 10:34:48', '2024-07-29 10:36:33', 'Stop', '1', '2024-07-29 10:34:48', '1', '2024-07-29 10:36:33'),
	('4544247696517128192', '1139430644855181312', '2024-07-29 10:36:33', '2024-07-29 10:37:32', 'Alarm', '1', '2024-07-29 10:36:33', '1', '2024-07-29 10:37:32'),
	('4544247696756977664', '1139430644855181312', '2024-07-29 10:37:32', '2024-07-29 13:07:51', 'Stop', '1', '2024-07-29 10:37:32', '1', '2024-07-29 13:07:51'),
	('4544247697199624192', '1139430644789067776', '2024-07-29 10:39:20', '2024-07-29 10:39:26', 'Alarm', '1', '2024-07-29 10:39:20', '1', '2024-07-29 10:39:26'),
	('4544247697225003008', '1139430644789067776', '2024-07-29 10:39:26', '2024-07-29 10:39:45', 'Stop', '1', '2024-07-29 10:39:26', '1', '2024-07-29 10:39:45'),
	('4544247697300856832', '1139430644789067776', '2024-07-29 10:39:45', '2024-07-29 10:39:48', 'Alarm', '1', '2024-07-29 10:39:45', '1', '2024-07-29 10:39:48'),
	('4544247697313533952', '1139430644789067776', '2024-07-29 10:39:48', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 10:39:48', '1', '2024-07-29 22:23:16'),
	('4544247733699219456', '1139430644855181312', '2024-07-29 13:07:51', '2024-07-29 13:07:57', 'Alarm', '1', '2024-07-29 13:07:51', '1', '2024-07-29 13:07:57'),
	('4544247733724479488', '1139430644855181312', '2024-07-29 13:07:57', '2024-07-29 13:08:16', 'Stop', '1', '2024-07-29 13:07:57', '1', '2024-07-29 13:08:16'),
	('4544247733800472576', '1139430644855181312', '2024-07-29 13:08:16', '2024-07-29 13:08:50', 'Alarm', '1', '2024-07-29 13:08:16', '1', '2024-07-29 13:08:50'),
	('4544247733939486720', '1139430644855181312', '2024-07-29 13:08:50', '2024-07-29 13:09:55', 'Stop', '1', '2024-07-29 13:08:50', '1', '2024-07-29 13:09:55'),
	('4544247734205128704', '1139430644855181312', '2024-07-29 13:09:55', '2024-07-29 13:10:13', 'Alarm', '1', '2024-07-29 13:09:55', '1', '2024-07-29 13:10:13'),
	('4544247734281003008', '1139430644855181312', '2024-07-29 13:10:13', '2024-07-29 13:10:32', 'Stop', '1', '2024-07-29 13:10:13', '1', '2024-07-29 13:10:32'),
	('4544247734356905984', '1139430644855181312', '2024-07-29 13:10:32', '2024-07-29 13:12:10', 'Alarm', '1', '2024-07-29 13:10:32', '1', '2024-07-29 13:12:10'),
	('4544247734761381888', '1139430644855181312', '2024-07-29 13:12:10', '2024-07-29 13:12:17', 'Stop', '1', '2024-07-29 13:12:10', '1', '2024-07-29 13:12:17'),
	('4544247734786629632', '1139430644855181312', '2024-07-29 13:12:17', '2024-07-29 13:12:23', 'Alarm', '1', '2024-07-29 13:12:17', '1', '2024-07-29 13:12:23'),
	('4544247734811820032', '1139430644855181312', '2024-07-29 13:12:23', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 13:12:23', '1', '2024-07-29 22:23:16'),
	('4544247735279513600', '1139430644475174912', '2024-07-29 13:14:17', '2024-07-29 13:15:12', 'Alarm', '1', '2024-07-29 13:14:17', '1', '2024-07-29 13:15:13'),
	('4544247735507103744', '1139430644475174912', '2024-07-29 13:15:12', '2024-07-29 13:16:17', 'Stop', '1', '2024-07-29 13:15:13', '1', '2024-07-29 13:16:17'),
	('4544247735772667904', '1139430644475174912', '2024-07-29 13:16:17', '2024-07-29 13:16:27', 'Alarm', '1', '2024-07-29 13:16:17', '1', '2024-07-29 13:16:27'),
	('4544247735810613248', '1139430644475174912', '2024-07-29 13:16:27', '2024-07-29 13:20:49', 'Stop', '1', '2024-07-29 13:16:27', '1', '2024-07-29 13:20:49'),
	('4544247736885067776', '1139430644475174912', '2024-07-29 13:20:49', '2024-07-29 13:21:14', 'Alarm', '1', '2024-07-29 13:20:49', '1', '2024-07-29 13:21:14'),
	('4544247736986202112', '1139430644475174912', '2024-07-29 13:21:14', '2024-07-29 13:24:19', 'Stop', '1', '2024-07-29 13:21:14', '1', '2024-07-29 13:24:19'),
	('4544247737744392192', '1139430644475174912', '2024-07-29 13:24:19', '2024-07-29 13:24:31', 'Alarm', '1', '2024-07-29 13:24:19', '1', '2024-07-29 13:24:31'),
	('4544247737794945024', '1139430644475174912', '2024-07-29 13:24:31', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 13:24:31', '1', '2024-07-29 22:23:16'),
	('4544247764499087360', '1139430644494802944', '2024-07-29 15:13:11', '2024-07-29 15:13:17', 'Alarm', '1', '2024-07-29 15:13:11', '1', '2024-07-29 15:13:17'),
	('4544247764524433408', '1139430644494802944', '2024-07-29 15:13:17', '2024-07-29 15:22:57', 'Stop', '1', '2024-07-29 15:13:17', '1', '2024-07-29 15:22:57'),
	('4544247766901620736', '1139430644494802944', '2024-07-29 15:22:57', '2024-07-29 15:23:10', 'Alarm', '1', '2024-07-29 15:22:57', '1', '2024-07-29 15:23:10'),
	('4544247766952284160', '1139430644494802944', '2024-07-29 15:23:10', '2024-07-29 22:23:16', 'Stop', '1', '2024-07-29 15:23:10', '1', '2024-07-29 22:23:16'),
	('4544247860213620736', '1139430644904493056', '2024-07-29 21:42:38', '2024-07-29 22:23:16', 'Maintain', '1', '2024-07-29 21:42:38', '1', '2024-07-29 22:23:16');

-- 导出  表 cvdemcs.equipment_record_day_total 结构
CREATE TABLE IF NOT EXISTS `equipment_record_day_total` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `equipment_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备Id',
  `furnace_num` int NOT NULL COMMENT '开炉次数',
  `total_running_time` decimal(32,2) NOT NULL COMMENT '总运行时长',
  `total_alarm_time` decimal(32,2) NOT NULL COMMENT '总报警时长',
  `total_maintain_time` decimal(32,2) NOT NULL COMMENT '总维护时长',
  `total_stop_time` decimal(32,2) NOT NULL COMMENT '总待机时长',
  `total_day` datetime DEFAULT NULL COMMENT '日期',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='设备状态记录日统计\r\n';

-- 正在导出表  cvdemcs.equipment_record_day_total 的数据：~367 rows (大约)
DELETE FROM `equipment_record_day_total`;
INSERT INTO `equipment_record_day_total` (`id`, `equipment_id`, `furnace_num`, `total_running_time`, `total_alarm_time`, `total_maintain_time`, `total_stop_time`, `total_day`, `create_by`, `create_at`, `update_by`, `update_at`) VALUES
	('4544237854904315904', '1139430644789067776', 0, 0.00, 0.00, 0.00, 1698.07, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463360', '1139430644475174912', 0, 0.00, 0.00, 0.00, 1749.70, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463361', '1139430644855181312', 0, 0.00, 0.00, 0.00, 1960.73, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463362', '1139430644904493056', 0, 0.00, 0.00, 0.00, 12110.02, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463363', '1139430644494802944', 0, 0.00, 0.00, 0.00, 1968.53, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463364', '1139430644963524608', 0, 0.00, 0.00, 0.00, 12110.02, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463365', '1139430644997632000', 0, 0.00, 0.00, 0.00, 1968.53, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463366', '1139430645041299456', 0, 0.00, 0.00, 0.00, 1585.75, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463367', '1139430645079994368', 0, 0.00, 0.00, 0.00, 4490.35, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463368', '1139430645119148032', 0, 0.00, 0.00, 0.00, 1885.37, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463369', '1139430645193863168', 0, 0.00, 0.00, 0.00, 1585.75, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463370', '1139430645247967232', 0, 0.00, 0.00, 0.00, 1585.75, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463371', '1139430645508157440', 0, 0.00, 0.00, 0.00, 12110.02, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463372', '1139430645547446272', 1, 4304.32, 0.00, 0.00, 0.00, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463373', '1139430645575229440', 0, 0.00, 0.00, 0.00, 1585.75, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463374', '1139430645601857536', 0, 0.00, 0.00, 0.00, 1585.75, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463375', '1139430645630369792', 0, 0.00, 0.00, 0.00, 1717.32, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463376', '1139430645318582272', 0, 0.00, 0.00, 0.00, 1585.75, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463377', '1139430645348077568', 0, 0.00, 0.00, 0.00, 1585.75, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463378', '1139430645381705728', 0, 0.00, 0.00, 0.00, 1585.75, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237854904463379', '1139430645415247872', 0, 0.00, 0.00, 0.00, 1808.00, '2024-07-01 00:00:00', '1', '2024-07-01 15:10:56', '1', '2024-07-10 01:00:01'),
	('4544237871910985728', '1139430644415823872', 0, 0.00, 0.00, 0.00, 1542.77, '2024-07-01 00:00:00', '1', '2024-07-01 16:20:08', '1', '2024-07-10 01:00:01'),
	('4544238244410388480', '1139430645041299456', 0, 0.00, 259.68, 0.00, 1299.40, '2024-07-02 00:00:00', '1', '2024-07-02 17:35:50', '1', '2024-07-12 01:00:00'),
	('4544238244410478592', '1139430645193863168', 0, 0.00, 0.00, 1055.07, 0.00, '2024-07-02 00:00:00', '1', '2024-07-02 17:35:50', '1', '2024-07-12 01:00:00'),
	('4544238244410478593', '1139430645247967232', 0, 0.00, 0.00, 2460.52, 0.00, '2024-07-02 00:00:00', '1', '2024-07-02 17:35:50', '1', '2024-07-12 01:00:00'),
	('4544238244410478594', '1139430645575229440', 0, 0.00, 209.60, 0.00, 462.72, '2024-07-02 00:00:00', '1', '2024-07-02 17:35:50', '1', '2024-07-12 01:00:00'),
	('4544238244410478595', '1139430645601857536', 0, 0.00, 1153.07, 0.00, 0.00, '2024-07-02 00:00:00', '1', '2024-07-02 17:35:50', '1', '2024-07-12 01:00:00'),
	('4544238244410478596', '1139430645318582272', 0, 0.00, 0.00, 1383.45, 0.00, '2024-07-02 00:00:00', '1', '2024-07-02 17:35:50', '1', '2024-07-12 01:00:00'),
	('4544238244410478597', '1139430645348077568', 0, 0.00, 0.00, 259.68, 1078.45, '2024-07-02 00:00:00', '1', '2024-07-02 17:35:50', '1', '2024-07-12 01:00:00'),
	('4544238244410478598', '1139430645381705728', 0, 0.00, 0.00, 425.57, 0.00, '2024-07-02 00:00:00', '1', '2024-07-02 17:35:50', '1', '2024-07-12 01:00:00'),
	('4544238251049205760', '1139430644415823872', 0, 0.00, 5.03, 0.00, 398.28, '2024-07-02 00:00:00', '1', '2024-07-02 18:02:51', '1', '2024-07-12 01:00:00'),
	('4544238272195186688', '1139430644789067776', 0, 0.00, 1.73, 0.00, 1138.50, '2024-07-02 00:00:00', '1', '2024-07-02 19:28:54', '1', '2024-07-12 01:00:00'),
	('4544238276866797568', '1139430645630369792', 0, 0.00, 0.00, 1465.23, 0.00, '2024-07-02 00:00:00', '1', '2024-07-02 19:47:54', '1', '2024-07-12 01:00:00'),
	('4544238284735336448', '1139430644475174912', 0, 0.00, 0.45, 0.00, 291.32, '2024-07-02 00:00:00', '1', '2024-07-02 20:19:55', '1', '2024-07-12 01:00:00'),
	('4544238299244212224', '1139430645415247872', 0, 1.38, 0.00, 0.00, 2648.85, '2024-07-02 00:00:00', '1', '2024-07-02 21:18:57', '1', '2024-07-12 01:00:00'),
	('4544238318177996800', '1139430645119148032', 0, 0.00, 0.00, 2159.22, 0.00, '2024-07-02 00:00:00', '1', '2024-07-02 22:36:00', '1', '2024-07-12 01:00:00'),
	('4544238336620556288', '1139430644855181312', 0, 0.00, 0.70, 0.00, 219.92, '2024-07-02 00:00:00', '1', '2024-07-02 23:51:02', '1', '2024-07-12 01:00:00'),
	('4544238338587856896', '1139430644494802944', 0, 0.00, 0.00, 1729.07, 0.00, '2024-07-02 00:00:00', '1', '2024-07-02 23:59:03', '1', '2024-07-12 01:00:00'),
	('4544238338587856897', '1139430644997632000', 0, 0.00, 955.40, 0.00, 0.00, '2024-07-02 00:00:00', '1', '2024-07-02 23:59:03', '1', '2024-07-12 01:00:00'),
	('4544238349157457920', '1139430645381705728', 0, 1.52, 466.02, 1324.97, 654.37, '2024-07-03 00:00:00', '1', '2024-07-03 00:42:03', '1', '2024-07-12 01:00:00'),
	('4544238350140915712', '1139430644415823872', 0, 15.73, 4.47, 0.00, 1523.37, '2024-07-03 00:00:00', '1', '2024-07-03 00:46:03', '1', '2024-07-12 01:00:00'),
	('4544238356533702656', '1139430644475174912', 0, 0.00, 14.57, 0.00, 1363.33, '2024-07-03 00:00:00', '1', '2024-07-03 01:12:04', '1', '2024-07-12 01:00:00'),
	('4544238390957191168', '1139430644855181312', 0, 0.00, 16.20, 0.00, 1256.88, '2024-07-03 00:00:00', '1', '2024-07-03 03:32:08', '1', '2024-07-12 01:00:00'),
	('4544238409644097536', '1139430645575229440', 0, 0.00, 1297.23, 0.50, 8.30, '2024-07-03 00:00:00', '1', '2024-07-03 04:48:10', '1', '2024-07-12 01:00:00'),
	('4544238503715287040', '1139430645193863168', 0, 0.00, 0.22, 807.60, 2.18, '2024-07-03 00:00:00', '1', '2024-07-03 11:10:57', '1', '2024-07-12 01:00:00'),
	('4544238527811923968', '1139430645601857536', 0, 0.00, 0.00, 0.00, 808.37, '2024-07-03 00:00:00', '1', '2024-07-03 12:49:00', '1', '2024-07-12 01:00:00'),
	('4544238552400048128', '1139430644789067776', 0, 0.00, 2.35, 0.00, 582.23, '2024-07-03 00:00:00', '1', '2024-07-03 14:29:03', '1', '2024-07-12 01:00:00'),
	('4544238573300584448', '1139430645348077568', 0, 1.07, 0.00, 1304.68, 228.55, '2024-07-03 00:00:00', '1', '2024-07-03 15:54:06', '1', '2024-07-12 01:00:00'),
	('4544238573300584449', '1139430644997632000', 0, 0.00, 772.65, 1.02, 0.00, '2024-07-03 00:00:00', '1', '2024-07-03 15:54:06', '1', '2024-07-12 01:00:00'),
	('4544238584617828352', '1139430645318582272', 0, 0.00, 0.00, 0.00, 997.92, '2024-07-03 00:00:00', '1', '2024-07-03 16:40:09', '1', '2024-07-12 01:00:00'),
	('4544238627610017792', '1139430645041299456', 0, 0.00, 587.23, 0.57, 8.10, '2024-07-03 00:00:00', '1', '2024-07-03 19:35:05', '1', '2024-07-12 01:00:00'),
	('4544238636954439680', '1139430645630369792', 0, 0.00, 0.00, 1236.65, 38.98, '2024-07-03 00:00:00', '1', '2024-07-03 20:13:06', '1', '2024-07-12 01:00:00'),
	('4544238695233404928', '1139430644475174912', 1, 1491.15, 1.27, 135.35, 902.30, '2024-07-04 00:00:00', '1', '2024-07-04 00:10:14', '1', '2024-07-12 01:00:00'),
	('4544238695970906112', '1139430644789067776', 1, 1436.63, 5.45, 173.33, 972.80, '2024-07-04 00:00:00', '1', '2024-07-04 00:13:14', '1', '2024-07-12 01:00:00'),
	('4544238702854664192', '1139430645193863168', 0, 0.00, 0.00, 0.10, 2499.70, '2024-07-04 00:00:00', '1', '2024-07-04 00:41:15', '1', '2024-07-12 01:00:00'),
	('4544238703838167040', '1139430644855181312', 1, 1032.67, 10.82, 173.33, 819.70, '2024-07-04 00:00:00', '1', '2024-07-04 00:45:15', '1', '2024-07-12 01:00:00'),
	('4544238726458499072', '1139430645601857536', 0, 564.02, 911.00, 0.00, 0.10, '2024-07-04 00:00:00', '1', '2024-07-04 02:17:18', '1', '2024-07-12 01:00:00'),
	('4544238729409089536', '1139430644415823872', 1, 10531.70, 5.50, 173.33, 720.60, '2024-07-04 00:00:00', '1', '2024-07-04 02:29:18', '1', '2024-07-12 01:00:00'),
	('4544238730638462976', '1139430645575229440', 1, 2175.08, 893.82, 0.27, 0.10, '2024-07-04 00:00:00', '1', '2024-07-04 02:34:18', '1', '2024-07-12 01:00:00'),
	('4544238763586748416', '1139430644494802944', 0, 571.92, 5.42, 0.00, 792.80, '2024-07-04 00:00:00', '1', '2024-07-04 04:48:22', '1', '2024-07-12 01:00:00'),
	('4544238763586748417', '1139430644997632000', 1, 1799.52, 0.77, 0.00, 891.85, '2024-07-04 00:00:00', '1', '2024-07-04 04:48:22', '1', '2024-07-12 01:00:00'),
	('4544238774159962112', '1139430645041299456', 0, 516.60, 712.47, 4.98, 0.10, '2024-07-04 00:00:00', '1', '2024-07-04 05:31:24', '1', '2024-07-12 01:00:00'),
	('4544238829732311040', '1139430645318582272', 0, 409.15, 4.33, 0.00, 516.30, '2024-07-04 00:00:00', '1', '2024-07-04 09:17:31', '1', '2024-07-12 01:00:00'),
	('4544238848912150528', '1139430645119148032', 1, 3238.13, 32.12, 257.02, 227.90, '2024-07-04 00:00:00', '1', '2024-07-04 10:35:34', '1', '2024-07-12 01:00:00'),
	('4544238849158033408', '1139430645247967232', 0, 1359.55, 0.00, 0.00, 444.13, '2024-07-04 00:00:00', '1', '2024-07-04 10:36:34', '1', '2024-07-12 01:00:00'),
	('4544238912602808320', '1139430645547446272', 0, 0.00, 0.00, 0.00, 1482.95, '2024-07-04 00:00:00', '1', '2024-07-04 14:54:43', '1', '2024-07-12 01:00:00'),
	('4544238950518865920', '1139430645630369792', 0, 0.00, 32.12, 0.00, 776.72, '2024-07-04 00:00:00', '1', '2024-07-04 17:29:00', '1', '2024-07-12 01:00:00'),
	('4544238950518865921', '1139430645348077568', 0, 76.93, 23.87, 0.00, 941.78, '2024-07-04 00:00:00', '1', '2024-07-04 17:29:00', '1', '2024-07-12 01:00:00'),
	('4544238950518865922', '1139430645381705728', 1, 3476.38, 32.12, 0.00, 291.48, '2024-07-04 00:00:00', '1', '2024-07-04 17:29:00', '1', '2024-07-12 01:00:00'),
	('4544238950518865923', '1139430645415247872', 0, 750.05, 32.07, 0.00, 0.10, '2024-07-04 00:00:00', '1', '2024-07-04 17:29:00', '1', '2024-07-12 01:00:00'),
	('4544238958389088256', '1139430645079994368', 0, 337.93, 0.00, 0.00, 477.02, '2024-07-04 00:00:00', '1', '2024-07-04 18:01:01', '1', '2024-07-12 01:00:00'),
	('4544239058231328768', '1139430645318582272', 1, 1552.73, 0.00, 0.00, 355.77, '2024-07-05 00:00:00', '1', '2024-07-05 00:47:17', '1', '2024-07-12 01:00:00'),
	('4544239077408636928', '1139430645041299456', 0, 0.00, 0.00, 0.00, 1469.57, '2024-07-05 00:00:00', '1', '2024-07-05 02:05:19', '1', '2024-07-12 01:00:00'),
	('4544239088964632576', '1139430645601857536', 1, 1826.62, 0.00, 0.00, 401.22, '2024-07-05 00:00:00', '1', '2024-07-05 02:52:20', '1', '2024-07-12 01:00:00'),
	('4544239100274524160', '1139430644494802944', 0, 794.73, 0.87, 0.00, 935.30, '2024-07-05 00:00:00', '1', '2024-07-05 03:38:21', '1', '2024-07-12 01:00:00'),
	('4544239142564950016', '1139430645415247872', 0, 1295.57, 3.37, 0.00, 58.93, '2024-07-05 00:00:00', '1', '2024-07-05 06:30:26', '1', '2024-07-12 01:00:00'),
	('4544239149203394560', '1139430645630369792', 1, 3341.77, 9.15, 0.00, 151.10, '2024-07-05 00:00:00', '1', '2024-07-05 06:57:27', '1', '2024-07-12 01:00:00'),
	('4544239158546571264', '1139430645079994368', 1, 1866.30, 0.00, 0.00, 0.00, '2024-07-05 00:00:00', '1', '2024-07-05 07:35:28', '1', '2024-07-12 01:00:00'),
	('4544239204281614336', '1139430644855181312', 1, 1495.57, 1.37, 0.00, 369.63, '2024-07-05 00:00:00', '1', '2024-07-05 10:41:34', '1', '2024-07-12 01:00:00'),
	('4544239206740402176', '1139430645348077568', 0, 402.38, 2.57, 0.00, 9084.27, '2024-07-05 00:00:00', '1', '2024-07-05 10:51:34', '1', '2024-07-12 01:00:00'),
	('4544239277064187904', '1139430645547446272', 0, 0.00, 0.00, 1.17, 9201.55, '2024-07-05 00:00:00', '1', '2024-07-05 15:37:43', '1', '2024-07-12 01:00:00'),
	('4544239292555956224', '1139430645247967232', 0, 0.00, 0.00, 0.00, 1038.50, '2024-07-05 00:00:00', '1', '2024-07-05 16:40:45', '1', '2024-07-12 01:00:00'),
	('4544239316898787328', '1139430644475174912', 0, 0.00, 0.00, 0.00, 490.17, '2024-07-05 00:00:00', '1', '2024-07-05 18:19:48', '1', '2024-07-12 01:00:00'),
	('4544239317144682496', '1139430645193863168', 1, 1820.05, 0.00, 0.00, 0.00, '2024-07-05 00:00:00', '1', '2024-07-05 18:20:48', '1', '2024-07-12 01:00:00'),
	('4544239332144422912', '1139430644789067776', 0, 0.00, 0.40, 0.00, 624.98, '2024-07-05 00:00:00', '1', '2024-07-05 19:21:50', '1', '2024-07-12 01:00:00'),
	('4544239425113460736', '1139430644997632000', 0, 1214.28, 0.00, 0.00, 271.57, '2024-07-06 00:00:00', '1', '2024-07-06 01:40:08', '1', '2024-07-12 01:00:00'),
	('4544239437406429184', '1139430644475174912', 1, 3361.73, 0.30, 0.00, 18.67, '2024-07-06 00:00:00', '1', '2024-07-06 02:30:09', '1', '2024-07-12 01:00:00'),
	('4544239438635749376', '1139430645041299456', 1, 1428.67, 0.00, 0.00, 0.00, '2024-07-06 00:00:00', '1', '2024-07-06 02:35:09', '1', '2024-07-12 01:00:00'),
	('4544239476501106688', '1139430645415247872', 0, 1350.90, 0.00, 0.00, 377.08, '2024-07-06 00:00:00', '1', '2024-07-06 05:09:14', '1', '2024-07-12 01:00:00'),
	('4544239485106610176', '1139430645575229440', 0, 1299.48, 1.75, 0.00, 361.65, '2024-07-06 00:00:00', '1', '2024-07-06 05:44:15', '1', '2024-07-12 01:00:00'),
	('4544239485844111360', '1139430644789067776', 1, 1764.30, 0.42, 0.00, 15.75, '2024-07-06 00:00:00', '1', '2024-07-06 05:47:15', '1', '2024-07-12 01:00:00'),
	('4544239525677801472', '1139430644494802944', 0, 0.00, 0.15, 0.00, 1332.93, '2024-07-06 00:00:00', '1', '2024-07-06 08:29:20', '1', '2024-07-12 01:00:00'),
	('4544239527398666240', '1139430645318582272', 1, 1437.87, 0.00, 0.00, 746.93, '2024-07-06 00:00:00', '1', '2024-07-06 08:36:20', '1', '2024-07-12 01:00:00'),
	('4544239547807137792', '1139430645247967232', 0, 10.95, 0.00, 0.00, 5962.87, '2024-07-06 00:00:00', '1', '2024-07-06 09:59:22', '1', '2024-07-12 01:00:00'),
	('4544239617394917376', '1139430645079994368', 0, 0.00, 0.00, 0.00, 872.27, '2024-07-06 00:00:00', '1', '2024-07-06 14:42:32', '1', '2024-07-12 01:00:00'),
	('4544239636574384128', '1139430645601857536', 0, 0.00, 0.00, 0.00, 1077.30, '2024-07-06 00:00:00', '1', '2024-07-06 16:00:34', '1', '2024-07-12 01:00:00'),
	('4544239662884925440', '1139430644855181312', 0, 0.00, 0.00, 0.00, 1899.03, '2024-07-06 00:00:00', '1', '2024-07-06 17:47:37', '1', '2024-07-12 01:00:00'),
	('4544239764436135936', '1139430645193863168', 0, 0.00, 0.00, 0.00, 4524.32, '2024-07-07 00:00:00', '1', '2024-07-07 00:40:50', '1', '2024-07-12 01:00:00'),
	('4544239771566125056', '1139430645119148032', 1, 1585.20, 0.00, 0.00, 312.90, '2024-07-07 00:00:00', '1', '2024-07-07 01:09:51', '1', '2024-07-12 01:00:00'),
	('4544239789788524544', '1139430645041299456', 1, 3213.38, 0.00, 0.00, 315.07, '2024-07-07 00:00:00', '1', '2024-07-07 02:24:00', '1', '2024-07-12 01:00:00'),
	('4544239790280351744', '1139430644997632000', 1, 1442.78, 0.00, 0.00, 1086.75, '2024-07-07 00:00:00', '1', '2024-07-07 02:26:00', '1', '2024-07-12 01:00:00'),
	('4544239831586365440', '1139430645079994368', 1, 3617.57, 0.00, 0.00, 0.00, '2024-07-07 00:00:00', '1', '2024-07-07 05:14:04', '1', '2024-07-12 01:00:00'),
	('4544239853223399424', '1139430644494802944', 0, 1476.90, 2.00, 0.00, 271.42, '2024-07-07 00:00:00', '1', '2024-07-07 06:42:07', '1', '2024-07-12 01:00:00'),
	('4544239884203872256', '1139430645381705728', 0, 0.00, 0.00, 0.00, 6670.13, '2024-07-07 00:00:00', '1', '2024-07-07 08:48:10', '1', '2024-07-12 01:00:00'),
	('4544239893793411072', '1139430645575229440', 0, 1112.53, 0.57, 0.00, 807.93, '2024-07-07 00:00:00', '1', '2024-07-07 09:27:12', '1', '2024-07-12 01:00:00'),
	('4544239901169598464', '1139430645415247872', 1, 1633.45, 0.00, 0.00, 34.87, '2024-07-07 00:00:00', '1', '2024-07-07 09:57:12', '1', '2024-07-12 01:00:00'),
	('4544239901415460864', '1139430645601857536', 0, 1024.08, 0.00, 0.00, 0.00, '2024-07-07 00:00:00', '1', '2024-07-07 09:58:12', '1', '2024-07-12 01:00:00'),
	('4544239923299348480', '1139430644789067776', 0, 0.00, 0.00, 0.00, 2772.80, '2024-07-07 00:00:00', '1', '2024-07-07 11:27:15', '1', '2024-07-12 01:00:00'),
	('4544240009852846080', '1139430645630369792', 0, 0.00, 0.00, 0.00, 1590.05, '2024-07-07 00:00:00', '1', '2024-07-07 17:19:26', '1', '2024-07-12 01:00:00'),
	('4544240064201269248', '1139430645318582272', 0, 0.00, 0.00, 0.00, 1840.82, '2024-07-07 00:00:00', '1', '2024-07-07 21:00:35', '1', '2024-07-12 01:00:00'),
	('4544240129602650112', '1139430644855181312', 0, 0.00, 14.03, 0.00, 1698.72, '2024-07-08 00:00:00', '1', '2024-07-08 01:26:42', '1', '2024-07-18 01:00:00'),
	('4544240152960364544', '1139430645601857536', 0, 0.00, 0.00, 0.00, 1534.82, '2024-07-08 00:00:00', '1', '2024-07-08 03:01:45', '1', '2024-07-18 01:00:00'),
	('4544240238070026240', '1139430645119148032', 1, 1149.45, 0.15, 0.00, 284.25, '2024-07-08 00:00:00', '1', '2024-07-08 08:48:04', '1', '2024-07-18 01:00:00'),
	('4544240268313354240', '1139430644475174912', 1, 1549.77, 0.10, 0.00, 492.82, '2024-07-08 00:00:00', '1', '2024-07-08 10:51:07', '1', '2024-07-18 01:00:00'),
	('4544240283311239168', '1139430644494802944', 1, 770.30, 0.05, 0.00, 202.83, '2024-07-08 00:00:00', '1', '2024-07-08 11:52:09', '1', '2024-07-18 01:00:00'),
	('4544240311095017472', '1139430645415247872', 0, 0.00, 0.00, 0.00, 666.55, '2024-07-08 00:00:00', '1', '2024-07-08 13:45:12', '1', '2024-07-18 01:00:00'),
	('4544240365680857088', '1139430645575229440', 0, 0.00, 0.00, 0.00, 2739.90, '2024-07-08 00:00:00', '1', '2024-07-08 17:27:19', '1', '2024-07-18 01:00:00'),
	('4544240400596516864', '1139430645630369792', 1, 1474.82, 0.00, 0.00, 0.00, '2024-07-08 00:00:00', '1', '2024-07-08 19:49:23', '1', '2024-07-18 01:00:00'),
	('4544240411906977792', '1139430644997632000', 1, 1497.80, 0.32, 0.00, 183.65, '2024-07-08 00:00:00', '1', '2024-07-08 20:35:24', '1', '2024-07-18 01:00:00'),
	('4544240474850660352', '1139430645415247872', 1, 1787.65, 0.00, 0.00, 0.00, '2024-07-09 00:00:00', '1', '2024-07-09 00:51:31', '1', '2024-07-19 01:00:00'),
	('4544240516647010304', '1139430645318582272', 1, 1736.67, 0.00, 0.00, 0.00, '2024-07-09 00:00:00', '1', '2024-07-09 03:41:36', '1', '2024-07-19 01:00:00'),
	('4544240522547769344', '1139430644494802944', 2, 1490.22, 1.37, 0.00, 286.25, '2024-07-09 00:00:00', '1', '2024-07-09 04:05:36', '1', '2024-07-19 01:00:00'),
	('4544240530169581568', '1139430645601857536', 1, 1691.82, 0.00, 0.00, 0.00, '2024-07-09 00:00:00', '1', '2024-07-09 04:36:37', '1', '2024-07-19 01:00:00'),
	('4544240550577221632', '1139430644855181312', 1, 1071.70, 6.92, 0.00, 15.17, '2024-07-09 00:00:00', '1', '2024-07-09 05:59:39', '1', '2024-07-19 01:00:00'),
	('4544240590409666560', '1139430645119148032', 0, 0.00, 0.00, 0.00, 1702.75, '2024-07-09 00:00:00', '1', '2024-07-09 08:41:44', '1', '2024-07-19 01:00:00'),
	('4544240604670410752', '1139430644789067776', 0, 0.00, 8.42, 0.00, 1805.42, '2024-07-09 00:00:00', '1', '2024-07-09 09:39:46', '1', '2024-07-19 01:00:00'),
	('4544240656842002432', '1139430645041299456', 1, 2661.97, 0.00, 0.00, 407.52, '2024-07-09 00:00:00', '1', '2024-07-09 13:12:03', '1', '2024-07-19 01:00:00'),
	('4544240720778694656', '1139430645079994368', 0, 0.05, 0.00, 0.00, 783.12, '2024-07-09 00:00:00', '1', '2024-07-09 17:32:12', '1', '2024-07-19 01:00:00'),
	('4544240763077660672', '1139430645630369792', 1, 2195.63, 0.00, 0.00, 142.52, '2024-07-09 00:00:00', '1', '2024-07-09 20:24:19', '1', '2024-07-19 01:00:00'),
	('4544240770210291712', '1139430644475174912', 0, 0.00, 0.00, 0.00, 405.02, '2024-07-09 00:00:00', '1', '2024-07-09 20:53:21', '1', '2024-07-19 01:00:00'),
	('4544240819388702720', '1139430644855181312', 0, 0.00, 0.00, 0.00, 2108.97, '2024-07-10 00:00:00', '1', '2024-07-10 00:13:27', '1', '2024-07-20 01:00:00'),
	('4544240825289281536', '1139430644997632000', 0, 0.00, 0.00, 0.00, 7711.30, '2024-07-10 00:00:00', '1', '2024-07-10 00:37:28', '1', '2024-07-20 01:00:00'),
	('4544240869791817728', '1139430644475174912', 1, 1884.47, 0.67, 0.00, 18.92, '2024-07-10 00:00:00', '1', '2024-07-10 03:38:32', '1', '2024-07-20 01:00:00'),
	('4544240876430417920', '1139430645193863168', 1, 1877.07, 0.00, 0.00, 0.00, '2024-07-10 00:00:00', '1', '2024-07-10 04:05:33', '1', '2024-07-20 01:00:00'),
	('4544240913065152512', '1139430645079994368', 1, 7824.32, 0.00, 0.00, 0.00, '2024-07-10 00:00:00', '1', '2024-07-10 06:34:37', '1', '2024-07-20 01:00:00'),
	('4544240914294611968', '1139430645415247872', 1, 1497.42, 0.00, 0.00, 379.88, '2024-07-10 00:00:00', '1', '2024-07-10 06:39:37', '1', '2024-07-20 01:00:00'),
	('4544240943308324864', '1139430645318582272', 0, 0.00, 0.00, 0.00, 2174.70, '2024-07-10 00:00:00', '1', '2024-07-10 08:37:41', '1', '2024-07-20 01:00:00'),
	('4544240946012880896', '1139430645601857536', 0, 0.00, 0.00, 0.00, 1593.90, '2024-07-10 00:00:00', '1', '2024-07-10 08:48:41', '1', '2024-07-20 01:00:00'),
	('4544240959536451584', '1139430644494802944', 1, 1246.10, 0.05, 0.00, 292.85, '2024-07-10 00:00:00', '1', '2024-07-10 09:43:43', '1', '2024-07-20 01:00:00'),
	('4544241008957890560', '1139430645119148032', 0, 0.00, 1.20, 0.00, 1336.40, '2024-07-10 00:00:00', '1', '2024-07-10 13:04:49', '1', '2024-07-20 01:00:00'),
	('4544241015842869248', '1139430645247967232', 0, 0.00, 0.00, 2887.20, 0.00, '2024-07-10 00:00:00', '1', '2024-07-10 13:32:49', '1', '2024-07-20 01:00:00'),
	('4544241018301870080', '1139430645508157440', 0, 0.00, 0.00, 13635.07, 3.08, '2024-07-10 00:00:00', '1', '2024-07-10 13:42:50', '1', '2024-07-20 01:00:00'),
	('4544241039202639872', '1139430645575229440', 1, 1341.33, 1.48, 0.00, 5.43, '2024-07-10 00:00:00', '1', '2024-07-10 15:07:53', '1', '2024-07-20 01:00:00'),
	('4544241050514059264', '1139430644789067776', 0, 0.00, 0.17, 0.00, 1168.30, '2024-07-10 00:00:00', '1', '2024-07-10 15:53:54', '1', '2024-07-20 01:00:00'),
	('4544241337819914240', '1139430644789067776', 1, 1153.37, 0.00, 0.00, 0.00, '2024-07-11 00:00:00', '1', '2024-07-11 11:22:57', '1', '2024-07-21 01:00:00'),
	('4544241337819992064', '1139430644475174912', 1, 6463.83, 0.37, 0.00, 716.10, '2024-07-11 00:00:00', '1', '2024-07-11 11:22:57', '1', '2024-07-21 01:00:00'),
	('4544241337819992065', '1139430644855181312', 0, 230.78, 2.83, 0.00, 5392.52, '2024-07-11 00:00:00', '1', '2024-07-11 11:22:57', '1', '2024-07-21 01:00:00'),
	('4544241337819992066', '1139430644494802944', 1, 750.18, 0.30, 0.00, 559.72, '2024-07-11 00:00:00', '1', '2024-07-11 11:22:57', '1', '2024-07-21 01:00:00'),
	('4544241337819992067', '1139430645119148032', 1, 768.45, 0.00, 0.00, 0.00, '2024-07-11 00:00:00', '1', '2024-07-11 11:22:57', '1', '2024-07-21 01:00:00'),
	('4544241337819992068', '1139430645193863168', 0, 0.00, 0.00, 0.00, 5626.13, '2024-07-11 00:00:00', '1', '2024-07-11 11:22:57', '1', '2024-07-21 01:00:00'),
	('4544241337819992069', '1139430645601857536', 1, 1290.72, 0.00, 0.00, 0.00, '2024-07-11 00:00:00', '1', '2024-07-11 11:22:57', '1', '2024-07-21 01:00:00'),
	('4544241337819992070', '1139430645630369792', 0, 0.00, 0.00, 0.00, 962.40, '2024-07-11 00:00:00', '1', '2024-07-11 11:22:57', '1', '2024-07-21 01:00:00'),
	('4544241370615754752', '1139430645575229440', 0, 0.00, 0.00, 0.00, 1327.42, '2024-07-11 00:00:00', '1', '2024-07-11 13:36:24', '1', '2024-07-21 01:00:00'),
	('4544241375533383680', '1139430645415247872', 0, 0.00, 0.00, 0.00, 5472.07, '2024-07-11 00:00:00', '1', '2024-07-11 13:56:25', '1', '2024-07-21 01:00:00'),
	('4544241411188170752', '1139430645041299456', 0, 0.00, 0.00, 0.00, 8202.68, '2024-07-11 00:00:00', '1', '2024-07-11 16:21:29', '1', '2024-07-21 01:00:00'),
	('4544241477825273856', '1139430645318582272', 1, 5073.57, 0.00, 0.00, 0.00, '2024-07-11 00:00:00', '1', '2024-07-11 20:52:38', '1', '2024-07-21 01:00:00'),
	('4544241491841015808', '1139430644963524608', 1, 5469.80, 0.00, 0.00, 0.00, '2024-07-11 00:00:00', '1', '2024-07-11 21:49:40', '1', '2024-07-21 01:00:00'),
	('4544241523563216896', '1139430645381705728', 1, 9019.22, 0.00, 0.00, 0.00, '2024-07-11 00:00:00', '1', '2024-07-11 23:58:45', '1', '2024-07-21 01:00:00'),
	('4544241526513205248', '1139430645119148032', 1, 6852.18, 0.00, 0.00, 881.05, '2024-07-12 00:00:00', '1', '2024-07-12 00:10:45', '1', '2024-07-22 01:00:00'),
	('4544241574212272128', '1139430645630369792', 1, 6217.90, 0.00, 0.00, 0.00, '2024-07-12 00:00:00', '1', '2024-07-12 03:24:50', '1', '2024-07-22 01:00:00'),
	('4544241621173075968', '1139430644789067776', 0, 0.00, 0.45, 0.00, 4472.32, '2024-07-12 00:00:00', '1', '2024-07-12 06:35:55', '1', '2024-07-22 01:00:00'),
	('4544241621664813056', '1139430645547446272', 1, 4470.37, 0.00, 0.00, 0.00, '2024-07-12 00:00:00', '1', '2024-07-12 06:37:55', '1', '2024-07-22 01:00:00'),
	('4544241654858334208', '1139430645601857536', 0, 0.00, 0.00, 0.00, 4335.42, '2024-07-12 00:00:00', '1', '2024-07-12 08:52:59', '1', '2024-07-22 01:00:00'),
	('4544241659775832064', '1139430644494802944', 0, 0.00, 0.00, 0.00, 4315.93, '2024-07-12 00:00:00', '1', '2024-07-12 09:13:00', '1', '2024-07-22 01:00:00'),
	('4544241696839675904', '1139430645575229440', 1, 6093.65, 0.00, 0.00, 0.00, '2024-07-12 00:00:00', '1', '2024-07-12 11:43:48', '1', '2024-07-22 01:00:00'),
	('4544241725362143232', '1139430645247967232', 1, 3962.63, 0.00, 0.00, 86.08, '2024-07-12 00:00:00', '1', '2024-07-12 13:39:52', '1', '2024-07-22 01:00:00'),
	('4544242720511598592', '1139430644789067776', 1, 1554.17, 0.00, 0.00, 0.00, '2024-07-15 00:00:00', '1', '2024-07-15 09:09:08', '1', '2024-07-25 01:00:00'),
	('4544242720511672320', '1139430644855181312', 1, 3830.90, 0.00, 0.00, 0.00, '2024-07-15 00:00:00', '1', '2024-07-15 09:09:08', '1', '2024-07-25 01:00:00'),
	('4544242720511676416', '1139430644494802944', 1, 3172.12, 0.00, 0.00, 0.00, '2024-07-15 00:00:00', '1', '2024-07-15 09:09:08', '1', '2024-07-25 01:00:00'),
	('4544242720511676417', '1139430644997632000', 1, 1554.17, 0.00, 0.00, 0.00, '2024-07-15 00:00:00', '1', '2024-07-15 09:09:08', '1', '2024-07-25 01:00:00'),
	('4544242720511676418', '1139430645193863168', 1, 4090.80, 0.00, 0.00, 0.00, '2024-07-15 00:00:00', '1', '2024-07-15 09:09:08', '1', '2024-07-25 01:00:00'),
	('4544242720511676419', '1139430645247967232', 0, 0.00, 0.00, 0.00, 1554.17, '2024-07-15 00:00:00', '1', '2024-07-15 09:09:08', '1', '2024-07-25 01:00:00'),
	('4544242720511676420', '1139430645547446272', 0, 0.00, 0.00, 0.00, 1554.17, '2024-07-15 00:00:00', '1', '2024-07-15 09:09:08', '1', '2024-07-25 01:00:00'),
	('4544242720511676421', '1139430645601857536', 1, 1540.72, 0.00, 0.00, 367.03, '2024-07-15 00:00:00', '1', '2024-07-15 09:09:08', '1', '2024-07-25 01:00:00'),
	('4544242720511676422', '1139430645415247872', 1, 3465.15, 0.00, 0.00, 0.00, '2024-07-15 00:00:00', '1', '2024-07-15 09:09:08', '1', '2024-07-25 01:00:00'),
	('4544242724691972096', '1139430645318582272', 0, 0.00, 0.00, 0.00, 1540.72, '2024-07-15 00:00:00', '1', '2024-07-15 09:26:09', '1', '2024-07-25 01:00:00'),
	('4544242738461622272', '1139430645348077568', 1, 2774.98, 0.15, 0.00, 27.05, '2024-07-15 00:00:00', '1', '2024-07-15 10:22:11', '1', '2024-07-25 01:00:00'),
	('4544242836200873984', '1139430644963524608', 0, 0.00, 0.00, 0.00, 1083.43, '2024-07-15 00:00:00', '1', '2024-07-15 16:59:53', '1', '2024-07-25 01:00:00'),
	('4544242836200878080', '1139430645079994368', 0, 0.00, 0.00, 0.00, 1083.43, '2024-07-15 00:00:00', '1', '2024-07-15 16:59:53', '1', '2024-07-25 01:00:00'),
	('4544243102451236864', '1139430644789067776', 0, 0.00, 0.00, 0.00, 1321.38, '2024-07-16 00:00:00', '1', '2024-07-16 11:03:15', '1', '2024-07-26 01:00:00'),
	('4544243102451310592', '1139430644475174912', 1, 1536.83, 0.00, 0.00, 353.58, '2024-07-16 00:00:00', '1', '2024-07-16 11:03:15', '1', '2024-07-26 01:00:00'),
	('4544243102451314688', '1139430644963524608', 1, 2830.72, 0.00, 0.00, 0.00, '2024-07-16 00:00:00', '1', '2024-07-16 11:03:15', '1', '2024-07-26 01:00:00'),
	('4544243102451314689', '1139430644997632000', 0, 0.00, 0.00, 0.00, 1321.38, '2024-07-16 00:00:00', '1', '2024-07-16 11:03:15', '1', '2024-07-26 01:00:00'),
	('4544243102451314690', '1139430645079994368', 1, 1443.65, 0.00, 0.00, 0.00, '2024-07-16 00:00:00', '1', '2024-07-16 11:03:15', '1', '2024-07-26 01:00:00'),
	('4544243102451314691', '1139430645247967232', 1, 1780.90, 0.00, 0.00, 0.00, '2024-07-16 00:00:00', '1', '2024-07-16 11:03:15', '1', '2024-07-26 01:00:00'),
	('4544243102451314692', '1139430645547446272', 1, 2305.40, 0.00, 0.00, 0.00, '2024-07-16 00:00:00', '1', '2024-07-16 11:03:15', '1', '2024-07-26 01:00:00'),
	('4544243102451314693', '1139430645630369792', 1, 1303.98, 0.00, 0.00, 17.40, '2024-07-16 00:00:00', '1', '2024-07-16 11:03:15', '1', '2024-07-26 01:00:00'),
	('4544243103434846208', '1139430645318582272', 1, 1776.17, 0.00, 0.00, 0.00, '2024-07-16 00:00:00', '1', '2024-07-16 11:07:16', '1', '2024-07-26 01:00:00'),
	('4544243189360631808', '1139430645601857536', 0, 0.00, 0.00, 0.00, 967.80, '2024-07-16 00:00:00', '1', '2024-07-16 16:56:53', '1', '2024-07-26 01:00:00'),
	('4544243194278551552', '1139430645575229440', 0, 0.00, 0.00, 0.00, 947.23, '2024-07-16 00:00:00', '1', '2024-07-16 17:16:54', '1', '2024-07-26 01:00:00'),
	('4544243427206365184', '1139430644789067776', 1, 864.27, 0.00, 0.00, 448.68, '2024-07-17 00:00:00', '1', '2024-07-17 09:04:41', '1', '2024-07-27 01:00:00'),
	('4544243427206443008', '1139430644997632000', 1, 1208.33, 0.00, 0.00, 0.00, '2024-07-17 00:00:00', '1', '2024-07-17 09:04:41', '1', '2024-07-27 01:00:00'),
	('4544243427206443009', '1139430645041299456', 1, 3831.03, 0.00, 0.00, 0.00, '2024-07-17 00:00:00', '1', '2024-07-17 09:04:41', '1', '2024-07-27 01:00:00'),
	('4544243427206443010', '1139430645119148032', 1, 1311.68, 0.00, 0.00, 353.95, '2024-07-17 00:00:00', '1', '2024-07-17 09:04:41', '1', '2024-07-27 01:00:00'),
	('4544243427206443011', '1139430645575229440', 1, 1419.08, 0.00, 0.00, 0.00, '2024-07-17 00:00:00', '1', '2024-07-17 09:04:41', '1', '2024-07-27 01:00:00'),
	('4544243427206443012', '1139430645601857536', 1, 1048.80, 0.00, 0.00, 0.00, '2024-07-17 00:00:00', '1', '2024-07-17 09:04:41', '1', '2024-07-27 01:00:00'),
	('4544243427206443013', '1139430645630369792', 1, 752.33, 0.00, 0.00, 892.73, '2024-07-17 00:00:00', '1', '2024-07-17 09:04:41', '1', '2024-07-27 01:00:00'),
	('4544243427206443014', '1139430645348077568', 1, 837.30, 0.00, 0.00, 204.00, '2024-07-17 00:00:00', '1', '2024-07-17 09:04:41', '1', '2024-07-27 01:00:00'),
	('4544243457204178944', '1139430645079994368', 1, 3475.67, 0.00, 0.00, 630.95, '2024-07-17 00:00:00', '1', '2024-07-17 11:06:45', '1', '2024-07-27 01:00:00'),
	('4544243499988135936', '1139430644494802944', 0, 0.00, 0.12, 0.00, 770.02, '2024-07-17 00:00:00', '1', '2024-07-17 14:00:50', '1', '2024-07-27 01:00:00'),
	('4544243539821314048', '1139430645318582272', 0, 0.00, 0.00, 0.00, 1626.30, '2024-07-17 00:00:00', '1', '2024-07-17 16:42:55', '1', '2024-07-27 01:00:00'),
	('4544243540067233792', '1139430645247967232', 0, 0.00, 0.00, 0.00, 2434.28, '2024-07-17 00:00:00', '1', '2024-07-17 16:43:55', '1', '2024-07-27 01:00:00'),
	('4544243566870216704', '1139430644475174912', 0, 0.00, 0.00, 0.00, 887.13, '2024-07-17 00:00:00', '1', '2024-07-17 18:32:59', '1', '2024-07-27 01:00:00'),
	('4544243572034076672', '1139430645415247872', 1, 1344.83, 0.00, 0.00, 161.17, '2024-07-17 00:00:00', '1', '2024-07-17 18:54:00', '1', '2024-07-27 01:00:00'),
	('4544243661785436160', '1139430644855181312', 1, 1506.43, 0.88, 0.00, 211.62, '2024-07-18 00:00:00', '1', '2024-07-18 00:59:12', '1', '2024-07-28 01:00:00'),
	('4544243668915077120', '1139430645547446272', 1, 1684.33, 0.00, 0.00, 197.08, '2024-07-18 00:00:00', '1', '2024-07-18 01:28:12', '1', '2024-07-28 01:00:00'),
	('4544243682930483200', '1139430645348077568', 0, 0.00, 0.00, 0.00, 1446.65, '2024-07-18 00:00:00', '1', '2024-07-18 02:25:14', '1', '2024-07-28 01:00:00'),
	('4544243684897447936', '1139430645601857536', 1, 1923.32, 0.00, 0.00, 670.52, '2024-07-18 00:00:00', '1', '2024-07-18 02:33:14', '1', '2024-07-28 01:00:00'),
	('4544243689323233280', '1139430644494802944', 1, 757.67, 0.15, 0.00, 1624.75, '2024-07-18 00:00:00', '1', '2024-07-18 02:51:15', '1', '2024-07-28 01:00:00'),
	('4544243723992211456', '1139430644997632000', 1, 1624.32, 1.43, 0.00, 106.05, '2024-07-18 00:00:00', '1', '2024-07-18 05:12:19', '1', '2024-07-28 01:00:00'),
	('4544243725713149952', '1139430645193863168', 0, 0.00, 0.00, 0.00, 1263.62, '2024-07-18 00:00:00', '1', '2024-07-18 05:19:19', '1', '2024-07-28 01:00:00'),
	('4544243740220407808', '1139430645381705728', 0, 292.08, 0.00, 0.00, 880.60, '2024-07-18 00:00:00', '1', '2024-07-18 06:18:21', '1', '2024-07-28 01:00:00'),
	('4544243749809930240', '1139430644789067776', 1, 1459.85, 5.23, 0.00, 15.53, '2024-07-18 00:00:00', '1', '2024-07-18 06:57:22', '1', '2024-07-28 01:00:00'),
	('4544243775873654784', '1139430645575229440', 1, 1517.48, 1.55, 0.00, 70.60, '2024-07-18 00:00:00', '1', '2024-07-18 08:43:25', '1', '2024-07-28 01:00:00'),
	('4544243784971796480', '1139430644475174912', 0, 0.00, 13.83, 0.00, 1003.03, '2024-07-18 00:00:00', '1', '2024-07-18 09:20:26', '1', '2024-07-28 01:00:00'),
	('4544243798003458048', '1139430644963524608', 1, 3422.63, 0.00, 0.00, 61.43, '2024-07-18 00:00:00', '1', '2024-07-18 10:13:28', '1', '2024-07-28 01:00:00'),
	('4544243831445839872', '1139430645630369792', 1, 4081.15, 0.00, 0.00, 517.37, '2024-07-18 00:00:00', '1', '2024-07-18 12:29:33', '1', '2024-07-28 01:00:00'),
	('4544243836363653120', '1139430645119148032', 1, 1628.32, 0.00, 0.00, 407.70, '2024-07-18 00:00:00', '1', '2024-07-18 12:49:33', '1', '2024-07-28 01:00:00'),
	('4544243939674796032', '1139430645318582272', 1, 1547.90, 0.00, 0.00, 0.00, '2024-07-18 00:00:00', '1', '2024-07-18 19:49:56', '1', '2024-07-28 01:00:00'),
	('4544243942134149120', '1139430645415247872', 1, 1589.82, 0.00, 0.00, 151.88, '2024-07-18 00:00:00', '1', '2024-07-18 19:59:56', '1', '2024-07-28 01:00:00'),
	('4544244028439334912', '1139430645381705728', 1, 1859.73, 0.00, 0.00, 0.00, '2024-07-19 00:00:00', '1', '2024-07-19 01:51:07', '1', '2024-07-29 01:00:00'),
	('4544244034831802368', '1139430644475174912', 1, 1001.42, 1.23, 0.00, 995.22, '2024-07-19 00:00:00', '1', '2024-07-19 02:17:07', '1', '2024-07-29 01:00:00'),
	('4544244036307021824', '1139430645193863168', 1, 3237.80, 0.00, 0.00, 0.00, '2024-07-19 00:00:00', '1', '2024-07-19 02:23:07', '1', '2024-07-29 01:00:00'),
	('4544244038519889920', '1139430645348077568', 1, 900.60, 0.82, 0.00, 813.80, '2024-07-19 00:00:00', '1', '2024-07-19 02:32:08', '1', '2024-07-29 01:00:00'),
	('4544244084252147712', '1139430644855181312', 1, 1500.95, 1.83, 0.00, 143.15, '2024-07-19 00:00:00', '1', '2024-07-19 05:38:13', '1', '2024-07-29 01:00:00'),
	('4544244113756495872', '1139430644789067776', 0, 0.00, 0.00, 0.00, 1121.42, '2024-07-19 00:00:00', '1', '2024-07-19 07:38:16', '1', '2024-07-29 01:00:00'),
	('4544244131214761984', '1139430645547446272', 1, 1342.10, 0.00, 0.00, 252.43, '2024-07-19 00:00:00', '1', '2024-07-19 08:49:18', '1', '2024-07-29 01:00:00'),
	('4544244138345426944', '1139430645247967232', 0, 0.00, 0.00, 4786.32, 0.00, '2024-07-19 00:00:00', '1', '2024-07-19 09:18:19', '1', '2024-07-29 01:00:00'),
	('4544244149656379392', '1139430644997632000', 1, 4698.40, 0.00, 0.00, 290.85, '2024-07-19 00:00:00', '1', '2024-07-19 10:04:21', '1', '2024-07-29 01:00:00'),
	('4544244166623223808', '1139430645575229440', 1, 1289.33, 3.95, 0.00, 155.03, '2024-07-19 00:00:00', '1', '2024-07-19 11:13:23', '1', '2024-07-29 01:00:00'),
	('4544244274818433024', '1139430644494802944', 0, 0.00, 0.05, 0.00, 527.17, '2024-07-19 00:00:00', '1', '2024-07-19 18:33:38', '1', '2024-07-29 01:00:00'),
	('4544244320075448320', '1139430645318582272', 1, 1641.28, 0.00, 0.00, 81.48, '2024-07-19 00:00:00', '1', '2024-07-19 21:37:47', '1', '2024-07-29 01:00:00'),
	('4544244322288513024', '1139430645601857536', 0, 0.00, 0.00, 0.00, 139.48, '2024-07-19 00:00:00', '1', '2024-07-19 21:46:47', '1', '2024-07-29 01:00:00'),
	('4544244336797126656', '1139430645119148032', 0, 0.00, 0.00, 0.00, 500.85, '2024-07-19 00:00:00', '1', '2024-07-19 22:45:49', '1', '2024-07-29 01:00:00'),
	('4544244356468875264', '1139430645601857536', 1, 1718.52, 0.00, 0.00, 0.00, '2024-07-20 00:00:00', '1', '2024-07-20 00:05:52', '1', '2024-07-29 01:00:00'),
	('4544244368516411392', '1139430645041299456', 1, 3053.58, 3.52, 0.00, 1265.15, '2024-07-20 00:00:00', '1', '2024-07-20 00:54:53', '1', '2024-07-29 01:00:00'),
	('4544244370237517824', '1139430645415247872', 1, 1473.45, 0.00, 0.00, 1339.37, '2024-07-20 00:00:00', '1', '2024-07-20 01:01:53', '1', '2024-07-29 01:00:00'),
	('4544244389171261440', '1139430644789067776', 1, 1393.90, 0.05, 0.00, 18.18, '2024-07-20 00:00:00', '1', '2024-07-20 02:18:56', '1', '2024-07-29 01:00:00'),
	('4544244404415442944', '1139430644494802944', 1, 535.40, 0.10, 0.00, 1100.03, '2024-07-20 00:00:00', '1', '2024-07-20 03:20:58', '1', '2024-07-29 01:00:00'),
	('4544244459984302080', '1139430645119148032', 1, 1530.23, 0.00, 0.00, 0.00, '2024-07-20 00:00:00', '1', '2024-07-20 07:07:04', '1', '2024-07-29 01:00:00'),
	('4544244459984302081', '1139430645348077568', 0, 0.00, 0.00, 0.00, 1106.75, '2024-07-20 00:00:00', '1', '2024-07-20 07:07:04', '1', '2024-07-29 01:00:00'),
	('4544244466377297920', '1139430645079994368', 0, 0.00, 0.00, 0.00, 2263.42, '2024-07-20 00:00:00', '1', '2024-07-20 07:33:05', '1', '2024-07-29 01:00:00'),
	('4544244485310173184', '1139430645381705728', 1, 5449.45, 0.00, 0.00, 60.25, '2024-07-20 00:00:00', '1', '2024-07-20 08:50:07', '1', '2024-07-29 01:00:00'),
	('4544244488752529408', '1139430644855181312', 0, 0.00, 5.65, 0.00, 1091.98, '2024-07-20 00:00:00', '1', '2024-07-20 09:04:08', '1', '2024-07-29 01:00:00'),
	('4544244522440167424', '1139430645575229440', 1, 1272.95, 1.95, 0.00, 132.97, '2024-07-20 00:00:00', '1', '2024-07-20 11:21:12', '1', '2024-07-29 01:00:00'),
	('4544244523177828352', '1139430645547446272', 1, 1856.67, 0.00, 0.00, 105.45, '2024-07-20 00:00:00', '1', '2024-07-20 11:24:12', '1', '2024-07-29 01:00:00'),
	('4544244525882413056', '1139430644475174912', 1, 1503.50, 5.65, 0.00, 274.02, '2024-07-20 00:00:00', '1', '2024-07-20 11:35:13', '1', '2024-07-29 01:00:00'),
	('4544244654242635776', '1139430644963524608', 1, 3294.92, 0.00, 0.00, 34.82, '2024-07-20 00:00:00', '1', '2024-07-20 20:17:31', '1', '2024-07-29 01:00:00'),
	('4544244731953537024', '1139430645348077568', 1, 834.02, 0.15, 0.00, 561.65, '2024-07-21 00:00:00', '1', '2024-07-21 01:33:43', '1', '2024-07-29 01:00:00'),
	('4544244736379211776', '1139430644789067776', 1, 1452.57, 1.23, 0.00, 653.13, '2024-07-21 00:00:00', '1', '2024-07-21 01:51:44', '1', '2024-07-29 01:00:00'),
	('4544244743509049344', '1139430645318582272', 1, 1860.20, 0.00, 0.00, 219.73, '2024-07-21 00:00:00', '1', '2024-07-21 02:20:44', '1', '2024-07-29 01:00:00'),
	('4544244758507016192', '1139430644855181312', 1, 1129.75, 3.45, 0.00, 127.12, '2024-07-21 00:00:00', '1', '2024-07-21 03:21:46', '1', '2024-07-29 01:00:00'),
	('4544244778914947072', '1139430645601857536', 1, 1879.77, 0.00, 0.00, 402.22, '2024-07-21 00:00:00', '1', '2024-07-21 04:44:48', '1', '2024-07-29 01:00:00'),
	('4544244806208647168', '1139430644494802944', 2, 1437.40, 1.03, 0.00, 291.97, '2024-07-21 00:00:00', '1', '2024-07-21 06:35:52', '1', '2024-07-29 01:00:00'),
	('4544244832025960448', '1139430645193863168', 1, 1525.77, 0.00, 0.00, 434.75, '2024-07-21 00:00:00', '1', '2024-07-21 08:20:55', '1', '2024-07-29 01:00:00'),
	('4544244835959627776', '1139430645119148032', 1, 3124.90, 2.32, 0.00, 429.35, '2024-07-21 00:00:00', '1', '2024-07-21 08:36:55', '1', '2024-07-29 01:00:00'),
	('4544244868417019904', '1139430645575229440', 1, 3000.68, 5.45, 0.00, 251.75, '2024-07-21 00:00:00', '1', '2024-07-21 10:48:59', '1', '2024-07-29 01:00:00'),
	('4544244961608667136', '1139430645630369792', 1, 4337.03, 0.00, 0.00, 116.03, '2024-07-21 00:00:00', '1', '2024-07-21 17:08:11', '1', '2024-07-29 01:00:00'),
	('4544244964067688448', '1139430644475174912', 0, 0.00, 0.00, 0.00, 821.65, '2024-07-21 00:00:00', '1', '2024-07-21 17:18:12', '1', '2024-07-29 01:00:00'),
	('4544245005378039808', '1139430645547446272', 1, 1597.90, 0.00, 0.00, 162.38, '2024-07-21 00:00:00', '1', '2024-07-21 20:06:17', '1', '2024-07-29 01:00:00'),
	('4544245022591479808', '1139430645079994368', 1, 1178.18, 0.00, 0.00, 0.00, '2024-07-21 00:00:00', '1', '2024-07-21 21:16:20', '1', '2024-07-29 01:00:00'),
	('4544245061443956736', '1139430645415247872', 0, 0.00, 0.00, 0.00, 212.42, '2024-07-21 00:00:00', '1', '2024-07-21 23:54:25', '1', '2024-07-29 01:00:00'),
	('4544245068326920192', '1139430644855181312', 1, 1498.43, 6.22, 0.00, 378.30, '2024-07-22 00:00:00', '1', '2024-07-22 00:22:25', '1', '2024-07-29 01:00:00'),
	('4544245075210964992', '1139430645348077568', 1, 860.47, 0.05, 0.00, 1229.82, '2024-07-22 00:00:00', '1', '2024-07-22 00:50:26', '1', '2024-07-29 01:00:00'),
	('4544245113567526912', '1139430645415247872', 1, 3512.52, 0.00, 0.00, 0.00, '2024-07-22 00:00:00', '1', '2024-07-22 03:26:31', '1', '2024-07-29 01:00:00'),
	('4544245165975810048', '1139430644475174912', 1, 930.60, 0.93, 0.00, 1473.47, '2024-07-22 00:00:00', '1', '2024-07-22 06:59:46', '1', '2024-07-29 01:00:00'),
	('4544245231624761344', '1139430644494802944', 1, 703.82, 0.32, 0.00, 635.47, '2024-07-22 00:00:00', '1', '2024-07-22 11:26:53', '1', '2024-07-29 01:00:00'),
	('4544245253999751168', '1139430644789067776', 0, 0.00, 0.20, 0.00, 2913.25, '2024-07-22 00:00:00', '1', '2024-07-22 12:57:56', '1', '2024-07-29 01:00:00'),
	('4544245254491557888', '1139430645318582272', 1, 3140.57, 0.00, 0.00, 53.95, '2024-07-22 00:00:00', '1', '2024-07-22 12:59:56', '1', '2024-07-29 01:00:00'),
	('4544245312312528896', '1139430645079994368', 0, 0.00, 0.00, 0.00, 1261.23, '2024-07-22 00:00:00', '1', '2024-07-22 16:55:12', '1', '2024-07-29 01:00:00'),
	('4544245313787875328', '1139430645193863168', 0, 0.00, 0.00, 0.00, 653.15, '2024-07-22 00:00:00', '1', '2024-07-22 17:01:12', '1', '2024-07-29 01:00:00'),
	('4544245314525560832', '1139430645247967232', 0, 0.00, 0.00, 0.00, 968.75, '2024-07-22 00:00:00', '1', '2024-07-22 17:04:13', '1', '2024-07-29 01:00:00'),
	('4544245339853340672', '1139430645601857536', 1, 1748.77, 0.00, 0.00, 291.03, '2024-07-22 00:00:00', '1', '2024-07-22 18:47:16', '1', '2024-07-29 01:00:00'),
	('4544245375753543680', '1139430644997632000', 0, 0.05, 0.00, 0.00, 443.03, '2024-07-22 00:00:00', '1', '2024-07-22 21:13:21', '1', '2024-07-29 01:00:00'),
	('4544245430830477312', '1139430645041299456', 1, 1616.30, 2.32, 0.00, 326.33, '2024-07-23 00:00:00', '1', '2024-07-23 00:57:27', '1', '2024-07-29 01:00:00'),
	('4544245437961019392', '1139430645547446272', 1, 6697.98, 0.00, 0.00, 620.13, '2024-07-23 00:00:00', '1', '2024-07-23 01:26:28', '1', '2024-07-29 01:00:00'),
	('4544245472629207040', '1139430644963524608', 1, 1807.92, 0.42, 0.00, 241.52, '2024-07-23 00:00:00', '1', '2024-07-23 03:47:32', '1', '2024-07-29 01:00:00'),
	('4544245474350272512', '1139430645193863168', 1, 1351.97, 0.00, 0.00, 0.00, '2024-07-23 00:00:00', '1', '2024-07-23 03:54:32', '1', '2024-07-29 01:00:00'),
	('4544245484676685824', '1139430644997632000', 1, 2634.83, 0.77, 0.00, 3.23, '2024-07-23 00:00:00', '1', '2024-07-23 04:36:33', '1', '2024-07-29 01:00:00'),
	('4544245531148800000', '1139430644855181312', 1, 1504.83, 2.57, 0.00, 756.68, '2024-07-23 00:00:00', '1', '2024-07-23 07:45:39', '1', '2024-07-29 01:00:00'),
	('4544245552540762112', '1139430645247967232', 0, 0.00, 0.00, 1580.92, 0.00, '2024-07-23 00:00:00', '1', '2024-07-23 09:12:42', '1', '2024-07-29 01:00:00'),
	('4544245560901595136', '1139430644494802944', 1, 725.90, 1.55, 0.00, 812.90, '2024-07-23 00:00:00', '1', '2024-07-23 09:46:43', '1', '2024-07-29 01:00:00'),
	('4544245588722241536', '1139430645348077568', 1, 805.67, 0.10, 0.00, 585.53, '2024-07-23 00:00:00', '1', '2024-07-23 11:39:55', '1', '2024-07-29 01:00:00'),
	('4544245622163763200', '1139430645079994368', 1, 1799.33, 0.00, 0.00, 0.00, '2024-07-23 00:00:00', '1', '2024-07-23 13:56:00', '1', '2024-07-29 01:00:00'),
	('4544245669129474048', '1139430645575229440', 0, 0.20, 0.00, 0.00, 2109.88, '2024-07-23 00:00:00', '1', '2024-07-23 17:07:06', '1', '2024-07-29 01:00:00'),
	('4544245709948280832', '1139430645119148032', 1, 1762.17, 0.00, 0.00, 195.58, '2024-07-23 00:00:00', '1', '2024-07-23 19:53:11', '1', '2024-07-29 01:00:00'),
	('4544245757161574400', '1139430644475174912', 1, 1289.78, 0.00, 0.00, 0.00, '2024-07-23 00:00:00', '1', '2024-07-23 23:05:18', '1', '2024-07-29 01:00:00'),
	('4544245806576078848', '1139430645193863168', 1, 1687.93, 0.00, 0.00, 250.70, '2024-07-24 00:00:00', '1', '2024-07-24 02:26:22', '1', '2024-07-29 01:00:00'),
	('4544245839522328576', '1139430645381705728', 0, 0.00, 0.00, 0.00, 1754.03, '2024-07-24 00:00:00', '1', '2024-07-24 04:40:26', '1', '2024-07-29 01:00:00'),
	('4544245840997646336', '1139430645601857536', 1, 1681.70, 0.00, 0.00, 938.67, '2024-07-24 00:00:00', '1', '2024-07-24 04:46:26', '1', '2024-07-29 01:00:00'),
	('4544245908862201856', '1139430645041299456', 1, 5952.87, 0.00, 0.00, 229.32, '2024-07-24 00:00:00', '1', '2024-07-24 09:22:34', '1', '2024-07-29 01:00:00'),
	('4544245930745462784', '1139430645348077568', 1, 1007.05, 0.00, 0.00, 270.33, '2024-07-24 00:00:00', '1', '2024-07-24 10:51:37', '1', '2024-07-29 01:00:00'),
	('4544245939351212032', '1139430644494802944', 1, 617.35, 2.53, 0.00, 623.02, '2024-07-24 00:00:00', '1', '2024-07-24 11:26:38', '1', '2024-07-29 01:00:00'),
	('4544245941072613376', '1139430645247967232', 1, 1504.32, 0.00, 0.00, 0.00, '2024-07-24 00:00:00', '1', '2024-07-24 11:33:38', '1', '2024-07-29 01:00:00'),
	('4544245970088185856', '1139430644789067776', 0, 0.00, 0.40, 0.00, 969.40, '2024-07-24 00:00:00', '1', '2024-07-24 13:31:42', '1', '2024-07-29 01:00:00'),
	('4544245976235421696', '1139430644963524608', 1, 1739.18, 1.33, 0.00, 24.98, '2024-07-24 00:00:00', '1', '2024-07-24 13:56:43', '1', '2024-07-29 01:00:00'),
	('4544245976973172736', '1139430645415247872', 1, 1592.50, 0.00, 0.00, 39.73, '2024-07-24 00:00:00', '1', '2024-07-24 13:59:43', '1', '2024-07-29 01:00:00'),
	('4544246039706890240', '1139430645318582272', 1, 3152.17, 0.00, 0.00, 175.05, '2024-07-24 00:00:00', '1', '2024-07-24 18:14:59', '1', '2024-07-29 01:00:00'),
	('4544246055936163840', '1139430645630369792', 0, 0.00, 0.00, 0.00, 653.45, '2024-07-24 00:00:00', '1', '2024-07-24 19:21:01', '1', '2024-07-29 01:00:00'),
	('4544246064299732992', '1139430645079994368', 0, 0.00, 0.00, 0.00, 581.10, '2024-07-24 00:00:00', '1', '2024-07-24 19:55:03', '1', '2024-07-29 01:00:00'),
	('4544246074136125440', '1139430644475174912', 0, 0.00, 0.00, 0.00, 397.88, '2024-07-24 00:00:00', '1', '2024-07-24 20:35:04', '1', '2024-07-29 01:00:00'),
	('4544246087414423552', '1139430644855181312', 0, 0.00, 0.55, 0.00, 498.95, '2024-07-24 00:00:00', '1', '2024-07-24 21:29:06', '1', '2024-07-29 01:00:00'),
	('4544246133149818880', '1139430644997632000', 0, 0.00, 0.00, 440.12, 1131.22, '2024-07-25 00:00:00', '1', '2024-07-25 00:35:12', '1', '2024-07-29 01:00:00'),
	('4544246171750600704', '1139430644475174912', 1, 1591.32, 0.42, 0.00, 13.67, '2024-07-25 00:00:00', '1', '2024-07-25 03:12:16', '1', '2024-07-29 01:00:00'),
	('4544246187732340736', '1139430645575229440', 1, 1718.57, 1.43, 0.00, 4.73, '2024-07-25 00:00:00', '1', '2024-07-25 04:17:18', '1', '2024-07-29 01:00:00'),
	('4544246191175299072', '1139430645119148032', 0, 0.00, 0.00, 0.00, 2427.80, '2024-07-25 00:00:00', '1', '2024-07-25 04:31:18', '1', '2024-07-29 01:00:00'),
	('4544246207157063680', '1139430645079994368', 1, 1833.17, 0.00, 0.00, 0.00, '2024-07-25 00:00:00', '1', '2024-07-25 05:36:20', '1', '2024-07-29 01:00:00'),
	('4544246208386461696', '1139430644789067776', 1, 1475.03, 0.92, 0.00, 14.25, '2024-07-25 00:00:00', '1', '2024-07-25 05:41:20', '1', '2024-07-29 01:00:00'),
	('4544246210353659904', '1139430644855181312', 1, 1106.42, 3.45, 0.00, 14.80, '2024-07-25 00:00:00', '1', '2024-07-25 05:49:21', '1', '2024-07-29 01:00:00'),
	('4544246216500867072', '1139430645630369792', 1, 1309.32, 0.00, 0.00, 0.00, '2024-07-25 00:00:00', '1', '2024-07-25 06:14:21', '1', '2024-07-29 01:00:00'),
	('4544246244777967616', '1139430645348077568', 1, 858.83, 0.05, 0.00, 758.50, '2024-07-25 00:00:00', '1', '2024-07-25 08:09:25', '1', '2024-07-29 01:00:00'),
	('4544246244777967617', '1139430644494802944', 0, 0.00, 0.05, 0.00, 1052.85, '2024-07-25 00:00:00', '1', '2024-07-25 08:09:25', '1', '2024-07-29 01:00:00'),
	('4544246270596775936', '1139430645381705728', 0, 0.00, 0.00, 478.58, 1223.52, '2024-07-25 00:00:00', '1', '2024-07-25 09:54:28', '1', '2024-07-29 01:00:00'),
	('4544246283137769472', '1139430645193863168', 1, 4621.57, 0.00, 0.00, 52.58, '2024-07-25 00:00:00', '1', '2024-07-25 10:45:30', '1', '2024-07-29 01:00:00'),
	('4544246310924386304', '1139430645247967232', 1, 3468.82, 0.00, 0.00, 147.43, '2024-07-25 00:00:00', '1', '2024-07-25 12:38:34', '1', '2024-07-29 01:00:00'),
	('4544246378057560064', '1139430645415247872', 1, 1580.93, 0.00, 0.00, 303.30, '2024-07-25 00:00:00', '1', '2024-07-25 17:11:44', '1', '2024-07-29 01:00:00'),
	('4544246410271002624', '1139430644963524608', 1, 1804.88, 0.00, 0.00, 164.65, '2024-07-25 00:00:00', '1', '2024-07-25 19:22:49', '1', '2024-07-29 01:00:00'),
	('4544246485032497152', '1139430645601857536', 1, 1719.12, 0.00, 0.00, 227.68, '2024-07-26 00:00:00', '1', '2024-07-26 00:27:01', '1', '2024-07-29 01:00:00'),
	('4544246486753660928', '1139430644855181312', 1, 1515.20, 4.43, 0.00, 682.73, '2024-07-26 00:00:00', '1', '2024-07-26 00:34:01', '1', '2024-07-29 01:00:00'),
	('4544246503473000448', '1139430644494802944', 1, 720.93, 1.78, 0.00, 802.33, '2024-07-26 00:00:00', '1', '2024-07-26 01:42:03', '1', '2024-07-29 01:00:00'),
	('4544246519456124928', '1139430644997632000', 1, 3989.42, 0.00, 0.00, 0.00, '2024-07-26 00:00:00', '1', '2024-07-26 02:47:05', '1', '2024-07-29 01:00:00'),
	('4544246538389159936', '1139430645630369792', 1, 762.32, 0.00, 0.00, 783.83, '2024-07-26 00:00:00', '1', '2024-07-26 04:04:07', '1', '2024-07-29 01:00:00'),
	('4544246566419374080', '1139430644475174912', 1, 1530.22, 0.27, 0.00, 387.32, '2024-07-26 00:00:00', '1', '2024-07-26 05:58:11', '1', '2024-07-29 01:00:00'),
	('4544246574779842560', '1139430644789067776', 1, 1319.62, 0.05, 0.00, 360.45, '2024-07-26 00:00:00', '1', '2024-07-26 06:32:12', '1', '2024-07-29 01:00:00'),
	('4544246611663179776', '1139430645575229440', 1, 3004.42, 0.98, 0.00, 833.28, '2024-07-26 00:00:00', '1', '2024-07-26 09:02:17', '1', '2024-07-29 01:00:00'),
	('4544246642154790912', '1139430645348077568', 1, 787.80, 0.00, 0.00, 225.08, '2024-07-26 00:00:00', '1', '2024-07-26 11:06:21', '1', '2024-07-29 01:00:00'),
	('4544246656170881024', '1139430645508157440', 0, 0.00, 0.00, 0.00, 3656.93, '2024-07-26 00:00:00', '1', '2024-07-26 12:03:23', '1', '2024-07-29 01:00:00'),
	('4544246657646305280', '1139430645079994368', 1, 1869.93, 0.00, 0.00, 1.90, '2024-07-26 00:00:00', '1', '2024-07-26 12:09:23', '1', '2024-07-29 01:00:00'),
	('4544246688875184128', '1139430645381705728', 1, 1823.00, 0.00, 0.00, 0.00, '2024-07-26 00:00:00', '1', '2024-07-26 14:16:27', '1', '2024-07-29 01:00:00'),
	('4544246787730485248', '1139430645119148032', 1, 1670.72, 0.00, 0.00, 0.00, '2024-07-26 00:00:00', '1', '2024-07-26 20:58:42', '1', '2024-07-29 01:00:00'),
	('4544246841089728512', '1139430645415247872', 1, 1923.87, 0.00, 0.00, 221.80, '2024-07-27 00:00:00', '1', '2024-07-27 00:35:49', '1', '2024-07-29 01:00:00'),
	('4544246857355337728', '1139430645318582272', 1, 1527.25, 0.00, 0.00, 1292.75, '2024-07-27 00:00:00', '1', '2024-07-27 01:42:00', '1', '2024-07-29 01:00:00'),
	('4544246878255423488', '1139430644494802944', 1, 713.42, 1.03, 0.00, 854.03, '2024-07-27 00:00:00', '1', '2024-07-27 03:07:03', '1', '2024-07-29 01:00:00'),
	('4544246891041226752', '1139430645348077568', 1, 939.18, 0.20, 0.00, 330.07, '2024-07-27 00:00:00', '1', '2024-07-27 03:59:04', '1', '2024-07-29 01:00:00'),
	('4544246894237380608', '1139430644963524608', 0, 0.00, 0.00, 0.00, 2688.27, '2024-07-27 00:00:00', '1', '2024-07-27 04:12:04', '1', '2024-07-29 01:00:00'),
	('4544246918333308928', '1139430645630369792', 1, 2574.83, 0.00, 0.00, 0.00, '2024-07-27 00:00:00', '1', '2024-07-27 05:50:07', '1', '2024-07-29 01:00:00'),
	('4544246963577016320', '1139430645601857536', 0, 0.00, 0.00, 0.00, 1138.67, '2024-07-27 00:00:00', '1', '2024-07-27 08:54:13', '1', '2024-07-29 01:00:00'),
	('4544246987674324992', '1139430644789067776', 0, 0.00, 2.60, 0.00, 1068.82, '2024-07-27 00:00:00', '1', '2024-07-27 10:32:16', '1', '2024-07-29 01:00:00'),
	('4544247028003008512', '1139430644855181312', 1, 1096.65, 0.43, 0.00, 104.98, '2024-07-27 00:00:00', '1', '2024-07-27 13:16:22', '1', '2024-07-29 01:00:00'),
	('4544247037592735744', '1139430644475174912', 1, 1473.63, 0.10, 0.00, 554.57, '2024-07-27 00:00:00', '1', '2024-07-27 13:55:23', '1', '2024-07-29 01:00:00'),
	('4544247117755858944', '1139430645079994368', 0, 0.00, 0.00, 0.00, 494.38, '2024-07-27 00:00:00', '1', '2024-07-27 19:21:34', '1', '2024-07-29 01:00:00'),
	('4544247136936116224', '1139430645381705728', 0, 0.00, 0.00, 0.00, 1701.25, '2024-07-27 00:00:00', '1', '2024-07-27 20:39:37', '1', '2024-07-29 01:00:00'),
	('4544247198407942144', '1139430645119148032', 1, 1330.12, 0.00, 0.00, 120.60, '2024-07-28 00:00:00', '1', '2024-07-28 00:49:45', '1', '2024-07-29 01:00:00'),
	('4544247199637311488', '1139430645247967232', 1, 1074.62, 0.00, 0.00, 371.32, '2024-07-28 00:00:00', '1', '2024-07-28 00:54:45', '1', '2024-07-29 01:00:00'),
	('4544247203079790592', '1139430645348077568', 0, 0.00, 0.00, 0.00, 1431.82, '2024-07-28 00:00:00', '1', '2024-07-28 01:08:45', '1', '2024-07-29 01:00:00'),
	('4544247236519018496', '1139430645547446272', 0, 0.00, 0.00, 0.00, 1295.80, '2024-07-28 00:00:00', '1', '2024-07-28 03:24:49', '1', '2024-07-29 01:00:00'),
	('4544247239223857152', '1139430645079994368', 1, 1284.75, 0.00, 0.00, 0.00, '2024-07-28 00:00:00', '1', '2024-07-28 03:35:50', '1', '2024-07-29 01:00:00'),
	('4544247243403935744', '1139430645601857536', 1, 1268.03, 0.00, 0.00, 0.00, '2024-07-28 00:00:00', '1', '2024-07-28 03:52:50', '1', '2024-07-29 01:00:00'),
	('4544247250780401664', '1139430644789067776', 0, 0.00, 0.68, 0.00, 1236.57, '2024-07-28 00:00:00', '1', '2024-07-28 04:22:51', '1', '2024-07-29 01:00:00'),
	('4544247263812448256', '1139430644494802944', 1, 766.88, 1.75, 0.00, 415.95, '2024-07-28 00:00:00', '1', '2024-07-28 05:15:53', '1', '2024-07-29 01:00:00'),
	('4544247323335323648', '1139430644855181312', 0, 0.00, 1.03, 0.00, 941.45, '2024-07-28 00:00:00', '1', '2024-07-28 09:18:05', '1', '2024-07-29 01:00:00'),
	('4544247368334864384', '1139430645415247872', 0, 0.00, 0.00, 0.00, 759.10, '2024-07-28 00:00:00', '1', '2024-07-28 12:21:11', '1', '2024-07-29 01:00:00'),
	('4544247428088111104', '1139430645041299456', 0, 0.00, 0.00, 0.00, 515.87, '2024-07-28 00:00:00', '1', '2024-07-28 16:24:19', '1', '2024-07-29 01:00:00'),
	('4544247431776444416', '1139430645193863168', 0, 0.00, 0.00, 0.00, 501.20, '2024-07-28 00:00:00', '1', '2024-07-28 16:39:20', '1', '2024-07-29 01:00:00'),
	('4544247499892436992', '1139430644997632000', 0, 0.00, 0.00, 0.00, 224.23, '2024-07-28 00:00:00', '1', '2024-07-28 21:16:29', '1', '2024-07-29 01:00:00'),
	('4544247536286797824', '1139430644475174912', 0, 0.00, 0.00, 0.00, 76.40, '2024-07-28 00:00:00', '1', '2024-07-28 23:44:35', '1', '2024-07-29 01:00:00'),
	('4544247550299910144', '1139430645318582272', 0, 0.00, 0.00, 0.00, 1301.35, '2024-07-29 00:00:00', '1', '2024-07-29 00:41:36', '1', '2024-07-29 22:22:49'),
	('4544247551037554688', '1139430645630369792', 0, 0.00, 0.00, 0.00, 1298.68, '2024-07-29 00:00:00', '1', '2024-07-29 00:44:36', '1', '2024-07-29 22:22:49'),
	('4544247594312470528', '1139430645575229440', 0, 0.00, 0.00, 0.00, 1122.45, '2024-07-29 00:00:00', '1', '2024-07-29 03:40:41', '1', '2024-07-29 22:22:49'),
	('4544247662175801344', '1139430645119148032', 0, 0.00, 0.00, 0.00, 846.20, '2024-07-29 00:00:00', '1', '2024-07-29 08:16:49', '1', '2024-07-29 22:22:49'),
	('4544247665372246016', '1139430645601857536', 0, 0.00, 0.00, 0.00, 833.77, '2024-07-29 00:00:00', '1', '2024-07-29 08:29:50', '1', '2024-07-29 22:22:49'),
	('4544247679633674240', '1139430645079994368', 0, 0.00, 0.00, 0.00, 775.85, '2024-07-29 00:00:00', '1', '2024-07-29 09:27:52', '1', '2024-07-29 22:22:49'),
	('4544247686518697984', '1139430644789067776', 0, 0.00, 0.20, 0.00, 747.37, '2024-07-29 00:00:00', '1', '2024-07-29 09:55:52', '1', '2024-07-29 22:22:49'),
	('4544247690452803584', '1139430645508157440', 0, 0.00, 0.00, 0.20, 731.18, '2024-07-29 00:00:00', '1', '2024-07-29 10:11:53', '1', '2024-07-29 22:22:49'),
	('4544247692665647104', '1139430644475174912', 0, 0.00, 2.22, 0.00, 720.52, '2024-07-29 00:00:00', '1', '2024-07-29 10:20:53', '1', '2024-07-29 22:22:49'),
	('4544247695390683136', '1139430644855181312', 0, 0.00, 4.10, 0.00, 707.65, '2024-07-29 00:00:00', '1', '2024-07-29 10:31:58', '1', '2024-07-29 22:22:49'),
	('4544247764501344256', '1139430644494802944', 0, 0.00, 0.32, 0.00, 429.30, '2024-07-29 00:00:00', '1', '2024-07-29 15:13:11', '1', '2024-07-29 22:22:49'),
	('4544247860301533184', '1139430644904493056', 0, 0.00, 0.00, 40.17, 0.00, '2024-07-29 00:00:00', '1', '2024-07-29 21:43:00', '1', '2024-07-29 22:22:49');

-- 导出  表 cvdemcs.equipment_record_total 结构
CREATE TABLE IF NOT EXISTS `equipment_record_total` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `equipment_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备Id',
  `furnace_num` int NOT NULL COMMENT '开炉次数',
  `total_running_time` decimal(32,2) NOT NULL COMMENT '总运行时长',
  `total_alarm_time` decimal(32,2) NOT NULL COMMENT '总报警时长',
  `total_maintain_time` decimal(32,2) NOT NULL COMMENT '总维护时长',
  `total_stop_time` decimal(32,2) NOT NULL COMMENT '总待机时长',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改者',
  `update_at` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='设备状态记录统计\r\n';

-- 正在导出表  cvdemcs.equipment_record_total 的数据：~21 rows (大约)
DELETE FROM `equipment_record_total`;
INSERT INTO `equipment_record_total` (`id`, `equipment_id`, `furnace_num`, `total_running_time`, `total_alarm_time`, `total_maintain_time`, `total_stop_time`, `create_by`, `create_at`, `update_by`, `update_at`) VALUES
	('4544237862031273984', '1139430644789067776', 10, 13873.71, 30.95, 173.33, 26114.78, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273985', '1139430644475174912', 13, 25608.25, 42.38, 135.35, 14381.99, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273986', '1139430644855181312', 12, 18520.28, 87.46, 173.33, 21375.86, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273987', '1139430644904493056', 0, 0.00, 0.00, 15.35, 12110.02, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273988', '1139430644494802944', 16, 17251.24, 20.99, 1729.07, 20873.53, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273989', '1139430644963524608', 7, 20370.05, 1.75, 0.00, 16409.12, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273990', '1139430644997632000', 9, 21663.90, 1731.34, 441.14, 15633.64, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273991', '1139430645041299456', 7, 22274.40, 1565.22, 5.55, 15624.86, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273992', '1139430645079994368', 10, 26530.85, 0.00, 0.00, 13690.20, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273993', '1139430645119148032', 12, 25951.55, 35.79, 2416.24, 11887.83, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273994', '1139430645193863168', 8, 20212.96, 0.22, 1862.77, 17394.08, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273995', '1139430645247967232', 5, 13161.79, 0.00, 11714.96, 14593.28, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273996', '1139430645508157440', 0, 0.00, 0.00, 13635.27, 16476.40, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273997', '1139430645547446272', 8, 24259.07, 0.00, 1.17, 14871.94, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273998', '1139430645575229440', 10, 25244.78, 2419.76, 0.77, 12902.30, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031273999', '1139430645601857536', 12, 20926.01, 2064.07, 0.00, 17288.93, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031274000', '1139430645630369792', 11, 28351.08, 41.27, 2701.88, 9633.77, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031274001', '1139430645318582272', 11, 24855.53, 4.33, 1383.45, 14484.70, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031274002', '1139430645348077568', 10, 11086.28, 27.96, 1564.36, 21909.85, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031274003', '1139430645381705728', 5, 21921.38, 498.14, 2229.12, 14821.38, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48'),
	('4544237862031274004', '1139430645415247872', 11, 24799.49, 35.44, 0.00, 14635.10, '1', '2024-07-01 15:39:56', '1', '2024-07-29 21:58:48');

-- 导出  表 cvdemcs.sys_config 结构
CREATE TABLE IF NOT EXISTS `sys_config` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_at` datetime DEFAULT NULL COMMENT '更新时间',
  `is_delete` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `delete_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '删除者',
  `delete_at` datetime DEFAULT NULL COMMENT '删除时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='参数配置表';

-- 正在导出表  cvdemcs.sys_config 的数据：~4 rows (大约)
DELETE FROM `sys_config`;
INSERT INTO `sys_config` (`id`, `config_name`, `config_key`, `config_value`, `config_type`, `remark`, `create_by`, `create_at`, `update_by`, `update_at`, `is_delete`, `delete_by`, `delete_at`) VALUES
	('1139430640712261632', '进口炉开炉时间', 'Import', '400', 'Y', '单位分钟', '1', '2023-11-01 21:59:37', '1', '2023-11-01 21:59:37', b'0', NULL, NULL),
	('1139430640965279744', '国产炉开炉时间', 'Homegrown', '400', 'Y', '单位分钟', '1', '2023-11-01 22:00:39', '1', '2023-11-01 22:00:39', b'0', NULL, NULL),
	('1139439143692111872', '进口炉补偿时间', 'ImportOffset', '0', 'Y', '单位分钟', '1', '2023-11-25 22:38:20', '1', '2023-11-25 22:38:20', b'0', NULL, NULL),
	('1139439143779528704', '国产炉补偿时间', 'HomegrownOffset', '0', 'Y', '单位分钟', '1', '2023-11-25 22:38:41', '1', '2023-11-25 22:38:41', b'0', NULL, NULL);

-- 导出  表 cvdemcs.sys_user 结构
CREATE TABLE IF NOT EXISTS `sys_user` (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户ID',
  `dept_id` bigint DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户昵称',
  `user_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '密码',
  `activated` bit(1) DEFAULT b'1' COMMENT '帐号状态（1：启用，0：停用）',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_at` datetime DEFAULT NULL COMMENT '更新时间',
  `is_delete` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `delete_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '删除者',
  `delete_at` datetime DEFAULT NULL COMMENT '删除时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户信息表';

-- 正在导出表  cvdemcs.sys_user 的数据：~0 rows (大约)
DELETE FROM `sys_user`;
INSERT INTO `sys_user` (`id`, `dept_id`, `user_name`, `nick_name`, `user_type`, `email`, `phonenumber`, `sex`, `avatar`, `password`, `activated`, `remark`, `login_ip`, `login_date`, `create_by`, `create_at`, `update_by`, `update_at`, `is_delete`, `delete_by`, `delete_at`) VALUES
	('1139431320438677504', NULL, 'admin', 'admin', 'admin', '', '', '1', '', '0HN/nOGAJC/ri0W4pEtXj7U/mtZtlLfVTLRjbzC8Usg=', b'1', '', '', '2023-11-03 12:01:10', '1', '2023-11-03 20:05:26', '1', '2023-11-03 20:08:09', b'0', NULL, NULL);

/*!40103 SET TIME_ZONE=IFNULL(@OLD_TIME_ZONE, 'system') */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;
